/*===============================================================================================================================================*/
/* FILE NAME: spc574k2.h         COPYRIGHT (c) STMicroelectronics                                                                                */ 
/*                               All Rights Reserved                                                                                             */
/*                               Reproduction and Communication of this document is strictly prohibited                                          */
/*                               unless specifically authorized in writing by STMicroelectronics.                                                */
/*                                                                                                                                               */
/* DESCRIPTION : This file contains all of the register and bit field definitions for the xPC5744K cut >= 2.4.                                   */
/*                                                                                                                                               */
/*===============================================================================================================================================*/
/* UPDATE HISTORY                                                                                                                                */
/* REV      DATE         DESCRIPTION OF CHANGE                                                                                                   */
/* ---   ---------       ---------------------                                                                                                   */
/* 0.1a  23-Mar-12       - Initial Prototype Release                                                                                             */
/*                                                                                                                                               */
/* 0.1b  30-Apr-12       - MC_CGM: Fixed size of bitfield DIV in AC0_DC[5] register array                                                        */
/*                       - MC_CGM: Added register for AC11                                                                                       */
/*                       - PASS: Updated bitfields to match RM                                                                                   */
/*                       - SRX: Removed Channels 5 to 15 & removed references to SRX_0 from register names                                       */
/*                       - SIUL2: Fixed PGPDO, PGPDI & MPGPDO registers, changed structure to form arrays for these registers                    */
/*                                                                                                                                               */
/* 0.1c  11-Jun-12       - PMCDIG: Added missing FEE_xx regs                                                                                     */
/*                       - Renamed DigRF to LFAST                                                                                                */
/*                       - DMA: Changed to more user friendly format                                                                             */
/*                       - MCAN: Fixed bitfield RXF1S_F1GI                                                                                       */
/*                                                                                                                                               */
/* 0.1d 24-Jul-12        - SARADC: Fixed tag name                                                                                                */
/*                       - SDADC_0: Fixed base address                                                                                           */
/*                       - GTMINT: fixed 1st reserved area:192x8-bit instead of 48x8-bit                                                         */
/*                       - MC_CGM: Fixed bitfields of AC0_DCx                                                                                    */
/*                                                                                                                                               */
/* 0.1e 29-Aug-12        - Added DMACHMUX instances                                                                                              */
/*                       - JTAGM: Fixed endianness                                                                                               */
/*                       - MCAN: Added NDAT & RXBC registers                                                                                     */
/*                                                                                                                                               */
/* 0.1f 09-Jan-13        - DSPI: Added struct for slave mode to CTAR; added bitfields to MCR, SR, RSER, DSCICR0 & DSICR1                         */
/*                       - MC_CGM: Edited to match mpc5746.h                                                                                     */
/*                                                                                                                                               */
/* 0.1g 15-Nov-13        - TRANSKEY field size 8 bits instead of 7.                                                                              */
/*                       - PERMNTKEY field size 8 bits instead of 7.                                                                             */
/*                                                                                                                                               */
/* 0.1h 27-Nov-13        - MEMU_reserved2[4080] replaced by [16].                                                                                */
/*                       - MEMU_reserved3[3996] replaced by [1436].                                                                              */
/*                       - MEMU_reserved4[4068] replaced by [1506].                                                                              */
/*                       - STCU2_reserved1[704] replaced by [128].                                                                               */
/*                                                                                                                                               */
/* 0.1i 28-Nov-13        - Added missing SWAP_BITWISE and SWAP_BYTEWISE in CRC CFG1 & CFG2 register.                                             */
/*                       - CRC3, OUTP_CHK1,2&3 registers suppressed.                                                                             */
/*                                                                                                                                               */
/* 0.1j 29-Nov-13        - GRP3PRI & GRP2PRI bits fields replaced by reserved in DMA_CR register.                                                */
/*                       - Added missing UCE bit field in DMA_ES register.                                                                       */
/*                       - Suppressed DDIF_DIRS bit field in DSPI_RSER register.                                                                 */
/*                       - Suppressed TRRE, MTOCNT, MTOE bits fields in DSPI_DSICR0 register.                                                    */
/*                       - Added missing FILTER_WIDTH & FILTER_BYPASS bits fields in FCCU_CTRL register.                                         */
/*                       - Suppressed CM bit field in FCCU_CFG register.                                                                         */
/*                       - Renamed NCF registers and bits fields starting names by RF in FCCU registers.                                         */
/*                                                                                                                                               */
/* 0.1k 02-Dec-13        - Replaced PSTAT bit field name by PhysicErrorPin in FCCU_STAT register.                                                */
/*                       - Renamed FCCU_NAFS register by FCCU_N2AF_STATUS.                                                                       */
/*                       - NAFS bit field size reduced to 8 bits instead of 9 in the FCCU_N2AF_STATUS register.                                  */
/*                       - Renamed FCCU_AFFS register by FCCU_A2FF_STATUS.                                                                       */
/*                       - Renamed FCCU_NFFS register by FCCU_N2FF_STATUS.                                                                       */
/*                       - Renamed FCCU_FAFS register by FCCU_F2A_STATUS.                                                                        */
/*                       - Added missing RMII_MODE, RMII_10T, RMII_LOOP, RMII_ECHO bits fields in FEC_RCR register.                              */
/*                       - Added missing RMON_R_RESVD_0 register instead of FEC_reserved15[4] in FEC registers.                                  */
/*                                                                                                                                               */
/* 0.1l 03-Dec-13        - Suppressed PFLASH_MCRA register replaced by FLASH_reserved1[4] placed at the wrong place.                             */
/*                       - Added missing n8Kh bit field in PFLASH_MCRE register.                                                                 */
/*                       - Suppressed PFLASH_LOCK3,LOCK0A,LOCK1A registers replaced by FLASH_reserved2[28] (was [8]).                            */
/*                       - Suppressed PFLASH_reserved3[8].                                                                                       */
/*                       - Changed A256KSEL bit field size to 31 instead of 32 in PFLASH_SEL2 register.                                          */
/*                       - Suppressed PFLASH_SEL3 register.                                                                                      */
/*                       - Changed FLASH_reserved4 size to [12] instead of [8] and renamed FLASH_reserved3.                                      */
/*                       - Changed ADDR bit field size to 24 instead of 21 in PFLASH_ADR register.                                               */
/*                       - Suppressed aH, aM, aL, a256k, a64k, a32k, a16k bits fields not existing in PFLASH_ADR register.                       */
/*                       - Added missing CPE,CPA,CPR bits fields not existing in PFLASH_UT0 register.                                            */
/*                       - Changed A256KSEL bit field size to 31 instead of 32 in PFLASH_OPP2 register.                                          */
/*                       - Added missing FLASH_reserved4[4].                                                                                     */
/*                       - Replaced PFLASH_OPP3 register by TMD one.                                                                             */
/*                                                                                                                                               */
/* 0.1m 04-Dec-13        - Suppressed DMA_ERQH, EEIH, INTH, ERRH, HRSH registers not exisiting replaced by Reserved spaces.                      */
/*                       - Modified DMA_DCHPRI [32] instead of [64].                                                                             */
/*                       - Added missing DMA_reserved7[32] after DMA_DCHPRI [32].                                                                */
/*                       - Modified DMA_DCHMID[32] instead of [64].                                                                              */
/*                       - Replaced FR_reserved4[4] by FR_STPWHR & STPWLR registers.                                                             */
/*                       - Renamed CHAERSCNT bit field instead of STATUS_ERR_CNT in FR_CASERCR register.                                         */
/*                       - Renamed CHBERSCNT bit field instead of STATUS_ERR_CNT in FR_CBSERCR register.                                         */
/*                       - Renamed LDYNTXSLOTA bit field instead of LASTDYNTXSLOTA in FR_LDTXSLAR register.                                      */
/*                       - Renamed LDYNTXSLOTB bit field instead of LASTDYNTXSLOTB in FR_LDTXSLBR register.                                      */
/*                       - Renamed CYS_EE bit field instead of CYC_EE in FR_PEOER register.                                                      */
/*                       - Added missing STPW_EN bit field in FR_PEOER register.                                                                 */
/*                       - Renamed MSSL bit field instead of MS_SL in I2C_IBCR register.                                                         */
/*                       - Renamed TXRX bit field instead of Tx_Rx in I2C_IBCR register.                                                         */
/*                       - Renamed IBDOZE bit field instead of IBSDOZE in I2C_IBCR register.                                                     */
/*                       - Added missing RDA, RCL, TDA, TCL bit field in I2C_IBIC register.                                                      */
/*                       - Suppressed INC bit field in IMA_CTRL register.                                                                        */
/*                       - Suppressed LOCK_TIMER bit field in IMA_STATUS register.                                                               */
/*                       - Added missing ROW_SLCT & ARRAY_SLCT bits field instead of ADDR in IMA_SLCT register.                                  */
/*                       - Added missing INTC_MPROT register.                                                                                    */
/*                       - Reduced INTC_reserved1 size to [8] instead of [12].                                                                   */
/*                       - Reduced PRI bit field size to 4 instead of 6 in INTC_CPR registers.                                                   */
/*                       - Modified structure for INTC_PSR0 to 1023 registers.                                                                   */
/*                       - Added missing MIS, CSP, OSR, ROSE bits field in LINFlexD_UARTCR register.                                             */
/*                       - Reduced DTE bit field size to 16 instead of 32 in LINFlexD_DMATXE register.                                           */
/*                       - Reduced DRE bit field size (that was DTE) to 16 instead of 32 in LINFlexD_DMARXE register.                            */
/*                                                                                                                                               */
/* 0.1n 05-Dec-13        - Added missing MCAN_FBTP register.                                                                                     */
/*                       - Decrease MCAN_reserved1 size to [4] instead of [8].                                                                   */
/*                       - Added missing MCAN_RXESC register.                                                                                    */
/*                       - Added missing MCAN_TXESC register.                                                                                    */
/*                       - Added missing TDCV bits field in MCAN_TEST register.                                                                  */
/*                       - Added missing CME, CMR, FDO, FDBS, TXP bits field in MCAN_CCCR register.                                              */
/*                       - Changed BRP bits field size to 10 instead of 4 (renamed BRPE by BRP) in MCAN_BTP register.                            */
/*                       - Invert TSEG1 & 2 bits field names in MCAN_BTP register.                                                               */
/*                       - Changed TSEG1 (was TSEG2) bits field size to 6 instead of 3 in MCAN_BTP register.                                     */
/*                       - Changed SJW bits field size to 4 instead of 2 in MCAN_BTP register.                                                   */
/*                       - Suppressed BRPL bits field in MCAN_BTP register.                                                                      */
/*                       - Added missing REDL, RBRS, RESI, FLEC bits field in MCAN_PSR register.                                                 */
/*                       - Added missing DRX bit field in MCAN_IR register.                                                                      */
/*                       - Renamed UMD bit field by MRAF name in MCAN_IR register.                                                               */
/*                                                                                                                                               */
/* 0.1o 06-Dec-13        - Added missing DRX bit field in MCAN_IR register.                                                                      */
/*                       - Renamed MRAF bit field instead of UMD in MCAN_IR register.                                                            */
/*                       - Added missing RXE bit field in MCAN_IE register.                                                                      */
/*                       - Renamed MRAF bit field instead of UMD in MCAN_IE register.                                                            */
/*                       - Added missing DRXL bit field in MCAN_ILS register.                                                                    */
/*                       - Renamed MRAFL bit field instead of UMDL in MCAN_ILS register.                                                         */
/*                       - Renamed ANFS bit field instead of ANS in MCAN_GFC register.                                                           */
/*                       - Added missing F0OM bit field in MCAN_RXF0C register.                                                                  */
/*                       - Increase F0S bit field size to 7 instead of 6 in MCAN_RXF0C register.                                                 */
/*                       - Added missing F0PI bit field in MCAN_RXF0S register.                                                                  */
/*                       - Added missing F1OM bit field in MCAN_RXF1C register.                                                                  */
/*                       - Added missing DMS & F1PI bit fields in MCAN_RXF1S register.                                                           */
/*                       - Renamed F1GI bit field instead of F1GL in MCAN_RXF1S register.                                                        */
/*                       - Added missing MCAN_RXESC register.                                                                                    */
/*                       - Added missing TFGI bit field in MCAN_TXFQS register.                                                                  */
/*                       - Added missing MCAN_TXESC register.                                                                                    */
/*                       - Added missing EFPI bit field in MCAN_TXEFS register.                                                                  */
/*                                                                                                                                               */
/* 0.1p 10-Dec-13        - Suppressed AC11_SC, AC11_SS & AC11_DC0 registers in MC_CGM feature.                                                   */
/*                       - Added missing PCTL11,PCTL15,PCTL31,PCTL58,PCTL128,PCTL164,PCTL186  registers in MC_ME feature.                        */
/*                       - Reduced MC_ME_reserved5 bit field size to [1] instead of [20] in MC_ME feature.                                       */
/*                       - Added missing MC_ME_reserved6[11] bit field in MC_ME feature.                                                         */
/*                       - Reduced MC_ME_reserved7 bit field size to [4] instead of [5] in MC_ME feature.                                        */
/*                       - Augmented MC_ME_reserved9 bit field size to [20] instead of [19] in MC_ME feature.                                    */
/*                       - Reduced MC_ME_reserved10 bit field size to [1] instead of [7] in MC_ME feature.                                       */
/*                       - Renamed PCTL62 (was PCTL68) register in MC_ME feature.                                                                */
/*                       - Added MC_ME_reserved11[6] bit field size in MC_ME feature. Shift MC_ME_reserved naming numbers.                       */
/*                       - Reduced MC_ME_reserved14 bit field size to [10] instead of [15] in MC_ME feature.                                     */
/*                       - Renamed PCTL85 (was PCTL90) register in MC_ME feature.                                                                */
/*                       - Added MC_ME_reserved15[5] bit field size in MC_ME feature. Shift MC_ME_reserved naming numbers.                       */
/*                       - Renamed PCTL123 (was PCTL126) register in MC_ME feature.                                                              */
/*                       - Reduced MC_ME_reserved21 bit field size to [10] instead of [12] in MC_ME feature.                                     */
/*                       - Added MC_ME_reserved22[3] bit field size in MC_ME feature. Shift MC_ME_reserved naming numbers.                       */
/*                       - Suppressed PCTL188, PCTL226, PCTL250, PCTL251, PCTL252 register in MC_ME feature.                                     */
/*                       - Renamed PCTL213 (was PCTL219) register in MC_ME feature.                                                              */
/*                       - Reduced MC_ME_reserved25 bit field size to [25] instead of [30] in MC_ME feature.                                     */
/*                       - Added MC_ME_reserved26[6], MC_ME_reserved28[1], MC_ME_reserved31[3] bit field in MC_ME feature.                       */
/*                       - Shift MC_ME_reserved naming numbers in MC_ME feature.                                                                 */
/*                       - Reduced CCTL[3] size (was [5]) in MC_ME feature.                                                                      */
/*                       - Reduced CADDR[3] size (was [5]) in MC_ME feature.                                                                     */
/*                       - Reduced MC_ME_reserved33 bit field size to [16] instead of [18] in MC_ME feature.                                     */
/*                       - Added missing I_ICONF_CC bit field in MC_ME_IS register.                                                              */
/*                       - Added missing M_ICONF_CC bit field in MC_ME_IM register.                                                              */
/*                       - Renamed DBG_MODE bit field (was CORE_DBG) in MC_ME_DMTS register.                                                     */
/*                       - Added missing CCKL_PROG, PCS_PROG bit fields in MC_ME_DMTS register.                                                  */
/*                       - Added CDP_PRPH_160_191, CDP_PRPH_128_159, CDP_PRPH_96_127 bit fields in MC_ME_DMTS register.                          */
/*                       - Added missing S_PIT_RTI_1, S_SIUL_0, S_SIPI_0 bit fields in MC_ME_PS0 register.                                       */
/*                       - Renamed S_CRC_0 bit field (was S_CRC_A0) in MC_ME_PS1 register.                                                       */
/*                       - Added missing CCCU bit field in MC_ME_PS1 register.                                                                   */
/*                       - Renamed S_ADCSD_0 bit field (was S_ADCSD_A0) in MC_ME_PS1 register.                                                   */
/*                       - Suppressed S_ADCSD_A1 bit field in MC_ME_PS1 register.                                                                */
/*                       - Renamed S_ADCSD_2 bit field (was S_ADCSD_A2) in MC_ME_PS1 register.                                                   */
/*                       - Renamed S_LINFlexD_0 bit field (was S_LINFlexD_A0) in MC_ME_PS2 register.                                             */
/*                       - Suppressed S_LINFlexD_A2 bit field in MC_ME_PS2 register.                                                             */
/*                       - Renamed S_LINFlexD_1 bit field (was S_LINFlexD_A1) in MC_ME_PS2 register.                                             */
/*                       - Added missing S_LINFlexD_14 bit field in MC_ME_PS2 register.                                                          */
/*                       - Renamed S_CAN_RAM_CTRL bit field (was S_CAN_RAM_CTRL0) in MC_ME_PS2 register.                                         */
/*                       - Renamed S_TTCAN bit field (was S_TTCAN_A0) in MC_ME_PS2 register.                                                     */
/*                       - Suppressed S_MCAN_3 bit field in MC_ME_PS2 register.                                                                  */
/*                       - Suppressed S_ADCSAR_A1 bit field in MC_ME_PS3 register.                                                               */
/*                       - Renamed S_ADCSAR_0 bit field (was S_ADCSAR_A0) in MC_ME_PS3 register.                                                 */
/*                       - Renamed S_ADCSAR_4 bit field (was S_ADCSARB) in MC_ME_PS3 register.                                                   */
/*                       - Added missing S_ADCSAR_b bit field in MC_ME_PS3 register.                                                             */
/*                       - Renamed S_PSI5_0 bit field (was S_PSI5_A0) in MC_ME_PS3 register.                                                     */
/*                       - Renamed S_FlexRay bit field (was S_FlexRay_A00) in MC_ME_PS3 register.                                                */
/*                       - Renamed S_SENT_0 bit field (was S_SENT_A0) in MC_ME_PS3 register.                                                     */
/*                       - Renamed S_IIC_0 bit field (was S_IIC_A0) in MC_ME_PS3 register.                                                       */
/*                       - Renamed S_DSPI_0 (was S_DSPI_A0) in MC_ME_PS3 register.                                                               */
/*                       - Renamed S_DSPI_1 (was S_DSPI_A1) in MC_ME_PS3 register.                                                               */
/*                       - Renamed S_DSPI_4 (was S_DSPI_A2) in MC_ME_PS3 register.                                                               */
/*                       - Added missing S_GTMINT bit field in MC_ME_PS4 register.                                                               */
/*                       - Renamed S_ADCSD_3 bit field (was S_ADCSD_B0) in MC_ME_PS5 register.                                                   */
/*                       - Suppressed S_ADCSD_B1, S_ADCSD_B2, S_DMA_CH_MUX1 bit field in MC_ME_PS5 register.                                     */
/*                       - Renamed S_CRC_1 bit field (was S_CRC_B0) in MC_ME_PS5 register.                                                       */
/*                       - Renamed S_LINFlexD_2 bit field (was S_LINFlexD_B0) in MC_ME_PS6 register.                                             */
/*                       - Renamed S_LINFlexD_15 bit field (was S_LINFlexD_B1) in MC_ME_PS6 register.                                            */
/*                       - Suppressed S_ADCSAR_B1, B2, B3 bit fields in MC_ME_PS7 register.                                                      */
/*                       - Renamed S_ADCSAR_2 bit field (was S_ADCSAR_B0) in MC_ME_PS7 register.                                                 */
/*                       - Renamed S_ADCSAR_6 bit field (was S_ADCSAR_B4) in MC_ME_PS7 register.                                                 */
/*                       - Renamed S_PSI5_1 bit field (was S_PSI5_B0) in MC_ME_PS7 register.                                                     */
/*                       - Renamed S_SENT_1 bit field (was S_SENT_B0) in MC_ME_PS7 register.                                                     */
/*                       - Renamed S_DSPI_2 bit field (was S_DSPI_B2) in MC_ME_PS7 register.                                                     */
/*                       - Suppressed S_DSPI_B1 bit field in MC_ME_PS7 register.                                                                 */
/*                       - Renamed S_DSPI_5 bit field (was S_DSPI_B0) in MC_ME_PS7 register.                                                     */
/*                       - Suppressed S_CORE4 & 3 in MC_ME_CS register.                                                                          */
/*                       - Added missing RMC bit field in MC_ME_CADDR[3] registers.                                                              */
/*                       - Added missing DRET & EROEC registers in RGM feature.                                                                  */
/*                       - Added missing DRET, EROEC, PSTAT1 to 7 registers in RGM feature.                                                      */
/*                       - Added missing F_SSCM_DEST, F_FIF, F_SUF bit field in RGM_DES register.                                                */
/*                       - Suppressed F_HSM_DEST bit field in RGM_DES register.                                                                  */
/*                       - Suppressed D_HSM_DEST bit field in RGM_DERD register.                                                                 */
/*                       - Added missing D_FIF, D_SUF bit field in RGM_DERD register.                                                            */
/*                       - Suppressed AR_TSR_DEST bit field in RGM_DEAR register.                                                                */
/*                       - Added missing BE_FIF, BE_SUF bit field in RGM_DBRE register.                                                          */
/*                       - Renamed BE_SSCM_DEST bit field (was BE_HSM_DEST) in RGM_DBRE register.                                                */
/*                       - Suppressed F_HSM_FUNC bit field in RGM_FES register.                                                                  */
/*                       - Suppressed D_HSM_FUNC bit field in RGM_FERD register.                                                                 */
/*                       - Suppressed AR_JTAG_FUNC, AR_ESR0 bit fields in RGM_FEAR register.                                                     */
/*                       - Suppressed BE_HSM_FUNC bit field in RGM_FBRE register.                                                                */
/*                       - Suppressed SS_HSM_FUNC bit field in RGM_FESS register.                                                                */
/*                       - Reduced FRET register size to 8 bits instead of 16 in RGM feature.                                                    */
/*                       - Added missing PIT_RTC_1_RST, SIUL_RST, SIPI_0_RST bit fields in RGM_PRST0 register.                                   */
/*                       - Renamed PIT_RTC_0_RST (was PIT_RTI_0_RST) in RGM_PRST0 register.                                                      */
/*                       - Suppressed ADCSD_A1_RST & ADCSD_A2_RST bit fields in RGM_PRST1 register.                                              */
/*                       - Renamed CRC_A_RST bit field (was CRC_A0_RST) in RGM_PRST1 register.                                                   */
/*                       - Renamed DMAMUX0_RST bit field (was DMA_CH_MUX0_RST) in RGM_PRST1 register.                                            */
/*                       - Renamed LINFLEXD_0_RST bit field (was LINFLEX_A0_RST) in RGM_PRST2 register.                                          */
/*                       - Renamed LINFLEXD_1_RST bit field (was LINFLEX_A1_RST) in RGM_PRST2 register.                                          */
/*                       - Add LINFLEXD_14_RST bit field in RGM_PRST2 register.                                                                  */
/*                       - Renamed CAN_RAM_CTR_RST (was CAN_RAM_CTRL0_RST) in RGM_PRST2 register.                                                */
/*                       - Renamed TTCAN_RST (was TTCAN_A0_RST) in RGM_PRST2 register.                                                           */
/*                       - Suppressed MCAN_3_RST bit field in RGM_PRST2 register.                                                                */
/*                                                                                                                                               */
/* 0.1q 11-Dec-13        - Renamed ADCSAR_0_RST bit field (was DCSAR_A0_RST) in RGM_PRST3 register.                                              */
/*                       - Suppressed ADCSAR_A1_RST bit field in RGM_PRST3 register.                                                             */
/*                       - Added ADCSAR_4_RST bit field in RGM_PRST3 register.                                                                   */
/*                       - Renamed ADCSAR_B_RST bit field (was ADCSARB_RST) in RGM_PRST3 register.                                               */
/*                       - Renamed PSI5_0_RST bit field (was PSI5_A0_RST) in RGM_PRST3 register.                                                 */
/*                       - Renamed FLEXRAY_0_RST bit field (was FLEXRAY_A0_RST) in RGM_PRST3 register.                                           */
/*                       - Renamed SENT_0_RST bit field (was SENT_A0_RST) in RGM_PRST3 register.                                                 */
/*                       - Renamed IIC_0_RST bit field (was IIC_A0_RST) in RGM_PRST3 register.                                                   */
/*                       - Renamed DSPI_0_RST bit field (was DSPI_A0_RST) in RGM_PRST3 register.                                                 */
/*                       - Renamed DSPI_1_RST bit field (was DSPI_A1_RST) in RGM_PRST3 register.                                                 */
/*                       - Renamed DSPI_4_RST bit field (was DSPI_A2_RST) in RGM_PRST3 register.                                                 */
/*                       - Added missing GTMINT_RST bit field in RGM_PRST4 register.                                                             */
/*                       - Added missing ADCSD_3_RST, FCCU_RST, CRC_1_RST bit field in RGM_PRST5 register.                                       */
/*                       - Suppressed ADCSD_B0_RST,ADCSD_B1_RST,ADCSD_B2_RST,CRC_B0_RST,DMA_CH_MUX1_RST in RGM_PRST5 register.                   */
/*                       - Renamed LINFLEXD_2_RST bit field (was LINFLEX_B0_RST) in RGM_PRST6 register.                                          */
/*                       - Suppressed LINFLEX_B1_RST bit field in RGM_PRST6 register.                                                            */
/*                       - Added missing LINFLEXD_15_RST bit field in RGM_PRST6 register.                                                        */
/*                       - Suppressed ADCSAR_B1_RST,ADCSAR_B3_RST,ADCSAR_B4_RST bit field in RGM_PRST7 register.                                 */
/*                       - Suppressed DSPI_B1_RST,DSPI_B0_RST bit field in RGM_PRST7 register.                                                   */
/*                       - Renamed ADCSAR_2_RST bit field (was ADCSAR_B0_RST) in RGM_PRST7 register.                                             */
/*                       - Added missing ADCSAR_6_RST bit field in RGM_PRST7 register.                                                           */
/*                       - Renamed PSI5_1_RST (was PSI5_B0_RST) in RGM_PRST7 register.                                                           */
/*                       - Renamed SENT_1_RST (was SENT_B0_RST) in RGM_PRST7 register.                                                           */
/*                       - Renamed DSPI_2_RST (was DSPI_B2_RST) in RGM_PRST7 register.                                                           */
/*                       - Renamed DSPI_5_RST (was DSPI_B0_RST) in RGM_PRST7 register.                                                           */
/*                       - Added PSTAT[8] registers in RGM feature.                                                                              */
/*                       - Increased MEMU_reserved4 bit field to [1508] was [1506] in MEMU register.                                             */
/*                       - Increased FLASH_OFLW channels to [3].                                                                                 */
/*                       - Suppressed CJE register in PASS feature.                                                                              */
/*                       - Added FBE bit field in PASS_LCSTAT register.                                                                          */
/*                       - Decreased LIFE bit field size to 3 instead of 8 in PASS_LCSTAT register.                                              */
/*                       - Added MO & MSTR bit field in PASS_LOCK3_PG register.                                                                  */
/*                       - Renamed RL4 to RL0 bit fields (was RP4 to RP0) in PASS_LOCK3_PG register.                                             */
/*                       - Renamed U_256LCK (was L256LCK_U) in PASS_LOCK3_PG register.                                                           */
/*                                                                                                                                               */
/* 0.1r 12-Dec-13        - Suppressed APC bit field in PFLASH_PFCR1 register.                                                                    */
/*                       - Renamed P0_IFPFEN bit field (was P0_IPFEN) in PFLASH_PFCR1 register.                                                  */
/*                       - Renamed P1_IFPFEN bit field (was P1_IPFEN) in PFLASH_PFCR2 register.                                                  */
/*                       - Added missing BDRM bit field in PFLASH_PFCR3 register.                                                                */
/*                       - Added missing MDIS_RTI bit field in PIT_MCR register.                                                                 */
/*                                                                                                                                               */
/* 0.1s 13-Dec-13        - Suppressed EPR_VD2 register in PMCDIG feature.                                                                        */
/*                       - Added missing EPR_VD8, REE_VD8, FEE_VD8 registers in PMCDIG feature.                                                  */
/*                       - Suppressed EPR_VD12,REE_VD12,RES_VD12,FEE_VD12 registers in PMCDIG feature.                                           */
/*                       - Suppressed EPR_VD13,REE_VD13,RES_VD13,FEE_VD13 registers in PMCDIG feature.                                           */
/*                       - Suppressed RES_VD15 register in PMCDIG feature.                                                                       */
/*                       - Added missing VSIO, MREG_CTRL, MREG_TRIM registers in PMCDIG feature.                                                 */
/*                       - Suppressed TRIM_VD3_C, TRIM_VD3_F, TRIM_VD3_P, TRIM_VD4_C  registers in PMCDIG feature.                               */
/*                       - Suppressed TRIM_VD7_C, TRIM_VD7_F registers in PMCDIG feature.                                                        */
/*                       - Suppressed TRIM_VD9_C, TRIM_VD9_F, TRIM_VD9_IM, TRIM_VD9_IJ  registers in PMCDIG feature.                             */
/*                       - Suppressed TRIM_VD9_IF, TRIM_VD9_O registers in PMCDIG feature.                                                       */
/*                       - Suppressed TRIM_VD10_F, TRIM_VD12_F, TRIM_VD13_IM, TRIM_VD13_A registers in PMCDIG feature.                           */
/*                       - Suppressed TRIM_VD14_IM, TRIM_VD14_A  registers in PMCDIG feature.                                                    */
/*                       - Suppressed TRIM_VD15_C, TRIM_VD15_A, BG_CTRIM_C, BG_CTRIM_R, BG_CTRIM_H  registers in PMCDIG feature.                 */
/*                       - Suppressed BG_ATRIM_C, BG_ATRIM_R, BG_ATRIM_H registers in PMCDIG feature.                                            */
/*                       - Suppressed VREG3P3_TRIM, VREG1P2_TRIM registers in PMCDIG feature.                                                    */
/*                       - Suppressed NT_TD0, NT_TD2, ADC_BGT registers in PMCDIG feature.                                                       */
/*                       - Added missing ADC_CS, VREG1P2_CTRL registers in PMCDIG feature.                                                       */
/*                       - Added missing VD8, TS0, TS2, TS3 bitS fieldS in PMCDIG_GR_S register.                                                 */
/*                       - Suppressed VD1, VD2_C, VD2_F, VD13_IM, VD13_A, VD14_A, VD15_A bits fields in PMCDIG_GR_P register.                    */
/*                       - Suppressed TS0, TS2, TS3 bits fields in PMCDIG_GR_P register.                                                         */
/*                       - Added missing VD8_F, VD8_C, VD10_O, VD10_A, VD15_F bits fields in PMCDIG_GR_P register.                               */
/*                       - Suppressed TS3IE, TS2IE, TS0IE, VD14IE_A bits fields in PMCDIG_IE_P register.                                         */
/*                       - Suppressed HVD7_F bits fields in PMCDIG_EPR_VD7 register.                                                             */
/*                       - Suppressed HVD7_F bits fields in PMCDIG_REE_VD7 register.                                                             */
/*                       - Suppressed HVD7_F bits fields in PMCDIG_RES_VD7 register.                                                             */
/*                       - Suppressed FEE7_F bits fields in PMCDIG_FEE_VD7 register.                                                             */
/*                       - Suppressed LVD9_O, LVD9_IJ, LVD9_IM, LVD9_F, LVD9_C bits fields in PMCDIG_RES_VD9 register.                           */
/*                       - Added missing LVD10_A, LVD10_C bits fields in PMCDIG_EPR_VD10 register.                                               */
/*                       - Suppressed LVD10_F bits fields in PMCDIG_EPR_VD10 register.                                                           */
/*                       - Added missing LVD10_A, LVD10_C bits fields in PMCDIG_REE_VD10 register.                                               */
/*                       - Suppressed LVD10_F bits fields in PMCDIG_REE_VD10 register.                                                           */
/*                       - Added missing LVD10_A, LVD10_C bits fields in PMCDIG_RES_VD10 register.                                               */
/*                       - Suppressed LVD10_F bits fields in PMCDIG_RES_VD10 register.                                                           */
/*                       - Added missing FEE10_A, FEE10_C bits fields in PMCDIG_FEE_VD10 register.                                               */
/*                       - Suppressed FEE10_F bits fields in PMCDIG_FEE_VD10 register.                                                           */
/*                       - Suppressed LVD14_A bit field in PMCDIG_EPR_VD14 register.                                                             */
/*                       - Suppressed LVD14_A bit field in PMCDIG_REE_VD14 register.                                                             */
/*                       - Suppressed LVD14_A bit field in PMCDIG_RES_VD14 register.                                                             */
/*                       - Suppressed FEE14_A bit field in PMCDIG_FEE_VD14 register.                                                             */
/*                       - Suppressed HVD15_A bit field in PMCDIG_EPR_VD15 register.                                                             */
/*                       - Added missing HVD15_F bit field in PMCDIG_EPR_VD15 register.                                                          */
/*                       - Suppressed HVD15_A bit field in PMCDIG_REE_VD15 register.                                                             */
/*                       - Added missing HVD15_F bit field in PMCDIG_REE_VD15 register.                                                          */
/*                       - Suppressed FEE15_A bit field in PMCDIG_FEE_VD15 register.                                                             */
/*                       - Added missing FEE15_F bit field in PMCDIG_FEE_VD15 register.                                                          */
/*                       - Added missing TS3IE, TS2IE, TS0IE, TRIM_ADJ_UNDER bit field in PMCDIG_CTL_TD register.                                */
/*                       - Added missing VOLT4_EN, VOLT3_EN, VOLT2_EN, VOLT1_EN bits fields in PMCDIG_VD_UTST register.                          */
/*                       - Added missing VOLT4, VOLT3, VOLT2, VOLT1 bits fields in PMCDIG_VD_UTST register.                                      */
/*                       - Suppressed RD1WS bit field in PRAM_PRCR1 register.                                                                    */
/*                       - Added missing PRI, P1_BO_DIS, P0_BO_DIS, FT_DIS bits fields in PRAM_PRCR1 register.                                   */
/*                                                                                                                                               */
/* 0.1t 16-Dec-13        - Renamed FAST_CLR_PSI5 (was FAST_CLK_PSI5) bit field in PSI5_PCCR register.                                            */
/*                       - Renamed FAST_CLR_SMC (was FAST_CLK_SENT) bit field in PSI5_PCCR register.                                             */
/*                       - Added missing DEBUG_EN bit field in PSI5_PCCR register.                                                               */
/*                       - Added missing GTM_RESET_ASYNC_EN bit field in PSI5_PCCR register.                                                     */
/*                       - Renamed SMC_RXDATA bits field (was SENT_RXDATA) in PSI5_DSFR register.                                                */
/*                       - Renamed SLOT_COUNTER bits field (was FRAME_COUNTER) in PSI5_PMRRH register.                                           */
/*                       - Suppressed OW bit field in PSI5_PMRRHi (i=0 to 31) register.                                                          */
/*                       - Renamed SLOT_COUNTER bits field (was FRAME_COUNTER) in PSI5_PMRRHi (i=0 to 31) register.                              */
/*                       - Renamed 0 bit field (was 0W) in PSI5_PMRRHi (i=0 to 31) register.                                                     */
/*                       - Renamed SLOT_COUNTER bits field (was FRAME_COUNTER) in PSI5_DTSRR register.                                           */
/*                       - Added missing DATA_LENGTH bits field in PSI5_DOBCR register.                                                          */
/*                       - Renamed all bits fields in PSI5_DPRL register.                                                                        */
/*                       - Renamed all bits fields in PSI5_DBRL register.                                                                        */
/*                       - Renamed all bits fields in PSI5_DBRH register.                                                                        */
/*                       - Renamed all bits fields in PSI5_DSRL register.                                                                        */
/*                       - Suppressed DEM_EN & RCDIV bits fields in RCOSC_CTL register.                                                          */
/*                       - Added missing FT_CODE & TX_CODE bits field in RCOSC_NT register.                                                      */
/*                       - Added missing XSTRTEN, NTRGEN, NEDGESEL, CTUEN, WTRIGOUT bits fields in SARADC_MCR register.                          */
/*                       - Renamed JABORTCHAIN bit field (was JABORT) in SARADC_MSR register.                                                    */
/*                       - Added missing CTUSTART bit field in SARADC_MSR register.                                                              */
/*                       - Added missing EOCTU & CTUTRGERR bits fields in SARADC_ISR register.                                                   */
/*                       - Added missing MSKEOCTU bit field in SARADC_IMR register.                                                              */
/*                       - Added missing CRES bit field in SARADC_CTR[4] registers.                                                              */
/*                       - Increase CDATA bit field to 16 instead of 12 in SARADC_ICDR[96] register.                                             */
/*                       - Added missing WTHHLR register in SDADC feature.                                                                       */
/*                       - Suppressed ODF, ODA bits fields in SDADC_MCR register.                                                                */
/*                       - Added missing WDGEN, WRMODE bits fields in SDADC_MCR register.                                                        */
/*                       - Added missing ANCHSEL_WRAP bits field in SDADC_CSR register.                                                          */
/*                                                                                                                                               */
/* 0.1u 17-Dec-13        - Added missing WTHL, WTHH, ANCHSEL_CNT bits fields in SDADC_SFR register.                                              */
/*                       - Added missing WTHDIRE, WTHDIRS bits fields in SDADC_RSER register.                                                    */
/*                       - Added missing FOWEN, FRST bits fields in SDADC_FCR register.                                                          */
/*                       - Changed bits fields names EIF0 to EIF11 in SIUL2_DISR0 register.                                                      */
/*                       - Changed bits fields names EIRE8 to 0 in SIUL2_DIRER0 register.                                                        */
/*                       - Changed bits fields names DIRS11 to 0 in SIUL2_DIRSR0 register.                                                       */
/*                       - Changed bits fields names IREE11 to 0 in SIUL2_IREER0 register.                                                       */
/*                       - Changed bits fields names IFEE11 to 0 in SIUL2_IFEER0 register.                                                       */
/*                       - Changed bits fields names IFE11 to 0 in SIUL2_IFER0 register.                                                         */
/*                       - Added missing ASSERT_ESR0 bit field in SIUL2_SCR0 register.                                                           */
/*                       - Suppressed FEC_MODE bit field in SIUL2_SCR0 register.                                                                 */
/*                       - Reduced OERC bits field size to 2 in SIUL2_MSCR[1024] register.                                                       */
/*                       - Added SMPU1 channel 1 registers.                                                                                      */
/*                       - Suppressed ACCSET3 to 1 bits fields in SMPUx_RGDn_WORD3 registers.                                                    */
/*                       - Suppressed CH4 registers IN SRX (SENT Receiver) feature.                                                              */
/*                       - Added missing BUS_IDLE bit field in SRX_CHn_STATUS registers.                                                         */
/*                       - Added missing BUS_IDLE_CNT, FCRC_CHK_OFF bits fields in SRX_CHn_CONFIG registers.                                     */
/*                       - Suppressed DEBUGPORT, UOPS, HSA registers in SSCM feature.                                                            */
/*                       - Added missing LCSTAT registers in SSCM feature.                                                                       */
/*                       - Renamed MBU bit field (was CHBRD) in STCU2_CFG register.                                                              */
/*                       - Renamed UFSF bit field (was CFSF) in STCU2_ERR_STAT register.                                                         */
/*                       - Renamed RFSF bit field (was NCFSF) in STCU2_ERR_STAT register.                                                        */
/*                       - Renamed MBUFML register instead of MBCFML in STCU2 feature.                                                           */
/*                       - Renamed MBUFM0 to 31 bit field (was MBCFM0 to 31) in MBUFML register.                                                 */
/*                       - Renamed MBUFMM register instead of MBCFMM in STCU2 feature.                                                           */
/*                       - Renamed MBUFM32 to 63 bit field (was MBCFM32 to 63) in MBUFMM register.                                               */
/*                       - Added missing "SW" end of name for MISRRSW32 to 41 in LB_MISRRHSW register.                                           */
/*                       - Suppressed CSL bit field in SWT_CR register.                                                                          */
/*                       - Added missing FBTP register in TTCAN feature.                                                                         */
/*                                                                                                                                               */
/* 0.1v 18-Dec-13        - Added missing TDCV, CAT, CAM, TAT, TAM bits fields in TTCAN_TEST register.                                            */
/*                       - Added missing FDBS, FDO, CMR, CME bits fields in TTCAN_CCCR register.                                                 */
/*                       - Renamed BRPE bit field (was BRP) and increase size to 10 instead of 4 in TTCAN_BTP register.                          */
/*                       - Added missing TSEG1 bits field in TTCAN_BTP register.                                                                 */
/*                       - Increase TSEG2 bits field size to 4 instead of 3 in TTCAN_BTP register.                                               */
/*                       - Suppressed CSR, BRPL bits field in TTCAN_BTP register.                                                                */
/*                       - Increase SJW bits field size to 4 instead of 2 in TTCAN_BTP register.                                                 */
/*                       - Renamed TOC bit field (was TSC) in TTCAN_TOCV register.                                                               */
/*                       - Added missing REDL, RBRS, RESI, FLEC bits fields in TTCAN_PSR register.                                               */
/*                       - Added missing DRX bit field in TTCAN_IR register.                                                                     */
/*                       - Added missing DRXE bit field in TTCAN_IE register.                                                                    */
/*                       - Added missing DRXL bit field in TTCAN_ILS register.                                                                   */
/*                       - Renamed LSE bit field (was LSELSE) in TTCAN_XIDFC register.                                                           */
/*                       - Added missing NDAT1 & 2 registers in TTCAN feature.                                                                   */
/*                       - Added missing F0PI bits field in TTCAN_RXF0S register.                                                                */
/*                       - Added missing RXBC register in TTCAN feature.                                                                         */
/*                       - Added missing DMS, F1PI bits field in TTCAN_RXF1S register.                                                           */
/*                       - Added missing TFGI bits field in TTCAN_TXFQS register.                                                                */
/*                       - Added missing EFPI bits field in TTCAN_TXEFS register.                                                                */
/*                       - Added missing CSS bits field in TTCAN_TTMLM register.                                                                 */
/*                       - Added missing TTIE bits field in TTCAN_TTOCN register.                                                                */
/*                       - Added missing WISR, IRER, WIREER, WIFEER registers in WKPU feature.                                                   */
/*                                                                                                                                               */
/* 0.1w 19-Dec-13        - Added missing HRP, HPE bits field in XBAR_CRS register.                                                               */
/*                       - Moved SE0 to 7 bits fields inside XBIC_MCR register.                                                                  */
/*                       - Added missing ME0 to 7 bits fields inside XBIC_MCR register.                                                          */
/*                       - Added missing DPSE0 to 7 and DPME0 to 7 bits fields inside XBIC_ESR register.                                         */
/*                                                                                                                                               */
/* 0.1x 20-Dec-13        - Renamed FMSZ5 bit field (was FMSZ6) in SPI_CTAR[8] register.                                                          */
/*                       - Added B_Slave structure to be able to select the slave mode for the DSPI_PUSHR register.                              */
/*                       - Added missing TXSS bit field in DSPI_DSICR0 register.                                                                 */
/*                       - Suppressed TRRE bit field in DSPI_DSICR0 register.                                                                    */
/*                       - Suppressed PISR4, PISR5, PISR6, PISR7 registers in DSPI feature.                                                      */
/*                       - Renamed RFTOE0 bit field (was NCFTOE0) in FCCU_RF_TOE[4] register due to probably a bad copy/paste.                   */
/*                       - Added missing RRE, AEE, EEE bits fields in FLASH_MCR register.                                                        */
/*                       - Added B_relative_timer structure to select the relative timer for the FR_TI2CR0 & 1 register.                         */
/*                       - Renamed CYC_EE bit field (was CYS_EE) in FR_PEOER register.                                                           */
/*                       - Renamed RCTSMX bit field (was CTSMX) in LFAST_RFCR register.                                                          */
/*                       - Renamed RCTSMN bit field (was CTSMN) in LFAST_RFCR register.                                                          */
/*                       - Renamed TOC bit field (was TSC) in MCAN_TOCV register.                                                                */
/*                       - Added missing RP bit field in MCAN_ECR register.                                                                      */
/*                                                                                                                                               */
/* 0.1y 02-Jan-14        - Reduced PRI bits field size to 4 (instead of 6) in INTC_PSR register.                                                 */
/*                                                                                                                                               */
/* 0.1z 03-Jan-14        - Renamed INTMAJOR bit field (instead of INTMAJ) in DMA.TCD register.                                                   */
/*                                                                                                                                               */
/* 0.2  06-Jan-14        - Moved LFAST feature before LINFLEX to be stored in alphabetical order and aligned with the .per file.                 */
/*                       - Added missing AUTOSYNC_COMP bit field in LINFlex.LINSR registers.                                                     */
/*                       - Moved MC_PCU feature before MC_RGM to be stored in alphabetical order and aligned with the .per file.                 */
/*                       - Moved MCAN feature before MEMU to be stored in alphabetical order and aligned with the .per file.                     */
/*                       - Renamed TTCAN feature by M_TTCAN.                                                                                     */
/*                       - Renamed MPROTa to h by MPROT0 to 15 in PBRIDGE.MPRA & MPRB registers.                                                 */
/*                       - Renamed TEMP_2 to 0 by 3 to 0 in PMC_DIG.REE_TD register.                                                             */
/*                       - Renamed TEMP_2 to 0 by 3 to 0 in PMC_DIG.RES_TD register.                                                             */
/*                       - Reduced to 2 the number of PSI5 Channels.                                                                             */
/*                       - Renamed RCOSC feature by IRCOSC.                                                                                      */
/*                                                                                                                                               */
/* 0.2a 07-Jan-14        - Added THRH & THRL bits fields missing in SDADC.WTHHLR register.                                                       */
/*                       - Added B_read structure in SEMA42.RSTGT register.                                                                      */
/*                       - Renamed CDR2 bit field by CDR in SIPI.CDR2 & 3 registers.                                                             */
/*                       - Renamed LOCKEUFM (instead of LOCKECFM) in STCU2.ERR_FM register.                                                      */
/*                       - Renamed WDTOUFM (instead of WDTOCFM) in STCU2.ERR_FM register.                                                        */
/*                       - Renamed CRCSUFM (instead of CRCSFM) in STCU2.ERR_FM register.                                                         */
/*                       - Renamed ENGEUFM (instead of ENGECFM) in STCU2.ERR_FM register.                                                        */
/*                       - Renamed INVPUFM (instead of INVPCFM) in STCU2.ERR_FM register.                                                        */
/*                       - Renamed LBUFM register and bit fields (was LBCFM) in STCU2 feature.                                                   */
/*                       - Suppressed FLCI bit field in CMU.ISR register.                                                                        */
/*                                                                                                                                               */
/* 0.2b 10-Jan-14        - Suppressed SDADC_2 memory part because feature no present on K2 cut 2.                                                */
/*                       - Put in comments DATA_CTRL2 register in SENT feature not existing in K2.                                               */
/*                                                                                                                                               */
/* 0.2c 03-Fev-14        - Suppressed 6 too more first bits in MCANx_RXF1S register.                                                             */
/*                       - Suppressed 5 too more first bits in MCANx_RXESC register.                                                             */
/*                                                                                                                                               */
/* 0.2d 04-Fev-14        - Suppressed DOZE & XSPI bits fields in DSPIx_MCR register not implemented in this device.                              */
/*                       - Created 2 LINFLEX registers maps ("LINFlexD_0 with IFCR registers" and "LINFlexD_1,2,14,15 without IFCR registers").  */
/*                       - Added missing ATSL bit field in PASS_LOCK0&1_PG register.                                                             */
/*                       - Suppressed RL3 & 4 bits field in PASS_LOCK3_PG register not implemented in this device.                               */
/*                       - Added missing CCCU registers.                                                                                         */
/*                       - Inverted MC_CGM_PCS_DIVSx & Cx registers in the memory map as in the Reference Manual Rev3 DraftC.                    */
/*                       - Added SC_DIV_RC, DIV_UPD_TYPE, DIV_UPD_TRIG, DIV_UPD_STAT registers in MC_CGM feature.                                */
/*                                                                                                                                               */
/* 0.2e 28-Fev-14        - Added missing 3 PCM registers (FBOMCR, IAHB_BE1, IAHB_BE2).                                                           */
/*                                                                                                                                               */
/* 0.2f 12-Mar-14        - Added EIF2 missing bit in the SIUL2_DISR0 register, detected by Fanny XU.                                             */
/*                                                                                                                                               */
/* 0.2g 26-Mar-14        - In the INTC feature the CPRn bit field size is 6 bits instead of 4 bits (was wrong also in the K2 Reference Manual).  */
/*                                                                                                                                               */
/* 0.2h 05-May-14        - Inverted registers names sequence between MC_CGM_PCS_DIVE1 and MC_CGM_PCS_DIVS1.                                      */
/*                                                                                                                                               */
/* 0.2i 26-May-14        - Changed FLASH.ADR.ADDR bits fields size to 21 instead of 24.                                                          */
/*                                                                                                                                               */
/* 0.2j 06-June-14       - Added missing "reserved" memory space in FLASH 0x0C.                                                                  */
/*                       - Recovered CJE register in PASS feature that was suppressed in a previous release.                                     */
/*                       - Changed INTC_SSCIR[n] registers size to 8 bits.                                                                       */
/*                       - Added possibility to access in 8 bits to the INTC_PSR[n] registers for MPROT usage compatibility.                     */
/*                                                                                                                                               */
/* 0.3  26-June-14       - Changed TS0 to TS3 bits fields size to 1 instead of previous bad size 8.                                              */
/*                       - Added PMCDIG_reserved4[4] missing (corresponds to RES_VD8).                                                           */
/*                                                                                                                                               */
/* 0.4  07-Oct-14        - BUS_IDLE bit field size 1 instead of 3 in the SENT SRX.CH0_STATUS register.                                           */
/*                                                                                                                                               */
/* 0.5  10-Dec-14        - Suppressed SDADC_2 memory part because feature no present on K2 cut 2 (not well done in January).                     */
/*                                                                                                                                               */
/* 0.6  09-Jan-15        - LFAST_LCR splited the bit field LVRXOP into 3 fields LVRXOP_TR(bit26),Reserved(bit 27) and LVRXOP_BR(bit 28).         */
/*                       - ME_IMTS added field S_MRIG to bit 26.                                                                                 */
/*                       - ME_PS1 set bit 4 to Reserved (was field S_ADCSD_2).                                                                   */
/*                       - ME_PCTLn set bit 1 to Reserved (was field DBG_F).                                                                     */
/*                       - RGM_DERD added field D_SSCM_DEST to bit 21.                                                                           */
/*                       - RGM_FEAR set bit 28 to Reserved (was field "AR_SOFT_FUNC").                                                           */
/*                       - PMC_VSIO set bit 23 to Reserved (was field VSIO_IM).                                                                  */
/*                       - PSI5_PMRRL renamed field CRC to CRCP.                                                                                 */
/*                       - SIUL2_SCR0 renamed field ASSERT_ESR0 to ESR0_ASSERT.                                                                  */
/*                       - SRX_0_GBL_CTRL added field NIB_LEN_VAR_LIMIT to bit 16.                                                               */
/*                       - Added TDM_DBA register.                                                                                               */
/*                       - Added TDM_STO_KEYn registers.                                                                                         */
/*                       - Added register EPR_VD2 in PMCDIG feature.                                                                             */
/*                       - Added register MCR in PMCDIG feature.                                                                                 */
/*                       - Added register RES_VD15 in PMCDIG feature.                                                                            */
/*                       - PMCDIG_MREG_TRIM_MREG_TRIM bit field modified to "5" (was 1).                                                         */
/*                       - PMCDIG_VD_UTST register bit fields modified.                                                                          */
/*                       - PMCDIG_ADC_CH register renamed as ADC_CS.                                                                             */
/*                       - PMCDIG_VREG1P2_CTRL renamed VREG1P2_DIS bit field by VREG1P2_ENB_USER.                                                */
/*                       - PMCDIG_VREG1P2_CTRL added VREG1P2_ENB bit field to bit 30.                                                            */
/*                                                                                                                                               */
/* 0.7   29-Apr-15       - Increased SRX_reserved2 size to [12] instead of [8].                                                                  */
/*                                                                                                                                               */
/* 0.8   04-May-15       - Detailed FDMA_ENx, SDMA_ENx bits in the SRX registers FDMA_CTRL, SDMA_CTRL, FRDY_IE, SRDY_IE registers.               */
/*                                                                                                                                               */
/* 0.9   11-Jun-15       - CRC_CFG renamed (was CRC_CFG1).                                                                                       */
/*                       - SRX name replaced by SENT name.                                                                                       */
/*                                                                                                                                               */
/* 1.0   20-Jul-15       - Added WKPU.WKPU_reserved2[8] missing at the 0x0C offset.                                                              */
/*                       - Added WRER missing register in the WKPU feature.                                                                      */
/*                       - Added WKPU.WKPU_reserved3[8] missing at the 0x20 offset.                                                              */
/*                       - Updated WISR, IRER, WIREER, WIFEER registers in the WKPU feature.                                                     */
/*                       - Added WIFER, WIPUER missing registers in the WKPU feature.                                                            */
/*                                                                                                                                               */
/* 1.1   07-Aug-15       - Added the structured .R and .B for the SMOD, SSIZE, DMOD, DSIZE bits in the ATTR EDMA_TCD_STD_tag,                    */
/*                         EDMA_TCD_alt2_tag et EDMA_TCD_alt2_tag.                                                                               */
/*                                                                                                                                               */
/* 1.2   10-Dec-15       - Added in the structure .R for the CSR register in EDMA_TCD_STD_tag, DMA_TCD_alt2_tag and EDMA_TCD_alt3_tag.           */
/*                                                                                                                                               */
/* 1.3   11-Dec-15       - Added one missing empty bit in the FLASH.MCR register.                                                                */
/*                                                                                                                                               */
/* 1.4   26-May-16       - Added EDCSELF bit in the SARADC.MCR register.                                                                         */
/*                                                                                                                                               */
/* 1.5   02-June-16      - Added JTAGM_ED for the ERR010307 patch for the Emulation Device.                                                      */
/*                                                                                                                                               */
/* 1.6   26-Jan-17       - Added RES_VD8 in PMCDIG.                                                                                              */
/*                                                                                                                                               */
/* 1.7   27-Feb-17       - Aligned CMU name with the Reference Manual. SPC574K cut 2.3                                                           */
/*                                                                                                                                               */
/* 1.8   05-Jan-17       - CAN-FD registers adaptation for the K2 cut 2.4.  This version is not backward compatible with the K2 cut 2.3          */
/*                                                                                                                                               */
/* 1.9   12-Apr-17       - CAN SIDFC,XIDFC,RXF0C,RXF1C,RXBC,TXBC,TXEFC registers update for the K2 cut 2.4.                                      */
/*                                                                                                                                               */
/* 2.0   09-May-17       - NDAT1, NDAT2, TXBRP, TXBAR, TXBCR, TXBT0, TXBCF, TXBTIE, TXBCIE bits fields detailed (per bit number) applied to TTCAN*/
/*                       - Added "E" at the end the MRAFE bit field of the CAN.IE register to be in line with the Reference Manual.              */
/*                                                                                                                                               */
/* 2.1   10-May-17       - NDAT1, NDAT2, TXBRP, TXBAR, TXBCR, TXBT0, TXBCF, TXBTIE, TXBCIE bits fields detailed (per bit number) applied to MCAN.*/
/*                       - Moved "Q" inside bits fields CAN.TXBC.TFQM and TFQS to be in line with the Reference Manual.                          */
/*                       - Completed by "unused_x" empty CAN bits fields.                                                                        */
/*                                                                                                                                               */
/* 2.2   03-Oct-17	 - Removed references to author names                                                                                    */ 
/*                       - Moved list of PCTLxy structures to an array PCTL[256] of structures                                                   */
/*                       - Split the union MSCR[1024] in two arrays MSCR_IO[512] and MSCR_MUX[512]                                               */  
/*                                                                                                                                               */
/*===============================================================================================================================================*/

/*========================================================================*/
/* Example register & bit field write:                                    */
/*                                                                        */
/*  <MODULE>.<REGISTER>.B.<BIT> = 1;                                      */
/*  <MODULE>.<REGISTER>.R       = 0x10000000;                             */
/*                                                                        */
/*========================================================================*/ 

#ifndef _SPC574K_H_
#define _SPC574K_H_

#include "typedefs.h"

//#ifdef  __cplusplus
//extern "C" {
//#endif

#ifdef __MWERKS__
#pragma push
#pragma ANSI_strict off
#endif  

/**************************************************************************/
/*                   Module: CMU                                          */
/**************************************************************************/
/* 00 */
struct CMU_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:8;
            vuint32_t SFM:1;
            vuint32_t:13;
            vuint32_t CKSEL1:2;
            vuint32_t:5;
            vuint32_t RCDIV:2;
            vuint32_t CME:1;
        } B;
    } CSR;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t FD:20;
        } B;
    } FDR;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;
            vuint32_t HFREF:12;
        } B;
    } HFREFR;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;
            vuint32_t LFREF:12;
        } B;
    } LFREFR;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:29;                            
            vuint32_t FHHI:1;
            vuint32_t FLLI:1;
            vuint32_t OLRI:1;
        } B;
    } ISR;

    /* 14 */    
    uint8_t CMU_reserved1[4];

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t MD:20;
        } B;
    } MDR;
};
/**************************************************************************/
/*                   Module: CRC                                          */
/**************************************************************************/
/* 00 */
struct CRC_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;                            
            vuint32_t SWAP_BYTEWISE:1;               
            vuint32_t SWAP_BITWISE:1;                
            vuint32_t POLYG:2;
            vuint32_t SWAP:1;
            vuint32_t INV:1;
        } B;
    } CFG;                                    

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t INP:32;
        } B;
    } INP1;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CSTAT:32;
        } B;
    } CSTAT1;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OUTP:32;
        } B;
    } OUTP1;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;                            
            vuint32_t SWAP_BYTEWISE:1;               
            vuint32_t SWAP_BITWISE:1;                
            vuint32_t POLYG:2;
            vuint32_t SWAP:1;
            vuint32_t INV:1;
        } B;
    } CFG2;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t INP:32;
        } B;
    } INP2;

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CSTAT:32;
        } B;
    } CSTAT2;

    /* 1C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OUTP:32;
        } B;
    } OUTP2;
};
/****************************************************************************/
/*       DMA Transfer Control Descriptor (TCD)                              */
/****************************************************************************/
struct EDMA_TCD_STD_tag {       /* for "standard" format TCDs (when EDMA.TCD[x].CITER.E_LINK==BITER.E_LINK=0 && EDMA.EMLM=0 ) */
    /* 00 */
    vuint32_t SADDR;            /* Source Address */

    /* 04 *//* ATTR Transfer Attributes */
    union {
        vuint16_t R;
        struct {
            vuint16_t SMOD:5;           /* Source Address Modulo */
            vuint16_t SSIZE:3;          /* Source Data Transfer Size */
            vuint16_t DMOD:5;           /* Destination Address Modulo */
            vuint16_t DSIZE:3;          /* Destination Data Transfer Size */
        }B;
    } ATTR;

    /* 06 */
    vint16_t SOFF;    /* Signed Source Address Offset */

    /* 08 */
    vuint32_t NBYTES; /* Inner ("Minor") Byte Transfer Count */

    /* 0C */
    vint32_t SLAST;   /* Last Source Address Adjustment */

    /* 10 */
    vuint32_t DADDR;  /* Destination Address */

    /* 14 */
    vuint16_t CITER_ELINK:1; /* Enable Channel-to-Channel */
    /* Linking on Minor Loop Completion */
    vuint16_t CITER:15; /* Current Major Iteration Count */

    /* 16 */
    vint16_t DOFF; /* Signed Destination Address Offset */

    /* 18 */
    vint32_t DLAST_SGA; /* Last Destination Address Adjustment, or  */
    /* Scatter/Gather Address (if E_SG = 1) */

    /* 1C */
    vuint16_t BITER_ELINK:1; /* Enable Channel-to-Channel */
    /* Linking on Minor Loop Complete */
    vuint16_t BITER:15; /* Starting ("Major") Iteration Count */

    /* 1E *//* CSR Channel Control/Status */
    union {
        vuint16_t R;
        struct {
            vuint16_t BWC:2;            /* bandwidth control */
            vuint16_t MAJORLINKCH:6;    /* enable channel-to-channel link */
            vuint16_t DONE:1;           /* channel done */
            vuint16_t ACTIVE:1;         /* channel active */
            vuint16_t MAJORELINK:1;     /* enable channel-to-channel link */
            vuint16_t ESG:1;            /* enable scatter/gather descriptor */
            vuint16_t DREQ:1;           /* disable ipd_req when done */
            vuint16_t INTHALF:1;        /* interrupt on citer = (biter >> 1) */
            vuint16_t INTMAJOR:1;       /* interrupt on major loop completion */             
            vuint16_t START:1;          /* explicit channel start */
        } B;
    } CSR;        
};

struct EDMA_TCD_alt1_tag { /* for alternate format TCDs (when EDMA.TCD[x].CITER.E_LINK==BITER.E_LINK=1 ) */

    /* 00 */
    vuint32_t SADDR; /* Source Address */

    /* 04 *//* ATTR Transfer Attributes */
    union {
        vuint16_t R;
        struct {
            vuint16_t SMOD:5;  /* Source Address Modulo */
            vuint16_t SSIZE:3; /* Source Data Transfer Size */
            vuint16_t DMOD:5;  /* Destination Address Modulo */
            vuint16_t DSIZE:3; /* Destination Data Transfer Size */
        }B;
    } ATTR;

    /* 06 */
    vint16_t SOFF;              /* Signed Source Address Offset */

    /* 08 */
    vuint32_t NBYTES;           /* Inner ("Minor") Byte Transfer Count */

    /* 0C */
    vint32_t SLAST;             /* Last Source Address Adjustment */

    /* 10 */
    vuint32_t DADDR;            /* Destination Address */

    /* 14 */
    vuint16_t CITER_ELINK:1;    /* Enable Channel-to-Channel */
    /* Linking on Minor Loop Completion */
    vuint16_t CITER_LINKCH:6;   /* Link Channel Number */
    vuint16_t CITER:9;          /* Current Major Iteration Count */

    /* 16 */
    vint16_t DOFF;              /* Signed Destination Address Offset */

    /* 18 */
    vint32_t DLAST_SGA;         /* Last Destination Address Adjustment, or  */
    /* Scatter/Gather Address (if E_SG = 1)     */

    /* 1C */
    vuint16_t BITER_ELINK:1;    /* Enable Channel-to-Channel */
    /* Linking on Minor Loop Complete      */
    vuint16_t BITER_LINKCH:6;   /* Link Channel Number */
    vuint16_t BITER:9;          /* Starting ("Major") Iteration Count  */

    /* 1E *//* CSR Channel Control/Status */
    union {
        vuint16_t R;
        struct {
            vuint16_t BWC:2;            /* bandwidth control */
            vuint16_t MAJORLINKCH:6;    /* enable channel-to-channel link */
            vuint16_t DONE:1;           /* channel done */
            vuint16_t ACTIVE:1;         /* channel active */
            vuint16_t MAJORELINK:1;     /* enable channel-to-channel link */
            vuint16_t ESG:1;            /* enable scatter/gather descriptor */
            vuint16_t DREQ:1;           /* disable ipd_req when done */
            vuint16_t INTHALF:1;        /* interrupt on citer = (biter >> 1) */
            vuint16_t INTMAJOR:1;       /* interrupt on major loop completion */            
            vuint16_t START:1;          /* explicit channel start */
        } B;
    } CSR;      
};

struct EDMA_TCD_alt2_tag { /* for alternate format TCDs (when EDMA.EMLM=1) */

    /* 00 */
    vuint32_t SADDR; /* source address */

    /* 04 *//* ATTR Transfer Attributes */
    union {
        vuint16_t R;
        struct {
            vuint16_t SMOD:5;           /* source address modulo */
            vuint16_t SSIZE:3;          /* source transfer size */
            vuint16_t DMOD:5;           /* destination address modulo */
            vuint16_t DSIZE:3;          /* destination transfer size */
        }B;
    } ATTR;

    /* 06 */
    vint16_t SOFF;              /* signed source address offset */

    /* 08 */
    vuint16_t SMLOE:1;          /* Source minor loop offset enable */
    vuint16_t DMLOE:1;          /* Destination minor loop offset enable */
    vuint32_t MLOFF:20;         /* Minor loop Offset */
    vuint16_t NBYTES:10;        /* inner (minor) byte count */

    /* 0C */
    vint32_t SLAST;             

    /* 10 */                    /* scatter/gather address (if e_sg = 1) */
    vuint32_t DADDR;            /* destination address */

    /* 14 */
    vuint16_t CITER_ELINK:1;
    vuint16_t CITER:15;

    /* 16 */
    vint16_t DOFF;              /* signed destination address offset */

    /* 18 */
    vint32_t DLAST_SGA;

    /* 1C */
    vuint16_t BITER_ELINK:1;    /* beginning ("major") iteration count */
    vuint16_t BITER:15;

    /* 1E */
    union {
        vuint16_t R;
        struct {
            vuint16_t BWC:2;            /* bandwidth control */
            vuint16_t MAJORLINKCH:6;    /* enable channel-to-channel link */
            vuint16_t DONE:1;           /* channel done */
            vuint16_t ACTIVE:1;         /* channel active */
            vuint16_t MAJORELINK:1;     /* enable channel-to-channel link */
            vuint16_t ESG:1;            /* enable scatter/gather descriptor */
            vuint16_t DREQ:1;           /* disable ipd_req when done */
            vuint16_t INTHALF:1;        /* interrupt on citer = (biter >> 1) */
            vuint16_t INTMAJOR:1;       /* interrupt on major loop completion */            
            vuint16_t START:1;          /* explicit channel start */
        } B;
    } CSR;    
};

/**************************************************************************/
/*                   Module: DMA                                          */
/**************************************************************************/
/* 00 */
struct DMA_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:14;
            vuint32_t CX:1;
            vuint32_t ECX:1;
            vuint32_t:4;                           
            vuint32_t GRP1PRI:2;                   
            vuint32_t GRP0PRI:2;
            vuint32_t EMLM:1;
            vuint32_t CLM:1;
            vuint32_t HALT:1;
            vuint32_t HOE:1;
            vuint32_t ERGA:1;
            vuint32_t ERCA:1;
            vuint32_t EDBG:1;
            vuint32_t:1;
        } B;
    } CR;

    /* 04 */
    union {
        vuint32_t R;
        struct {
            vuint32_t VLD:1;
            vuint32_t:13;
            vuint32_t UCE:1;
            vuint32_t ECX:1;
            vuint32_t GPE:1;
            vuint32_t CPE:1;
            vuint32_t ERRCHN:6;
            vuint32_t SAE:1;
            vuint32_t SOE:1;
            vuint32_t DAE:1;
            vuint32_t DOE:1;
            vuint32_t NCE:1;
            vuint32_t SGE:1;
            vuint32_t SBE:1;
            vuint32_t DBE:1;
        } B;
    } ES;

    /* 08 */    
    uint8_t DMA_reserved1[4];                        

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ERQ31:1;
            vuint32_t ERQ30:1;
            vuint32_t ERQ29:1;
            vuint32_t ERQ28:1;
            vuint32_t ERQ27:1;
            vuint32_t ERQ26:1;
            vuint32_t ERQ25:1;
            vuint32_t ERQ24:1;
            vuint32_t ERQ23:1;
            vuint32_t ERQ22:1;
            vuint32_t ERQ21:1;
            vuint32_t ERQ20:1;
            vuint32_t ERQ19:1;
            vuint32_t ERQ18:1;
            vuint32_t ERQ17:1;
            vuint32_t ERQ16:1;
            vuint32_t ERQ15:1;
            vuint32_t ERQ14:1;
            vuint32_t ERQ13:1;
            vuint32_t ERQ12:1;
            vuint32_t ERQ11:1;
            vuint32_t ERQ10:1;
            vuint32_t ERQ9:1;
            vuint32_t ERQ8:1;
            vuint32_t ERQ7:1;
            vuint32_t ERQ6:1;
            vuint32_t ERQ5:1;
            vuint32_t ERQ4:1;
            vuint32_t ERQ3:1;
            vuint32_t ERQ2:1;
            vuint32_t ERQ1:1;
            vuint32_t ERQ0:1;
        } B;
    } ERQL;

    /* 10 */    
    uint8_t DMA_reserved2[4];                        

    /* 14 */
    union {
        vuint32_t R;
        struct {
            vuint32_t EEI31:1;
            vuint32_t EEI30:1;
            vuint32_t EEI29:1;
            vuint32_t EEI28:1;
            vuint32_t EEI27:1;
            vuint32_t EEI26:1;
            vuint32_t EEI25:1;
            vuint32_t EEI24:1;
            vuint32_t EEI23:1;
            vuint32_t EEI22:1;
            vuint32_t EEI21:1;
            vuint32_t EEI20:1;
            vuint32_t EEI19:1;
            vuint32_t EEI18:1;
            vuint32_t EEI17:1;
            vuint32_t EEI16:1;
            vuint32_t EEI15:1;
            vuint32_t EEI14:1;
            vuint32_t EEI13:1;
            vuint32_t EEI12:1;
            vuint32_t EEI11:1;
            vuint32_t EEI10:1;
            vuint32_t EEI9:1;
            vuint32_t EEI8:1;
            vuint32_t EEI7:1;
            vuint32_t EEI6:1;
            vuint32_t EEI5:1;
            vuint32_t EEI4:1;
            vuint32_t EEI3:1;
            vuint32_t EEI2:1;
            vuint32_t EEI1:1;
            vuint32_t EEI0:1;
        } B;
    } EEIL;

    /* 18 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t NOP:1;
            vuint8_t SAER:1;
            vuint8_t SERQ:6;
        } B;
    } SERQ;

    /* 19 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t NOP:1;
            vuint8_t CAER:1;
            vuint8_t CERQ:6;
        } B;
    } CERQ;

    /* 1A */    
    union {
        vuint8_t R;
        struct {
            vuint8_t NOP:1;
            vuint8_t SAEE:1;
            vuint8_t SEEI:6;
        } B;
    } SEEI;

    /* 1B */    
    union {
        vuint8_t R;
        struct {
            vuint8_t NOP:1;
            vuint8_t CAEE:1;
            vuint8_t CEEI:6;
        } B;
    } CEEI;

    /* 1C */    
    union {
        vuint8_t R;
        struct {
            vuint8_t NOP:1;
            vuint8_t CAIR:1;
            vuint8_t CINT:6;
        } B;
    } CINT;

    /* 1D */    
    union {
        vuint8_t R;
        struct {
            vuint8_t NOP:1;
            vuint8_t CAEI:1;
            vuint8_t CERR:6;
        } B;
    } CERR;

    /* 1E */    
    union {
        vuint8_t R;
        struct {
            vuint8_t NOP:1;
            vuint8_t SAST:1;
            vuint8_t SSRT:6;
        } B;
    } SSRT;

    /* 1F */    
    union {
        vuint8_t R;
        struct {
            vuint8_t NOP:1;
            vuint8_t CADN:1;
            vuint8_t CDNE:6;
        } B;
    } CDNE;

    /* 20 */    
    uint8_t DMA_reserved3[4];                        

    /* 24 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t INT31:1;
            vuint32_t INT30:1;
            vuint32_t INT29:1;
            vuint32_t INT28:1;
            vuint32_t INT27:1;
            vuint32_t INT26:1;
            vuint32_t INT25:1;
            vuint32_t INT24:1;
            vuint32_t INT23:1;
            vuint32_t INT22:1;
            vuint32_t INT21:1;
            vuint32_t INT20:1;
            vuint32_t INT19:1;
            vuint32_t INT18:1;
            vuint32_t INT17:1;
            vuint32_t INT16:1;
            vuint32_t INT15:1;
            vuint32_t INT14:1;
            vuint32_t INT13:1;
            vuint32_t INT12:1;
            vuint32_t INT11:1;
            vuint32_t INT10:1;
            vuint32_t INT9:1;
            vuint32_t INT8:1;
            vuint32_t INT7:1;
            vuint32_t INT6:1;
            vuint32_t INT5:1;
            vuint32_t INT4:1;
            vuint32_t INT3:1;
            vuint32_t INT2:1;
            vuint32_t INT1:1;
            vuint32_t INT0:1;
        } B;
    } INTL;

    /* 28 */    
    uint8_t DMA_reserved4[4];                        

    /* 2C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ERR31:1;
            vuint32_t ERR30:1;
            vuint32_t ERR29:1;
            vuint32_t ERR28:1;
            vuint32_t ERR27:1;
            vuint32_t ERR26:1;
            vuint32_t ERR25:1;
            vuint32_t ERR24:1;
            vuint32_t ERR23:1;
            vuint32_t ERR22:1;
            vuint32_t ERR21:1;
            vuint32_t ERR20:1;
            vuint32_t ERR19:1;
            vuint32_t ERR18:1;
            vuint32_t ERR17:1;
            vuint32_t ERR16:1;
            vuint32_t ERR15:1;
            vuint32_t ERR14:1;
            vuint32_t ERR13:1;
            vuint32_t ERR12:1;
            vuint32_t ERR11:1;
            vuint32_t ERR10:1;
            vuint32_t ERR9:1;
            vuint32_t ERR8:1;
            vuint32_t ERR7:1;
            vuint32_t ERR6:1;
            vuint32_t ERR5:1;
            vuint32_t ERR4:1;
            vuint32_t ERR3:1;
            vuint32_t ERR2:1;
            vuint32_t ERR1:1;
            vuint32_t ERR0:1;
        } B;
    } ERRL;

    /* 30 */    
    uint8_t DMA_reserved5[4];                        

    /* 34 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t HRS31:1;
            vuint32_t HRS30:1;
            vuint32_t HRS29:1;
            vuint32_t HRS28:1;
            vuint32_t HRS27:1;
            vuint32_t HRS26:1;
            vuint32_t HRS25:1;
            vuint32_t HRS24:1;
            vuint32_t HRS23:1;
            vuint32_t HRS22:1;
            vuint32_t HRS21:1;
            vuint32_t HRS20:1;
            vuint32_t HRS19:1;
            vuint32_t HRS18:1;
            vuint32_t HRS17:1;
            vuint32_t HRS16:1;
            vuint32_t HRS15:1;
            vuint32_t HRS14:1;
            vuint32_t HRS13:1;
            vuint32_t HRS12:1;
            vuint32_t HRS11:1;
            vuint32_t HRS10:1;
            vuint32_t HRS9:1;
            vuint32_t HRS8:1;
            vuint32_t HRS7:1;
            vuint32_t HRS6:1;
            vuint32_t HRS5:1;
            vuint32_t HRS4:1;
            vuint32_t HRS3:1;
            vuint32_t HRS2:1;
            vuint32_t HRS1:1;
            vuint32_t HRS0:1;
        } B;
    } HRSL;

    /* 38 */    
    uint8_t DMA_reserved6[200];

    /* 100 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t ECP:1;
            vuint8_t DPA:1;
            vuint8_t GRPPRI:2;
            vuint8_t CHPRI:4;
        } B;
    } DCHPRI[32];                            

    /* 120 */    
    uint8_t DMA_reserved7[32];               

    /* 140 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t EMI:1;
            vuint8_t PAL:1;
            vuint8_t:2;
            vuint8_t MID:4;
        } B;
    } DCHMID[32];                            

    /* 160 */
    uint8_t DMA_reserved8[3743];             

    /* 1000 */    
    /* Select one of the following declarations depending on the DMA mode chosen */
    //    struct EDMA_TCD_STD_tag TCD[64];    /* Standard Format   */
    struct EDMA_TCD_alt1_tag TCD[64]; /* CITER/BITER Link  */
    /* struct EDMA_TCD_alt2_tag TCD[64]; *//* Minor Loop Offset */
};
/**************************************************************************/
/*                   Module: DMACHMUX                                     */
/**************************************************************************/
/* 00 */
struct DMACHMUX_tag {
    union {
        vuint8_t R;
        struct {
            vuint8_t ENBL:1;
            vuint8_t TRIG:1;
            vuint8_t SOURCE:6;
        } B;
    } CHCONFIG[16];
};
/**************************************************************************/
/*                   Module: DSPI                                         */
/**************************************************************************/
/* 00 */
struct DSPI_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t MSTR:1;
            vuint32_t CONT_SCKE:1;
            vuint32_t DCONF:2;
            vuint32_t FRZ:1;
            vuint32_t MTFE:1;
            vuint32_t PCSSE:1;
            vuint32_t ROOE:1;
            vuint32_t PCSIS:8;
            vuint32_t :1;                
            vuint32_t MDIS:1;
            vuint32_t DIS_TXF:1;
            vuint32_t DIS_RXF:1;
            vuint32_t CLR_TXF:1;
            vuint32_t CLR_RXF:1;
            vuint32_t SMPL_PT:2;
            vuint32_t :4;
            vuint32_t :1;                
            vuint32_t FCPCS:1;
            vuint32_t PES:1;
            vuint32_t HALT:1;
        } B;
    } MCR;

    uint8_t DSPI_reserved1[4];

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SPI_TCNT:16;
            vuint32_t:16;
        } B;
    } TCR;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DBR:1;    /* Master Mode */
            vuint32_t FMSZ:4;
            vuint32_t CPOL:1;
            vuint32_t CPHA:1;
            vuint32_t LSBFE:1;
            vuint32_t PCSSCK:2;
            vuint32_t PASC:2;
            vuint32_t PDT:2;
            vuint32_t PBR:2;
            vuint32_t CSSCK:4;
            vuint32_t ASC:4;
            vuint32_t DT:4;
            vuint32_t BR:4;
            // vuint32_t FMSZ:5; /* Slave Mode */
            // vuint32_t CPOL:1;
            // vuint32_t CPHA:1;
            // vuint32_t PE:1;
            // vuint32_t PP:1;
            // vuint32_t:23;
        } B;
        struct {                /* valid only for CTAR0 */
            vuint32_t FMSZ:5;   /* Frame Size */
            vuint32_t CPOL:1;   /* Clock Polarity */
            vuint32_t CPHA:1;   /* Clock Phase */
            vuint32_t PE:1;     /* Parity enable */
            vuint32_t PP:1;     /* Parity polarity */
            vuint32_t FMSZ5:1;  /* Extended frame size  */    
            vuint32_t:22;
        } B_Slave;
    } CTAR[8];

    /* 2C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TCF:1;
            vuint32_t TXRXS:1;
            vuint32_t SPITCF:1;
            vuint32_t EOQF:1;
            vuint32_t TFUF:1;
            vuint32_t DSITCF:1;
            vuint32_t TFFF:1;
            vuint32_t BSYF:1;
            vuint32_t CMDTCF:1;
            vuint32_t DPEF:1;
            vuint32_t SPEF:1;
            vuint32_t DDIF:1;
            vuint32_t RFOF:1;
            vuint32_t TFIWF:1;
            vuint32_t RFDF:1;
            vuint32_t CMDFFF:1;
            vuint32_t TXCTR:4;
            vuint32_t TXNXTPTR:4;
            vuint32_t RXCTR:4;
            vuint32_t POPNXTPTR:4;
        } B;
    } SR;

    /* 30 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TCF_RE:1;
            vuint32_t CMDFFF_RE:1;
            vuint32_t SPITCF_RE:1;
            vuint32_t EOQF_RE:1;
            vuint32_t TFUF_RE:1;
            vuint32_t DSITCF_RE:1;
            vuint32_t TFFF_RE:1;
            vuint32_t TFFF_DIRS:1;
            vuint32_t CMDTCF_RE:1;
            vuint32_t DPEF_RE:1;
            vuint32_t SPEF_RE:1;
            vuint32_t DDIF_RE:1;
            vuint32_t RFOF_RE:1;
            vuint32_t TFIWF_RE:1;
            vuint32_t RFDF_RE:1;
            vuint32_t RFDF_DIRS:1;
            vuint32_t CMDFFF_DIRS:1;
            vuint32_t:15;
        } B;
    } RSER;

    /* 34 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CONT:1;   /* Master Mode */
            vuint32_t CTAS:3;
            vuint32_t EOQ:1;
            vuint32_t CTCNT:1;
            vuint32_t PE_MASC:1;
            vuint32_t PP_MCSC:1;
            vuint32_t PCS:8;
            vuint32_t TXDATA:16;
        } B;
        struct {                /* Slave Mode */    
            vuint32_t TXDATA:32;                    
        } B_Slave;                                  
    } PUSHR;

    /* 38 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t RXDATA:32;
        } B;
    } POPR;

    /* 3C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TXCMD_TXDATA:16;
            vuint32_t TXDATA:16;
        } B;
    } TXFR[4];

    uint8_t DSPI_reserved2[48];

    /* 7C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t RXDATA:32;
        } B;
    } RXFR[4];

    uint8_t DSPI_reserved3[48];

    /* BC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t :1;
            vuint32_t FMSZ4:1;
            vuint32_t :6;
            vuint32_t FMSZ5:1;
            vuint32_t:1;
            vuint32_t ITSB:1;
            vuint32_t TSBC:1;
            vuint32_t TXSS:1;                    
            vuint32_t TPOL:1;
            vuint32_t:1;                         
            vuint32_t CID:1;
            vuint32_t DCONT:1;
            vuint32_t DSICTAS:3;
            vuint32_t DMS:1;
            vuint32_t PES:1;
            vuint32_t PE:1;
            vuint32_t PP:1;
            vuint32_t DPCSx:8;
        } B;
    } DSICR0;

    /* C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SER_DATA:32;
        } B;
    } SDR0;

    /* C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ASER_DATA:32;
        } B;
    } ASDR0;

    /* C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t COMP_DATA:32;
        } B;
    } COMPR0;

    /* CC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DESER_DATA:32;
        } B;
    } DDR0;

    /* D0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;
            vuint32_t TSBCNT:6;
            vuint32_t:5;
            vuint32_t DSI64E:1;
            vuint32_t DSE1:1;
            vuint32_t DSE0:1;
            vuint32_t TRGPRD:8;
            vuint32_t DPCS1_x:8;
        } B;
    } DSICR1;

    /* D4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SS:32;
        } B;
    } SSR0;

    uint8_t DSPI_reserved4[20];                    

    /* E8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MASK:32;
        } B;
    } DIMR0;

    /* EC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DP:32;
        } B;
    } DPIR0;

    /* F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SER_DATA:32;
        } B;
    } SDR1;

    /* F4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ASER_DATA:32;
        } B;
    } ASDR1;

    /* F8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t COMP_DATA:32;
        } B;
    } COMPR1;

    /* FC */
    union {
        vuint32_t R;
        struct {
            vuint32_t DESER_DATA:32;
        } B;
    } DDR1;

    /* 100 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SS:32;
        } B;
    } SSR1;

    uint8_t DSPI_reserved5[20];                    

    /* 114 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MASK:32;
        } B;
    } DIMR1;

    /* 118 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DP:32;
        } B;
    } DPIR1;

    /* 11C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t FMSZE:1;
            vuint32_t:5;
            vuint32_t DTCP:11;
        } B;
    } CTARE[8];

    /* 13C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t CMDCTR:4;
            vuint32_t CMDNXTPTR:4;
        } B;
    } SREX;
};
/**************************************************************************/
/*                   Module: DTS                                          */
/**************************************************************************/
/* 00 */
struct DTS_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:30;
            vuint32_t DTS_EN_B:1;
            vuint32_t DTS_EN:1;
        } B;
    } ENABLE;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t AD:32;
        } B;
    } STARTUP;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ST:32;
        } B;
    } SEMAPHORE;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ST_B:32;
        } B;
    } SEMAPHORE_B;
};
/**************************************************************************/
/*                   Module: FCCU                                         */
/**************************************************************************/
/* 00 */
struct FCCU_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t FILTER_BYPASS:1;
            vuint32_t FILTER_WIDTH:2;
            vuint32_t:19;
            vuint32_t DEBUG:1;
            vuint32_t:1;
            vuint32_t OPS:2;
            vuint32_t:1;
            vuint32_t OPR:5;
        } B;
    } CTRL;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CTRLK:32;
        } B;
    } CTRLK;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t FCCU_SET_AFTER_RESET:1;
            vuint32_t FCCU_SET_CLEAR:2;
            vuint32_t:9;
            vuint32_t OD:1;
            vuint32_t :1;
            vuint32_t SM:1;
            vuint32_t PS:1;
            vuint32_t FOM:3;
            vuint32_t:6;
        } B;
    } CFG;

    uint8_t FCCU_reserved1[16];

    /* 1C to 28 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t RFC31:1;
            vuint32_t RFC30:1;
            vuint32_t RFC29:1;
            vuint32_t RFC28:1;
            vuint32_t RFC27:1;
            vuint32_t RFC26:1;
            vuint32_t RFC25:1;
            vuint32_t RFC24:1;
            vuint32_t RFC23:1;
            vuint32_t RFC22:1;
            vuint32_t RFC21:1;
            vuint32_t RFC20:1;
            vuint32_t RFC19:1;
            vuint32_t RFC18:1;
            vuint32_t RFC17:1;
            vuint32_t RFC16:1;
            vuint32_t RFC15:1;
            vuint32_t RFC14:1;
            vuint32_t RFC13:1;
            vuint32_t RFC12:1;
            vuint32_t RFC11:1;
            vuint32_t RFC10:1;
            vuint32_t RFC9:1;
            vuint32_t RFC8:1;
            vuint32_t RFC7:1;
            vuint32_t RFC6:1;
            vuint32_t RFC5:1;
            vuint32_t RFC4:1;
            vuint32_t RFC3:1;
            vuint32_t RFC2:1;
            vuint32_t RFC1:1;
            vuint32_t RFC0:1;
        } B;
    } RF_CFG[4];

    uint8_t FCCU_reserved2[32];

    /* 4C to 68 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t RFSC15:2;
            vuint32_t RFSC14:2;
            vuint32_t RFSC13:2;
            vuint32_t RFSC12:2;
            vuint32_t RFSC11:2;
            vuint32_t RFSC10:2;
            vuint32_t RFSC9:2;
            vuint32_t RFSC8:2;
            vuint32_t RFSC7:2;
            vuint32_t RFSC6:2;
            vuint32_t RFSC5:2;
            vuint32_t RFSC4:2;
            vuint32_t RFSC3:2;
            vuint32_t RFSC2:2;
            vuint32_t RFSC1:2;
            vuint32_t RFSC0:2;
        } B;
    } RFS_CFG[8];

    uint8_t FCCU_reserved3[20];

    /* 80 to 8C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t RFS31:1;
            vuint32_t RFS30:1;
            vuint32_t RFS29:1;
            vuint32_t RFS28:1;
            vuint32_t RFS27:1;
            vuint32_t RFS26:1;
            vuint32_t RFS25:1;
            vuint32_t RFS24:1;
            vuint32_t RFS23:1;
            vuint32_t RFS22:1;
            vuint32_t RFS21:1;
            vuint32_t RFS20:1;
            vuint32_t RFS19:1;
            vuint32_t RFS18:1;
            vuint32_t RFS17:1;
            vuint32_t RFS16:1;
            vuint32_t RFS15:1;
            vuint32_t RFS14:1;
            vuint32_t RFS13:1;
            vuint32_t RFS12:1;
            vuint32_t RFS11:1;
            vuint32_t RFS10:1;
            vuint32_t RFS9:1;
            vuint32_t RFS8:1;
            vuint32_t RFS7:1;
            vuint32_t RFS6:1;
            vuint32_t RFS5:1;
            vuint32_t RFS4:1;
            vuint32_t RFS3:1;
            vuint32_t RFS2:1;
            vuint32_t RFS1:1;
            vuint32_t RFS0:1;
        } B;
    } RFS[4];

    /* 90 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t RFK:32;
        } B;
    } RFK;

    /* 94 to A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t RFE31:1;
            vuint32_t RFE30:1;
            vuint32_t RFE29:1;
            vuint32_t RFE28:1;
            vuint32_t RFE27:1;
            vuint32_t RFE26:1;
            vuint32_t RFE25:1;
            vuint32_t RFE24:1;
            vuint32_t RFE23:1;
            vuint32_t RFE22:1;
            vuint32_t RFE21:1;
            vuint32_t RFE20:1;
            vuint32_t RFE19:1;
            vuint32_t RFE18:1;
            vuint32_t RFE17:1;
            vuint32_t RFE16:1;
            vuint32_t RFE15:1;
            vuint32_t RFE14:1;
            vuint32_t RFE13:1;
            vuint32_t RFE12:1;
            vuint32_t RFE11:1;
            vuint32_t RFE10:1;
            vuint32_t RFE9:1;
            vuint32_t RFE8:1;
            vuint32_t RFE7:1;
            vuint32_t RFE6:1;
            vuint32_t RFE5:1;
            vuint32_t RFE4:1;
            vuint32_t RFE3:1;
            vuint32_t RFE2:1;
            vuint32_t RFE1:1;
            vuint32_t RFE0:1;
        } B;
    } RFE[4];

    /* A4 to B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t RFTOE31:1;
            vuint32_t RFTOE30:1;
            vuint32_t RFTOE29:1;
            vuint32_t RFTOE28:1;
            vuint32_t RFTOE27:1;
            vuint32_t RFTOE26:1;
            vuint32_t RFTOE25:1;
            vuint32_t RFTOE24:1;
            vuint32_t RFTOE23:1;
            vuint32_t RFTOE22:1;
            vuint32_t RFTOE21:1;
            vuint32_t RFTOE20:1;
            vuint32_t RFTOE19:1;
            vuint32_t RFTOE18:1;
            vuint32_t RFTOE17:1;
            vuint32_t RFTOE16:1;
            vuint32_t RFTOE15:1;
            vuint32_t RFTOE14:1;
            vuint32_t RFTOE13:1;
            vuint32_t RFTOE12:1;
            vuint32_t RFTOE11:1;
            vuint32_t RFTOE10:1;
            vuint32_t RFTOE9:1;
            vuint32_t RFTOE8:1;
            vuint32_t RFTOE7:1;
            vuint32_t RFTOE6:1;
            vuint32_t RFTOE5:1;
            vuint32_t RFTOE4:1;
            vuint32_t RFTOE3:1;
            vuint32_t RFTOE2:1;
            vuint32_t RFTOE1:1;
            vuint32_t RFTOE0:1;                    
        } B;
    } RF_TOE[4];

    /* B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TO:32;
        } B;
    } RF_TO;

    /* B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:29;
            vuint32_t TO:3;
        } B;
    } CFG_TO;

    /* BC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t EIN1:1;
            vuint32_t EIN0:1;
            vuint32_t:2;
            vuint32_t EOUT1:1;
            vuint32_t EOUT0:1;
        } B;
    } EINOUT;

    /* C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t PhysicErrorPin:2;           
            vuint32_t ESTAT:1;
            vuint32_t STATUS:3;
        } B;
    } STAT;

    /* C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t NAFS:8;                     
        } B;
    } N2AF_STATUS;                                

    /* C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:22;
            vuint32_t SRC:2;
            vuint32_t AFFS:8;
        } B;
    } A2FF_STATUS;                                

    /* CC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:22;
            vuint32_t SRC:2;
            vuint32_t NFFS:8;
        } B;
    } N2FF_STATUS;                               

    /* D0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:23;
            vuint32_t FAFS:9;
        } B;
    } F2A_STATUS;                                

    uint8_t FCCU_reserved4[8];

    /* DC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:25;
            vuint32_t FRFC:7;                    
        } B;
    } RFF;                                       

    /* E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:29;
            vuint32_t NMI_STAT:1;
            vuint32_t ALRM_STAT:1;
            vuint32_t CFG_TO_STAT:1;
        } B;
    } IRQ_STAT;

    /* E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t CFG_TO_IEN:1;
        } B;
    } IRQ_EN;

    /* E8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t XTMR:32;
        } B;
    } XTMR;

    /* EC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t VL3:1;
            vuint32_t FS3:1;
            vuint32_t:2;
            vuint32_t MCS3:4;
            vuint32_t VL2:1;
            vuint32_t FS2:1;
            vuint32_t:2;
            vuint32_t MCS2:4;
            vuint32_t VL1:1;
            vuint32_t FS1:1;
            vuint32_t:2;
            vuint32_t MCS1:4;
            vuint32_t VL0:1;
            vuint32_t FS0:1;
            vuint32_t:2;
            vuint32_t MCS0:4;
        } B;
    } MCS;

    /* F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t TRANSKEY:8;
        } B;
    } TRANS_LOCK;

    /* F4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t PERMNTKEY:8;
        } B;
    } PERMNT_LOCK;

    /* F8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:18;
            vuint32_t DELTA_T:14;
        } B;
    } DELTA_T;

    /* FC to 108 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t IRQEN31:1;
            vuint32_t IRQEN30:1;
            vuint32_t IRQEN29:1;
            vuint32_t IRQEN28:1;
            vuint32_t IRQEN27:1;
            vuint32_t IRQEN26:1;
            vuint32_t IRQEN25:1;
            vuint32_t IRQEN24:1;
            vuint32_t IRQEN23:1;
            vuint32_t IRQEN22:1;
            vuint32_t IRQEN21:1;
            vuint32_t IRQEN20:1;
            vuint32_t IRQEN19:1;
            vuint32_t IRQEN18:1;
            vuint32_t IRQEN17:1;
            vuint32_t IRQEN16:1;
            vuint32_t IRQEN15:1;
            vuint32_t IRQEN14:1;
            vuint32_t IRQEN13:1;
            vuint32_t IRQEN12:1;
            vuint32_t IRQEN11:1;
            vuint32_t IRQEN10:1;
            vuint32_t IRQEN9:1;
            vuint32_t IRQEN8:1;
            vuint32_t IRQEN7:1;
            vuint32_t IRQEN6:1;
            vuint32_t IRQEN5:1;
            vuint32_t IRQEN4:1;
            vuint32_t IRQEN3:1;
            vuint32_t IRQEN2:1;
            vuint32_t IRQEN1:1;
            vuint32_t IRQEN0:1;
        } B;
    } IRQ_ALARM_EN[4];

    /* 10C to 118 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t NMIEN31:1;
            vuint32_t NMIEN30:1;
            vuint32_t NMIEN29:1;
            vuint32_t NMIEN28:1;
            vuint32_t NMIEN27:1;
            vuint32_t NMIEN26:1;
            vuint32_t NMIEN25:1;
            vuint32_t NMIEN24:1;
            vuint32_t NMIEN23:1;
            vuint32_t NMIEN22:1;
            vuint32_t NMIEN21:1;
            vuint32_t NMIEN20:1;
            vuint32_t NMIEN19:1;
            vuint32_t NMIEN18:1;
            vuint32_t NMIEN17:1;
            vuint32_t NMIEN16:1;
            vuint32_t NMIEN15:1;
            vuint32_t NMIEN14:1;
            vuint32_t NMIEN13:1;
            vuint32_t NMIEN12:1;
            vuint32_t NMIEN11:1;
            vuint32_t NMIEN10:1;
            vuint32_t NMIEN9:1;
            vuint32_t NMIEN8:1;
            vuint32_t NMIEN7:1;
            vuint32_t NMIEN6:1;
            vuint32_t NMIEN5:1;
            vuint32_t NMIEN4:1;
            vuint32_t NMIEN3:1;
            vuint32_t NMIEN2:1;
            vuint32_t NMIEN1:1;
            vuint32_t NMIEN0:1;
        } B;
    } NMI_EN[4];

    /* 11C to 128 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t EOUTEN31:1;
            vuint32_t EOUTEN30:1;
            vuint32_t EOUTEN29:1;
            vuint32_t EOUTEN28:1;
            vuint32_t EOUTEN27:1;
            vuint32_t EOUTEN26:1;
            vuint32_t EOUTEN25:1;
            vuint32_t EOUTEN24:1;
            vuint32_t EOUTEN23:1;
            vuint32_t EOUTEN22:1;
            vuint32_t EOUTEN21:1;
            vuint32_t EOUTEN20:1;
            vuint32_t EOUTEN19:1;
            vuint32_t EOUTEN18:1;
            vuint32_t EOUTEN17:1;
            vuint32_t EOUTEN16:1;
            vuint32_t EOUTEN15:1;
            vuint32_t EOUTEN14:1;
            vuint32_t EOUTEN13:1;
            vuint32_t EOUTEN12:1;
            vuint32_t EOUTEN11:1;
            vuint32_t EOUTEN10:1;
            vuint32_t EOUTEN9:1;
            vuint32_t EOUTEN8:1;
            vuint32_t EOUTEN7:1;
            vuint32_t EOUTEN6:1;
            vuint32_t EOUTEN5:1;
            vuint32_t EOUTEN4:1;
            vuint32_t EOUTEN3:1;
            vuint32_t EOUTEN2:1;
            vuint32_t EOUTEN1:1;
            vuint32_t EOUTEN0:1;
        } B;
    } EOUT_SIG_EN[4];
};
/**************************************************************************/
/*                              Module: FEC (ETHERNET)                    */
/**************************************************************************/
/* 00 */
struct FEC_tag {
    uint8_t FEC_reserved1[4];

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t HBERR:1;
            vuint32_t BABR:1;
            vuint32_t BABT:1;
            vuint32_t GRA:1;
            vuint32_t TXF:1;
            vuint32_t TXB:1;
            vuint32_t RXF:1;
            vuint32_t RXB:1;
            vuint32_t MII:1;
            vuint32_t EBERR:1;
            vuint32_t LC:1;
            vuint32_t RL:1;
            vuint32_t UN:1;
            vuint32_t:19;
        } B;
    } EIR;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t HBERR:1;
            vuint32_t BABR:1;
            vuint32_t BABT:1;
            vuint32_t GRA:1;
            vuint32_t TXF:1;
            vuint32_t TXB:1;
            vuint32_t RXF:1;
            vuint32_t RXB:1;
            vuint32_t MII:1;
            vuint32_t EBERR:1;
            vuint32_t LC:1;
            vuint32_t RL:1;
            vuint32_t UN:1;
            vuint32_t:19;
        } B;
    } EIMR;

    uint8_t FEC_reserved2[4];

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t RDAR:1;
            vuint32_t:24;
        } B;
    } RDAR;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t TDAR:1;
            vuint32_t:24;
        } B;
    } TDAR;

    uint8_t FEC_reserved3[12];

    /* 24 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:30;
            vuint32_t ETHER_EN:1;
            vuint32_t RESET:1;
        } B;
    } ECR;

    uint8_t FEC_reserved4[24];

    /* 40 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ST:2;
            vuint32_t OP:2;
            vuint32_t PA:5;
            vuint32_t RA:5;
            vuint32_t TA:2;
            vuint32_t DATA:16;
        } B;
    } MMFR;

    /* 44 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t DIS_PRE:1;
            vuint32_t MII_SPEED:6;
            vuint32_t:1;
        } B;
    } MSCR;

    uint8_t FEC_reserved5[28];

    /* 64 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MIB_DIS:1;
            vuint32_t MIB_IDLE:1;
            vuint32_t:30;
        } B;
    } MIBC;

    uint8_t FEC_reserved6[28];

    /* 84 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:5;
            vuint32_t MAX_FL:11;
            vuint32_t:4;                           
            vuint32_t RMII_ECHO:1;                 
            vuint32_t RMII_LOOP:1;                 
            vuint32_t RMII_10T:1;                  
            vuint32_t RMII_MODE:1;                 
            vuint32_t:2;                           
            vuint32_t FCE:1;
            vuint32_t BC_REJ:1;
            vuint32_t PROM:1;
            vuint32_t MII_MODE:1;
            vuint32_t DRT:1;
            vuint32_t LOOP:1;
        } B;
    } RCR;

    uint8_t FEC_reserved7[60];

    /* C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t RFC_PAUSE:1;
            vuint32_t TFC_PAUSE:1;
            vuint32_t FDEN:1;
            vuint32_t HBC:1;
            vuint32_t GTS:1;
        } B;
    } TCR;

    /* C8 */    
    uint8_t FEC_reserved8[28];

    /* E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PADDR1:32;
        } B;
    } PALR;

    /* E8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PADDR2:16;
            vuint32_t TYPE:16;
        } B;
    } PAUR;

    /* EC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPCODE:16;
            vuint32_t PAUSE_DUR:16;
        } B;
    } OPD;

    /* F0 */    
    uint8_t FEC_reserved9[40];

    /* 118 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t IADDR1:32;
        } B;
    } IAUR;

    /* 11C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t IADDR2:32;
        } B;
    } IALR;

    /* 120 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t GADDR1:32;
        } B;
    } GAUR;

    /* 124 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t GADDR2:32;
        } B;
    } GALR;

    uint8_t FEC_reserved10[28];

    /* 144 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:30;
            vuint32_t TFWR:2;
        } B;
    } TFWR;

    /* 148 */    
    uint8_t FEC_reserved11[4];

    /* 14C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:22;
            vuint32_t R_BOUND:8;
            vuint32_t:2;
        } B;
    } FRBR;

    /* 150 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:22;
            vuint32_t R_FSTART:8;
            vuint32_t:2;
        } B;
    } FRSR;

    /* 154 */    
    uint8_t FEC_reserved12[44];

    /* 180 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t R_DES_START:30;
            vuint32_t:2;
        } B;
    } ERDSR;

    /* 184 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t X_DES_START:30;
            vuint32_t:2;
        } B;
    } ETDSR;

    /* 188 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:21;
            vuint32_t R_BUF_SIZE:7;
            vuint32_t:4;
        } B;
    } EMRBR;

    /* 18C */    
    uint8_t FEC_reserved13[116];

    /* 200 */    
    union {
        vuint32_t R;
    } RMON_T_DROP;              /* Count of frames not counted correctly */

    /* 204 */    
    union {
        vuint32_t R;
    } RMON_T_PACKETS;           /* RMON Tx packet count */

    /* 208 */    
    union {
        vuint32_t R;
    } RMON_T_BC_PKT;            /* RMON Tx Broadcast Packets */

    /* 20C */    
    union {
        vuint32_t R;
    } RMON_T_MC_PKT;            /* RMON Tx Multicast Packets */

    /* 210 */    
    union {
        vuint32_t R;
    } RMON_T_CRC_ALIGN;         /* RMON Tx Packets w CRC/Align error */

    /* 214 */    
    union {
        vuint32_t R;
    } RMON_T_UNDERSIZE;         /* RMON Tx Packets < 64 bytes, good crc */

    /* 218 */        
    union {
        vuint32_t R;
    } RMON_T_OVERSIZE;          /* RMON Tx Packets > MAX_FL bytes, good crc */

    /* 21C */    
    union {
        vuint32_t R;
    } RMON_T_FRAG;              /* RMON Tx Packets < 64 bytes, bad crc */

    /* 220 */    
    union {
        vuint32_t R;
    } RMON_T_JAB;               /* RMON Tx Packets > MAX_FL bytes, bad crc */

    /* 224 */    
    union {
        vuint32_t R;
    } RMON_T_COL;               /* RMON Tx collision count */

    /* 228 */    
    union {
        vuint32_t R;
    } RMON_T_P64;               /* RMON Tx 64 byte packets */

    /* 22C */    
    union {
        vuint32_t R;
    } RMON_T_P65TO127;          /* RMON Tx 65 to 127 byte packets */

    /* 230 */    
    union {
        vuint32_t R;
    } RMON_T_P128TO255;         /* RMON Tx 128 to 255 byte packets */

    /* 234 */    
    union {
        vuint32_t R;
    } RMON_T_P256TO511;         /* RMON Tx 256 to 511 byte packets */

    /* 238 */    
    union {
        vuint32_t R;
    } RMON_T_P512TO1023;        /* RMON Tx 512 to 1023 byte packets */

    /* 23C */    
    union {
        vuint32_t R;
    } RMON_T_P1024TO2047;       /* RMON Tx 1024 to 2047 byte packets */

    /* 240 */    
    union {
        vuint32_t R;
    } RMON_T_P_GTE2048;         /* RMON Tx packets w > 2048 bytes */

    /* 244 */    
    union {
        vuint32_t R;
    } RMON_T_OCTETS;            /* RMON Tx Octets */

    /* 248 */    
    union {
        vuint32_t R;
    } IEEE_T_DROP;              /* Count of frames not counted correctly */

    /* 24C */    
    union {
        vuint32_t R;
    } IEEE_T_FRAME_OK;          /* Frames Transmitted OK */

    /* 250 */    
    union {
        vuint32_t R;
    } IEEE_T_1COL;              /* Frames Transmitted with Single Collision */

    /* 254 */    
    union {
        vuint32_t R;
    } IEEE_T_MCOL;              /* Frames Transmitted with Multiple Collisions */

    /* 258 */    
    union {
        vuint32_t R;
    } IEEE_T_DEF;               /* Frames Transmitted after Deferral Delay */

    /* 25C */    
    union {
        vuint32_t R;
    } IEEE_T_LCOL;              /* Frames Transmitted with Late Collision */

    /* 260 */    
    union {
        vuint32_t R;
    } IEEE_T_EXCOL;             /* Frames Transmitted with Excessive Collisions */

    /* 264 */    
    union {
        vuint32_t R;
    } IEEE_T_MACERR;            /* Frames Transmitted with Tx FIFO Underrun */

    /* 268 */    
    union {
        vuint32_t R;
    } IEEE_T_CSERR;             /* Frames Transmitted with Carrier Sense Error */

    /* 26C */    
    union {
        vuint32_t R;
    } IEEE_T_SQE;               /* Frames Transmitted with SQE Error */

    /* 270 */    
    union {
        vuint32_t R;
    } IEEE_T_FDXFC;             /* Flow Control Pause frames transmitted */

    /* 274 */    
    union {
        vuint32_t R;
    } IEEE_T_OCTETS_OK;         /* Octet count for Frames Transmitted w/o Error */

    uint8_t FEC_reserved14[8];

    /* 280 */    
    union {
        vuint32_t R;
    } RMON_R_DROP;              /*  Count of frames not counted correctly  */

    /* 284 */    
    union {
        vuint32_t R;
    } RMON_R_PACKETS;           /* RMON Rx packet count */

    /* 288 */    
    union {
        vuint32_t R;
    } RMON_R_BC_PKT;            /* RMON Rx Broadcast Packets */

    /* 28C */    
    union {
        vuint32_t R;
    } RMON_R_MC_PKT;            /* RMON Rx Multicast Packets */

    /* 290 */    
    union {
        vuint32_t R;
    } RMON_R_CRC_ALIGN;         /* RMON Rx Packets w CRC/Align error */

    /* 294 */    
    union {
        vuint32_t R;
    } RMON_R_UNDERSIZE;         /* RMON Rx Packets < 64 bytes, good crc */

    /* 298 */    
    union {
        vuint32_t R;
    } RMON_R_OVERSIZE;          /* RMON Rx Packets > MAX_FL bytes, good crc */

    /* 29C */    
    union {
        vuint32_t R;
    } RMON_R_FRAG;              /* RMON Rx Packets < 64 bytes, bad crc */

    /* 2A0 */    
    union {
        vuint32_t R;
    } RMON_R_JAB;               /* RMON Rx Packets > MAX_FL bytes, bad crc */

    /* 2A4 */    
    //uint8_t FEC_reserved15[4];           
    union {                                
        vuint32_t R;                       
    } RMON_R_RESVD_0;                      

    /* 2A8 */    
    union {
        vuint32_t R;
    } RMON_R_P64;               /* RMON Rx 64 byte packets */

    /* 2AC */    
    union {
        vuint32_t R;
    } RMON_R_P65TO127;          /* RMON Rx 65 to 127 byte packets */

    /* 2B0 */    
    union {
        vuint32_t R;
    } RMON_R_P128TO255;         /* RMON Rx 128 to 255 byte packets */

    /* 2B4 */    
    union {
        vuint32_t R;
    } RMON_R_P256TO511;         /* RMON Rx 256 to 511 byte packets */

    /* 2B8 */    
    union {
        vuint32_t R;
    } RMON_R_P512TO1023;        /* RMON Rx 512 to 1023 byte packets */

    /* 2BC */    
    union {
        vuint32_t R;
    } RMON_R_P1024TO2047;       /* RMON Rx 1024 to 2047 byte packets */

    /* 2C0 */
    union {
        vuint32_t R;
    } RMON_R_P_GTE2048;         /* RMON Rx packets w > 2048 bytes */

    /* 2C4 */    
    union {
        vuint32_t R;
    } RMON_R_OCTETS;            /* RMON Rx Octets */

    /* 2C8 */    
    union {
        vuint32_t R;
    } IEEE_R_DROP;              /* Count of frames not counted correctly */

    /* 2CC */    
    union {
        vuint32_t R;
    } IEEE_R_FRAME_OK;          /* Frames Received OK */

    /* 2D0 */    
    union {
        vuint32_t R;
    } IEEE_R_CRC;               /* Frames Received with CRC Error */

    /* 2D4 */    
    union {
        vuint32_t R;
    } IEEE_R_ALIGN;             /* Frames Received with Alignment Error */

    /* 2D8 */    
    union {
        vuint32_t R;
    } IEEE_R_MACERR;            /* Receive Fifo Overflow count */

    /* 2DC */    
    union {
        vuint32_t R;
    } IEEE_R_FDXFC;             /* Flow Control Pause frames received */

    /* 2E0 */    
    union {
        vuint32_t R;
    } IEEE_R_OCTETS_OK;         /* Octet count for Frames Rcvd w/o Error */
};
/**************************************************************************/
/*                   Module: FLASH                                        */
/**************************************************************************/
/* 00 */
struct FLASH_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;                         
            vuint32_t RRE:1;                     
            vuint32_t AEE:1;                     
            vuint32_t EEE:1;                     
            vuint32_t:12;                        
            vuint32_t EER:1;
            vuint32_t RWE:1;
            vuint32_t SBC:1;
            vuint32_t:1;
            vuint32_t PEAS:1;
            vuint32_t DONE:1;
            vuint32_t PEG:1;
            vuint32_t PECIE:1;
            vuint32_t FERS:1;
            vuint32_t:2;
            vuint32_t PGM:1;
            vuint32_t PSUS:1;
            vuint32_t ERS:1;
            vuint32_t ESUS:1;
            vuint32_t EHV:1;
        } B;
    } MCR;

    /* 04 */    
    uint8_t FLASH_reserved1[4];                   

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t HT:1;
            vuint32_t n8Kh:2;                     
            vuint32_t n256K:5;
            vuint32_t n64Kh:3;
            vuint32_t n32Kh:2;
            vuint32_t n16Kh:3;
            vuint32_t n64Km:3;
            vuint32_t n32Km:2;
            vuint32_t n16Km:3;
            vuint32_t n64Kl:3;
            vuint32_t n32Kl:2;
            vuint32_t n16Kl:3;
        } B;
    } MCRE;

    /* 0C */    
    uint8_t FLASH_reserved2[4];                   

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TSLOCK:1;
            vuint32_t:1;
            vuint32_t LOWLOCK:14;
            vuint32_t MIDLOCK:16;
        } B;
    } LOCK0;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t HIGHLOCK:16;
        } B;
    } LOCK1;

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t A256KLOCK:32;
        } B;
    } LOCK2;

    /* 1C */    
    uint8_t FLASH_reserved3[28];                   

    /* 38 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;
            vuint32_t LOWSEL:14;
            vuint32_t MIDSEL:16;
        } B;
    } SEL0;

    /* 3C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t HIGHSEL:16;
        } B;
    } SEL1;

    /* 40 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;                            
            vuint32_t A256KSEL:31;                  
        } B;
    } SEL2;

    /* 44 */    
    uint8_t FLASH_reserved4[12];                    

    /* 50 */
    union {
        vuint32_t R;
        struct {
            vuint32_t SAD:1;
            vuint32_t :7;                           
            vuint32_t ADDR:21;
            vuint32_t:3;
        } B;
    } ADR;

    /* 54 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UTE:1;
            vuint32_t SBCE:1;
            vuint32_t:11;                          
            vuint32_t CPR:1;                       
            vuint32_t CPA:1;                       
            vuint32_t CPE:1;                       
            vuint32_t:6;                           
            vuint32_t NAIBP:1;
            vuint32_t AIBPE:1;
            vuint32_t:1;
            vuint32_t AISUS:1;
            vuint32_t MRE:1;
            vuint32_t MRV:1;
            vuint32_t:1;
            vuint32_t AIS:1;
            vuint32_t AIE:1;
            vuint32_t AID:1;
        } B;
    } UT0;

    /* 58 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MISR:32;
        } B;
    } UM0;

    /* 5C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MISR:32;
        } B;
    } UM1;

    /* 60 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MISR:32;
        } B;
    } UM2;

    /* 64 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MISR:32;
        } B;
    } UM3;

    /* 68 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MISR:32;
        } B;
    } UM4;

    /* 6C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MISR:32;
        } B;
    } UM5;

    /* 70 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MISR:32;
        } B;
    } UM6;

    /* 74 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MISR:32;
        } B;
    } UM7;

    /* 78 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MISR:32;
        } B;
    } UM8;

    /* 7C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t MISR:1;
        } B;
    } UM9;

    /* 80 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;
            vuint32_t LOWOPP:14;
            vuint32_t MIDOPP:16;
        } B;
    } OPP0;

    /* 84 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t HIGHOPP:16;
        } B;
    } OPP1;

    /* 88 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t A256KOPP:31;                    
        } B;
    } OPP2;

    /* 8C */    
    uint8_t FLASH_reserved5[4];                       

    /* 90 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PWD:32;                         
        } B;
    } TMD;                                            
};
/**************************************************************************/
/*                   Module: FR (FlexRay)                                 */
/**************************************************************************/
/* 00 */
struct FR_tag {
    union {
        vuint16_t R;
        struct {
            vuint16_t CHIVER:8;
            vuint16_t PEVER:8;
        } B;
    } MVR;

    /* 02 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t MEN:1;
            vuint16_t SBFF:1;
            vuint16_t SCM:1;
            vuint16_t CHB:1;
            vuint16_t CHA:1;
            vuint16_t SFFE:1;
            vuint16_t ECCE:1;
            vuint16_t:1;
            vuint16_t FUM:1;
            vuint16_t FAM:1;
            vuint16_t:1;
            vuint16_t CLKSEL:1;
            vuint16_t BITRATE:3;
            vuint16_t:1;
        } B;
    } MCR;

    /* 04 */
    union {
        vuint16_t R;
        struct {
            vuint16_t SMBA:16;
        } B;
    } SYMBADHR;

    /* 06 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t SMBA:12;
            vuint16_t:4;
        } B;
    } SYMBADLR;

    /* 08 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t WMD:1;
            vuint16_t:3;
            vuint16_t SEL:4;
            vuint16_t:3;
            vuint16_t ENB:1;
            vuint16_t:2;
            vuint16_t STBPSEL:2;
        } B;
    } STBSCR;

    /* 0A */    
    uint8_t FR_reserved1[2];

    /* 0C */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:1;
            vuint16_t MBSEG2DS:7;
            vuint16_t:1;
            vuint16_t MBSEG1DS:7;
        } B;
    } MBDSR;

    /* 0E */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:1;
            vuint16_t LAST_MB_SEG1:7;
            vuint16_t:1;
            vuint16_t LAST_MB_UTIL:7;
        } B;
    } MBSSUTR;

    /* 10 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t INST:4;
            vuint16_t ADDR:11;
            vuint16_t DAD:1;
        } B;
    } PEDRAR;

    /* 12 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t DATA:16;
        } B;
    } PEDRDR;

    /* 14 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t WME:1;
            vuint16_t:3;
            vuint16_t EOC_AP:2;
            vuint16_t ERC_AP:2;
            vuint16_t BSY_WMC:1;
            vuint16_t:3;
            vuint16_t POCCMD:4;
        } B;
    } POCR;

    /* 16 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t MIF:1;
            vuint16_t PRIF:1;
            vuint16_t CHIF:1;
            vuint16_t WUPIF:1;
            vuint16_t FAFBIF:1;
            vuint16_t FAFAIF:1;
            vuint16_t RBIF:1;
            vuint16_t TBIF:1;
            vuint16_t MIE:1;
            vuint16_t PRIE:1;
            vuint16_t CHIE:1;
            vuint16_t WUPIE:1;
            vuint16_t FAFBIE:1;
            vuint16_t FAFAIE:1;
            vuint16_t RBIE:1;
            vuint16_t TBIE:1;
        } B;
    } GIFER;

    /* 18 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t FATL_IF:1;
            vuint16_t INTL_IF:1;
            vuint16_t ILCF_IF:1;
            vuint16_t CSA_IF:1;
            vuint16_t MRC_IF:1;
            vuint16_t MOC_IF:1;
            vuint16_t CCL_IF:1;
            vuint16_t MXS_IF:1;
            vuint16_t MTX_IF:1;
            vuint16_t LTXB_IF:1;
            vuint16_t LTXA_IF:1;
            vuint16_t TBVB_IF:1;
            vuint16_t TBVA_IF:1;
            vuint16_t TI2_IF:1;
            vuint16_t TI1_IF:1;
            vuint16_t CYS_IF:1;
        } B;
    } PIFR0;

    /* 1A */    
    union {
        vuint16_t R;
        struct {
            vuint16_t EMC_IF:1;
            vuint16_t IPC_IF:1;
            vuint16_t PECF_IF:1;
            vuint16_t PSC_IF:1;
            vuint16_t SSI3_IF:1;
            vuint16_t SSI2_IF:1;
            vuint16_t SSI1_IF:1;
            vuint16_t SSI0_IF:1;
            vuint16_t:2;
            vuint16_t EVT_IF:1;
            vuint16_t ODT_IF:1;
            vuint16_t:4;
        } B;
    } PIFR1;

    /* 1C */    
    union {
        vuint16_t R;
        struct {
            vuint16_t FATL_IE:1;
            vuint16_t INTL_IE:1;
            vuint16_t ILCF_IE:1;
            vuint16_t CSA_IE:1;
            vuint16_t MRC_IE:1;
            vuint16_t MOC_IE:1;
            vuint16_t CCL_IE:1;
            vuint16_t MXS_IE:1;
            vuint16_t MTX_IE:1;
            vuint16_t LTXB_IE:1;
            vuint16_t LTXA_IE:1;
            vuint16_t TBVB_IE:1;
            vuint16_t TBVA_IE:1;
            vuint16_t TI2_IE:1;
            vuint16_t TI1_IE:1;
            vuint16_t CYS_IE:1;
        } B;
    } PIER0;

    /* 1E */    
    union {
        vuint16_t R;
        struct {
            vuint16_t EMC_IE:1;
            vuint16_t IPC_IE:1;
            vuint16_t PECF_IE:1;
            vuint16_t PSC_IE:1;
            vuint16_t SSI3_IE:1;
            vuint16_t SSI2_IE:1;
            vuint16_t SSI1_IE:1;
            vuint16_t SSI0_IE:1;
            vuint16_t:2;
            vuint16_t EVT_IE:1;
            vuint16_t ODT_IE:1;
            vuint16_t:4;
        } B;
    } PIER1;

    /* 20 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t FRLB_EF:1;
            vuint16_t FRLA_EF:1;
            vuint16_t PCMI_EF:1;
            vuint16_t FOVB_EF:1;
            vuint16_t FOVA_EF:1;
            vuint16_t MBS_EF:1;
            vuint16_t MBU_EF:1;
            vuint16_t LCK_EF:1;
            vuint16_t:1;
            vuint16_t SBCF_EF:1;
            vuint16_t FID_EF:1;
            vuint16_t DPL_EF:1;
            vuint16_t SPL_EF:1;
            vuint16_t NML_EF:1;
            vuint16_t NMF_EF:1;
            vuint16_t ILSA_EF:1;
        } B;
    } CHIERFR;

    /* 22 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:1;
            vuint16_t TBIVEC:7;
            vuint16_t:1;
            vuint16_t RBIVEC:7;
        } B;
    } MBIVEC;

    /* 24 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t CHAERSCNT:16;                    
        } B;
    } CASERCR;

    /* 26 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t CHBERSCNT:16;                    
        } B;
    } CBSERCR;

    /* 28 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t ERRMODE:2;
            vuint16_t SLOTMODE:2;
            vuint16_t:1;
            vuint16_t PROTSTATE:3;
            vuint16_t STARTUPSTATE:4;
            vuint16_t:1;
            vuint16_t WAKEUPSTATUS:3;
        } B;
    } PSR0;

    /* 2A */    
    union {
        vuint16_t R;
        struct {
            vuint16_t CSAA:1;
            vuint16_t CSP:1;
            vuint16_t:1;
            vuint16_t REMCSAT:5;
            vuint16_t CPN:1;
            vuint16_t HHR:1;
            vuint16_t FRZ:1;
            vuint16_t APTAC:5;
        } B;
    } PSR1;

    /* 2C */    
    union {
        vuint16_t R;
        struct {
            vuint16_t NBVB:1;
            vuint16_t NSEB:1;
            vuint16_t STCB:1;
            vuint16_t SBVB:1;
            vuint16_t SSEB:1;
            vuint16_t MTB:1;
            vuint16_t NBVA:1;
            vuint16_t NSEA:1;
            vuint16_t STCA:1;
            vuint16_t SBVA:1;
            vuint16_t SSEA:1;
            vuint16_t MTA:1;
            vuint16_t CLKCORRFAILCNT:4;
        } B;
    } PSR2;

    /* 2E */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:2;
            vuint16_t WUB:1;
            vuint16_t ABVB:1;
            vuint16_t AACB:1;
            vuint16_t ACEB:1;
            vuint16_t ASEB:1;
            vuint16_t AVFB:1;
            vuint16_t:2;
            vuint16_t WUA:1;
            vuint16_t ABVA:1;
            vuint16_t AACA:1;
            vuint16_t ACEA:1;
            vuint16_t ASEA:1;
            vuint16_t AVFA:1;
        } B;
    } PSR3;

    /* 30 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:2;
            vuint16_t MTCT:14;
        } B;
    } MTCTR;

    /* 32 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:10;
            vuint16_t CYCCNT:6;
        } B;
    } CYCTR;

    /* 34 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:5;
            vuint16_t SLOTCNTA:11;
        } B;
    } SLTCTAR;

    /* 36 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:5;
            vuint16_t SLOTCNTB:11;
        } B;
    } SLTCTBR;

    /* 38 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t RATECORR:16;
        } B;
    } RTCORVR;

    /* 3A */
    union {
        vuint16_t R;
        struct {
            vuint16_t OFFSETCORR:16;
        } B;
    } OFCORVR;

    /* 3C */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:8;
            vuint16_t MIF:1;
            vuint16_t PRIF:1;
            vuint16_t CHIF:1;
            vuint16_t WUPIF:1;
            vuint16_t FAFBIF:1;
            vuint16_t FAFAIF:1;
            vuint16_t RBIF:1;
            vuint16_t TBIF:1;
        } B;
    } CIFR;

    /* 3E */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:8;
            vuint16_t TIMEOUT:8;
        } B;
    } SYMATOR;

    /* 40 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t SFEVB:4;
            vuint16_t SFEVA:4;
            vuint16_t SFODB:4;
            vuint16_t SFODA:4;
        } B;
    } SFCNTR;

    /* 42 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t SFT_OFFSET:15;
            vuint16_t:1;
        } B;
    } SFTOR;

    /* 44 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t ELKT:1;
            vuint16_t OLKT:1;
            vuint16_t CYCNUM:6;
            vuint16_t ELKS:1;
            vuint16_t OLKS:1;
            vuint16_t EVAL:1;
            vuint16_t OVAL:1;
            vuint16_t:1;
            vuint16_t OPT:1;
            vuint16_t SDVEN:1;
            vuint16_t SIDEN:1;
        } B;
    } SFTCCSR;

    /* 46 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:6;
            vuint16_t SYNFRID:10;
        } B;
    } SFIDRFR;

    /* 48 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:6;
            vuint16_t FVAL:10;
        } B;
    } SFIDAFVR;

    /* 4A */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:6;
            vuint16_t FMSK:10;
        } B;
    } SFIDAFMR;

    /* 4C to 56 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t NMVP:16;
        } B;
    } NMVR[6];

    /* 58 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:12;
            vuint16_t NMVL:4;
        } B;
    } NMVLR;

    /* 5A */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:2;
            vuint16_t T2_CFG:1;
            vuint16_t T2_REP:1;
            vuint16_t:1;
            vuint16_t T2SP:1;
            vuint16_t T2TR:1;
            vuint16_t T2ST:1;
            vuint16_t:3;
            vuint16_t T1_REP:1;
            vuint16_t:1;
            vuint16_t T1SP:1;
            vuint16_t T1TR:1;
            vuint16_t T1ST:1;
        } B;
    } TICCR;

    /* 5C */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:2;
            vuint16_t T1_CYC_VAL:6;
            vuint16_t:2;
            vuint16_t T1_CYC_MSK:6;
        } B;
    } TI1CYSR;

    /* 5E */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:2;
            vuint16_t T1_MTOFFSET:14;
        } B;
    } TI1MTOR;

    /* 60 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:2;                /* for absolute timer selected */
            vuint16_t T2_CYC_VAL:6;     /* for absolute timer selected */
            vuint16_t:2;                /* for absolute timer selected */
            vuint16_t T2_CYC_MSK:6;     /* for absolute timer selected */            
        } B;
        struct {                
            vuint16_t T2_MTCNT:16;      /* for relative timer selected  */
        } B_relative_timer;             
    } TI2CR0;

    /* 62 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:2;               /* for rabsolute timer selected */
            vuint16_t T2_MTOFFSET:14;  /* for rabsolute timer selected */            
        } B;
        struct {                
            vuint16_t T2_MTCNT:16;     /* for relative timer selected */
        } B_relative_timer;            
    } TI2CR1;

    /* 64 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t WMD:1;
            vuint16_t:1;
            vuint16_t SEL:2;
            vuint16_t:1;
            vuint16_t SLOTNUMBER:11;
        } B;
    } SSSR;

    /* 66 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t WMD:1;
            vuint16_t:1;
            vuint16_t SEL:2;
            vuint16_t:1;
            vuint16_t CNTCFG:2;
            vuint16_t MCY:1;
            vuint16_t VFR:1;
            vuint16_t SYF:1;
            vuint16_t NUF:1;
            vuint16_t SUF:1;
            vuint16_t STATUSMASK:4;
        } B;
    } SSCCR;

    /* 68 to 76 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t VFB:1;
            vuint16_t SYB:1;
            vuint16_t NFB:1;
            vuint16_t SUB:1;
            vuint16_t SEB:1;
            vuint16_t CEB:1;
            vuint16_t BVB:1;
            vuint16_t TCB:1;
            vuint16_t VFA:1;
            vuint16_t SYA:1;
            vuint16_t NFA:1;
            vuint16_t SUA:1;
            vuint16_t SEA:1;
            vuint16_t CEA:1;
            vuint16_t BVA:1;
            vuint16_t TCA:1;
        } B;
    } SSR[8];

    /* 78 to 7E */
    union {
        vuint16_t R;
        struct {
            vuint16_t SLOTSTATUSCNT:16;
        } B;
    } SSCR[4];

    /* 80 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t MTE:1;
            vuint16_t:1;
            vuint16_t CYCCNTMSK:6;
            vuint16_t:2;
            vuint16_t CYCCNTVAL:6;
        } B;
    } MTSACFR;

    /* 82 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t MTE:1;
            vuint16_t:1;
            vuint16_t CYCCNTMSK:6;
            vuint16_t:2;
            vuint16_t CYCCNTVAL:6;
        } B;
    } MTSBCFR;

    /* 84 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t WMD:1;
            vuint16_t:1;
            vuint16_t SEL:2;
            vuint16_t:4;
            vuint16_t RSBIDX:8;
        } B;
    } RSBIR;

    /* 86 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t WM:8;
            vuint16_t:7;
            vuint16_t SEL:1;
        } B;
    } RFWMSR;

    /* 88 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:6;
            vuint16_t SIDX:10;
        } B;
    } RFSIR;

    /* 8A */    
    union {
        vuint16_t R;
        struct {
            vuint16_t FIFO_DEPTH:8;
            vuint16_t:1;
            vuint16_t ENTRY_SIZE:7;
        } B;
    } RFDSR;

    /* 8C */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:6;
            vuint16_t RDIDX:10;
        } B;
    } RFARIR;

    /* 8E */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:6;
            vuint16_t RDIDX:10;
        } B;
    } RFBRIR;

    /* 90 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t MIDAFVAL:16;
        } B;
    } RFMIDAFVR;

    /* 92 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t MIDAFMSK:16;
        } B;
    } RFMIDAFMR;

    /* 94 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:5;
            vuint16_t FIDRFVAL:11;
        } B;
    } RFFIDRFVR;

    /* 96 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:5;
            vuint16_t FIDRFMSK:11;
        } B;
    } RFFIDRFMR;

    /* 98 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t WMD:1;
            vuint16_t IBD:1;
            vuint16_t SEL:2;
            vuint16_t:1;
            vuint16_t SID:11;
        } B;
    } RFRFCFR;

    /* 9A */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:4;
            vuint16_t F3MD:1;
            vuint16_t F2MD:1;
            vuint16_t F1MD:1;
            vuint16_t F0MD:1;
            vuint16_t:4;
            vuint16_t F3EN:1;
            vuint16_t F2EN:1;
            vuint16_t F1EN:1;
            vuint16_t F0EN:1;
        } B;
    } RFRFCTR;

    /* 9C */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:5;
            vuint16_t LDYNTXSLOTA:11;                
        } B;
    } LDTXSLAR;

    /* 9E */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:5;
            vuint16_t LDYNTXSLOTB:11;                
        } B;
    } LDTXSLBR;

    /* A0 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t action_point_offset:6;
            vuint16_t static_slot_length:10;
        } B;
    } PCR0;

    /* A2 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:2;
            vuint16_t macro_after_first_static_slot:14;
        } B;
    } PCR1;

    /* A4 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t minislot_after_action_point:6;
            vuint16_t number_of_static_slots:10;
        } B;
    } PCR2;

    /* A6 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t wakeup_symbol_rx_low:6;
            vuint16_t minislot_action_point_offset:5;
            vuint16_t coldstart_attempts:5;
        } B;
    } PCR3;

    /* A8 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t cas_rx_low_max:7;
            vuint16_t wakeup_symbol_rx_window:9;
        } B;
    } PCR4;

    /* AA */    
    union {
        vuint16_t R;
        struct {
            vuint16_t tss_transmitter:4;
            vuint16_t wakeup_symbol_tx_low:6;
            vuint16_t wakeup_symbol_rx_idle:6;
        } B;
    } PCR5;

    /* AC */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:1;
            vuint16_t symbol_window_after_action_point:8;
            vuint16_t macro_initial_offset_a:7;
        } B;
    } PCR6;

    /* AE */    
    union {
        vuint16_t R;
        struct {
            vuint16_t decoding_correction_b:9;
            vuint16_t micro_per_macro_nom_half:7;
        } B;
    } PCR7;

    /* B0 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t max_without_clock_correction_fatal:4;
            vuint16_t max_without_clock_correction_passive:4;
            vuint16_t wakeup_symbol_tx_idle:8;
        } B;
    } PCR8;

    /* B2 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t minislot_exists:1;
            vuint16_t symbol_window_exists:1;
            vuint16_t offset_correction_out:14;
        } B;
    } PCR9;

    /* B4 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t single_slot_enabled:1;
            vuint16_t wakeup_channel:1;
            vuint16_t macro_per_cycle:14;
        } B;
    } PCR10;

    /* B6 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t key_slot_used_for_startup:1;
            vuint16_t key_slot_used_for_sync:1;
            vuint16_t offset_correction_start:14;
        } B;
    } PCR11;

    /* B8 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t allow_passive_to_active:5;
            vuint16_t key_slot_header_crc:11;
        } B;
    } PCR12;

    /* BA */    
    union {
        vuint16_t R;
        struct {
            vuint16_t first_minislot_action_point_offset:6;
            vuint16_t static_slot_after_action_point:10;
        } B;
    } PCR13;

    /* BC */    
    union {
        vuint16_t R;
        struct {
            vuint16_t rate_correction_out:11;
            vuint16_t listen_timeout:5;
        } B;
    } PCR14;

    /* BE */    
    union {
        vuint16_t R;
        struct {
            vuint16_t listen_timeout:16;
        } B;
    } PCR15;

    /* C0 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t macro_initial_offset_b:7;
            vuint16_t noise_listen_timeout:9;
        } B;
    } PCR16;

    /* C2 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t noise_listen_timeout:16;
        } B;
    } PCR17;

    /* C4 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t wakeup_pattern:6;
            vuint16_t key_slot_id:10;
        } B;
    } PCR18;

    /* C6 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t decoding_correction_a:9;
            vuint16_t payload_length_static:7;
        } B;
    } PCR19;

    /* C8 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t micro_initial_offset_b:8;
            vuint16_t micro_initial_offset_a:8;
        } B;
    } PCR20;

    /* CA */    
    union {
        vuint16_t R;
        struct {
            vuint16_t extern_rate_correction:3;
            vuint16_t latest_tx:13;
        } B;
    } PCR21;

    /* CC */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:1;
            vuint16_t comp_accepted_startup_range_a:11;
            vuint16_t micro_per_cycle:4;
        } B;
    } PCR22;

    /* CE */    
    union {
        vuint16_t R;
        struct {
            vuint16_t micro_per_cycle:16;
        } B;
    } PCR23;

    /* D0 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t cluster_drift_damping:5;
            vuint16_t max_payload_length_dynamic:7;
            vuint16_t micro_per_cycle_min:4;
        } B;
    } PCR24;

    /* D2 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t micro_per_cycle_min:16;
        } B;
    } PCR25;

    /* D4 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t allow_halt_due_to_clock:1;
            vuint16_t comp_accepted_startup_range_b:11;
            vuint16_t micro_per_cycle_max:4;
        } B;
    } PCR26;

    /* D6 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t micro_per_cycle_max:16;
        } B;
    } PCR27;

    /* D8 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t dynamic_slot_idle_phase:2;
            vuint16_t macro_after_offset_correction:14;
        } B;
    } PCR28;

    /* DA */    
    union {
        vuint16_t R;
        struct {
            vuint16_t extern_offset_correction:3;
            vuint16_t minislots_max:13;
        } B;
    } PCR29;

    /* DC */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:12;
            vuint16_t sync_node_max:4;
        } B;
    } PCR30;

    /* DE */    
    //uint8_t FR_reserved4[4];             
    union {                                
        vuint16_t R;                       
        struct {                           
            vuint16_t STPW:16;             
        } B;                               
    } STPWHR;                              
    
    /* E0 */                               
    union {                                
        vuint16_t R;                       
        struct {                           
            vuint16_t STPW:16;             
        } B;                               
    } STPWLR;                              

    /* E2 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:7;                   
            vuint16_t STPW_EN:1;           
            vuint16_t:5;                   
            vuint16_t TIM2_EE:1;
            vuint16_t TIM1_EE:1;
            vuint16_t CYC_EE:1;            
        } B;
    } PEOER;                               

    /* E4 */    
    uint8_t FR_reserved5[2];

    /* E6 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t SDO:16;
        } B;
    } RFSDOR;

    /* E8 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t SMBA:16;
        } B;
    } RFSYMBADHR;

    /* EA */    
    union {
        vuint16_t R;
        struct {
            vuint16_t SMBA:12;
            vuint16_t:4;
        } B;
    } RFSYMBADLR;

    /* EC */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:2;
            vuint16_t PTD:14;
        } B;
    } RFPTR;

    /* EE */    
    union {
        vuint16_t R;
        struct {
            vuint16_t FLB_PCB:8;
            vuint16_t FLA_PCA:8;
        } B;
    } RFFLPCR;

    /* F0 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t LRNE_OF:1;
            vuint16_t LRCE_OF:1;
            vuint16_t DRNE_OF:1;
            vuint16_t DRCE_OF:1;
            vuint16_t LRNE_IF:1;
            vuint16_t LRCE_IF:1;
            vuint16_t DRNE_IF:1;
            vuint16_t DRCE_IF:1;
            vuint16_t:4;
            vuint16_t LRNE_IE:1;
            vuint16_t LRCE_IE:1;
            vuint16_t DRNE_IE:1;
            vuint16_t DRCE_IE:1;
        } B;
    } EEIFER;

    /* F2 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t BSY:1;
            vuint16_t:5;
            vuint16_t ERS:2;
            vuint16_t:3;
            vuint16_t ERM:1;
            vuint16_t:2;
            vuint16_t EIM:1;
            vuint16_t EIE:1;
        } B;
    } EERICR;

    /* F4 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t MID:1;
            vuint16_t BANK:3;
            vuint16_t ADDR:12;
        } B;
    } EERAR;

    /* F6 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t DATA:16;
        } B;
    } EERDR;

    /* F8 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:11;
            vuint16_t CODE:5;
        } B;
    } EERCR;

    /* FA */    
    union {
        vuint16_t R;
        struct {
            vuint16_t MID:1;
            vuint16_t BANK:3;
            vuint16_t ADDR:12;
        } B;
    } EEIAR;

    /* FC */    
    union {
        vuint16_t R;
        struct {
            vuint16_t DATA:16;
        } B;
    } EEIDR;

    /* FE */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:11;
            vuint16_t CODE:5;
        } B;
    } EEICR;

    /* 100 */    
    uint8_t FR_reserved6[1792];

    /* 800 */    
    struct {
        union {
            vuint16_t R;
            struct {
                vuint16_t:3;
                vuint16_t MTD:1;
                vuint16_t CMT:1;
                vuint16_t EDT:1;
                vuint16_t LCKT:1;
                vuint16_t MBIE:1;
                vuint16_t:3;
                vuint16_t DUP:1;
                vuint16_t DVAL:1;
                vuint16_t EDS:1;
                vuint16_t LCKS:1;
                vuint16_t MBIF:1;
            } B;
        } MBCCSR;

        union {
            vuint16_t R;
            struct {
                vuint16_t MTM:1;
                vuint16_t CHA:1;
                vuint16_t CHB:1;
                vuint16_t CCFE:1;
                vuint16_t CCFMSK:6;
                vuint16_t CCFVAL:6;
            } B;
        } MBCCFR;

        union {
            vuint16_t R;
            struct {
                vuint16_t:5;
                vuint16_t FID:11;
            } B;
        } MBFIDR;

        union {
            vuint16_t R;
            struct {
                vuint16_t:8;
                vuint16_t MBIDX:8;
            } B;
        } MBIDXR;
    } Channel[128];

    /* C00 */    
    uint8_t FR_reserved7[1024];

    /* 1000 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t MBDO:16;
        } B;
    } MBDOR[132];

    /* 1108 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t LEETD:16;
        } B;
    } LEETR[6];
};
/**************************************************************************/
/*                   Module: GTMINT                                       */
/**************************************************************************/
struct GTMINT_tag {
    /* 00*/
    uint8_t GTMINT_reserved0[192];

    /* C0*/
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t MDIS:1;
            vuint32_t:13;
            vuint32_t AEISREN:1;
            vuint32_t:1;
            vuint32_t STPS:1;
            vuint32_t:14;
        } B;
    } MCR;

    /* C4*/    
    uint8_t GTMINT_reserved1[4];

    /* C8*/    
    union {
        vuint32_t R;
        struct {
            vuint32_t:22;
            vuint32_t INTCLR_PTR:10;
        } B;
    } CLR;

    /* CC*/    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t AEISRST:1;
        } B;
    } AEICR;
};
/**************************************************************************/
/*                   Module: I2C                                          */
/**************************************************************************/
struct I2C_tag {
    /* 00 */
    union {
        vuint8_t R;
        struct {
            vuint8_t ADR:7;
            vuint8_t:1;
        } B;
    } IBAD;

    /* 01 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t IBC:8;
        } B;
    } IBFD;

    /* 02 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t MDIS:1;
            vuint8_t IBIE:1;
            vuint8_t MSSL:1;                    
            vuint8_t TXRX:1;                    
            vuint8_t NOACK:1;
            vuint8_t RSTA:1;
            vuint8_t DMAEN:1;
            vuint8_t IBDOZE:1;                  
        } B;
    } IBCR;

    /* 03 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t TCF:1;
            vuint8_t IAAS:1;
            vuint8_t IBB:1;
            vuint8_t IBAL:1;
            vuint8_t:1;
            vuint8_t SRW:1;
            vuint8_t IBIF:1;
            vuint8_t RXAK:1;
        } B;
    } IBSR;

    /* 04 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t DATA:8;
        } B;
    } IBDR;

    /* 05 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t BIIE:1;
            vuint8_t:3;                        
            vuint8_t RDA:1;                    
            vuint8_t RCL:1;                    
            vuint8_t TDA:1;                    
            vuint8_t TCL:1;                    
        } B;
    } IBIC;

    /* 06 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t:6;
            vuint8_t IPG_DEBUG_HALTED:1;
            vuint8_t IPG_DEBUG_EN:1;
        } B;
    } IBDBG;
};
/**************************************************************************/
/*                   Module: IMA (Indirect Memory Access)                 */
/**************************************************************************/
struct IMA_tag {
    /* 00 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;                       
            vuint32_t READ:1;
        } B;
    } CTRL;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t EN:1;
        } B;
    } ENABLE;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:23;                       
            vuint32_t WRITE_LOCK:1;
            vuint32_t:7;
            vuint32_t READ_LOCK:1;
        } B;
    } STATUS;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:3;                       
            vuint32_t ROW_SLCT:13;             
            vuint32_t:10;                      
            vuint32_t ARRAY_SLCT:6;            
        } B;
    } SLCT;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WRITE_KEY:32;
        } B;
    } WRITE_UNLOCK;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t READ_KEY:32;
        } B;
    } READ_UNLOCK;

    /* 18 */    
    uint8_t IMA_reserved1[20];

    /* 2C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WRITE_n:32;
        } B;
    } WRITE_DATA_4;

    /* 30 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WRITE_n:32;
        } B;
    } WRITE_DATA_3;

    /* 34 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WRITE_n:32;
        } B;
    } WRITE_DATA_2;

    /* 38 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WRITE_n:32;
        } B;
    } WRITE_DATA_1;

    /* 3C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WRITE_n:32;
        } B;
    } WRITE_DATA_0;

    /* 40 */    
    uint8_t IMA_reserved2[12];

    /* 4C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t READ_n:32;
        } B;
    } READ_DATA_4;

    /* 50 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t READ_n:32;
        } B;
    } READ_DATA_3;

    /* 54 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t READ_n:32;
        } B;
    } READ_DATA_2;

    /* 58 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t READ_n:32;
        } B;
    } READ_DATA_1;

    /* 5C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t READ_n:32;
        } B;
    } READ_DATA_0;
};
/**************************************************************************/
/*                   Module: INTC                                         */
/**************************************************************************/
struct INTC_tag {
    /* 000 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:19;
            vuint32_t HVEN3:1;
            vuint32_t:3;
            vuint32_t HVEN2:1;
            vuint32_t:3;
            vuint32_t HVEN1:1;
            vuint32_t:3;
            vuint32_t HVEN0:1;
        } B;
    } BCR;

    /* 004 */
    union {                                
        vuint32_t R;                       
        struct {                           
            vuint32_t:26;                  
            vuint32_t ID:2;                
            vuint32_t:3;                   
            vuint32_t MPROT:1;             
        } B;                               
    } MPROT;                               

    /* 008 */    
    uint8_t INTC_reserved1[8];             

    /* 010 to 01C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;                  
            vuint32_t PRI:6;               /* Petr NOVAK */
        } B;
    } CPR[4];

    /* 020 to 02C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t VTBA:20;
            vuint32_t INTVEC:10;
            vuint32_t:2;
        } B;
    } IACKR[4];

    /* 030 to 03C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t EOI:32;
        } B;
    } EOIR[4];

    /* 040 to 05C */    
    union {
        vuint8_t R;
        struct {
            vuint8_t:6;
            vuint8_t SET:1;
            vuint8_t CLR:1;
        } B;
    } SSCIR[32];

    /* 060  to 85E */    
    union {
        vuint16_t R;    
        struct {
            union {
                vuint8_t R;                 /* replaced by dual vuint8 for MPROT */
                struct {
                    vuint8_t PRC_SEL:4;
                    vuint8_t:3;
                    uint8_t SWT:1;
                } B;
            } PRC_SEL;
            union {
                vuint8_t R;
                struct {
                    vuint8_t:2;
                    vuint8_t PRI:6;
                } B;
            } PRI;
        } PSR;
    } PSR[1024];
};

/**************************************************************************/
/*                    Module: IRCOSC Digital Interface                    */
/**************************************************************************/
struct IRCOSC_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:11;                        
            vuint32_t USER_TRIM:5;
            vuint32_t:16;                        
        } B;
    } CTL;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;                        
            vuint32_t FT_CODE:6;                
            vuint32_t:2;                        
            vuint32_t TX_CODE:6;                
            vuint32_t:4;                        
            vuint32_t REG_EN:1;
            vuint32_t TSENS_EN:1;
            vuint32_t:2;
            vuint32_t RCTRIM:8;
        } B;
    } NT;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;
            vuint32_t COLD_TRIM:10;
            vuint32_t:2;
            vuint32_t HOT_TRIM:10;
            vuint32_t:2;
            vuint32_t TSENS_TRIM:6;
        } B;
    } TT;
};

/**************************************************************************/
/*                   Module: JDC (JTAG Data Communication)                */
/**************************************************************************/
struct JDC_tag {
    /* 00 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t JIN_IEN:1;
            vuint32_t:15;
            vuint32_t JOUT_IEN:1;
        } B;
    } MCR;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:13;
            vuint32_t JIN_RDY:1;
            vuint32_t:1;
            vuint32_t JIN_INT:1;
            vuint32_t:13;
            vuint32_t JOUT_RDY:1;
            vuint32_t:1;
            vuint32_t JOUT_INT:1;
        } B;
    } MSR;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t JOUT_IPSData:32;
        } B;
    } JOUT_IPS;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t JIN_IPSData:32;
        } B;
    } JIN_IPS;
};
/**************************************************************************/
/*                   Module: JTAGM                                        */
/**************************************************************************/
struct JTAGM_tag {
    /* 00 */
    union {
        vuint32_t R;
        struct {
            vuint32_t SWRESET:1;
            vuint32_t evto0_sense:2;
            vuint32_t evto1_sense:2;
            vuint32_t evto_IE:1;
            vuint32_t evti0_assert:1;
            vuint32_t evti1_assert:1;
            vuint32_t:8;
            vuint32_t:2;
            vuint32_t inter_jtag_frame_timer:6;
            vuint32_t:1;
            vuint32_t SIE:1;
            vuint32_t IIE:1;
            vuint32_t TCKSEL:3;
            vuint32_t jtagm_JCOMP:1;
            vuint32_t DTM:1;
        } B;
    } MCR;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            // vuint32_t overrun:1;              /* LFAST mode */
            // vuint32_t:1;                      
            // vuint32_t LFAST_status:6;
            // vuint32_t dci_status:8;
            // vuint32_t evto0_edge:1;
            // vuint32_t evto1_edge:1;
            // vuint32_t SPU_INT_CLR:1;
            // vuint32_t SPU_INT:1;
            // vuint32_t CRC_err:1;
            // vuint32_t Nexus_err:1;
            // vuint32_t Idle:1;
            // vuint32_t NR:1;
            // vuint32_t CRC;                    
            vuint32_t:2;        /* SW mode */
            vuint32_t LFAST_status:6;
            vuint32_t dci_status:8;
            vuint32_t evto0_edge:1;
            vuint32_t evto1_edge:1;
            vuint32_t SPU_INT_CLR:1;
            vuint32_t SPU_INT:1;
            vuint32_t CRC_err:1;
            vuint32_t Nexus_err:1;
            vuint32_t Idle:1;
            vuint32_t NR:1;
            vuint32_t evto0_clr:1;
            vuint32_t evto1_clr:1;
            vuint32_t:6;
        } B;
    } SR;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TMS_HIGH:32;
        } B;
    } DOR0;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TMS_LOW:28;
            vuint32_t:4;
        } B;
    } DOR1;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TDI_HIGH:32;
        } B;
    } DOR2;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TDI_LOW:28;
            vuint32_t:3;
            vuint32_t Send:1;
        } B;
    } DOR3;

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t CRC:8;
        } B;
    } RxCRC;

    /* 1C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TDO_LOW:32;
        } B;
    } DIR0;

    /* 20 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TDO_HIGH:28;
            vuint32_t:4;
        } B;
    } DIR1;
};

/**************************************************************************/
/*                   Module: LFAST                                        */
/**************************************************************************/
struct LFAST_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t MSEN:1;
            vuint32_t:6;
            vuint32_t IPGDBG:1;
            vuint32_t:7;
            vuint32_t LSSEL:1;
            vuint32_t DRFEN:1;
            vuint32_t RXEN:1;
            vuint32_t TXEN:1;
            vuint32_t:8;
            vuint32_t TXARBD:1;
            vuint32_t CTSEN:1;
            vuint32_t:1;
            vuint32_t DRFRST:1;
            vuint32_t DATAEN:1;
        } B;
    } MCR;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t DRMD:1;
            vuint32_t:7;
            vuint32_t RDR:1;
            vuint32_t:7;
            vuint32_t TDR:1;
        } B;
    } SCR;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SMPSEL:8;
            vuint32_t:20;
            vuint32_t CORRTH:3;
            vuint32_t PHSSEL:1;
        } B;
    } COCR;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:6;
            vuint32_t CLKTST:1;
            vuint32_t LPON:1;
            vuint32_t:5;
            vuint32_t LPMOD:3;
            vuint32_t LPFRMTH:16;
        } B;
    } TMCR;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t LPCNTEN:1;
            vuint32_t LPFMCNT:16;
        } B;
    } ALCR;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t DRCNT:4;
            vuint32_t:16;
        } B;
    } RCDCR;

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t HSCNT:8;
            vuint32_t:4;
            vuint32_t LSCNT:4;
            vuint32_t HWKCNT:8;
            vuint32_t:4;
            vuint32_t LWKCNT:4;
        } B;
    } SLCR;

    /* 1C */
    union {
        vuint32_t R;
        struct {
            vuint32_t:14;
            vuint32_t ICLCSEQ:1;
            vuint32_t SNDICLC:1;
            vuint32_t:8;
            vuint32_t ICLCPLD:8;
        } B;
    } ICR;

    /* 20 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t PNGREQ:1;
            vuint32_t PNGAUTO:1;
            vuint32_t:7;
            vuint32_t PNGPYLD:8;
        } B;
    } PICR;

    /* 24 */
    uint8_t LFAST_reserved1[8];

    /* 2C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:10;
            vuint32_t RCTSMX:6;                        
            vuint32_t:10;
            vuint32_t RCTSMN:6;                        
        } B;
    } RFCR;

    /* 30 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:14;
            vuint32_t TXIIE:1;
            vuint32_t TXOVIE:1;
            vuint32_t:11;
            vuint32_t TXPNGIE:1;
            vuint32_t:1;
            vuint32_t TXUNSIE:1;
            vuint32_t TXICLCIE:1;
            vuint32_t TXDTIE:1;
        } B;
    } TIER;

    /* 34 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:8;
            vuint32_t RXUOIE:1;
            vuint32_t RXMNIE:1;
            vuint32_t RXMXIE:1;
            vuint32_t RXUFIE:1;
            vuint32_t RXOFIE:1;
            vuint32_t RXSZIE:1;
            vuint32_t RXICIE:1;
            vuint32_t RXLCEIE:1;
            vuint32_t:12;
            vuint32_t RXCTSIE:1;
            vuint32_t RXDIE:1;
            vuint32_t RXUNSIE:1;
            vuint32_t:1;
        } B;
    } RIER;

    /* 38 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:18;
            vuint32_t ICPFIE:1;
            vuint32_t ICPSIE:1;
            vuint32_t ICPRIE:1;
            vuint32_t ICTOIE:1;
            vuint32_t ICLPIE:1;
            vuint32_t ICCTIE:1;
            vuint32_t ICTDIE:1;
            vuint32_t ICTEIE:1;
            vuint32_t ICRFIE:1;
            vuint32_t ICRSIE:1;
            vuint32_t ICTFIE:1;
            vuint32_t ICTSIE:1;
            vuint32_t ICPOFIE:1;
            vuint32_t ICPONIE:1;
        } B;
    } RIIER;

    /* 3C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t IPTMOD:3;
            vuint32_t:11;
            vuint32_t SWPOFF:1;
            vuint32_t SWPON:1;
            vuint32_t REFINV:1;
            vuint32_t LPCFG:2;
            vuint32_t:2;
            vuint32_t PLCKCW:2;
            vuint32_t FDIVEN:1;
            vuint32_t FBDIV:6;
            vuint32_t PREDIV:2;
        } B;
    } PLLCR;

    /* 40 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:8;
            vuint32_t SWWKLD:1;
            vuint32_t SWSLPLD:1;
            vuint32_t SWWKLR:1;
            vuint32_t SWSLPLR:1;
            vuint32_t SWOFFLD:1;
            vuint32_t SWONLD:1;
            vuint32_t SWOFFLR:1;
            vuint32_t SWONLR:1;
            vuint32_t LVRXOFF:1;
            vuint32_t LVTXOE:1;
            vuint32_t TXCMUX:1;
            vuint32_t LVRFEN:1;
            vuint32_t LVLPEN:1;
            vuint32_t:5;
            vuint32_t LVRXOP_TR:1;                
            vuint32_t:1;                          
            vuint32_t LVRXOP_BR:1;                
            vuint32_t LVTXOP:1;
            vuint32_t LVCKSS:1;
            vuint32_t LVCKP:1;
        } B;
    } LCR;

    /* 44 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t USNDRQ:1;
            vuint32_t:9;
            vuint32_t UNSHDR:7;
        } B;
    } UNSTCR;

    /* 48 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNTXD:32;
        } B;
    } UNSTDR8;

    /* 4C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNTXD:32;
        } B;
    } UNSTDR7;

    /* 50 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNTXD:32;
        } B;
    } UNSTDR6;

    /* 54 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNTXD:32;
        } B;
    } UNSTDR5;

    /* 58 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNTXD:32;
        } B;
    } UNSTDR4;

    /* 5C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNTXD:32;
        } B;
    } UNSTDR3;

    /* 60 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNTXD:32;
        } B;
    } UNSTDR2;

    /* 64 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNTXD:32;
        } B;
    } UNSTDR1;

    /* 68 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNTXD:32;
        } B;
    } UNSTDR0;

    /* 6C */    
    uint8_t LFAST_reserved2[20];

    /* 80 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DUALMD:1;
            vuint32_t:12;
            vuint32_t LRMD:1;
            vuint32_t LDSM:1;
            vuint32_t DRSM:1;
            vuint32_t:11;
            vuint32_t LPTXDN:1;
            vuint32_t LPFPDV:1;
            vuint32_t LPCPDV:1;
            vuint32_t LPCHDV:1;
            vuint32_t LPCSDV:1;
        } B;
    } GSR;

    /* 84 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t RXPNGD:8;
        } B;
    } PISR;

    /* 88 */    
    uint8_t LFAST_reserved3[12];

    /* 94 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;
            vuint32_t RXDCNT:6;
            vuint32_t:5;
            vuint32_t RXFCNT:3;
            vuint32_t:2;
            vuint32_t TXDCNT:6;
            vuint32_t:5;
            vuint32_t TXFCNT:3;
        } B;
    } DFSR;

    /* 98 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:14;
            vuint32_t TXIEF:1;
            vuint32_t TXOVF:1;
            vuint32_t:11;
            vuint32_t TXPNGF:1;
            vuint32_t:1;
            vuint32_t TXUNSF:1;
            vuint32_t TXICLCF:1;
            vuint32_t TXDTF:1;
        } B;
    } TISR;

    /* 9C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:8;
            vuint32_t RXUOF:1;
            vuint32_t RXMNF:1;
            vuint32_t RXMXF:1;
            vuint32_t RXUFF:1;
            vuint32_t RXOFF:1;
            vuint32_t RXSZF:1;
            vuint32_t RXICF:1;
            vuint32_t RXLCEF:1;
            vuint32_t:12;
            vuint32_t RXCTSF:1;
            vuint32_t RXDF:1;
            vuint32_t RXUNSF:1;
            vuint32_t:1;
        } B;
    } RISR;

    /* A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:18;
            vuint32_t ICPFF:1;
            vuint32_t ICPSF:1;
            vuint32_t ICPRF:1;
            vuint32_t ICTOF:1;
            vuint32_t ICLPF:1;
            vuint32_t ICCTF:1;
            vuint32_t ICTDF:1;
            vuint32_t ICTEF:1;
            vuint32_t ICRFF:1;
            vuint32_t ICRSF:1;
            vuint32_t ICTFF:1;
            vuint32_t ICTSF:1;
            vuint32_t ICPOFF:1;
            vuint32_t ICPONF:1;
        } B;
    } RIISR;

    /* A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:14;
            vuint32_t PLLDIS:1;
            vuint32_t PLDCR:1;
            vuint32_t:12;
            vuint32_t LDSLPS:1;
            vuint32_t LRSLPS:1;
            vuint32_t LDPDS:1;
            vuint32_t LRPDS:1;
        } B;
    } PLLLSR;

    /* A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:23;
            vuint32_t URXDV:1;
            vuint32_t:5;
            vuint32_t URPCNT:3;
        } B;
    } UNSRSR;

    /* AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNRXD:32;
        } B;
    } UNSRDR8;

    /* B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNRXD:32;
        } B;
    } UNSRDR7;

    /* B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNRXD:32;
        } B;
    } UNSRDR6;

    /* B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNRXD:32;
        } B;
    } UNSRDR5;

    /* BC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNRXD:32;
        } B;
    } UNSRDR4;

    /* C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNRXD:32;
        } B;
    } UNSRDR3;

    /* C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNRXD:32;
        } B;
    } UNSRDR2;

    /* C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNRXD:32;
        } B;
    } UNSRDR1;

    /* CC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t UNRXD:32;
        } B;
    } UNSRDR0;
};

/**************************************************************************/
/*                   Module: LINFlexD_0 with IFCR registers               */
/**************************************************************************/
struct LINFlexD_with_IFCR_registers_tag {
    /* 00 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t CCD:1;
            vuint32_t CFD:1;
            vuint32_t LASE:1;
            vuint32_t AUTOWU:1;
            vuint32_t MBL:4;
            vuint32_t BF:1;
            vuint32_t:1;
            vuint32_t LBKM:1;
            vuint32_t MME:1;
            vuint32_t SSBL:1;
            vuint32_t RBLM:1;
            vuint32_t SLEEP:1;
            vuint32_t INIT:1;
        } B;
    } LINCR1;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t SZIE:1;
            vuint32_t OCIE:1;
            vuint32_t BEIE:1;
            vuint32_t CEIE:1;
            vuint32_t HEIE:1;
            vuint32_t:2;
            vuint32_t FEIE:1;
            vuint32_t BOIE:1;
            vuint32_t LSIE:1;
            vuint32_t WUIE:1;
            vuint32_t DBFIE:1;
            vuint32_t DBEIE_TOIE:1;
            vuint32_t DRIE:1;
            vuint32_t DTIE:1;
            vuint32_t HRIE:1;
        } B;
    } LINIER;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;                         
            vuint32_t AUTOSYNC_COMP:1;            
            vuint32_t RDC:3;
            vuint32_t LINS:4;
            vuint32_t:2;
            vuint32_t RMB:1;
            vuint32_t DRBNE:1;
            vuint32_t RXbusy:1;
            vuint32_t RDI:1;
            vuint32_t WUF:1;
            vuint32_t DBFF:1;
            vuint32_t DBEF:1;
            vuint32_t DRF:1;
            vuint32_t DTF:1;
            vuint32_t HRF:1;
        } B;
    } LINSR;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t SZF:1;
            vuint32_t OCF:1;
            vuint32_t BEF:1;
            vuint32_t CEF:1;
            vuint32_t SFEF:1;
            vuint32_t SDEF:1;
            vuint32_t IDPEF:1;
            vuint32_t FEF:1;
            vuint32_t BOF:1;
            vuint32_t:6;
            vuint32_t NF:1;
        } B;
    } LINESR;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MIS:1;                        
            vuint32_t CSP:3;                        
            vuint32_t OSR:4;                        
            vuint32_t ROSE:1;                       
            vuint32_t NEF:3;
            vuint32_t DTU:1;
            vuint32_t SBUR:2;
            vuint32_t WLS:1;
            vuint32_t TDFL_TFC:3;
            vuint32_t RDFL_RFC:3;
            vuint32_t RFBM:1;
            vuint32_t TFBM:1;
            vuint32_t WL1:1;
            vuint32_t PC1:1;
            vuint32_t RxEn:1;
            vuint32_t TxEn:1;
            vuint32_t PC0:1;
            vuint32_t PCE:1;
            vuint32_t WL0:1;
            vuint32_t UART:1;
        } B;
    } UARTCR;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t SZF:1;
            vuint32_t OCF:1;
            vuint32_t PE:4;
            vuint32_t RMB:1;
            vuint32_t FEF:1;
            vuint32_t BOF:1;
            vuint32_t RDI:1;
            vuint32_t WUF:1;
            vuint32_t RFNE:1;
            vuint32_t TO:1;
            vuint32_t DRF_RFE:1;
            vuint32_t DTF_TFF:1;
            vuint32_t NF:1;
        } B;
    } UARTSR;

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:21;
            vuint32_t MODE:1;
            vuint32_t IOT:1;
            vuint32_t TOCE:1;
            vuint32_t CNT:8;
        } B;
    } LINTCSR;

    /* 1C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t OC2:8;
            vuint32_t OC1:8;
        } B;
    } LINOCR;

    /* 20 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;
            vuint32_t RTO:4;
            vuint32_t:1;
            vuint32_t HTO:7;
        } B;
    } LINTOCR;

    /* 24 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:28;
            vuint32_t FBR:4;
        } B;
    } LINFBRR;

    /* 28 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t IBR:20;
        } B;
    } LINIBRR;

    /* 2C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t CF:8;
        } B;
    } LINCFR;

    /* 30 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t TBDE:1;
            vuint32_t IOBE:1;
            vuint32_t IOPE:1;
            vuint32_t WURQ:1;
            vuint32_t DDRQ:1;
            vuint32_t DTRQ:1;
            vuint32_t ABRQ:1;
            vuint32_t HTRQ:1;
            vuint32_t:8;
        } B;
    } LINCR2;

    /* 34 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t DFL:6;
            vuint32_t DIR:1;
            vuint32_t CCS:1;
            vuint32_t:2;
            vuint32_t ID:6;
        } B;
    } BIDR;

    /* 38 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DATA3:8;
            vuint32_t DATA2:8;
            vuint32_t DATA1:8;
            vuint32_t DATA0:8;
        } B;
    } BDRL;

    /* 3C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DATA7:8;
            vuint32_t DATA6:8;
            vuint32_t DATA5:8;
            vuint32_t DATA4:8;
        } B;
    } BDRM;

    /* 40 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t FACT:16;
        } B;
    } IFER;

    /* 44 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t IFMI:5;
        } B;
    } IFMI;

    /* 48 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t IFM:8;
        } B;
    } IFMR;

    /* 4C to 88 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t DFL:6;
            vuint32_t DIR:1;
            vuint32_t CCS:1;
            vuint32_t:2;
            vuint32_t ID:6;
        } B;
    } IFCR[16];

    /* 8C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t TDFBM:1;
            vuint32_t RDFBM:1;
            vuint32_t TDLIS:1;
            vuint32_t RDLIS:1;
            vuint32_t STOP:1;
            vuint32_t SR:1;
        } B;
    } GCR;

    /* 90 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;
            vuint32_t PTO:12;
        } B;
    } UARTPTO;

    /* 94 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;
            vuint32_t CTO:12;
        } B;
    } UARTCTO;

    /* 98 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;                        
            vuint32_t DTE:16;                    
        } B;
    } DMATXE;

    /* 9C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;                        
            vuint32_t DRE:16;                    
        } B;
    } DMARXE;
};

/**************************************************************************/
/*        Module: LINFlexD_1, 2, 14, 15 without IFCR registers            */
/**************************************************************************/
struct LINFlexD_tag {
    /* 00 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t CCD:1;
            vuint32_t CFD:1;
            vuint32_t LASE:1;
            vuint32_t AUTOWU:1;
            vuint32_t MBL:4;
            vuint32_t BF:1;
            vuint32_t:1;
            vuint32_t LBKM:1;
            vuint32_t MME:1;
            vuint32_t SSBL:1;
            vuint32_t RBLM:1;
            vuint32_t SLEEP:1;
            vuint32_t INIT:1;
        } B;
    } LINCR1;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t SZIE:1;
            vuint32_t OCIE:1;
            vuint32_t BEIE:1;
            vuint32_t CEIE:1;
            vuint32_t HEIE:1;
            vuint32_t:2;
            vuint32_t FEIE:1;
            vuint32_t BOIE:1;
            vuint32_t LSIE:1;
            vuint32_t WUIE:1;
            vuint32_t DBFIE:1;
            vuint32_t DBEIE_TOIE:1;
            vuint32_t DRIE:1;
            vuint32_t DTIE:1;
            vuint32_t HRIE:1;
        } B;
    } LINIER;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;                        
            vuint32_t AUTOSYNC_COMP:1;           
            vuint32_t RDC:3;
            vuint32_t LINS:4;
            vuint32_t:2;
            vuint32_t RMB:1;
            vuint32_t DRBNE:1;
            vuint32_t RXbusy:1;
            vuint32_t RDI:1;
            vuint32_t WUF:1;
            vuint32_t DBFF:1;
            vuint32_t DBEF:1;
            vuint32_t DRF:1;
            vuint32_t DTF:1;
            vuint32_t HRF:1;
        } B;
    } LINSR;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t SZF:1;
            vuint32_t OCF:1;
            vuint32_t BEF:1;
            vuint32_t CEF:1;
            vuint32_t SFEF:1;
            vuint32_t SDEF:1;
            vuint32_t IDPEF:1;
            vuint32_t FEF:1;
            vuint32_t BOF:1;
            vuint32_t:6;
            vuint32_t NF:1;
        } B;
    } LINESR;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MIS:1;                
            vuint32_t CSP:3;                
            vuint32_t OSR:4;                
            vuint32_t ROSE:1;               
            vuint32_t NEF:3;
            vuint32_t DTU:1;
            vuint32_t SBUR:2;
            vuint32_t WLS:1;
            vuint32_t TDFL_TFC:3;
            vuint32_t RDFL_RFC:3;
            vuint32_t RFBM:1;
            vuint32_t TFBM:1;
            vuint32_t WL1:1;
            vuint32_t PC1:1;
            vuint32_t RxEn:1;
            vuint32_t TxEn:1;
            vuint32_t PC0:1;
            vuint32_t PCE:1;
            vuint32_t WL0:1;
            vuint32_t UART:1;
        } B;
    } UARTCR;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t SZF:1;
            vuint32_t OCF:1;
            vuint32_t PE:4;
            vuint32_t RMB:1;
            vuint32_t FEF:1;
            vuint32_t BOF:1;
            vuint32_t RDI:1;
            vuint32_t WUF:1;
            vuint32_t RFNE:1;
            vuint32_t TO:1;
            vuint32_t DRF_RFE:1;
            vuint32_t DTF_TFF:1;
            vuint32_t NF:1;
        } B;
    } UARTSR;

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:21;
            vuint32_t MODE:1;
            vuint32_t IOT:1;
            vuint32_t TOCE:1;
            vuint32_t CNT:8;
        } B;
    } LINTCSR;

    /* 1C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t OC2:8;
            vuint32_t OC1:8;
        } B;
    } LINOCR;

    /* 20 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;
            vuint32_t RTO:4;
            vuint32_t:1;
            vuint32_t HTO:7;
        } B;
    } LINTOCR;

    /* 24 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:28;
            vuint32_t FBR:4;
        } B;
    } LINFBRR;

    /* 28 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t IBR:20;
        } B;
    } LINIBRR;

    /* 2C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t CF:8;
        } B;
    } LINCFR;

    /* 30 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t TBDE:1;
            vuint32_t IOBE:1;
            vuint32_t IOPE:1;
            vuint32_t WURQ:1;
            vuint32_t DDRQ:1;
            vuint32_t DTRQ:1;
            vuint32_t ABRQ:1;
            vuint32_t HTRQ:1;
            vuint32_t:8;
        } B;
    } LINCR2;

    /* 34 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t DFL:6;
            vuint32_t DIR:1;
            vuint32_t CCS:1;
            vuint32_t:2;
            vuint32_t ID:6;
        } B;
    } BIDR;

    /* 38 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DATA3:8;
            vuint32_t DATA2:8;
            vuint32_t DATA1:8;
            vuint32_t DATA0:8;
        } B;
    } BDRL;

    /* 3C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DATA7:8;
            vuint32_t DATA6:8;
            vuint32_t DATA5:8;
            vuint32_t DATA4:8;
        } B;
    } BDRM;

    /* 40 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t FACT:16;
        } B;
    } IFER;

    /* 44 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t IFMI:5;
        } B;
    } IFMI;

    /* 48 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t IFM:8;
        } B;
    } IFMR;

    /* 4C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t TDFBM:1;
            vuint32_t RDFBM:1;
            vuint32_t TDLIS:1;
            vuint32_t RDLIS:1;
            vuint32_t STOP:1;
            vuint32_t SR:1;
        } B;
    } GCR;

    /* 50 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;
            vuint32_t PTO:12;
        } B;
    } UARTPTO;

    /* 54 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;
            vuint32_t CTO:12;
        } B;
    } UARTCTO;

    /* 58 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;                        
            vuint32_t DTE:16;                    
        } B;
    } DMATXE;

    /* 5C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;                        
            vuint32_t DRE:16;                    
        } B;
    } DMARXE;
};

/**************************************************************************/
/*                   Module: M_TTCAN                                      */
/**************************************************************************/
struct M_TTCAN_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t REL:4;
            vuint32_t STEP:4;
            vuint32_t SUBSTEP:4;
            vuint32_t YEAR:4;
            vuint32_t MON:8;
            vuint32_t DAY:8;
        } B;
    } CREL;

    /* 004 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ETV:32;
        } B;
    } ENDN;

    /* 008 */    
    uint8_t M_TTCAN_reserved1[4];            

    /* 00C */
    union {
        vuint32_t R;
        struct {
            vuint32_t TDCO:4;               
            vuint32_t TDC:1;                
            vuint32_t:1;                    
            vuint32_t FBRP:10;              
            vuint32_t:4;                    
            vuint32_t FTSEG1:4;             
            vuint32_t:1;                    
            vuint32_t FTSEG2:3;             
            vuint32_t:2;                    
            vuint32_t FSJW:2;               
        } B;
    } FBTP;

    /* 010 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:19;                   
            vuint32_t TDCV:5;               
            vuint32_t RX:1;
            vuint32_t TX:2;
            vuint32_t LBCK:1;
            vuint32_t CAT:1;                
            vuint32_t CAM:1;                
            vuint32_t TAT:1;                
            vuint32_t TAM:1;                
        } B;
    } TEST;

    /* 014 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t WDV:8;
            vuint32_t WDC:8;
        } B;
    } RWD;

    /* 018 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:18;                   
            vuint32_t FDBS:1;               
            vuint32_t FDO:1;                
            vuint32_t CMR:2;                
            vuint32_t CME:2;                
            vuint32_t TEST:1;
            vuint32_t DAR:1;
            vuint32_t MON:1;
            vuint32_t CSR:1;
            vuint32_t CSA:1;
            vuint32_t ASM:1;
            vuint32_t CCE:1;
            vuint32_t INIT:1;
        } B;
    } CCCR;

    /* 01C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:6;                    
            vuint32_t BRP:10;               
            vuint32_t:2;                    
            vuint32_t TSEG1:6;              
            vuint32_t TSEG2:4;              
            vuint32_t SJW:4;                
        } B;
    } BTP;

    /* 020 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t TCP:4;
            vuint32_t:14;
            vuint32_t TSS:2;
        } B;
    } TSCC;

    /* 024 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t TSC:16;
        } B;
    } TSCV;

    /* 028 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TOP:16;
            vuint32_t:13;
            vuint32_t TOS:2;
            vuint32_t ETOC:1;
        } B;
    } TOCC;

    /* 02C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t TOC:16;                 
        } B;
    } TOCV;

    /* 030 */    
    uint8_t M_TTCAN_reserved2[16];

    /* 040 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:8;
            vuint32_t CEL:8;
            vuint32_t RP:1;
            vuint32_t REC:7;
            vuint32_t TEC:8;
        } B;
    } ECR;

    /* 044 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:18;                    
            vuint32_t REDL:1;                
            vuint32_t RBRS:1;                
            vuint32_t RESI:1;                
            vuint32_t FLEC:1;                
            vuint32_t BO:1;
            vuint32_t EW:1;
            vuint32_t EP:1;
            vuint32_t ACT:2;
            vuint32_t LEC:3;
        } B;
    } PSR;

    /* 048 */    
    uint8_t M_TTCAN_reserved3[8];

    /* 050 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t STE:1;
            vuint32_t FOE:1;
            vuint32_t ACKE:1;
            vuint32_t BE:1;
            vuint32_t CRCE:1;
            vuint32_t WDI:1;
            vuint32_t BO:1;
            vuint32_t EW:1;
            vuint32_t EP:1;
            vuint32_t ELO:1;
            vuint32_t BEU:1;
            vuint32_t BEC:1;
            vuint32_t DRX:1;                   
            vuint32_t TOO:1;
            vuint32_t UMD:1;
            vuint32_t TSW:1;
            vuint32_t TEFL:1;
            vuint32_t TEFF:1;
            vuint32_t TEFW:1;
            vuint32_t TEFN:1;
            vuint32_t TFE:1;
            vuint32_t TCF:1;
            vuint32_t TC:1;
            vuint32_t HPM:1;
            vuint32_t RF1L:1;
            vuint32_t RF1F:1;
            vuint32_t RF1W:1;
            vuint32_t RF1N:1;
            vuint32_t RF0L:1;
            vuint32_t RF0F:1;
            vuint32_t RF0W:1;
            vuint32_t RF0N:1;
        } B;
    } IR;

    /* 054 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t STEE:1;
            vuint32_t FOEE:1;
            vuint32_t ACKEE:1;
            vuint32_t BEE:1;
            vuint32_t CRCEE:1;
            vuint32_t WDIE:1;
            vuint32_t BOE:1;
            vuint32_t EWE:1;
            vuint32_t EPE:1;
            vuint32_t ELOE:1;
            vuint32_t BEUE:1;
            vuint32_t BECE:1;
            vuint32_t DRXE:1;                        
            vuint32_t TOOE:1;
            vuint32_t UMDE:1;
            vuint32_t TSWE:1;
            vuint32_t TEFLE:1;
            vuint32_t TEFFE:1;
            vuint32_t TEFWE:1;
            vuint32_t TEFNE:1;
            vuint32_t TFEE:1;
            vuint32_t TCFE:1;
            vuint32_t TCE:1;
            vuint32_t HPME:1;
            vuint32_t RF1LE:1;
            vuint32_t RF1FE:1;
            vuint32_t RF1WE:1;
            vuint32_t RF1NE:1;
            vuint32_t RF0LE:1;
            vuint32_t RF0FE:1;
            vuint32_t RF0WE:1;
            vuint32_t RF0NE:1;
        } B;
    } IE;

    /* 058 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t STEL:1;
            vuint32_t FOEL:1;
            vuint32_t ACKEL:1;
            vuint32_t BEL:1;
            vuint32_t CRCEL:1;
            vuint32_t WDIL:1;
            vuint32_t BOL:1;
            vuint32_t EWL:1;
            vuint32_t EPL:1;
            vuint32_t ELOL:1;
            vuint32_t BEUL:1;
            vuint32_t BECL:1;
            vuint32_t DRXL:1;                        
            vuint32_t TOOL:1;
            vuint32_t UMDL:1;
            vuint32_t TSWL:1;
            vuint32_t TEFLL:1;
            vuint32_t TEFFL:1;
            vuint32_t TEFWL:1;
            vuint32_t TEFNL:1;
            vuint32_t TFEL:1;
            vuint32_t TCFL:1;
            vuint32_t TCL:1;
            vuint32_t HPML:1;
            vuint32_t RF1LL:1;
            vuint32_t RF1FL:1;
            vuint32_t RF1WL:1;
            vuint32_t RF1NL:1;
            vuint32_t RF0LL:1;
            vuint32_t RF0FL:1;
            vuint32_t RF0WL:1;
            vuint32_t RF0NL:1;
        } B;
    } ILS;

    /* 05C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:30;
            vuint32_t EINT1:1;
            vuint32_t EINT0:1;
        } B;
    } ILE;

    /* 060 */    
    uint8_t M_TTCAN_reserved4[32];

    /* 080 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t ANFS:2;
            vuint32_t ANFE:2;
            vuint32_t RRFS:1;
            vuint32_t RRFE:1;
        } B;
    } GFC;

    /* 084 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:8;
            vuint32_t LSS:8;
            vuint32_t FLSSA:14;
            vuint32_t:2;
        } B;
    } SIDFC;

    /* 088 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:9;
            vuint32_t LSE:7;                
            vuint32_t FLESA:14;
            vuint32_t:2;
        } B;
    } XIDFC;

    /* 08C */    
    uint8_t M_TTCAN_reserved5[4];

    /* 090 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:3;
            vuint32_t EIDM:29;
        } B;
    } XIDAM;

    /* 094 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t FLST:1;
            vuint32_t FIDX:7;
            vuint32_t MSI:2;
            vuint32_t BIDX:6;
        } B;
    } HPMS;

    /* 098 */    
    union {                                 
        vuint32_t R;                        
        struct {                            
            vuint32_t ND31:1;               
            vuint32_t ND30:1;               
            vuint32_t ND29:1;               
            vuint32_t ND28:1;               
            vuint32_t ND27:1;               
            vuint32_t ND26:1;               
            vuint32_t ND25:1;               
            vuint32_t ND24:1;               
            vuint32_t ND23:1;               
            vuint32_t ND22:1;               
            vuint32_t ND21:1;               
            vuint32_t ND20:1;               
            vuint32_t ND19:1;               
            vuint32_t ND18:1;               
            vuint32_t ND17:1;               
            vuint32_t ND16:1;               
            vuint32_t ND15:1;               
            vuint32_t ND14:1;               
            vuint32_t ND13:1;               
            vuint32_t ND12:1;               
            vuint32_t ND11:1;               
            vuint32_t ND10:1;               
            vuint32_t ND9:1;                
            vuint32_t ND8:1;                
            vuint32_t ND7:1;                
            vuint32_t ND6:1;                
            vuint32_t ND5:1;                
            vuint32_t ND4:1;                
            vuint32_t ND3:1;                
            vuint32_t ND2:1;                
            vuint32_t ND1:1;                
            vuint32_t ND0:1;                
        } B;                                
    } NDAT1;                                

    /* 09C */    
    union {                                 
        vuint32_t R;                        
        struct {                            
            vuint32_t ND63:1;               
            vuint32_t ND62:1;               
            vuint32_t ND61:1;               
            vuint32_t ND60:1;               
            vuint32_t ND59:1;               
            vuint32_t ND58:1;               
            vuint32_t ND57:1;               
            vuint32_t ND56:1;               
            vuint32_t ND55:1;               
            vuint32_t ND54:1;               
            vuint32_t ND53:1;               
            vuint32_t ND52:1;               
            vuint32_t ND51:1;               
            vuint32_t ND50:1;               
            vuint32_t ND49:1;               
            vuint32_t ND48:1;               
            vuint32_t ND47:1;               
            vuint32_t ND46:1;               
            vuint32_t ND45:1;               
            vuint32_t ND44:1;               
            vuint32_t ND43:1;               
            vuint32_t ND42:1;               
            vuint32_t ND41:1;               
            vuint32_t ND40:1;               
            vuint32_t ND39:1;               
            vuint32_t ND38:1;               
            vuint32_t ND37:1;               
            vuint32_t ND36:1;               
            vuint32_t ND35:1;               
            vuint32_t ND34:1;               
            vuint32_t ND33:1;               
            vuint32_t ND32:1;               
        } B;                                
    } NDAT2;                                

    /* 0A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t F0WM:7;
            vuint32_t:1;
            vuint32_t F0S:7;
            vuint32_t FOSA:14;
            vuint32_t:2;
        } B;
    } RXF0C;

    /* 0A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:6;
            vuint32_t RF0L:1;
            vuint32_t F0F:1;
            vuint32_t:2;                    
            vuint32_t F0PI:6;               
            vuint32_t:2;                    
            vuint32_t F0GI:6;
            vuint32_t:1;
            vuint32_t F0FL:7;
        } B;
    } RXF0S;

    /* 0A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t F0AI:6;
        } B;
    } RXF0A;

    /* 0AC */    
    union {                                 
        vuint32_t R;                        
        struct {                            
            vuint32_t:16;                   
            vuint32_t RBSA:14;              
            vuint32_t:2;                    
        } B;                                
    } RXBC;                                 

    /* 0B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t F1WM:7;
            vuint32_t:1;
            vuint32_t F1S:7;
            vuint32_t F1SA:14;
            vuint32_t:2;
        } B;
    } RXF1C;

    /* 0B4 */
    union {
        vuint32_t R;
        struct {
            vuint32_t DMS:1;                 
            vuint32_t:4;
            vuint32_t RF1L:1;
            vuint32_t F1F:1;
            vuint32_t:2;                     
            vuint32_t F1PI:1;                
            vuint32_t:2;                     
            vuint32_t F1GI:6;
            vuint32_t:1;
            vuint32_t F1FL:7;
        } B;
    } RXF1S;

    /* 0B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t F1A:6;
        } B;
    } RXF1A;

    /* 0BC */    
    uint8_t M_TTCAN_reserved8[4];

    /* 0C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t TFQM:1;
            vuint32_t TFQS:6;
            vuint32_t:2;
            vuint32_t NDTB:6;
            vuint32_t TBSA:14;
            vuint32_t:2;
        } B;
    } TXBC;

    /* 0C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:10;
            vuint32_t TFQF:1;
            vuint32_t TFQPI:5;
            vuint32_t:3;                    
            vuint32_t TFGI:5;               
            vuint32_t:2;                    
            vuint32_t TFFL:6;
        } B;
    } TXFQS;

    /* 0C8 */    
    uint8_t M_TTCAN_reserved9[4];

    /* 0CC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TRP31:1;              
            vuint32_t TRP30:1;              
            vuint32_t TRP29:1;              
            vuint32_t TRP28:1;              
            vuint32_t TRP27:1;              
            vuint32_t TRP26:1;              
            vuint32_t TRP25:1;              
            vuint32_t TRP24:1;              
            vuint32_t TRP23:1;              
            vuint32_t TRP22:1;              
            vuint32_t TRP21:1;              
            vuint32_t TRP20:1;              
            vuint32_t TRP19:1;              
            vuint32_t TRP18:1;              
            vuint32_t TRP17:1;              
            vuint32_t TRP16:1;              
            vuint32_t TRP15:1;              
            vuint32_t TRP14:1;              
            vuint32_t TRP13:1;              
            vuint32_t TRP12:1;              
            vuint32_t TRP11:1;              
            vuint32_t TRP10:1;              
            vuint32_t TRP9:1;               
            vuint32_t TRP8:1;               
            vuint32_t TRP7:1;               
            vuint32_t TRP6:1;               
            vuint32_t TRP5:1;               
            vuint32_t TRP4:1;               
            vuint32_t TRP3:1;               
            vuint32_t TRP2:1;               
            vuint32_t TRP1:1;               
            vuint32_t TRP0:1;               
        } B;
    } TXBRP;

    /* 0D0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t AR31:1;               
            vuint32_t AR30:1;               
            vuint32_t AR29:1;               
            vuint32_t AR28:1;               
            vuint32_t AR27:1;               
            vuint32_t AR26:1;               
            vuint32_t AR25:1;               
            vuint32_t AR24:1;               
            vuint32_t AR23:1;               
            vuint32_t AR22:1;               
            vuint32_t AR21:1;               
            vuint32_t AR20:1;               
            vuint32_t AR19:1;               
            vuint32_t AR18:1;               
            vuint32_t AR17:1;               
            vuint32_t AR16:1;               
            vuint32_t AR15:1;               
            vuint32_t AR14:1;               
            vuint32_t AR13:1;               
            vuint32_t AR12:1;               
            vuint32_t AR11:1;               
            vuint32_t AR10:1;               
            vuint32_t AR9:1;                
            vuint32_t AR8:1;                
            vuint32_t AR7:1;                
            vuint32_t AR6:1;                
            vuint32_t AR5:1;                
            vuint32_t AR4:1;                
            vuint32_t AR3:1;                
            vuint32_t AR2:1;                
            vuint32_t AR1:1;                
            vuint32_t AR0:1;                
        } B;
    } TXBAR;

    /* 0D4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CR31:1;                
            vuint32_t CR30:1;                
            vuint32_t CR29:1;                
            vuint32_t CR28:1;                
            vuint32_t CR27:1;                
            vuint32_t CR26:1;                
            vuint32_t CR25:1;                
            vuint32_t CR24:1;                
            vuint32_t CR23:1;                
            vuint32_t CR22:1;                
            vuint32_t CR21:1;                
            vuint32_t CR20:1;                
            vuint32_t CR19:1;                
            vuint32_t CR18:1;                
            vuint32_t CR17:1;                
            vuint32_t CR16:1;                
            vuint32_t CR15:1;                
            vuint32_t CR14:1;                
            vuint32_t CR13:1;                
            vuint32_t CR12:1;                
            vuint32_t CR11:1;                
            vuint32_t CR10:1;                
            vuint32_t CR9:1;                 
            vuint32_t CR8:1;                 
            vuint32_t CR7:1;                 
            vuint32_t CR6:1;                 
            vuint32_t CR5:1;                 
            vuint32_t CR4:1;                 
            vuint32_t CR3:1;                 
            vuint32_t CR2:1;                 
            vuint32_t CR1:1;                 
            vuint32_t CR0:1;                 
        } B;
    } TXBCR;

    /* 0D8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TO31:1;                 
            vuint32_t TO30:1;                 
            vuint32_t TO29:1;                 
            vuint32_t TO28:1;                 
            vuint32_t TO27:1;                 
            vuint32_t TO26:1;                 
            vuint32_t TO25:1;                 
            vuint32_t TO24:1;                 
            vuint32_t TO23:1;                 
            vuint32_t TO22:1;                 
            vuint32_t TO21:1;                 
            vuint32_t TO20:1;                 
            vuint32_t TO19:1;                 
            vuint32_t TO18:1;                 
            vuint32_t TO17:1;                 
            vuint32_t TO16:1;                 
            vuint32_t TO15:1;                 
            vuint32_t TO14:1;                 
            vuint32_t TO13:1;                 
            vuint32_t TO12:1;                 
            vuint32_t TO11:1;                 
            vuint32_t TO10:1;                 
            vuint32_t TO9:1;                  
            vuint32_t TO8:1;                  
            vuint32_t TO7:1;                  
            vuint32_t TO6:1;                  
            vuint32_t TO5:1;                  
            vuint32_t TO4:1;                  
            vuint32_t TO3:1;                  
            vuint32_t TO2:1;                  
            vuint32_t TO1:1;                  
            vuint32_t TO0:1;                  
        } B;
    } TXBTO;

    /* 0DC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CF31:1;                  
            vuint32_t CF30:1;                  
            vuint32_t CF29:1;                  
            vuint32_t CF28:1;                  
            vuint32_t CF27:1;                  
            vuint32_t CF26:1;                  
            vuint32_t CF25:1;                  
            vuint32_t CF24:1;                  
            vuint32_t CF23:1;                  
            vuint32_t CF22:1;                  
            vuint32_t CF21:1;                  
            vuint32_t CF20:1;                  
            vuint32_t CF19:1;                  
            vuint32_t CF18:1;                  
            vuint32_t CF17:1;                  
            vuint32_t CF16:1;                  
            vuint32_t CF15:1;                  
            vuint32_t CF14:1;                  
            vuint32_t CF13:1;                  
            vuint32_t CF12:1;                  
            vuint32_t CF11:1;                  
            vuint32_t CF10:1;                  
            vuint32_t CF9:1;                   
            vuint32_t CF8:1;                   
            vuint32_t CF7:1;                   
            vuint32_t CF6:1;                   
            vuint32_t CF5:1;                   
            vuint32_t CF4:1;                   
            vuint32_t CF3:1;                   
            vuint32_t CF2:1;                   
            vuint32_t CF1:1;                   
            vuint32_t CF0:1;                   
        } B;
    } TXBCF;

    /* 0E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TIE31:1;                  
            vuint32_t TIE30:1;                  
            vuint32_t TIE29:1;                  
            vuint32_t TIE28:1;                  
            vuint32_t TIE27:1;                  
            vuint32_t TIE26:1;                  
            vuint32_t TIE25:1;                  
            vuint32_t TIE24:1;                  
            vuint32_t TIE23:1;                  
            vuint32_t TIE22:1;                  
            vuint32_t TIE21:1;                  
            vuint32_t TIE20:1;                  
            vuint32_t TIE19:1;                  
            vuint32_t TIE18:1;                  
            vuint32_t TIE17:1;                  
            vuint32_t TIE16:1;                  
            vuint32_t TIE15:1;                  
            vuint32_t TIE14:1;                  
            vuint32_t TIE13:1;                  
            vuint32_t TIE12:1;                  
            vuint32_t TIE11:1;                  
            vuint32_t TIE10:1;                  
            vuint32_t TIE9:1;                   
            vuint32_t TIE8:1;                   
            vuint32_t TIE7:1;                   
            vuint32_t TIE6:1;                   
            vuint32_t TIE5:1;                   
            vuint32_t TIE4:1;                   
            vuint32_t TIE3:1;                   
            vuint32_t TIE2:1;                   
            vuint32_t TIE1:1;                   
            vuint32_t TIE0:1;                   
        } B;
    } TXBTIE;

    /* 0E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CFIE31:1;                  
            vuint32_t CFIE30:1;                  
            vuint32_t CFIE29:1;                  
            vuint32_t CFIE28:1;                  
            vuint32_t CFIE27:1;                  
            vuint32_t CFIE26:1;                  
            vuint32_t CFIE25:1;                  
            vuint32_t CFIE24:1;                  
            vuint32_t CFIE23:1;                  
            vuint32_t CFIE22:1;                  
            vuint32_t CFIE21:1;                  
            vuint32_t CFIE20:1;                  
            vuint32_t CFIE19:1;                  
            vuint32_t CFIE18:1;                  
            vuint32_t CFIE17:1;                  
            vuint32_t CFIE16:1;                  
            vuint32_t CFIE15:1;                  
            vuint32_t CFIE14:1;                  
            vuint32_t CFIE13:1;                  
            vuint32_t CFIE12:1;                  
            vuint32_t CFIE11:1;                  
            vuint32_t CFIE10:1;                  
            vuint32_t CFIE9:1;                   
            vuint32_t CFIE8:1;                   
            vuint32_t CFIE7:1;                   
            vuint32_t CFIE6:1;                   
            vuint32_t CFIE5:1;                   
            vuint32_t CFIE4:1;                   
            vuint32_t CFIE3:1;                   
            vuint32_t CFIE2:1;                   
            vuint32_t CFIE1:1;                   
            vuint32_t CFIE0:1;                   
        } B;
    } TXBCIE;

    /* 0E8 */    
    uint8_t M_TTCAN_reserved10[8];

    /* 0F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;
            vuint32_t EFWM:6;
            vuint32_t:2;
            vuint32_t EFS:6;
            vuint32_t EFSA:14;
            vuint32_t:2;
        } B;
    } TXEFC;

    /* 0F4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:6;
            vuint32_t TEFL:1;
            vuint32_t EFF:1;
            vuint32_t:3;                    
            vuint32_t EFPI:5;               
            vuint32_t:3;                    
            vuint32_t EFGI:5;
            vuint32_t:2;
            vuint32_t EFFL:6;
        } B;
    } TXEFS;

    /* 0F8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t EFAI:5;
        } B;
    } TXEFA;

    /* 0FC */    
    uint8_t M_TTCAN_reserved11[4];

    /* 100 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:9;
            vuint32_t TME:7;
            vuint32_t TMSA:14;
            vuint32_t:2;
        } B;
    } TTTMC;

    /* 104 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t RMPS:1;
            vuint32_t XTD:1;
            vuint32_t:1;
            vuint32_t RID:29;
        } B;
    } TTRMC;

    /* 108 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:5;
            vuint32_t EVTP:1;
            vuint32_t ECC:1;
            vuint32_t EGTF:1;
            vuint32_t AWL:8;
            vuint32_t EECS:1;
            vuint32_t IRTO:7;
            vuint32_t LDSDL:3;
            vuint32_t TM:1;
            vuint32_t GEN:1;
            vuint32_t:1;
            vuint32_t OM:2;
        } B;
    } TTOCF;

    /* 10C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t ENTT:12;
            vuint32_t RESERVED9:4;
            vuint32_t TXEW:4;
            vuint32_t CSS:2;                        
            vuint32_t CCM:6;
        } B;
    } TTMLM;

    /* 110 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ELT:1;
            vuint32_t:1;
            vuint32_t DC:14;
            vuint32_t NCL:16;
        } B;
    } TURCF;

    /* 114 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t LCKC:1;
            vuint32_t:1;
            vuint32_t ESCN:1;
            vuint32_t NIG:1;
            vuint32_t TMG:1;
            vuint32_t FGP:1;
            vuint32_t GCS:1;
            vuint32_t TTIE:1;                        
            vuint32_t TMC:2;
            vuint32_t RTIE:1;
            vuint32_t SWS:2;
            vuint32_t SWP:1;
            vuint32_t ECS:1;
            vuint32_t SGT:1;
        } B;
    } TTOCN;

    /* 118 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CTP:16;
            vuint32_t TP:16;
        } B;
    } TTGTP;

    /* 11C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LCKM:1;
            vuint32_t:8;
            vuint32_t TICC:7;
            vuint32_t TM:16;
        } B;
    } TTTMK;

    /* 120 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:13;
            vuint32_t CER:1;
            vuint32_t AW:1;
            vuint32_t WT:1;
            vuint32_t IWT:1;
            vuint32_t ELC:1;
            vuint32_t SE2:1;
            vuint32_t SE1:1;
            vuint32_t TXO:1;
            vuint32_t TXU:1;
            vuint32_t GTE:1;
            vuint32_t GTD:1;
            vuint32_t GTW:1;
            vuint32_t SWE:1;
            vuint32_t TTMI:1;
            vuint32_t RTMI:1;
            vuint32_t SOG:1;
            vuint32_t CSM:1;
            vuint32_t SMC:1;
            vuint32_t SBC:1;
        } B;
    } TTIR;

    /* 124 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:13;
            vuint32_t CERE:1;
            vuint32_t AWE:1;
            vuint32_t WTE:1;
            vuint32_t IWTE:1;
            vuint32_t ELCE:1;
            vuint32_t SE2E:1;
            vuint32_t SE1E:1;
            vuint32_t TXOE:1;
            vuint32_t TXUE:1;
            vuint32_t GTEE:1;
            vuint32_t GTDE:1;
            vuint32_t GTWE:1;
            vuint32_t SWEE:1;
            vuint32_t TTMIE:1;
            vuint32_t RTMIE:1;
            vuint32_t SOGE:1;
            vuint32_t CSME:1;
            vuint32_t SMCE:1;
            vuint32_t SBCE:1;
        } B;
    } TTIE;

    /* 128 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:13;
            vuint32_t CERL:1;
            vuint32_t AWL:1;
            vuint32_t WTL:1;
            vuint32_t IWTL:1;
            vuint32_t ELCL:1;
            vuint32_t SE2L:1;
            vuint32_t SE1L:1;
            vuint32_t TXOL:1;
            vuint32_t TXUL:1;
            vuint32_t GTEL:1;
            vuint32_t GTDL:1;
            vuint32_t GTWE:1;
            vuint32_t SWEL:1;
            vuint32_t TTMIL:1;
            vuint32_t RTMIL:1;
            vuint32_t SOGL:1;
            vuint32_t CSML:1;
            vuint32_t SMCL:1;
            vuint32_t SBCL:1;
        } B;
    } TTILS;

    /* 12C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SPL:1;
            vuint32_t WECS:1;
            vuint32_t AWE:1;
            vuint32_t WFE:1;
            vuint32_t GSI:1;
            vuint32_t TMP:3;
            vuint32_t GFI:1;
            vuint32_t WGTD:1;
            vuint32_t:6;
            vuint32_t RTO:8;
            vuint32_t QCS:1;
            vuint32_t QGTP:1;
            vuint32_t SYS:2;
            vuint32_t MS:2;
            vuint32_t EL:2;
        } B;
    } TTOST;

    /* 130 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:14;
            vuint32_t NAV:18;
        } B;
    } TURNA;

    /* 134 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t GT:16;
            vuint32_t LT:16;
        } B;
    } TTLGT;

    /* 138 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:10;
            vuint32_t CC:6;
            vuint32_t CT:16;
        } B;
    } TTCTC;

    /* 13C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SWV:16;
            vuint32_t:10;
            vuint32_t CCV:6;
        } B;
    } TTCPT;

    /* 140 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t CSM:16;
        } B;
    } TTCSM;
};

/**************************************************************************/
/*                   Module: MC_CGM                                       */
/**************************************************************************/
struct MC_CGM_tag {
    union {
        vuint8_t R;
        struct {
            vuint8_t SDUR:8;
        } B;
    } PCS_SDUR;

    /* 01 */    
    uint8_t MC_CGM_reserved1[3];

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t INIT:16;
            vuint32_t:8;
            vuint32_t RATE:8;
        } B;
    } PCS_DIVC1;

    /* 08 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t DIVE:20;
        } B;
    } PCS_DIVE1;    

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t DIVS:20;
        } B;
    } PCS_DIVS1;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t INIT:16;
            vuint32_t:8;
            vuint32_t RATE:8;
        } B;
    } PCS_DIVC2;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t DIVE:20;              
        } B;
    } PCS_DIVE2;                            

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t DIVS:20;              
        } B;
    } PCS_DIVS2;                            

    /* 1C */    
    uint8_t MC_CGM_reserved2[12];

    /* 28 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t INIT:16;
            vuint32_t:8;
            vuint32_t RATE:8;
        } B;
    } PCS_DIVC4;

    /* 2C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t DIVE:20;              
        } B;
    } PCS_DIVE4;                            

    /* 30 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t DIVS:20;              
        } B;
    } PCS_DIVS4;                            

    /* 34 */    
    uint8_t MC_CGM_reserved3[156];          

    /* D0 */    
    union {                                 
        vuint32_t R;                        
        struct {                            
            vuint32_t:31;                   
            vuint32_t SYS_DIV_RATIO_CHNG:1; 
        } B;                                
    } SC_DIV_RC;                            

    /* D4 */    
    union {                                 
        vuint32_t R;                        
        struct {                            
            vuint32_t SYS_UPD_TYPE:1;       
            vuint32_t:31;                   
        } B;                                
    } DIV_UPD_TYPE;                         

    /* D8 */    
    union {                                 
        vuint32_t R;                        
        struct {                            
            vuint32_t DIV_UPD_TRIGGER:32;   
        } B;                                
    } DIV_UPD_TRIG;                         

    /* DC */    
    union {                                 
        vuint32_t R;                        
        struct {                            
            vuint32_t SYS_UPD_STAT:1;       
            vuint32_t:31;                   
        } B;                                
    } DIV_UPD_STAT;                         

    /* E0 */    
    uint8_t MC_CGM_reserved4[4];            

    /* E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELSTAT:4;
            vuint32_t:4;
            vuint32_t SWTRG:3;
            vuint32_t SWIP:1;
            vuint32_t:16;
        } B;
    } SC_SS;

    /* E8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:9;
            vuint32_t DIV:6;
            vuint32_t:16;
        } B;
    } SC_DC[3];

    /* F4 */    
    uint8_t MC_CGM_reserved5[12];

    /* 100 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELCTL:4;
            vuint32_t:24;
        } B;
    } AC0_SC;

    /* 104 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELSTAT:4;
            vuint32_t:24;
        } B;
    } AC0_SS;

    /* 108 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:6;
            vuint32_t DIV:9;
            vuint32_t:16;
        } B;
    } AC0_DC[5];

    /* 11C */    
    uint8_t MC_CGM_reserved6[4];

    /* 120 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELCTL:4;
            vuint32_t:24;
        } B;
    } AC1_SC;

    /* 124 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELSTAT:4;
            vuint32_t:24;
        } B;
    } AC1_SS;

    /* 128 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:8;
            vuint32_t DIV:7;
            vuint32_t:16;
        } B;
    } AC1_DC0;

    /* 12C */    
    uint8_t MC_CGM_reserved7[28];

    /* 148 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:9;
            vuint32_t DIV:6;
            vuint32_t:16;
        } B;
    } AC2_DC[2];

    /* 150 */    
    uint8_t MC_CGM_reserved8[16];

    /* 160 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELCTL:4;
            vuint32_t:24;
        } B;
    } AC3_SC;

    /* 164 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELSTAT:4;
            vuint32_t:24;
        } B;
    } AC3_SS;

    /* 168 */
    uint8_t MC_CGM_reserved9[24];

    /* 180 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELCTL:4;
            vuint32_t:24;
        } B;
    } AC4_SC;

    /* 184 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELSTAT:4;
            vuint32_t:24;
        } B;
    } AC4_SS;

    /* 188 */    
    uint8_t MC_CGM_reserved10[32];

    /* 1A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:2;
            vuint32_t DIV:13;
            vuint32_t:14;
            vuint32_t DIV_FMT:2;
        } B;
    } AC5_DC0;

    /* 1AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:7;
            vuint32_t DIV:8;
            vuint32_t:16;
        } B;
    } AC5_DC1;

    /* 1B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:5;
            vuint32_t DIV:10;
            vuint32_t:16;
        } B;
    } AC5_DC2;

    /* 1B4 */    
    uint8_t MC_CGM_reserved11[12];

    /* 1C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELCTL:4;
            vuint32_t:24;
        } B;
    } AC6_SC;

    /* 1C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELSTAT:4;
            vuint32_t:24;
        } B;
    } AC6_SS;

    /* 1C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:6;
            vuint32_t DIV:9;
            vuint32_t:16;
        } B;
    } AC6_DC0;

    /* 1CC */    
    uint8_t MC_CGM_reserved12[20];

    /* 1E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELCTL:4;
            vuint32_t:24;
        } B;
    } AC7_SC;

    /* 1E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELSTAT:4;
            vuint32_t:24;
        } B;
    } AC7_SS;

    /* 1E8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:6;
            vuint32_t DIV:9;
            vuint32_t:16;
        } B;
    } AC7_DC0;

    /* 1EC */    
    uint8_t MC_CGM_reserved13[20];

    /* 200 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELCTL:4;
            vuint32_t:24;
        } B;
    } AC8_SC;

    /* 204 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELSTAT:4;
            vuint32_t:24;
        } B;
    } AC8_SS;

    /* 208 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:9;
            vuint32_t DIV:6;
            vuint32_t:16;
        } B;
    } AC8_DC0;

    /* 20C */    
    uint8_t MC_CGM_reserved14[20];

    /* 220 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELCTL:4;
            vuint32_t:24;
        } B;
    } AC9_SC;

    /* 224 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELSTAT:4;
            vuint32_t:24;
        } B;
    } AC9_SS;

    /* 228 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:9;
            vuint32_t DIV:6;
            vuint32_t:16;
        } B;
    } AC9_DC0;

    /* 22C */    
    uint8_t MC_CGM_reserved15[20];

    /* 240 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELCTL:4;
            vuint32_t:24;
        } B;
    } AC10_SC;

    /* 244 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t SELSTAT:4;
            vuint32_t:24;
        } B;
    } AC10_SS;

    /* 248 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DE:1;
            vuint32_t:11;
            vuint32_t DIV:4;
            vuint32_t:16;
        } B;
    } AC10_DC0;    
};
/**************************************************************************/
/*                   Module: MC_ME                                        */
/**************************************************************************/
struct MC_ME_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t S_CURRENT_MODE:4;
            vuint32_t S_MTRANS:1;
            vuint32_t:3;
            vuint32_t S_PDO:1;
            vuint32_t:2;
            vuint32_t S_MVR:1;
            vuint32_t:2;
            vuint32_t S_FLA:2;
            vuint32_t:8;
            vuint32_t S_PLL1:1;
            vuint32_t S_PLL0:1;
            vuint32_t S_XOSC:1;
            vuint32_t S_IRC:1;
            vuint32_t S_SYSCLK:4;
        } B;
    } GS;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TARGET_MODE:4;
            vuint32_t:12;
            vuint32_t KEY:16;
        } B;
    } MCTL;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t RESET_DEST:1;
            vuint32_t:4;
            vuint32_t STOP0:1;
            vuint32_t:1;
            vuint32_t HALT0:1;
            vuint32_t RUN3:1;
            vuint32_t RUN2:1;
            vuint32_t RUN1:1;
            vuint32_t RUN0:1;
            vuint32_t DRUN:1;
            vuint32_t SAFE:1;
            vuint32_t TEST:1;
            vuint32_t RESET_FUNC:1;
        } B;
    } ME;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;                    
            vuint32_t I_ICONF_CC:1;          
            vuint32_t I_ICONF_CU:1;
            vuint32_t I_ICONF:1;
            vuint32_t I_IMODE:1;
            vuint32_t I_SAFE:1;
            vuint32_t I_MTC:1;
        } B;
    } IS;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;                    
            vuint32_t M_ICONF_CC:1;          
            vuint32_t M_ICONF_CU:1;
            vuint32_t M_ICONF:1;
            vuint32_t M_IMODE:1;
            vuint32_t M_SAFE:1;
            vuint32_t M_MTC:1;
        } B;
    } IM;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t S_MRIG:1;              
            vuint32_t S_MTI:1;
            vuint32_t S_MRI:1;
            vuint32_t S_DMA:1;
            vuint32_t S_NMA:1;
            vuint32_t S_SEA:1;
        } B;
    } IMTS;

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PREVIOUS_MODE:4;
            vuint32_t:4;
            vuint32_t MPH_BUSY:1;
            vuint32_t:2;
            vuint32_t PMC_PROG:1;
            vuint32_t DBG_MODE:1;             
            vuint32_t CCKL_PROG:1;            
            vuint32_t PCS_PROG :1;            
            vuint32_t SMR:1;
            vuint32_t:1;
            vuint32_t VREG_CSRC_SC:1;
            vuint32_t CSRC_CSRC_SC:1;
            vuint32_t IRC_SC:1;
            vuint32_t SCSRC_SC:1;
            vuint32_t SYSCLK_SW:1;
            vuint32_t:1;
            vuint32_t FLASH_SC:1;
            vuint32_t CDP_PRPH_224_255:1;
            vuint32_t CDP_PRPH_192_223:1;     
            vuint32_t CDP_PRPH_160_191:1;     
            vuint32_t CDP_PRPH_128_159:1;     
            vuint32_t CDP_PRPH_96_127:1;      
            vuint32_t CDP_PRPH_64_95:1;
            vuint32_t CDP_PRPH_32_63:1;
            vuint32_t CDP_PRPH_0_31:1;
        } B;
    } DMTS;

    /* 1C */    
    uint8_t MC_ME_reserved1[4];

    /* 20 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t PWRLVL:3;
            vuint32_t:4;
            vuint32_t PDO:1;
            vuint32_t:2;
            vuint32_t MVRON:1;
            vuint32_t:2;
            vuint32_t FLAON:2;
            vuint32_t:8;
            vuint32_t PLL1ON:1;
            vuint32_t PLL0ON:1;
            vuint32_t XOSCON:1;
            vuint32_t IRCON:1;
            vuint32_t SYSCLK:4;
        } B;
    } RESET_MC;

    /* 24 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t PWRLVL:3;
            vuint32_t:4;
            vuint32_t PDO:1;
            vuint32_t:2;
            vuint32_t MVRON:1;
            vuint32_t:2;
            vuint32_t FLAON:2;
            vuint32_t:8;
            vuint32_t PLL1ON:1;
            vuint32_t PLL0ON:1;
            vuint32_t XOSCON:1;
            vuint32_t IRCON:1;
            vuint32_t SYSCLK:4;
        } B;
    } TEST_MC;

    /* 28 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t PWRLVL:3;
            vuint32_t:4;
            vuint32_t PDO:1;
            vuint32_t:2;
            vuint32_t MVRON:1;
            vuint32_t:2;
            vuint32_t FLAON:2;
            vuint32_t:8;
            vuint32_t PLL1ON:1;
            vuint32_t PLL0ON:1;
            vuint32_t XOSCON:1;
            vuint32_t IRCON:1;
            vuint32_t SYSCLK:4;
        } B;
    } SAFE_MC;

    /* 2C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t PWRLVL:3;
            vuint32_t:4;
            vuint32_t PDO:1;
            vuint32_t:2;
            vuint32_t MVRON:1;
            vuint32_t:2;
            vuint32_t FLAON:2;
            vuint32_t:8;
            vuint32_t PLL1ON:1;
            vuint32_t PLL0ON:1;
            vuint32_t XOSCON:1;
            vuint32_t IRCON:1;
            vuint32_t SYSCLK:4;
        } B;
    } DRUN_MC;

    /* 30 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t PWRLVL:3;
            vuint32_t:4;
            vuint32_t PDO:1;
            vuint32_t:2;
            vuint32_t MVRON:1;
            vuint32_t:2;
            vuint32_t FLAON:2;
            vuint32_t:8;
            vuint32_t PLL1ON:1;
            vuint32_t PLL0ON:1;
            vuint32_t XOSCON:1;
            vuint32_t IRCON:1;
            vuint32_t SYSCLK:4;
        } B;
    } RUN_MC[4];

    /* 40 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t PWRLVL:3;
            vuint32_t:4;
            vuint32_t PDO:1;
            vuint32_t:2;
            vuint32_t MVRON:1;
            vuint32_t:2;
            vuint32_t FLAON:2;
            vuint32_t:8;
            vuint32_t PLL1ON:1;
            vuint32_t PLL0ON:1;
            vuint32_t XOSCON:1;
            vuint32_t IRCON:1;
            vuint32_t SYSCLK:4;
        } B;
    } HALT_MC;

    /* 44 */    
    uint8_t MC_ME_reserved2[4];

    /* 48 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t PWRLVL:3;
            vuint32_t:4;
            vuint32_t PDO:1;
            vuint32_t:2;
            vuint32_t MVRON:1;
            vuint32_t:2;
            vuint32_t FLAON:2;
            vuint32_t:8;
            vuint32_t PLL1ON:1;
            vuint32_t PLL0ON:1;
            vuint32_t XOSCON:1;
            vuint32_t IRCON:1;
            vuint32_t SYSCLK:4;
        } B;
    } STOP_MC;

    /* 4C */    
    uint8_t MC_ME_reserved3[20];

    /* 60 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t S_PIT_RTI_1:1;        
            vuint32_t S_PIT_RTI_0:1;
            vuint32_t:14;                   
            vuint32_t S_SIUL_0:1;           
            vuint32_t:3;                    
            vuint32_t S_SIPI_0:1;           
            vuint32_t:1;                    
            vuint32_t S_LFAST_0:1;
            vuint32_t:9;
        } B;
    } PS0;

    /* 64 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;                    
            vuint32_t CCCU:1;               
            vuint32_t:1;                    
            vuint32_t S_ADCSD_0:1;          
            vuint32_t:21;                   
            vuint32_t S_CRC_0:1;            
            vuint32_t:1;
            vuint32_t S_DMA_CH_MUX0:1;
            vuint32_t:4;
        } B;
    } PS1;

    /* 68 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:3;
            vuint32_t S_LINFlexD_0:1;        
            vuint32_t S_LINFlexD_1:1;        
            vuint32_t:5;                     
            vuint32_t S_LINFlexD_14:1;       
            vuint32_t:10;                    
            vuint32_t S_CAN_RAM_CTRL:1;
            vuint32_t:1;
            vuint32_t S_TTCAN:1;             
            vuint32_t:1;
            vuint32_t S_MCAN_1:1;
            vuint32_t S_MCAN_2:1;
            vuint32_t:5;                     
        } B;
    } PS2;

    /* 6C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t S_ADCSAR_0:1;          
            vuint32_t:3;                     
            vuint32_t S_ADCSAR_4:1;          
            vuint32_t:10;                    
            vuint32_t S_ADCSAR_b:1;          
            vuint32_t S_PSI5_0:1;            
            vuint32_t:3;
            vuint32_t S_FlexRay:1;           
            vuint32_t:2;
            vuint32_t S_SENT_0:1;            
            vuint32_t:2;
            vuint32_t S_IIC_0:1;             
            vuint32_t:1;
            vuint32_t S_DSPI_0:1;            
            vuint32_t S_DSPI_1:1;            
            vuint32_t S_DSPI_4:1;            
            vuint32_t:1;
        } B;
    } PS3;

    /* 70 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;                    
            vuint32_t S_GTMINT:1;            
        } B;
    } PS4;

    /* 74 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;                     
            vuint32_t S_ADCSD_3:1;           
            vuint32_t:20;                    
            vuint32_t S_CRC_1:1;             
            vuint32_t:6;                     
        } B;
    } PS5;

    /* 78 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:3;
            vuint32_t S_LINFlexD_2:1;        
            vuint32_t:6;                     
            vuint32_t S_LINFlexD_15:1;       
            vuint32_t:21;
        } B;
    } PS6;

    /* 7C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;
            vuint32_t S_ADCSAR_B0:1;         
            vuint32_t:3;                     
            vuint32_t S_ADCSAR_6 :1;         
            vuint32_t:9;
            vuint32_t S_PSI5_1:1;            
            vuint32_t:6;
            vuint32_t S_SENT_1:1;            
            vuint32_t:4;
            vuint32_t S_DSPI_2:1;            
            vuint32_t:1;                     
            vuint32_t S_DSPI_5:1;            
            vuint32_t:1;
        } B;
    } PS7;

    /* 80 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t RUN3:1;
            vuint32_t RUN2:1;
            vuint32_t RUN1:1;
            vuint32_t RUN0:1;
            vuint32_t DRUN:1;
            vuint32_t SAFE:1;
            vuint32_t TEST:1;
            vuint32_t RESET:1;
        } B;
    } RUN_PC[8];

    /* A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:21;
            vuint32_t STOP0:1;
            vuint32_t:1;
            vuint32_t HALT0:1;
            vuint32_t:8;
        } B;
    } LP_PC[8];

    /* C0 */
    union {
        vuint8_t R;
        struct {
            vuint8_t:2;                      
            vuint8_t LP_CFG:3;
            vuint8_t RUN_CFG:3;
        } B;
    } PCTL[256];

    /* 1C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:29;                
            vuint32_t S_CORE2:1;
            vuint32_t S_CORE1:1;
            vuint32_t S_CORE0:1;
        } B;
    } CS;

    /* 1C4 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:5;
            vuint16_t STOP0:1;
            vuint16_t:1;
            vuint16_t HALT0:1;
            vuint16_t RUN3:1;
            vuint16_t RUN2:1;
            vuint16_t RUN1:1;
            vuint16_t RUN0:1;
            vuint16_t DRUN:1;
            vuint16_t SAFE:1;
            vuint16_t TEST:1;
            vuint16_t RESET:1;
        } B;
    } CCTL[3];                           

    /* 1CA */        
    uint8_t MC_ME_reserved35[22];        

    /* 1E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ADDR:30;
            vuint32_t:1;                 
            vuint32_t RMC:1;             
        } B;
    } CADDR[3];                          
};

/**************************************************************************/
/*                   Module: MC_PCU (Power Control Unit)                  */
/**************************************************************************/
struct MC_PCU_tag {

    uint8_t MC_PCU_reserved[64];

    /* 40 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t PD0:1;
        } B;
    } PSTAT;
};

/**************************************************************************/
/*                   Module: MC_RGM                                       */
/**************************************************************************/
struct MC_RGM_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t F_VOR_DEST:1;
            vuint32_t F_TSR_DEST:1;
            vuint32_t:8;                    
            vuint32_t F_SSCM_DEST:1;        
            vuint32_t:3;                    
            vuint32_t F_JTAG_DEST:1;
            vuint32_t F_FIF:1;              
            vuint32_t F_EDR:1;
            vuint32_t:2;                    
            vuint32_t F_SUF:1;              
            vuint32_t F_FFRR:1;
            vuint32_t F_SOFT_DEST:1;
            vuint32_t:1;
            vuint32_t F_PORST:1;
            vuint32_t F_POR:1;
        } B;
    } DES;

    /* 004 */    
    uint8_t MC_RGM_reserved1[12];

    /* 010 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t D_VOR_DEST:1;
            vuint32_t D_TSR_DEST:1;
            vuint32_t:8;                    
            vuint32_t D_SSCM_DEST:1;        
            vuint32_t:3;                    
            vuint32_t D_JTAG_DEST:1;
            vuint32_t D_FIF:1;              
            vuint32_t D_EDR:1;
            vuint32_t:2;                    
            vuint32_t D_SUF:1;              
            vuint32_t D_FFRR:1;
            vuint32_t D_SOFT_DEST:1;
            vuint32_t:1;
            vuint32_t D_PORST:1;
            vuint32_t D_POR:1;
        } B;
    } DERD;

    /* 014 */    
    uint8_t MC_RGM_reserved2[12];

    /* 020 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:30;                    
            vuint32_t AR_PORST:1;
            vuint32_t:1;
        } B;
    } DEAR;

    /* 024 */    
    uint8_t MC_RGM_reserved3[12];

    /* 030 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t BE_VOR_DEST:1;
            vuint32_t BE_TSR_DEST:1;
            vuint32_t:8;                    
            vuint32_t BE_SSCM_DEST:1;       
            vuint32_t:3;
            vuint32_t BE_JTAG_DEST:1;
            vuint32_t BE_FIF:1;             
            vuint32_t BE_EDR:1;
            vuint32_t:2;                    
            vuint32_t BE_SUF:1;             
            vuint32_t BE_FFRR:1;
            vuint32_t BE_SOFT_DEST:1;       
            vuint32_t:1;
            vuint32_t BE_PORST:1;
            vuint32_t BE_POR:1;
        } B;
    } DBRE;

    /* 034 */    
    uint8_t MC_RGM_reserved4[716];

    /* 300 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t F_VOR_FUNC:1;
            vuint32_t F_TSR_FUNC:1;
            vuint32_t:12;                    
            vuint32_t F_JTAG_FUNC:1;
            vuint32_t:3;
            vuint32_t F_FCCU_SOFT:1;
            vuint32_t F_FCCU_HARD:1;
            vuint32_t:1;
            vuint32_t F_SOFT_FUNC:1;
            vuint32_t F_ST_DONE:1;
            vuint32_t F_ESR1:1;
            vuint32_t F_ESR0:1;
        } B;
    } FES;

    /* 304 */
    uint8_t MC_RGM_reserved5[12];

    /* 310 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t D_VOR_FUNC:1;
            vuint32_t D_TSR_FUNC:1;
            vuint32_t:12;                    
            vuint32_t D_JTAG_FUNC:1;
            vuint32_t:3;
            vuint32_t D_FCCU_SOFT:1;
            vuint32_t D_FCCU_HARD:1;
            vuint32_t:1;
            vuint32_t D_SOFT_FUNC:1;
            vuint32_t D_ST_DONE:1;
            vuint32_t D_ESR1:1;
            vuint32_t D_ESR0:1;
        } B;
    } FERD;

    /* 314 */    
    uint8_t MC_RGM_reserved6[12];

    /* 320 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t AR_VOR_FUNC:1;
            vuint32_t AR_TSR_FUNC:1;
            vuint32_t:21;                   
            vuint32_t AR_ESR1:1;
            vuint32_t:1;                    
        } B;
    } FEAR;

    /* 324 */    
    uint8_t MC_RGM_reserved7[12];

    /* 330 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t BE_VOR_FUNC:1;
            vuint32_t BE_TSR_FUNC:1;
            vuint32_t:12;                    
            vuint32_t BE_JTAG_FUNC:1;
            vuint32_t:3;
            vuint32_t BE_FCCU_SOFT:1;
            vuint32_t BE_FCCU_HARD:1;
            vuint32_t:1;
            vuint32_t BE_SOFT_FUNC:1;
            vuint32_t BE_ST_DONE:1;
            vuint32_t BE_ESR1:1;
            vuint32_t BE_ESR0:1;
        } B;
    } FBRE;

    /* 334 */    
    uint8_t MC_RGM_reserved8[12];

    /* 340 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:7;
            vuint32_t SS_VOR_FUNC:1;
            vuint32_t SS_TSR_FUNC:1;
            vuint32_t:12;                    
            vuint32_t SS_JTAG_FUNC:1;
            vuint32_t:3;
            vuint32_t SS_FCCU_SOFT:1;
            vuint32_t SS_FCCU_HARD:1;
            vuint32_t:1;
            vuint32_t SS_SOFT_FUNC:1;
            vuint32_t SS_ST_DONE:1;
            vuint32_t SS_ESR1:1;
            vuint32_t SS_ESR0:1;
        } B;
    } FESS;

    /* 344 */    
    uint8_t MC_RGM_reserved9[704];

    /* 604 */    
    union {
        vuint8_t R;                        
        struct {
            vuint8_t :4;                   
            vuint8_t FRET:4;               
        } B;
    } FRET;

    /* 605 */    
    uint8_t MC_RGM_reserved10[3];          

    /* 608 */    
    union {                                
        vuint8_t R;                        
        struct {                           
            vuint8_t :4;                   
            vuint8_t DRET:4;               
        } B;                               
    } DRET;                                

    /* 609 */
    uint8_t MC_RGM_reserved11[3];          

    /* 60C */
    union {                                
        vuint8_t R;                        
        struct {                           
            vuint8_t:6;                    
            vuint8_t ERIS:1;               
            vuint8_t EROEC:1;              
        } B;                               
    } EROEC;                               

    /* 60D */
    uint8_t MC_RGM_reserved12[3];          

    /* 610 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PIT_RTC_1_RST:1;     
            vuint32_t PIT_RTC_0_RST:1;     
            vuint32_t:14;
            vuint32_t SIUL_RST:1;          
            vuint32_t:3;                   
            vuint32_t SIPI_0_RST:1;        
            vuint32_t:1;                   
            vuint32_t LFAST_0_RST:1;
            vuint32_t:9;
        } B;
    } PRST0;

    /* 614 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;                   
            vuint32_t CCCU_RST:1;          
            vuint32_t:1;                   
            vuint32_t ADCSD_A0_RST:1;
            vuint32_t:21;                  
            vuint32_t CRC_0_RST:1;         
            vuint32_t:1;
            vuint32_t DMAMUX0_RST:1;       
            vuint32_t:4;
        } B;
    } PRST1;

    /* 618 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:3;
            vuint32_t LINFLEXD_0_RST:1;    
            vuint32_t LINFLEXD_1_RST:1;    
            vuint32_t:5;                   
            vuint32_t LINFLEXD_14_RST:1;   
            vuint32_t:10;
            vuint32_t CAN_RAM_CTR_RST:1;   
            vuint32_t:1;
            vuint32_t TTCAN_RST:1;         
            vuint32_t:1;
            vuint32_t MCAN_1_RST:1;
            vuint32_t MCAN_2_RST:1;
            vuint32_t:5;                   
        } B;
    } PRST2;

    /* 61C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ADCSAR_0_RST:1;      
            vuint32_t:3;                   
            vuint32_t ADCSAR_4_RST :1;     
            vuint32_t:10;                  
            vuint32_t ADCSAR_B_RST:1;      
            vuint32_t PSI5_0_RST:1;        
            vuint32_t:3;
            vuint32_t FLEXRAY_0_RST:1;     
            vuint32_t:2;
            vuint32_t SENT_0_RST:1;        
            vuint32_t:2;
            vuint32_t IIC_0_RST:1;         
            vuint32_t:1;
            vuint32_t DSPI_0_RST:1;        
            vuint32_t DSPI_1_RST:1;        
            vuint32_t DSPI_4_RST:1;        
            vuint32_t:1;
        } B;
    } PRST3;

    /* 620 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;                  
            vuint32_t GTMINT_RST :1;       
        } B;
    } PRST4;

    /* 624 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;                   
            vuint32_t ADCSD_3_RST:1;       
            vuint32_t:17;                  
            vuint32_t FCCU_RST:1;          
            vuint32_t:2;                   
            vuint32_t CRC_1_RST:1;         
            vuint32_t:6;                   
        } B;
    } PRST5;

    /* 628 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:3;
            vuint32_t LINFLEXD_2_RST:1;    
            vuint32_t:6;                   
            vuint32_t LINFLEXD_15_RST:1;   
            vuint32_t:21;                  
        } B;
    } PRST6;

    /* 62C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;
            vuint32_t ADCSAR_2_RST:1;      
            vuint32_t:3;                   
            vuint32_t ADCSAR_6_RST:1;      
            vuint32_t:9;
            vuint32_t PSI5_1_RST :1;       
            vuint32_t:6;
            vuint32_t SENT_1_RST :1;       
            vuint32_t:4;
            vuint32_t DSPI_2_RST :1;       
            vuint32_t:1;                   
            vuint32_t DSPI_5_RST:1;        
            vuint32_t:1;
        } B;
    } PRST7;

    /* 630 to 64C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PIT_RTC_1_STAT:1;    
            vuint32_t PIT_RTC_0_STAT:1;    
            vuint32_t:16;                  
            vuint32_t SIUL_STAT:1;         
            vuint32_t:3;                   
            vuint32_t SIPI_0_STAT:1;       
            vuint32_t:1;                   
            vuint32_t LFAST_0_STAT:1;      
            vuint32_t:9;                   
        } B;
    } PSTAT[8];
};

/**************************************************************************/
/*                   Module: CCCU                                         */

/**************************************************************************/
struct CCCU_tag {
    union {
        vuint32_t R;
        struct {   
            vuint32_t REL:4;
            vuint32_t STEP:4;
            vuint32_t SUBSTEP:4;
            vuint32_t YEAR:4;  
            vuint32_t MON:8;  
            vuint32_t DAY:8; 
        } B;                
    } CREL;                

    /* 04 */    
    union {               
        vuint32_t R;     
        struct {             
            vuint32_t SWR:1;
            vuint32_t :11;   
            vuint32_t CDIV:4;
            vuint32_t OCPM:8;
            vuint32_t CFL:1; 
            vuint32_t BCC:1; 
            vuint32_t :1;    
            vuint32_t TQBT:5;
        } B;                 
    } CCFG;                  

    /* 08 */    
    union {                  
        vuint32_t R;         
        struct {             
            vuint32_t CALS:2;
            vuint32_t :1;    
            vuint32_t TQC:11;
            vuint32_t OCPC:18;
        } B;                 
    } CSTAT;                 

    /* 0C */    
    union {                  
        vuint32_t R;         
        struct {             
            vuint32_t WDV:16;
            vuint32_t WDC:16;
        } B;                 
    } CWD;                   

    /* 10 */    
    union {                  
        vuint32_t R;         
        struct {             
            vuint32_t :30;   
            vuint32_t CSC:1; 
            vuint32_t CWE:1; 
        } B;                 
    } CUIR;                  

    /* 14 */    
    union {                  
        vuint32_t R;         
        struct {             
            vuint32_t :30;   
            vuint32_t CSCE:1;
            vuint32_t CWEE:1;
        } B;                
    } CUIE;                
};
/**************************************************************************/
/*                   Module: MCAN                                         */
/**************************************************************************/
struct MCAN_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t REL:4;
            vuint32_t STEP:4;
            vuint32_t SUBSTEP:4;
            vuint32_t YEAR:4;
            vuint32_t MON:8;
            vuint32_t DAY:8;
        } B;
    } CREL;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ETV:32;
        } B;
    } ENDN;

    /* 08 */    
    uint8_t MCAN_reserved1[4];

    /* 0C */
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_2:8;  // Modified cut 2.4
            vuint32_t TDC:1;
            vuint32_t unused_1:2;
            vuint32_t DBRP:5;      // Modified cut 2.4
            vuint32_t unused_0:3;
            vuint32_t DTSEG1:5;    // Modified cut 2.4
            vuint32_t DTSEG2:4;    // Modified cut 2.4
            vuint32_t DSJW:4;      // Modified cut 2.4
        } B;
    } DBTP;                        // Modified cut 2.4

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_1:24; // Modified cut 2.4
            vuint32_t RX:1;
            vuint32_t TX:2;
            vuint32_t LBCK:1;
            vuint32_t unused_0:4;
        } B;
    } TEST;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:16;
            vuint32_t WDV:8;
            vuint32_t WDC:8;
        } B;
    } RWD;

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_1:16;
            vuint32_t NISO:1;      // Modified cut 2.4
            vuint32_t TXP:1;
            vuint32_t EFBI:1;      // Modified cut 2.4
            vuint32_t PXHD:1;      // Modified cut 2.4
            vuint32_t unused_0:2;  // Modified cut 2.4
            vuint32_t BRSE:1;      // Modified cut 2.4
            vuint32_t FDOE:1;      // Modified cut 2.4
            vuint32_t TEST:1;
            vuint32_t DAR:1;
            vuint32_t MON:1;
            vuint32_t CSR:1;
            vuint32_t CSA:1;
            vuint32_t ASM:1;
            vuint32_t CCE:1;
            vuint32_t INIT:1;
        } B;
    } CCCR;

    /* 1C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t NSJW:7;      // Modified cut 2.4
            vuint32_t NBRP:9;      // Modified cut 2.4
            vuint32_t NTSEG1:8;    // Modified cut 2.4
            vuint32_t unused_0:1;  // Modified cut 2.4
            vuint32_t NTSEG2:7;    // Modified cut 2.4
        } B;
    } NBTP;                        // Modified cut 2.4

    /* 20 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_1:12;
            vuint32_t TCP:4;
            vuint32_t unused_0:14;
            vuint32_t TSS:2;
        } B;
    } TSCC;

    /* 24 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:16;
            vuint32_t TSC:16;
        } B;
    } TSCV;

    /* 28 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TOP:16;
            vuint32_t unused_0:13;
            vuint32_t TOS:2;
            vuint32_t ETOC:1;
        } B;
    } TOCC;

    /* 2C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:16;
            vuint32_t TOC:16;
        } B;
    } TOCV;

    /* 30 */    
    uint8_t MCAN_reserved2[16];

    /* 40 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:8;
            vuint32_t CEL:8;
            vuint32_t RP:1;
            vuint32_t REC:7;
            vuint32_t TEC:8;
        } B;
    } ECR;

    /* 44 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_1:9;  // Modified cut 2.4
            vuint32_t TDCV:7;      // Modified cut 2.4
            vuint32_t unused_0:1;  // Modified cut 2.4
            vuint32_t PXE:1;       // Modified cut 2.4
            vuint32_t RFDF:1;      // Modified cut 2.4
            vuint32_t RBRS:1;
            vuint32_t RESI:1;
            vuint32_t DLEC:3;      // Modified cut 2.4
            vuint32_t BO:1;
            vuint32_t EW:1;
            vuint32_t EP:1;
            vuint32_t ACT:2;
            vuint32_t LEC:3;
        } B;
    } PSR;

    /* 48 */
    union {                       // Modified cut 2.4
        vuint32_t R;              // Modified cut 2.4
        struct {                  // Modified cut 2.4
            vuint32_t unused_1:17;// Modified cut 2.4
            vuint32_t TDCO:7;     // Modified cut 2.4
            vuint32_t unused_0:1; // Modified cut 2.4
            vuint32_t TDCF:7;     // Modified cut 2.4
        } B;                      // Modified cut 2.4
    } TDCR;                       // Modified cut 2.4

    /* 4C */                      // Modified cut 2.4
    uint8_t MCAN_reserved3[4];

    /* 50 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:2; // Modified cut 2.4
            vuint32_t ARA:1;      // Modified cut 2.4
            vuint32_t PED:1;      // Modified cut 2.4
            vuint32_t PEA:1;      // Modified cut 2.4
            vuint32_t WDI:1;
            vuint32_t BO:1;
            vuint32_t EW:1;
            vuint32_t EP:1;
            vuint32_t ELO:1;
            vuint32_t BEU:1;
            vuint32_t BEC:1;
            vuint32_t DRX:1;
            vuint32_t TOO:1;
            vuint32_t MRAF:1;
            vuint32_t TSW:1;
            vuint32_t TEFL:1;
            vuint32_t TEFF:1;
            vuint32_t TEFW:1;
            vuint32_t TEFN:1;
            vuint32_t TFE:1;
            vuint32_t TCF:1;
            vuint32_t TC:1;
            vuint32_t HPM:1;
            vuint32_t RF1L:1;
            vuint32_t RF1F:1;
            vuint32_t RF1W:1;
            vuint32_t RF1N:1;
            vuint32_t RF0L:1;
            vuint32_t RF0F:1;
            vuint32_t RF0W:1;
            vuint32_t RF0N:1;
        } B;
    } IR;

    /* 54 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:2; // Modified cut 2.4
            vuint32_t ARAE:1;     // Modified cut 2.4
            vuint32_t PEDE:1;     // Modified cut 2.4
            vuint32_t PEAE:1;     // Modified cut 2.4
            vuint32_t WDIE:1;
            vuint32_t BOE:1;
            vuint32_t EWE:1;
            vuint32_t EPE:1;
            vuint32_t ELOE:1;
            vuint32_t BEUE:1;
            vuint32_t BECE:1;
            vuint32_t DRXE:1;
            vuint32_t TOOE:1;
            vuint32_t MRAFE:1;    
            vuint32_t TSWE:1;
            vuint32_t TEFLE:1;
            vuint32_t TEFFE:1;
            vuint32_t TEFWE:1;
            vuint32_t TEFNE:1;
            vuint32_t TFEE:1;
            vuint32_t TCFE:1;
            vuint32_t TCE:1;
            vuint32_t HPME:1;
            vuint32_t RF1LE:1;
            vuint32_t RF1FE:1;
            vuint32_t RF1WE:1;
            vuint32_t RF1NE:1;
            vuint32_t RF0LE:1;
            vuint32_t RF0FE:1;
            vuint32_t RF0WE:1;
            vuint32_t RF0NE:1;
        } B;
    } IE;

    /* 58 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:2; // Modified cut 2.4
            vuint32_t ARAL:1;     // Modified cut 2.4
            vuint32_t PEDL:1;     // Modified cut 2.4
            vuint32_t PEAL:1;     // Modified cut 2.4
            vuint32_t WDIL:1;
            vuint32_t BOL:1;
            vuint32_t EWL:1;
            vuint32_t EPL:1;
            vuint32_t ELOL:1;
            vuint32_t BEUL:1;
            vuint32_t BECL:1;
            vuint32_t DRXL:1;
            vuint32_t TOOL:1;
            vuint32_t MRAFL:1;
            vuint32_t TSWL:1;
            vuint32_t TEFLL:1;
            vuint32_t TEFFL:1;
            vuint32_t TEFWL:1;
            vuint32_t TEFNL:1;
            vuint32_t TFEL:1;
            vuint32_t TCFL:1;
            vuint32_t TCL:1;
            vuint32_t HPML:1;
            vuint32_t RF1LL:1;
            vuint32_t RF1FL:1;
            vuint32_t RF1WL:1;
            vuint32_t RF1NL:1;
            vuint32_t RF0LL:1;
            vuint32_t RF0FL:1;
            vuint32_t RF0WL:1;
            vuint32_t RF0NL:1;
        } B;
    } ILS;

    /* 5C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:30;
            vuint32_t EINT1:1;
            vuint32_t EINT0:1;
        } B;
    } ILE;

    /* 60 */    
    uint8_t MCAN_reserved4[32];

    /* 80 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:26;
            vuint32_t ANFS:2;
            vuint32_t ANFE:2;
            vuint32_t RRFS:1;
            vuint32_t RRFE:1;
        } B;
    } GFC;

    /* 84 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_2:8;
            vuint32_t LSS:8;
            vuint32_t unused_1:2; // Modified cut 2.4
            vuint32_t FLSSA:10;   // Modified cut 2.4
            vuint32_t unused_0:4; // Modified cut 2.4
        } B;
    } SIDFC;

    /* 88 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_2:9;
            vuint32_t LSE:7;
            vuint32_t unused_1:2; // Modified cut 2.4
            vuint32_t FLESA:10;   // Modified cut 2.4
            vuint32_t unused_0:4; // Modified cut 2.4
        } B;
    } XIDFC;

    /* 8C */    
    uint8_t MCAN_reserved5[4];

    /* 90 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:3;
            vuint32_t EIDM:29;
        } B;
    } XIDAM;

    /* 94 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:16;
            vuint32_t FLST:1;
            vuint32_t FIDX:7;
            vuint32_t MSI:2;
            vuint32_t BIDX:6;
        } B;
    } HPMS;

    /* 98 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ND31:1;               
            vuint32_t ND30:1;               
            vuint32_t ND29:1;               
            vuint32_t ND28:1;               
            vuint32_t ND27:1;               
            vuint32_t ND26:1;               
            vuint32_t ND25:1;               
            vuint32_t ND24:1;               
            vuint32_t ND23:1;               
            vuint32_t ND22:1;               
            vuint32_t ND21:1;               
            vuint32_t ND20:1;               
            vuint32_t ND19:1;               
            vuint32_t ND18:1;               
            vuint32_t ND17:1;               
            vuint32_t ND16:1;               
            vuint32_t ND15:1;               
            vuint32_t ND14:1;               
            vuint32_t ND13:1;               
            vuint32_t ND12:1;               
            vuint32_t ND11:1;               
            vuint32_t ND10:1;               
            vuint32_t ND9:1;                
            vuint32_t ND8:1;                
            vuint32_t ND7:1;                
            vuint32_t ND6:1;                
            vuint32_t ND5:1;                
            vuint32_t ND4:1;                
            vuint32_t ND3:1;                
            vuint32_t ND2:1;                
            vuint32_t ND1:1;                
            vuint32_t ND0:1;                
        } B;
    } NDAT1;

    /* 9C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ND63:1;               
            vuint32_t ND62:1;               
            vuint32_t ND61:1;               
            vuint32_t ND60:1;               
            vuint32_t ND59:1;               
            vuint32_t ND58:1;               
            vuint32_t ND57:1;               
            vuint32_t ND56:1;               
            vuint32_t ND55:1;               
            vuint32_t ND54:1;               
            vuint32_t ND53:1;               
            vuint32_t ND52:1;               
            vuint32_t ND51:1;               
            vuint32_t ND50:1;               
            vuint32_t ND49:1;               
            vuint32_t ND48:1;               
            vuint32_t ND47:1;               
            vuint32_t ND46:1;               
            vuint32_t ND45:1;               
            vuint32_t ND44:1;               
            vuint32_t ND43:1;               
            vuint32_t ND42:1;               
            vuint32_t ND41:1;               
            vuint32_t ND40:1;               
            vuint32_t ND39:1;               
            vuint32_t ND38:1;               
            vuint32_t ND37:1;               
            vuint32_t ND36:1;               
            vuint32_t ND35:1;               
            vuint32_t ND34:1;               
            vuint32_t ND33:1;               
            vuint32_t ND32:1;               
        } B;
    } NDAT2;

    /* A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t F0OM:1;
            vuint32_t F0WM:7;
            vuint32_t unused_2:1;
            vuint32_t F0S:7;
            vuint32_t unused_1:2; // Modified cut 2.4
            vuint32_t F0SA:10;    // Modified cut 2.4
            vuint32_t unused_0:4; // Modified cut 2.4
        } B;
    } RXF0C;

    /* A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_3:6;
            vuint32_t RF0L:1;
            vuint32_t F0F:1;
            vuint32_t unused_2:2;
            vuint32_t F0PI:6;  
            vuint32_t unused_1:2;  
            vuint32_t F0GI:6;
            vuint32_t unused_0:1;
            vuint32_t F0FL:7;
        } B;
    } RXF0S;

    /* A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:26;
            vuint32_t F0AI:6;
        } B;
    } RXF0A;

    /* AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_1:18;// Modified cut 2.4
            vuint32_t RBSA:10;    // Modified cut 2.4
            vuint32_t unused_0:4; // Modified cut 2.4
        } B;
    } RXBC;

    /* B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t F1OM:1;
            vuint32_t F1WM:7;
            vuint32_t unused_2:1;
            vuint32_t F1S:7;
            vuint32_t unused_1:2; // Modified cut 2.4
            vuint32_t F1SA:10;    // Modified cut 2.4
            vuint32_t unused_0:4; // Modified cut 2.4
        } B;
    } RXF1C;

    /* B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DMS:2;
            vuint32_t unused_3:4;
            vuint32_t RF1L:1;
            vuint32_t F1F:1;
            vuint32_t unused_2:2;
            vuint32_t F1PI:6;        
            vuint32_t unused_1:2;  
            vuint32_t F1GI:6;
            vuint32_t unused_0:1;
            vuint32_t F1FL:7;
        } B;
    } RXF1S;

    /* B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:26;
            vuint32_t F1AI:6;
        } B;
    } RXF1A;

    /* BC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_2:21;
            vuint32_t RBDS:3;
            vuint32_t unused_1:1;
            vuint32_t F1DS:3;
            vuint32_t unused_0:1;
            vuint32_t F0DS:3;  
        } B;
    } RXESC;

    /* C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_3:1;
            vuint32_t TFQM:1;
            vuint32_t TFQS:6;
            vuint32_t unused_2:2;
            vuint32_t NDTB:6;
            vuint32_t unused_1:2; // Modified cut 2.4
            vuint32_t TBSA:10;    // Modified cut 2.4
            vuint32_t unused_0:4; // Modified cut 2.4
        } B;
    } TXBC;

    /* C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_2:10;
            vuint32_t TFQF:1;
            vuint32_t TFQPI:5;
            vuint32_t unused_1:3;
            vuint32_t TFGI:5;
            vuint32_t unused_0:2;
            vuint32_t TFFL:6;
        } B;
    } TXFQS;

    /* C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:29;
            vuint32_t TBDS:3;  
        } B;
    } TXESC;

    /* CC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TRP31:1;                
            vuint32_t TRP30:1;                
            vuint32_t TRP29:1;                
            vuint32_t TRP28:1;                
            vuint32_t TRP27:1;                
            vuint32_t TRP26:1;                
            vuint32_t TRP25:1;                
            vuint32_t TRP24:1;                
            vuint32_t TRP23:1;                
            vuint32_t TRP22:1;                
            vuint32_t TRP21:1;                
            vuint32_t TRP20:1;                
            vuint32_t TRP19:1;                
            vuint32_t TRP18:1;                
            vuint32_t TRP17:1;                
            vuint32_t TRP16:1;                
            vuint32_t TRP15:1;                
            vuint32_t TRP14:1;                
            vuint32_t TRP13:1;                
            vuint32_t TRP12:1;                
            vuint32_t TRP11:1;                
            vuint32_t TRP10:1;                
            vuint32_t TRP9:1;                 
            vuint32_t TRP8:1;                 
            vuint32_t TRP7:1;                 
            vuint32_t TRP6:1;                 
            vuint32_t TRP5:1;                 
            vuint32_t TRP4:1;                 
            vuint32_t TRP3:1;                 
            vuint32_t TRP2:1;                 
            vuint32_t TRP1:1;                 
            vuint32_t TRP0:1;                 
        } B;
    } TXBRP;

    /* D0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t AR31:1;                 
            vuint32_t AR30:1;                 
            vuint32_t AR29:1;                 
            vuint32_t AR28:1;                 
            vuint32_t AR27:1;                 
            vuint32_t AR26:1;                 
            vuint32_t AR25:1;                 
            vuint32_t AR24:1;                 
            vuint32_t AR23:1;                 
            vuint32_t AR22:1;                 
            vuint32_t AR21:1;                 
            vuint32_t AR20:1;                 
            vuint32_t AR19:1;                 
            vuint32_t AR18:1;                 
            vuint32_t AR17:1;                 
            vuint32_t AR16:1;                 
            vuint32_t AR15:1;                 
            vuint32_t AR14:1;                 
            vuint32_t AR13:1;                 
            vuint32_t AR12:1;                 
            vuint32_t AR11:1;                 
            vuint32_t AR10:1;                 
            vuint32_t AR9:1;                  
            vuint32_t AR8:1;                  
            vuint32_t AR7:1;                  
            vuint32_t AR6:1;                  
            vuint32_t AR5:1;                  
            vuint32_t AR4:1;                  
            vuint32_t AR3:1;                  
            vuint32_t AR2:1;                  
            vuint32_t AR1:1;                  
            vuint32_t AR0:1;                  
        } B;
    } TXBAR;

    /* D4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CR31:1;                 
            vuint32_t CR30:1;                 
            vuint32_t CR29:1;                 
            vuint32_t CR28:1;                 
            vuint32_t CR27:1;                 
            vuint32_t CR26:1;                 
            vuint32_t CR25:1;                 
            vuint32_t CR24:1;                 
            vuint32_t CR23:1;                 
            vuint32_t CR22:1;                 
            vuint32_t CR21:1;                 
            vuint32_t CR20:1;                 
            vuint32_t CR19:1;                 
            vuint32_t CR18:1;                 
            vuint32_t CR17:1;                 
            vuint32_t CR16:1;                 
            vuint32_t CR15:1;                 
            vuint32_t CR14:1;                 
            vuint32_t CR13:1;                 
            vuint32_t CR12:1;                 
            vuint32_t CR11:1;                 
            vuint32_t CR10:1;                 
            vuint32_t CR9:1;                  
            vuint32_t CR8:1;                  
            vuint32_t CR7:1;                  
            vuint32_t CR6:1;                  
            vuint32_t CR5:1;                  
            vuint32_t CR4:1;                  
            vuint32_t CR3:1;                  
            vuint32_t CR2:1;                  
            vuint32_t CR1:1;                  
            vuint32_t CR0:1;                  
        } B;
    } TXBCR;

    /* D8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TO31:1;                 
            vuint32_t TO30:1;                 
            vuint32_t TO29:1;                 
            vuint32_t TO28:1;                 
            vuint32_t TO27:1;                 
            vuint32_t TO26:1;                 
            vuint32_t TO25:1;                 
            vuint32_t TO24:1;                 
            vuint32_t TO23:1;                 
            vuint32_t TO22:1;                 
            vuint32_t TO21:1;                 
            vuint32_t TO20:1;                 
            vuint32_t TO19:1;                 
            vuint32_t TO18:1;                 
            vuint32_t TO17:1;                 
            vuint32_t TO16:1;                 
            vuint32_t TO15:1;                 
            vuint32_t TO14:1;                 
            vuint32_t TO13:1;                 
            vuint32_t TO12:1;                 
            vuint32_t TO11:1;                 
            vuint32_t TO10:1;                 
            vuint32_t TO9:1;                  
            vuint32_t TO8:1;                  
            vuint32_t TO7:1;                  
            vuint32_t TO6:1;                  
            vuint32_t TO5:1;                  
            vuint32_t TO4:1;                  
            vuint32_t TO3:1;                  
            vuint32_t TO2:1;                  
            vuint32_t TO1:1;                  
            vuint32_t TO0:1;                  
        } B;
    } TXBTO;

    /* DC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CF31:1;                 
            vuint32_t CF30:1;                 
            vuint32_t CF29:1;                 
            vuint32_t CF28:1;                 
            vuint32_t CF27:1;                 
            vuint32_t CF26:1;                 
            vuint32_t CF25:1;                 
            vuint32_t CF24:1;                 
            vuint32_t CF23:1;                 
            vuint32_t CF22:1;                 
            vuint32_t CF21:1;                 
            vuint32_t CF20:1;                 
            vuint32_t CF19:1;                 
            vuint32_t CF18:1;                 
            vuint32_t CF17:1;                 
            vuint32_t CF16:1;                 
            vuint32_t CF15:1;                 
            vuint32_t CF14:1;                 
            vuint32_t CF13:1;                 
            vuint32_t CF12:1;                 
            vuint32_t CF11:1;                 
            vuint32_t CF10:1;                 
            vuint32_t CF9:1;                  
            vuint32_t CF8:1;                  
            vuint32_t CF7:1;                  
            vuint32_t CF6:1;                  
            vuint32_t CF5:1;                  
            vuint32_t CF4:1;                  
            vuint32_t CF3:1;                  
            vuint32_t CF2:1;                  
            vuint32_t CF1:1;                  
            vuint32_t CF0:1;                  
        } B;
    } TXBCF;

    /* E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TIE31:1;                 
            vuint32_t TIE30:1;                 
            vuint32_t TIE29:1;                 
            vuint32_t TIE28:1;                 
            vuint32_t TIE27:1;                 
            vuint32_t TIE26:1;                 
            vuint32_t TIE25:1;                 
            vuint32_t TIE24:1;                 
            vuint32_t TIE23:1;                 
            vuint32_t TIE22:1;                 
            vuint32_t TIE21:1;                 
            vuint32_t TIE20:1;                 
            vuint32_t TIE19:1;                 
            vuint32_t TIE18:1;                 
            vuint32_t TIE17:1;                 
            vuint32_t TIE16:1;                 
            vuint32_t TIE15:1;                 
            vuint32_t TIE14:1;                 
            vuint32_t TIE13:1;                 
            vuint32_t TIE12:1;                 
            vuint32_t TIE11:1;                 
            vuint32_t TIE10:1;                 
            vuint32_t TIE9:1;                  
            vuint32_t TIE8:1;                  
            vuint32_t TIE7:1;                  
            vuint32_t TIE6:1;                  
            vuint32_t TIE5:1;                  
            vuint32_t TIE4:1;                  
            vuint32_t TIE3:1;                  
            vuint32_t TIE2:1;                  
            vuint32_t TIE1:1;                  
            vuint32_t TIE0:1;                  
        } B;
    } TXBTIE;

    /* E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CFIE31:1;                 
            vuint32_t CFIE30:1;                 
            vuint32_t CFIE29:1;                 
            vuint32_t CFIE28:1;                 
            vuint32_t CFIE27:1;                 
            vuint32_t CFIE26:1;                 
            vuint32_t CFIE25:1;                 
            vuint32_t CFIE24:1;                 
            vuint32_t CFIE23:1;                 
            vuint32_t CFIE22:1;                 
            vuint32_t CFIE21:1;                 
            vuint32_t CFIE20:1;                 
            vuint32_t CFIE19:1;                 
            vuint32_t CFIE18:1;                 
            vuint32_t CFIE17:1;                 
            vuint32_t CFIE16:1;                 
            vuint32_t CFIE15:1;                 
            vuint32_t CFIE14:1;                 
            vuint32_t CFIE13:1;                 
            vuint32_t CFIE12:1;                 
            vuint32_t CFIE11:1;                 
            vuint32_t CFIE10:1;                 
            vuint32_t CFIE9:1;                  
            vuint32_t CFIE8:1;                  
            vuint32_t CFIE7:1;                  
            vuint32_t CFIE6:1;                  
            vuint32_t CFIE5:1;                  
            vuint32_t CFIE4:1;                  
            vuint32_t CFIE3:1;                  
            vuint32_t CFIE2:1;                  
            vuint32_t CFIE1:1;                  
            vuint32_t CFIE0:1;                  
        } B;
    } TXBCIE;

    /* E8 */    
    uint8_t MCAN_reserved10[8];

    /* F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_3:2;
            vuint32_t EFWM:6;
            vuint32_t unused_2:2;
            vuint32_t EFS:6;
            vuint32_t unused_1:2; // Modified cut 2.4
            vuint32_t EFSA:10;    // Modified cut 2.4
            vuint32_t unused_0:4; // Modified cut 2.4
        } B;
    } TXEFC;

    /* F4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_3:6;
            vuint32_t TEFL:1;
            vuint32_t EFF:1;
            vuint32_t unused_2:3;                            
            vuint32_t EFPI:5;                        
            vuint32_t unused_1:3;                            
            vuint32_t EFGI:5;
            vuint32_t unused_0:2;
            vuint32_t EFFL:6;
        } B;
    } TXEFS;

    /* F8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t unused_0:27;
            vuint32_t EFAI:5;
        } B;
    } TXEFA;
};

/**************************************************************************/
/*                   Module: MEMU                                         */
/**************************************************************************/
struct MEMU_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t SWR:1;
            vuint32_t:15;
        } B;
    } CTRL;

    /* 004 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:11;
            vuint32_t PR_CE:1;
            vuint32_t PR_UCE:1;
            vuint32_t PR_CEO:1;
            vuint32_t PR_UCO:1;
            vuint32_t PR_EBO:1;
            vuint32_t:3;
            vuint32_t F_CE:1;
            vuint32_t F_UCE:1;
            vuint32_t F_CEO:1;
            vuint32_t F_UCO:1;
            vuint32_t F_EBO:1;
            vuint32_t:3;
            vuint32_t SR_CE:1;
            vuint32_t SR_UCE:1;
            vuint32_t SR_CEO:1;
            vuint32_t SR_UCO:1;
            vuint32_t SR_EBO:1;
        } B;
    } ERR_FLAG;

    /* 008 */    
    uint8_t MEMU_reserved1[4];

    /* 00C */
    union {
        vuint32_t R;
        struct {
            vuint32_t:11;
            vuint32_t FR_PR_CE:1;
            vuint32_t FR_PR_UCE:1;
            vuint32_t FR_PR_CEO:1;
            vuint32_t FR_PR_UCO:1;
            vuint32_t FR_PR_EBO:1;
            vuint32_t:3;
            vuint32_t FR_F_CE:1;
            vuint32_t FR_F_UCE:1;
            vuint32_t FR_F_CEO:1;
            vuint32_t FR_F_UCO:1;
            vuint32_t FR_F_EBO:1;
            vuint32_t:3;
            vuint32_t FR_SR_CE:1;
            vuint32_t FR_SR_UCE:1;
            vuint32_t FR_SR_CEO:1;
            vuint32_t FR_SR_UCO:1;
            vuint32_t FR_SR_EBO:1;
        } B;
    } DEBUG;

    /* 010 */    
    //uint8_t MEMU_reserved2[4080];
    uint8_t MEMU_reserved2[16];                     

    /* 020 */    
    struct {
        union {
            vuint32_t R;
            struct {
                vuint32_t VLD:1;
                vuint32_t:23;
                vuint32_t BAD_BIT:8;
            } B;
        } SYS_RAM_CERR_STS;

        union {
            vuint32_t R;
            struct {
                vuint32_t ERR_ADD:32;
            } B;
        } SYS_RAM_CERR_ADDR;
    } CHANNEL0[10];

    /* 070 */
    union {
        vuint32_t R;
        struct {
            vuint32_t VLD:1;
            vuint32_t:31;
        } B;
    } SYS_RAM_UNCERR_STS;

    /* 074 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ERR_ADD:32;
        } B;
    } SYS_RAM_UNCERR_ADDR;

    /* 078 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OFLW:32;
        } B;
    } SYS_RAM_OFLW[3];

    /* 084 */    
    //int8_t MEMU_reserved3[3996];
    int8_t MEMU_reserved3[1436];                    

    /* 620 */    
    struct {
        union {
            vuint32_t R;
            struct {
                vuint32_t VLD:1;
                vuint32_t:23;
                vuint32_t BAD_BIT:8;
            } B;
        } PERIPH_RAM_CERR_STS;

        union {
            vuint32_t R;
            struct {
                vuint32_t ERR_ADD:32;
            } B;
        } PERIPH_RAM_CERR_ADDR;
    } CHANNEL1[2];

    /* 630 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t VLD:1;
            vuint32_t:31;
        } B;
    } PERIPH_RAM_UNCERR_STS;

    /* 634 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ERR_ADD:32;
        } B;
    } PERIPH_RAM_UNCERR_ADDR;

    /* 638 */     
    union {
        vuint32_t R;
        struct {
            vuint32_t OFLW:32;
        } B;
    } PERIPH_RAM_OFLW;

    /* 63C */    
    uint8_t MEMU_reserved4[1508];                    

    /* C20 */    
    struct {
        union {
            vuint32_t R;
            struct {
                vuint32_t VLD:1;
                vuint32_t:23;
                vuint32_t BAD_BIT:8;
            } B;
        } FLASH_CERR_STS;

        union {
            vuint32_t R;
            struct {
                vuint32_t ERR_ADD:32;
            } B;
        } FLASH_CERR_ADDR;
    } CHANNEL2[20];

    /* CC0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t VLD:1;
            vuint32_t:31;
        } B;
    } FLASH_UNCERR_STS;

    /* CC4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ERR_ADD:32;
        } B;
    } FLASH_UNCERR_ADDR;

    /* CC8 */ 
    union {
        vuint32_t R;
        struct {
            vuint32_t OFLW:32;
        } B;
    } FLASH_OFLW0;                            
};

/**************************************************************************/
/*                              Module: PASS                              */
/**************************************************************************/
struct PASS_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t CNS:1;
            vuint32_t JUN:1;
            vuint32_t FBE:1;                  
            vuint32_t:26;                     
            vuint32_t LIFE:3;                 
        } B;
    } LCSTAT;

    /* 004 */    
    uint8_t PASS_reserved1[4];

    /* 008 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:30;
            vuint32_t GRP:2;
        } B;
    } CHSEL;

    /* 00C */    
    uint8_t PASS_reserved2[4];

    /* 010 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:28;
            vuint32_t CMST:4;
        } B;
    } CSTAT;

    /* 014 */    
    uint8_t PASS_reserved3[12];

    /* 020 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PW32:32;
        } B;
    } CIN[8];

    /* 040 */    
    uint8_t PASS_reserved4[144];

    /* 0D0 */
    union                                       
    {
        vuint32_t R;
        struct
        {
            vuint32_t CJE :1;
            vuint32_t :31;
        } B;
    } CJE;

    /* 0D4 */    
    uint8_t PASS_reserved5[44];

    /* 100 */    
    struct {
        union {
            vuint32_t R;
            struct {
                vuint32_t TSLOCK:1;
                vuint32_t ATSL:1;                
                vuint32_t LOWLOCK:14;
                vuint32_t MIDLOCK:16;
            } B;
        } LOCK0_PG;

        union {
            vuint32_t R;
            struct {
                vuint32_t ATSL:1;               
                vuint32_t:15;                    
                vuint32_t HIGHLOCK:16;
            } B;
        } LOCK1_PG;

        union {
            vuint32_t R;
            struct {
                vuint32_t L256LCK_L:32;
            } B;
        } LOCK2_PG;

        union {
            vuint32_t R;
            struct {
                vuint32_t PGL:1;
                vuint32_t DBL:1;
                vuint32_t MO:1;                
                vuint32_t:1;                   
                vuint32_t MSTR:1;              
                vuint32_t:5;                   
                vuint32_t RL2:1;               
                vuint32_t RL1:1;               
                vuint32_t RL0:1;               
                vuint32_t U_256LCK:16;         
            } B;
        } LOCK3_PG;
    } TIMER[4];
};
/**************************************************************************/
/*                   Module: PBRIDGE                                      */
/**************************************************************************/
struct PBRIDGE_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t MPROT0:4;                
            vuint32_t MPROT1:4;                
            vuint32_t MPROT2:4;                
            vuint32_t MPROT3:4;                
            vuint32_t MPROT4:4;                
            vuint32_t MPROT5:4;                
            vuint32_t MPROT6:4;                
            vuint32_t MPROT7:4;                
        } B;
    } MPRA;

    /* 004 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MPROT8:4;                
            vuint32_t MPROT9:4;                
            vuint32_t MPROT10:4;               
            vuint32_t MPROT11:4;               
            vuint32_t MPROT12:4;               
            vuint32_t MPROT13:4;               
            vuint32_t MPROT14:4;               
            vuint32_t MPROT15:4;               
        } B;
    } MPRB;

    /* 008 */    
    uint8_t PBRIDGE_reserved1[248];

    /* 100 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PACRa:4;
            vuint32_t PACRb:4;
            vuint32_t PACRc:4;
            vuint32_t PACRd:4;
            vuint32_t PACRe:4;
            vuint32_t PACRf:4;
            vuint32_t PACRg:4;
            vuint32_t PACRh:4;
        } B;
    } PACRA;

    /* 104 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PACRa:4;
            vuint32_t PACRb:4;
            vuint32_t PACRc:4;
            vuint32_t PACRd:4;
            vuint32_t PACRe:4;
            vuint32_t PACRf:4;
            vuint32_t PACRg:4;
            vuint32_t PACRh:4;
        } B;
    } PACRB;

    /* 108 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PACRa:4;
            vuint32_t PACRb:4;
            vuint32_t PACRc:4;
            vuint32_t PACRd:4;
            vuint32_t PACRe:4;
            vuint32_t PACRf:4;
            vuint32_t PACRg:4;
            vuint32_t PACRh:4;
        } B;
    } PACRC;

    /* 10C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PACRa:4;
            vuint32_t PACRb:4;
            vuint32_t PACRc:4;
            vuint32_t PACRd:4;
            vuint32_t PACRe:4;
            vuint32_t PACRf:4;
            vuint32_t PACRg:4;
            vuint32_t PACRh:4;
        } B;
    } PACRD;

    /* 110 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PACRa:4;
            vuint32_t PACRb:4;
            vuint32_t PACRc:4;
            vuint32_t PACRd:4;
            vuint32_t PACRe:4;
            vuint32_t PACRf:4;
            vuint32_t PACRg:4;
            vuint32_t PACRh:4;
        } B;
    } PACRE;

    /* 114 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PACRa:4;
            vuint32_t PACRb:4;
            vuint32_t PACRc:4;
            vuint32_t PACRd:4;
            vuint32_t PACRe:4;
            vuint32_t PACRf:4;
            vuint32_t PACRg:4;
            vuint32_t PACRh:4;
        } B;
    } PACRF;

    /* 118 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PACRa:4;
            vuint32_t PACRb:4;
            vuint32_t PACRc:4;
            vuint32_t PACRd:4;
            vuint32_t PACRe:4;
            vuint32_t PACRf:4;
            vuint32_t PACRg:4;
            vuint32_t PACRh:4;
        } B;
    } PACRG;

    /* 11C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PACRa:4;
            vuint32_t PACRb:4;
            vuint32_t PACRc:4;
            vuint32_t PACRd:4;
            vuint32_t PACRe:4;
            vuint32_t PACRf:4;
            vuint32_t PACRg:4;
            vuint32_t PACRh:4;
        } B;
    } PACRH;

    /* 120 */    
    uint8_t PBRIDGE_reserved2[32];

    /* 140 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRA;

    /* 144 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRB;

    /* 148 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRC;

    /* 14C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRD;

    /* 150 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRE;

    /* 154 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRF;

    /* 158 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRG;

    /* 15C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRH;

    /* 160 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRI;

    /* 164 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRJ;

    /* 168 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRK;

    /* 16C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRL;

    /* 170 */
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRM;

    /* 174 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRN;

    /* 178 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRO;

    /* 17C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRP;

    /* 180 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRQ;

    /* 184 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRR;

    /* 188 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRS;

    /* 18C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRT;

    /* 190 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRU;

    /* 194 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRV;

    /* 198 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRW;

    /* 19C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRX;

    /* 1A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRY;

    /* 1A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRZ;

    /* 1A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRAA;

    /* 1AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRAB;

    /* 1B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRAC;

    /* 1B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRAD;

    /* 1B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRAE;

    /* 1BC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t OPACRa:4;
            vuint32_t OPACRb:4;
            vuint32_t OPACRc:4;
            vuint32_t OPACRd:4;
            vuint32_t OPACRe:4;
            vuint32_t OPACRf:4;
            vuint32_t OPACRg:4;
            vuint32_t OPACRh:4;
        } B;
    } OPACRAF;
};
/**************************************************************************/
/*                   Module: PCM                                          */
/**************************************************************************/
struct PCM_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:21;                    
            vuint32_t ACCERR:1;              
            vuint32_t WBEN:1;                
            vuint32_t RBEN:1;                
            vuint32_t FXSBE:8;               
        } B;
    } FBOMCR;

    /* 004 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:13;                    
            vuint32_t PRE_DMA:1;             
            vuint32_t BRE_DMA:1;             
            vuint32_t BWE_DMA:1;             
            vuint32_t:5;                     
            vuint32_t PRE_S0:1;              
            vuint32_t BRE_S0:1;              
            vuint32_t BWE_S0:1;              
            vuint32_t:5;                     
            vuint32_t PRE_M3:1;              
            vuint32_t BRE_M3:1;              
            vuint32_t BWE_M3:1;              
        } B;
    } IAHB_BE1;

    /* 008 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:13;                    
            vuint32_t PRE_SIPI:1;            
            vuint32_t BRE_SIPI:1;            
            vuint32_t BWE_SIPI:1;            
            vuint32_t:5;                     
            vuint32_t PRE_Flexray:1;         
            vuint32_t BRE_Flexray:1;         
            vuint32_t BWE_Flexray:1;         
            vuint32_t:5;                     
            vuint32_t PRE_FEC:1;             
            vuint32_t BRE_FEC:1;             
            vuint32_t BWE_FEC:1;             
        } B;
    } IAHB_BE2;
};
/**************************************************************************/
/*                   Module: PFLASH                                       */
/**************************************************************************/
struct PFLASH_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t P0_M15PFE:1;
            vuint32_t P0_M14PFE:1;
            vuint32_t P0_M13PFE:1;
            vuint32_t P0_M12PFE:1;
            vuint32_t P0_M11PFE:1;
            vuint32_t P0_M10PFE:1;
            vuint32_t P0_M9PFE:1;
            vuint32_t P0_M8PFE:1;
            vuint32_t P0_M7PFE:1;
            vuint32_t P0_M6PFE:1;
            vuint32_t P0_M5PFE:1;
            vuint32_t P0_M4PFE:1;
            vuint32_t P0_M3PFE:1;
            vuint32_t P0_M2PFE:1;
            vuint32_t P0_M1PFE:1;
            vuint32_t P0_M0PFE:1;
            vuint32_t:3;                        
            vuint32_t RWSC:5;
            vuint32_t:1;
            vuint32_t P0_DPFEN:1;
            vuint32_t:1;
            vuint32_t P0_IFPFEN:1;              
            vuint32_t:1;
            vuint32_t P0_PFLIM:2;
            vuint32_t P0_BFEN:1;
        } B;
    } PFCR1;

    /* 004 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t P1_M15PFE:1;
            vuint32_t P1_M14PFE:1;
            vuint32_t P1_M13PFE:1;
            vuint32_t P1_M12PFE:1;
            vuint32_t P1_M11PFE:1;
            vuint32_t P1_M10PFE:1;
            vuint32_t P1_M9PFE:1;
            vuint32_t P1_M8PFE:1;
            vuint32_t P1_M7PFE:1;
            vuint32_t P1_M6PFE:1;
            vuint32_t P1_M5PFE:1;
            vuint32_t P1_M4PFE:1;
            vuint32_t P1_M3PFE:1;
            vuint32_t P1_M2PFE:1;
            vuint32_t P1_M1PFE:1;
            vuint32_t P1_M0PFE:1;
            vuint32_t:9;
            vuint32_t P1_DPFEN:1;
            vuint32_t:1;
            vuint32_t P1_IFPFEN:1;               
            vuint32_t:1;
            vuint32_t P1_PFLIM:2;
            vuint32_t P1_BFEN:1;
        } B;
    } PFCR2;

    /* 008 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t P0_WCFG:2;
            vuint32_t P1_WCFG:2;
            vuint32_t:7;                         
            vuint32_t BDRM :1;                   
            vuint32_t:3;                         
            vuint32_t BAF_DIS:1;
            vuint32_t ARBM:2;
            vuint32_t:14;
        } B;
    } PFCR3;

    /* 00C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0AP:2;
            vuint32_t M1AP:2;
            vuint32_t M2AP:2;
            vuint32_t M3AP:2;
            vuint32_t M4AP:2;
            vuint32_t M5AP:2;
            vuint32_t M6AP:2;
            vuint32_t M7AP:2;
            vuint32_t M8AP:2;
            vuint32_t M9AP:2;
            vuint32_t M10AP:2;
            vuint32_t M11AP:2;
            vuint32_t M12AP:2;
            vuint32_t M13AP:2;
            vuint32_t M14AP:2;
            vuint32_t M15AP:2;
        } B;
    } PFAPR;

    /* 010 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:23;
            vuint32_t SAFE_CAL:1;
            vuint32_t:3;
            vuint32_t IRMEN:1;
            vuint32_t:3;
            vuint32_t GRMEN:1;
        } B;
    } PFCRCR;

    /* 014 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CRD0EN:1;
            vuint32_t CRD1EN:1;
            vuint32_t CRD2EN:1;
            vuint32_t CRD3EN:1;
            vuint32_t CRD4EN:1;
            vuint32_t CRD5EN:1;
            vuint32_t CRD6EN:1;
            vuint32_t CRD7EN:1;
            vuint32_t CRD8EN:1;
            vuint32_t CRD9EN:1;
            vuint32_t CRD10EN:1;
            vuint32_t CRD11EN:1;
            vuint32_t CRD12EN:1;
            vuint32_t CRD13EN:1;
            vuint32_t CRD14EN:1;
            vuint32_t CRD15EN:1;
            vuint32_t CRD16EN:1;
            vuint32_t CRD17EN:1;
            vuint32_t CRD18EN:1;
            vuint32_t CRD19EN:1;
            vuint32_t CRD20EN:1;
            vuint32_t CRD21EN:1;
            vuint32_t CRD22EN:1;
            vuint32_t CRD23EN:1;
            vuint32_t CRD24EN:1;
            vuint32_t CRD25EN:1;
            vuint32_t CRD26EN:1;
            vuint32_t CRD27EN:1;
            vuint32_t CRD28EN:1;
            vuint32_t CRD29EN:1;
            vuint32_t CRD30EN:1;
            vuint32_t CRD31EN:1;
        } B;
    } PFCRDE;

    /* 018 */    
    uint8_t PFLASH_reserved1[232];

    /* 100 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD0_Word0;

    /* 104 */
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD0_Word1;

    /* 108 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD0_Word2;

    /* 10C */    
    uint8_t PFLASH_reserved2[4];

    /* 110 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD1_Word0;

    /* 114 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD1_Word1;

    /* 118 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD1_Word2;

    /* 11C */    
    uint8_t PFLASH_reserved3[4];

    /* 120 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD2_Word0;

    /* 124 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD2_Word1;

    /* 128 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD2_Word2;

    /* 12C */    
    uint8_t PFLASH_reserved4[4];

    /* 130 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD3_Word0;

    /* 134 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD3_Word1;

    /* 138 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD3_Word2;

    /* 13C */    
    uint8_t PFLASH_reserved5[4];

    /* 140 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD4_Word0;

    /* 144 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD4_Word1;

    /* 148 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD4_Word2;

    /* 14C */    
    uint8_t PFLASH_reserved6[4];

    /* 150 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD5_Word0;

    /* 154 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD5_Word1;

    /* 158 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD5_Word2;

    /* 15C */    
    uint8_t PFLASH_reserved7[4];

    /* 160 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD6_Word0;

    /* 164 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD6_Word1;

    /* 168 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD6_Word2;

    /* 16C */    
    uint8_t PFLASH_reserved8[4];

    /* 170 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD7_Word0;

    /* 174 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD7_Word1;

    /* 178 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD7_Word2;

    /* 17C */    
    uint8_t PFLASH_reserved9[4];

    /* 180 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD8_Word0;

    /* 184 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD8_Word1;

    /* 188 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD8_Word2;

    /* 18C */    
    uint8_t PFLASH_reserved10[4];

    /* 190 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD9_Word0;

    /* 194 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD9_Word1;

    /* 198 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD9_Word2;

    /* 19C */    
    uint8_t PFLASH_reserved11[4];

    /* 1A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD10_Word0;

    /* 1A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD10_Word1;

    /* 1A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD10_Word2;

    /* 1AC */    
    uint8_t PFLASH_reserved12[4];

    /* 1B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD11_Word0;

    /* 1B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD11_Word1;

    /* 1B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD11_Word2;

    /* 1BC */    
    uint8_t PFLASH_reserved13[4];

    /* 1C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD12_Word0;

    /* 1C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD12_Word1;

    /* 1C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD12_Word2;

    /* 1CC */    
    uint8_t PFLASH_reserved14[4];

    /* 1D0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD13_Word0;

    /* 1D4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD13_Word1;

    /* 1D8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD13_Word2;

    /* 1DC */    
    uint8_t PFLASH_reserved15[4];

    /* 1E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD14_Word0;

    /* 1E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD14_Word1;

    /* 1E8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD14_Word2;

    /* 1EC */    
    uint8_t PFLASH_reserved16[4];

    /* 1F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD15_Word0;

    /* 1F4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD15_Word1;

    /* 1F8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD15_Word2;

    /* 1FC */    
    uint8_t PFLASH_reserved17[4];

    /* 200 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD16_Word0;

    /* 204 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD16_Word1;

    /* 208 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD16_Word2;

    /* 20C */    
    uint8_t PFLASH_reserved18[4];

    /* 210 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD17_Word0;

    /* 214 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD17_Word1;

    /* 218 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD17_Word2;

    /* 21C */    
    uint8_t PFLASH_reserved19[4];

    /* 220 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD18_Word0;

    /* 224 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD18_Word1;

    /* 228 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD18_Word2;

    /* 22C */    
    uint8_t PFLASH_reserved20[4];

    /* 230 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD19_Word0;

    /* 234 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD19_Word1;

    /* 238 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD19_Word2;

    /* 23C */    
    uint8_t PFLASH_reserved21[4];

    /* 240 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD20_Word0;

    /* 244 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD20_Word1;

    /* 248 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD20_Word2;

    /* 24C */    
    uint8_t PFLASH_reserved22[4];

    /* 250 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD21_Word0;

    /* 254 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD21_Word1;

    /* 258 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD21_Word2;

    /* 25C */    
    uint8_t PFLASH_reserved23[4];

    /* 260 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD22_Word0;

    /* 264 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD22_Word1;

    /* 268 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD22_Word2;

    /* 26C */    
    uint8_t PFLASH_reserved24[4];

    /* 270 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD23_Word0;

    /* 274 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD23_Word1;

    /* 278 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD23_Word2;

    /* 27C */    
    uint8_t PFLASH_reserved25[4];

    /* 280 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD24_Word0;

    /* 284 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD24_Word1;

    /* 288 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD24_Word2;

    /* 28C */    
    uint8_t PFLASH_reserved26[4];

    /* 290 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD25_Word0;

    /* 294 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD25_Word1;

    /* 298 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD25_Word2;

    /* 29C */    
    uint8_t PFLASH_reserved27[4];

    /* 2A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD26_Word0;

    /* 2A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD26_Word1;

    /* 2A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD26_Word2;

    /* 2AC */    
    uint8_t PFLASH_reserved28[4];

    /* 2B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD27_Word0;

    /* 2B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD27_Word1;

    /* 2B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD27_Word2;

    /* 2BC */    
    uint8_t PFLASH_reserved29[4];

    /* 2C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD28_Word0;

    /* 2C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD28_Word1;

    /* 2C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD28_Word2;

    /* 2CC */    
    uint8_t PFLASH_reserved30[4];

    /* 2D0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD29_Word0;

    /* 2D4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD29_Word1;

    /* 2D8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD29_Word2;

    /* 2DC */    
    uint8_t PFLASH_reserved31[4];

    /* 2E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD30_Word0;

    /* 2E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD30_Word1;

    /* 2E8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD30_Word2;

    /* 2EC */    
    uint8_t PFLASH_reserved32[4];

    /* 2F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD31_Word0;

    /* 2F4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t PSTARTADDR:28;
            vuint32_t:4;
        } B;
    } PFCRD31_Word1;

    /* 2F8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t CRDSize:5;
        } B;
    } PFCRD31_Word2;
};
/**************************************************************************/
/*                   Module: PIT                                          */
/**************************************************************************/
struct PIT_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:29;
            vuint32_t MDIS_RTI :1;                
            vuint32_t MDIS:1;
            vuint32_t FRZ:1;
        } B;
    } MCR;

    /* 004 */    
    uint8_t PIT_reserved1[220];

    /* 0E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LTH:32;
        } B;
    } LTMR64H;

    /* 0E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t LTL:32;
        } B;
    } LTMR64L;

    /* 0E8 */    
    uint8_t PIT_reserved2[8];

    /* 0F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TSV:32;
        } B;
    } RTI_LDVAL;

    /* 0F4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TVL:32;
        } B;
    } RTI_CVAL;

    /* 0F8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:29;
            vuint32_t CHN:1;
            vuint32_t TIE:1;
            vuint32_t TEN:1;
        } B;
    } RTI_TCTRL;

    /* 0FC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t TIF:1;
        } B;
    } RTI_TFLG;

    /* 100 to 17C */        
    struct {
        union {
            vuint32_t R;
            struct {
                vuint32_t TSV:32;
            } B;
        } LDVAL;

        union {
            vuint32_t R;
            struct {
                vuint32_t TVL:32;
            } B;
        } CVAL;

        union {
            vuint32_t R;
            struct {
                vuint32_t:29;
                vuint32_t CHN:1;
                vuint32_t TIE:1;
                vuint32_t TEN:1;
            } B;
        } TCTRL;

        union {
            vuint32_t R;
            struct {
                vuint32_t:31;
                vuint32_t TIF:1;
            } B;
        } TFLG;
    } TIMER[8];
};
/**************************************************************************/
/*                   Module: PLLDIG                                       */
/**************************************************************************/
struct PLLDIG_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:22;
            vuint32_t CLKCFG:2;
            vuint32_t EXPDIE:1;
            vuint32_t:3;
            vuint32_t LOLIE:1;
            vuint32_t LOLRE:1;
            vuint32_t:2;
        } B;
    } PLL0CR;

    /* 004 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t EXTPDF:1;
            vuint32_t:3;
            vuint32_t LOLF:1;
            vuint32_t LOCK:1;
            vuint32_t:2;
        } B;
    } PLL0SR;

    /* 008 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t RFDPHI1:4;
            vuint32_t:5;
            vuint32_t RFDPHI:6;
            vuint32_t:1;
            vuint32_t PREDIV:3;
            vuint32_t:5;
            vuint32_t MFD:7;
        } B;
    } PLL0DV;

    /* 00C */    
    uint8_t PLLDIG_reserved1[20];

    /* 020 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:22;
            vuint32_t CLKCFG:2;
            vuint32_t EXPDIE:1;
            vuint32_t:3;
            vuint32_t LOLIE:1;
            vuint32_t LOLRE:1;
            vuint32_t:2;
        } B;
    } PLL1CR;

    /* 024 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t EXTPDF:1;
            vuint32_t:2;
            vuint32_t:1;
            vuint32_t LOLF:1;
            vuint32_t LOCK:1;
            vuint32_t:2;
        } B;
    } PLL1SR;

    /* 028 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:10;
            vuint32_t RFDPHI:6;
            vuint32_t:9;
            vuint32_t MFD:7;
        } B;
    } PLL1DV;

    /* 02C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t MODEN:1;
            vuint32_t MODSEL:1;
            vuint32_t MODPRD:13;
            vuint32_t:1;
            vuint32_t INCSTP:15;
        } B;
    } PLL1FM;

    /* 030 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t FDEN:1;
            vuint32_t:12;
            vuint32_t DTHDIS:2;
            vuint32_t:4;
            vuint32_t FRCDIV:12;
        } B;
    } PLL1FD;
};
/**************************************************************************/
/*            Module: PMCDIG (Power Management Controller)                */
/**************************************************************************/
struct PMCDIG_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:5;                    
            vuint32_t TS3:1;                /* Noida AV team */            
            vuint32_t TS2:1;                /* Noida AV team */            
            vuint32_t TS0:1;                /* Noida AV team */
            vuint32_t:8;                    
            vuint32_t VD15:1;
            vuint32_t VD14:1;
            vuint32_t:3;                    
            vuint32_t VD10:1;
            vuint32_t VD9:1;
            vuint32_t VD8:1;                
            vuint32_t VD7:1;
            vuint32_t:2;                    
            vuint32_t VD4:1;
            vuint32_t VD3:1;
            vuint32_t:3;
        } B;
    } GR_S;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:5;
            vuint32_t VD15_F:1;            
            vuint32_t:1;                    
            vuint32_t VD15_C:1;
            vuint32_t:2;                    
            vuint32_t VD14_IM:1;
            vuint32_t:4;                    
            vuint32_t VD10_A:1;             
            vuint32_t VD10_C:1;             
            vuint32_t VD9_O:1;              
            vuint32_t:1;                    
            vuint32_t VD9_IF:1;
            vuint32_t VD9_IJ:1;
            vuint32_t VD9_IM:1;
            vuint32_t VD9_F:1;
            vuint32_t:1;
            vuint32_t VD9_C:1;
            vuint32_t VD8_C:1;              
            vuint32_t VD8_F:1;              
            vuint32_t VD7_C:1;
            vuint32_t VD4_C:1;
            vuint32_t VD3_P:1;
            vuint32_t VD3_F:1;
            vuint32_t VD3_C:1;
        } B;
    } GR_P;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t IE_EN:1;
            vuint32_t:4;
            vuint32_t VD15IE_F:1;           
            vuint32_t:1;                    
            vuint32_t VD15IE_C:1;
            vuint32_t:2;                    
            vuint32_t VD14IE_IM:1;
            vuint32_t:4;                    
            vuint32_t VD10IE_A:1;           
            vuint32_t VD10IE_C:1;           
            vuint32_t VD9IE_O:1;
            vuint32_t:1;                    
            vuint32_t VD9IE_IF:1;
            vuint32_t VD9IE_IJ:1;
            vuint32_t VD9IE_IM:1;            
            vuint32_t VD9IE_F:1;
            vuint32_t:1;                    
            vuint32_t VD9IE_C:1;
            vuint32_t VD8IE_C:1;            
            vuint32_t VD8IE_F:1;            
            vuint32_t VD7IE_C:1;
            vuint32_t VD4IE_C:1;
            vuint32_t VD3IE_P:1;
            vuint32_t VD3IE_F:1;
            vuint32_t VD3IE_C:1;
        } B;
    } IE_P;

    /* 0C */    
    uint8_t PMCDIG_reserved1[20];           

    /* 20 */    
    union {                                 
        vuint32_t R;                        
        struct {                            
            vuint32_t:25;                   
            vuint32_t LVD2_F:1;             
            vuint32_t:5;                    
            vuint32_t LVD2_C:1;             
        } B;                                
    } EPR_VD2;                              

    /* 24 */    
    uint8_t PMCDIG_reserved2[12];           

    /* 30 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t LVD3_P:1;
            vuint32_t LVD3_F:1;
            vuint32_t:5;
            vuint32_t LVD3_C:1;
        } B;
    } EPR_VD3;

    /* 34 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t LVD3_P:1;
            vuint32_t LVD3_F:1;
            vuint32_t:5;
            vuint32_t LVD3_C:1;
        } B;
    } REE_VD3;

    /* 38 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t LVD3_P:1;
            vuint32_t LVD3_F:1;
            vuint32_t:5;
            vuint32_t LVD3_C:1;
        } B;
    } RES_VD3;

    /* 3C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t FEE3_P:1;
            vuint32_t FEE3_F:1;
            vuint32_t:5;
            vuint32_t FEE3_C:1;
        } B;
    } FEE_VD3;

    /* 40 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t LVD4_C:1;
        } B;
    } EPR_VD4;

    /* 44 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t LVD4_C:1;
        } B;
    } REE_VD4;

    /* 48 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t LVD4_C:1;
        } B;
    } RES_VD4;

    /* 4C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t FEE4_C:1;
        } B;
    } FEE_VD4;

    /* 50 */    
    uint8_t PMCDIG_reserved3[32];

    /* 70 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;                        
            vuint32_t HVD7_C:1;
        } B;
    } EPR_VD7;

    /* 74 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;                        
            vuint32_t HVD7_C:1;
        } B;
    } REE_VD7;

    /* 78 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;                        
            vuint32_t HVD7_C:1;
        } B;
    } RES_VD7;

    /* 7C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;                        
            vuint32_t FEE7_C:1;
        } B;
    } FEE_VD7;

    /* 80 */    
    union {                                      
        vuint32_t R;                             
        struct {                                 
            vuint32_t:25;                        
            vuint32_t HVD8_F:1;                  
            vuint32_t:5;                         
            vuint32_t HVD8_C:1;                  
        } B;                                     
    } EPR_VD8;                                   

    /* 84 */    
    union {                                      
        vuint32_t R;                             
        struct {                                 
            vuint32_t:25;                        
            vuint32_t HVD8_F:1;                  
            vuint32_t:5;                         
            vuint32_t HVD8_C:1;                  
        } B;                                     
    } REE_VD8;                                   

    /* 88 */    
    union {                                      
        vuint32_t R;                             
        struct {                                 
            vuint32_t:25;                        
            vuint32_t HVD8_F:1;                  
            vuint32_t:5;                         
            vuint32_t HVD8_C:1;                  
        } B;                                     
    } RES_VD8;                                   

    /* 8C */    
    union {                                      
        vuint32_t R;                             
        struct {                                 
            vuint32_t:25;                        
            vuint32_t FEE8_F:1;                  
            vuint32_t:5;                         
            vuint32_t FEE8_C:1;                  
        } B;                                     
    } FEE_VD8;                                   

    /* 90 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:17;
            vuint32_t LVD9_O:1;
            vuint32_t:3;
            vuint32_t LVD9_IF:1;
            vuint32_t LVD9_IJ:1;
            vuint32_t LVD9_IM:1;
            vuint32_t:1;
            vuint32_t LVD9_F:1;
            vuint32_t:5;
            vuint32_t LVD9_C:1;
        } B;
    } EPR_VD9;

    /* 94 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:17;
            vuint32_t LVD9_O:1;
            vuint32_t:3;
            vuint32_t LVD9_IF:1;
            vuint32_t LVD9_IJ:1;
            vuint32_t LVD9_IM:1;
            vuint32_t:1;
            vuint32_t LVD9_F:1;
            vuint32_t:5;
            vuint32_t LVD9_C:1;
        } B;
    } REE_VD9;

    /* 98 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:21;                        
            vuint32_t LVD9_IF:1;
            vuint32_t:10;                        
        } B;
    } RES_VD9;

    /* 9C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:17;
            vuint32_t FEE9_O:1;
            vuint32_t:3;
            vuint32_t FEE9_IF:1;
            vuint32_t FEE9_IJ:1;
            vuint32_t FEE9_IM:1;
            vuint32_t:1;
            vuint32_t FEE9_F:1;
            vuint32_t:5;
            vuint32_t FEE9_C:1;
        } B;
    } FEE_VD9;

    /* A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;                        
            vuint32_t LVD10_A:1;                 
            vuint32_t:14;                        
            vuint32_t LVD10_C:1;                 
        } B;
    } EPR_VD10;

    /* A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;                        
            vuint32_t LVD10_A:1;                 
            vuint32_t:14;                        
            vuint32_t LVD10_C:1;                 
        } B;
    } REE_VD10;

    /* A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;                        
            vuint32_t LVD10_A:1;                 
            vuint32_t:14;                        
            vuint32_t LVD10_C:1;                 
        } B;
    } RES_VD10;

    /* AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;                        
            vuint32_t FEE10_A:1;                 
            vuint32_t:14;                        
            vuint32_t FEE10_C:1;                 
        } B;
    } FEE_VD10;

    /* B0 */    
    uint8_t PMCDIG_reserved5[48];                

    /* E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:23;                        
            vuint32_t LVD14_IM:1;
            vuint32_t:8;
        } B;
    } EPR_VD14;

    /* E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:23;                        
            vuint32_t LVD14_IM:1;
            vuint32_t:8;
        } B;
    } REE_VD14;

    /* E8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:23;                        
            vuint32_t LVD14_IM:1;
            vuint32_t:8;
        } B;
    } RES_VD14;

    /* EC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:23;                        
            vuint32_t FEE14_IM:1;
            vuint32_t:8;
        } B;
    } FEE_VD14;

    /* F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:25;                        
            vuint32_t HVD15_F:1;                 
            vuint32_t:5;                         
            vuint32_t HVD15_C:1;
        } B;
    } EPR_VD15;

    /* F4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:25;                        
            vuint32_t HVD15_F:1;                 
            vuint32_t:5;                         
            vuint32_t HVD15_C:1;
        } B;
    } REE_VD15;

    /* F8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:25;                        
            vuint32_t HVD15_F:1;                 
            vuint32_t:5;                         
            vuint32_t HVD15_C:1;
        } B;
    } RES_VD15;

    /* FC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:25;                        
            vuint32_t FEE15_F:1;                 
            vuint32_t:5;                         
            vuint32_t FEE15_C:1;
        } B;
    } FEE_VD15;

    /* 100 */    
    uint8_t PMCDIG_reserved7[4];                 

    /* 104 */    
    union {                                      
        vuint32_t R;                             
        struct {                                 
            vuint32_t:21;                        
            vuint32_t VSIO_IF:1;                 
            vuint32_t VSIO_IJ:1;                 
            vuint32_t:9;                         
        } B;                                     
    } VSIO;                                      

    /* 108 */    
    uint8_t PMCDIG_reserved8[312];               

    /* 240 */    
    union {                                      
        vuint32_t R;                             
        struct {                                 
            vuint32_t:31;                        
            vuint32_t MREG_ENB:1;                
        } B;                                     
    } MREG_CTRL;                                 

    /* 244 */    
    union {                                      
        vuint32_t R;                             
        struct {                                 
            vuint32_t:27;                        
            vuint32_t MREG_TRIM:5;               
        } B;                                     
    } MREG_TRIM;                                 

    /* 248 */    
    uint8_t PMCDIG_reserved9[184];               

    /* 300 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:28;
            vuint32_t TEMP_3:1;
            vuint32_t TEMP_2:1;
            vuint32_t:1;
            vuint32_t TEMP_0:1;
        } B;
    } EPR_TD;

    /* 304 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:28;
            vuint32_t TEMP_3:1;                   
            vuint32_t TEMP_2:1;                   
            vuint32_t:1;
            vuint32_t TEMP_0:1;                   
        } B;
    } REE_TD;

    /* 308 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:28;
            vuint32_t TEMP_3:1;                   
            vuint32_t TEMP_2:1;                   
            vuint32_t:1;
            vuint32_t TEMP_0:1;                   
        } B;
    } RES_TD;

    /* 30C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;                         
            vuint32_t TS3IE:1;                    
            vuint32_t TS2IE:1;                    
            vuint32_t TS0IE:1;                    
            vuint32_t TRIM_ADJ_OVER:5;            
            vuint32_t TRIM_ADJ_UNDER:5;           
            vuint32_t DOUT_EN:1;
            vuint32_t AOUT_EN:1;
        } B;
    } CTL_TD;

    /* 310 */
    uint8_t PMCDIG_reserved10[8];                 

    /* 318 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:28;
            vuint32_t FEE_TS3:1;
            vuint32_t FEE_TS2:1;
            vuint32_t:1;
            vuint32_t FEE_TS0:1;
        } B;
    } FEE_TD;

    /* 31C */    
    uint8_t PMCDIG_reserved11[36];                 

    /* 340 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;                           
            vuint32_t REE_L055P:1;                 
            vuint32_t REE_H025P:1;                 
            vuint32_t REE_H180N:1;                 
            vuint32_t REE_L100N:1;                 
            vuint32_t:4;                           
            vuint32_t LVD_055P:1;                  
            vuint32_t HVD_025P:1;                  
            vuint32_t HVD_180N:1;                  
            vuint32_t LVD_100N:1;                  
            vuint32_t:10;                          
            vuint32_t VD_UTST:6;
        } B;
    } VD_UTST;

    /* 344 */
    union {                                        
        vuint32_t R;                               
        struct {                                   
            vuint32_t:26;                          
            vuint32_t ADC_CS:6;                    
        } B;                                       
    } ADC_CS;                                      

    /* 348 */
    uint8_t PMCDIG_reserved12[4];                  

    /* 34C */
    union {                                        
        vuint32_t R;                               
        struct {                                   
            vuint32_t:30;                          
            vuint32_t VREG1P2_ENB:1;               
            vuint32_t VREG1P2_ENB_USER:1;          
        } B;                                       
    } VREG1P2_CTRL;                                

    /* 350 */
    union {                                        
        vuint32_t R;                               
        struct {                                   
            vuint32_t:17;                          
            vuint32_t USER_SELF_TEST_EN:1;         
            vuint32_t:6;                           
            vuint32_t TEST_PIN:1;                  
            vuint32_t:7;                           
        } B;                                       
    } MCR;                                         
};
/**************************************************************************/
/*                   Module: PRAM                                         */
/**************************************************************************/
struct PRAM_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:22;                         
            vuint32_t PRI:2;                      
            vuint32_t P1_BO_DIS:1;                
            vuint32_t P0_BO_DIS:1;                
            vuint32_t:5;                          
            vuint32_t FT_DIS:1;                   
        } B;
    } PRCR1;
};
/**************************************************************************/
/*                   Module: PSI5                                         */
/**************************************************************************/
struct PSI5_tag {

    union {
        vuint32_t R;
        struct {
            vuint32_t:14;
            vuint32_t CTC_GED:1;
            vuint32_t GLOBAL_DISABLE_REQ:1;
            vuint32_t:16;
        } B;
    } GCR;

    /* 004 */
    uint8_t PSI5_reserved1[2];                     

    /* 008 */    
    struct {
        uint8_t PSI5_reserved1[4];
        union {
            vuint32_t R;
            struct {
                vuint32_t CTC_GED_SEL:1;
                vuint32_t CTC_ED:1;
                vuint32_t:1;
                vuint32_t MEM_DEPTH:5;
                vuint32_t:3;
                vuint32_t ERROR_SELECT:5;                
                vuint32_t:1;                       
                vuint32_t GTM_RESET_ASYNC_EN:1;    
                vuint32_t:3;                       
                vuint32_t DEBUG_EN:1;              
                vuint32_t DEBUG_FREEZE_CTRL:1;
                vuint32_t SP_TS_CLK_SEL:1;
                vuint32_t:2;
                vuint32_t FAST_CLR_SMC:1;          
                vuint32_t FAST_CLR_PSI5:1;         
                vuint32_t BIT_RATE:1;
                vuint32_t MODE:1;
                vuint32_t PSI5_CH_CONFIG:1;
                vuint32_t PSI5_CH_EN:1;
            } B;
        } PCCR;

        /* 00C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:3;
                vuint32_t DMA_PM_DS_WM:5;
                vuint32_t:5;
                vuint32_t IE_DMA_TF_SF:1;
                vuint32_t IE_DMA_TF_PM_DS:1;
                vuint32_t:5;
                vuint32_t IE_DMA_PM_DS_FIFO_FULL:1;
                vuint32_t IE_DMA_SFUF:1;
                vuint32_t:1;
                vuint32_t IE_DMA_PM_DS_UF:1;
                vuint32_t:5;
                vuint32_t DMA_EN_SF:1;
                vuint32_t DMA_PM_DS_CONFIG:2;
            } B;
        } DCR;

        /* 010 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:13;
                vuint32_t IS_DMA_TF_SF:1;
                vuint32_t IS_DMA_TF_PM_DS:1;
                vuint32_t:5;                        
                vuint32_t IS_DMA_PM_DS_FIFO_FULL:1;
                vuint32_t IS_DMA_SFUF:1;
                vuint32_t:1;
                vuint32_t IS_DMA_PM_DS_UF:1;
                vuint32_t:8;
            } B;
        } DSR;

        /* 014 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:2;
                vuint32_t IE_CESM:6;
                vuint32_t IE_STS:1;
                vuint32_t IE_DTS:1;
                vuint32_t IE_DSROW:1;
                vuint32_t IE_BROW:1;
                vuint32_t IE_PROW:1;
                vuint32_t IE_DSRR:1;
                vuint32_t IE_BRR:1;
                vuint32_t IE_PRR:1;
                vuint32_t:2;
                vuint32_t IE_OWSM:6;
                vuint32_t:2;
                vuint32_t IE_NVSM:6;
            } B;
        } GICR;

        /* 018 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t IE_ND:32;
            } B;
        } NDICR;

        /* 01C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t IE_OW:32;
            } B;
        } OWICR;

        /* 020 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t IE_ERROR:32;
            } B;
        } EICR;

        /* 024 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t IS_DEBUG_FREEZE:6;        
                vuint32_t:1;                        
                vuint32_t IS_CESM:6;
                vuint32_t IS_STS:1;
                vuint32_t IS_DTS:1;
                vuint32_t IS_DSROW:1;
                vuint32_t IS_BROW:1;
                vuint32_t IS_PROW:1;
                vuint32_t DSR_RDY:1;
                vuint32_t DBR_RDY:1;
                vuint32_t DPR_RDY:1;
                vuint32_t:2;
                vuint32_t IS_OWSM:6;
                vuint32_t:2;
                vuint32_t IS_NVSM:6;
            } B;
        } GISR;

        /* 028 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t PSI5_RXDATA:32;
            } B;
        } DPMR;

        /* 02C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t SMC_RXDATA:32;            
            } B;
        } DSFR;

        /* 030 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DDS:32;
            } B;
        } DDSR;

        /* 034 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRCP:3;                  
                vuint32_t C:1;
            } B;
        } PMRRL;

        /* 038 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;          
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRRH;

        /* 03C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL0;

        /* 040 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                     
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;          
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH0;

        /* 044 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL1;

        /* 048 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                     
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;          
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH1;

        /* 04C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL2;

        /* 050 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                     
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;          
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH2;

        /* 054 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL3;

        /* 058 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                      
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;           
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH3;

        /* 05C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL4;

        /* 060 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH4;

        /* 064 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL5;

        /* 068 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH5;

        /* 06C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL6;

        /* 070 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH6;

        /* 074 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL7;

        /* 078 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH7;

        /* 07C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL8;

        /* 080 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH8;

        /* 084 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL9;

        /* 088 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH9;

        /* 08C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL10;

        /* 090 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH10;

        /* 094 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL11;

        /* 098 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH11;

        /* 09C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL12;

        /* 0A0 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH12;

        /* 0A4 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL13;

        /* 0A8 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH13;

        /* 0AC */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL14;

        /* 0B0 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH14;

        /* 0B4 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL15;

        /* 0B8 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH15;

        /* 0BC */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL16;

        /* 0C0 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH16;

        /* 0C4 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL17;

        /* 0C8 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH17;

        /* 0CC */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL18;

        /* 0D0 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH18;

        /* 0D4 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL19;

        /* 0D8 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH19;

        /* 0DC */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL20;

        /* 0E0 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH20;

        /* 0E4 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL21;

        /* 0E8 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH21;

        /* 0EC */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL22;

        /* 0F0 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH22;

        /* 0F4 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL23;

        /* 0F8 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH23;

        /* 0FC */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL24;

        /* 100 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH24;

        /* 104 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL25;

        /* 108 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH25;

        /* 10C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL26;

        /* 110 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH26;

        /* 114 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL27;

        /* 118 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH27;

        /* 11C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL28;

        /* 120 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH28;

        /* 124 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL29;

        /* 128 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH29;

        /* 12C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL30;

        /* 130 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH30;

        /* 134 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DATA_REGION:28;
                vuint32_t CRC:3;
                vuint32_t C:1;
            } B;
        } PMRL31;

        /* 138 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t O:1;                       
                vuint32_t F:1;
                vuint32_t EM:1;
                vuint32_t E:1;
                vuint32_t T:1;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t TIME_STAMP_VALUE:24;
            } B;
        } PMRH31;

        /* 13C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t SLOT_NO:3;
                vuint32_t CER:1;
                vuint32_t OW:1;
                vuint32_t CRC:6;
                vuint32_t C:1;
                vuint32_t ID:8;
                vuint32_t DATA:12;
            } B;
        } SFR1;

        /* 140 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t SLOT_NO:3;
                vuint32_t CER:1;
                vuint32_t OW:1;
                vuint32_t CRC:6;
                vuint32_t C:1;
                vuint32_t ID:8;
                vuint32_t DATA:12;
            } B;
        } SFR2;

        /* 144 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t SLOT_NO:3;
                vuint32_t CER:1;
                vuint32_t OW:1;
                vuint32_t CRC:6;
                vuint32_t C:1;
                vuint32_t ID:8;
                vuint32_t DATA:12;
            } B;
        } SFR3;

        /* 148 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t SLOT_NO:3;
                vuint32_t CER:1;
                vuint32_t OW:1;
                vuint32_t CRC:6;
                vuint32_t C:1;
                vuint32_t ID:8;
                vuint32_t DATA:12;
            } B;
        } SFR4;

        /* 14C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t SLOT_NO:3;
                vuint32_t CER:1;
                vuint32_t OW:1;
                vuint32_t CRC:6;
                vuint32_t C:1;
                vuint32_t ID:8;
                vuint32_t DATA:12;
            } B;
        } SFR5;

        /* 150 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t SLOT_NO:3;
                vuint32_t CER:1;
                vuint32_t OW:1;
                vuint32_t CRC:6;
                vuint32_t C:1;
                vuint32_t ID:8;
                vuint32_t DATA:12;
            } B;
        } SFR6;

        /* 154 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t NDS:32;
            } B;
        } NDSR;

        /* 158 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t OWS:32;
            } B;
        } OWSR;

        /* 15C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t ERROR:32;
            } B;
        } EISR;

        /* 160 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t SNDS:32;
            } B;
        } SNDSR;

        /* 164 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t SOWS:32;
            } B;
        } SOWSR;

        /* 168 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t SERROR:32;
            } B;
        } SEISR;

        /* 16C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:2;
                vuint32_t SCESM:6;
                vuint32_t:10;
                vuint32_t SOWSM:6;
                vuint32_t:2;
                vuint32_t SNVSM:6;
            } B;
        } SSESR;

        /* 170 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:8;
                vuint32_t STSV:24;
            } B;
        } STSRR;

        /* 174 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:5;
                vuint32_t SLOT_COUNTER:3;            
                vuint32_t DTSV:24;
            } B;
        } DTSRR;

        /* 178 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:13;
                vuint32_t SLOT_EN:1;
                vuint32_t TS_CAPT:1;
                vuint32_t:1;
                vuint32_t SMCL:1;
                vuint32_t:9;
                vuint32_t DRL:5;
                vuint32_t CRC_P:1;
            } B;
        } S1FCR;

        /* 17C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:13;
                vuint32_t SLOT_EN:1;
                vuint32_t TS_CAPT:1;
                vuint32_t:1;
                vuint32_t SMCL:1;
                vuint32_t:9;
                vuint32_t DRL:5;
                vuint32_t CRC_P:1;
            } B;
        } S2FCR;

        /* 180 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:13;
                vuint32_t SLOT_EN:1;
                vuint32_t TS_CAPT:1;
                vuint32_t:1;
                vuint32_t SMCL:1;
                vuint32_t:9;
                vuint32_t DRL:5;
                vuint32_t CRC_P:1;
            } B;
        } S3FCR;

        /* 184 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:13;
                vuint32_t SLOT_EN:1;
                vuint32_t TS_CAPT:1;
                vuint32_t:1;
                vuint32_t SMCL:1;
                vuint32_t:9;
                vuint32_t DRL:5;
                vuint32_t CRC_P:1;
            } B;
        } S4FCR;

        /* 188 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:13;
                vuint32_t SLOT_EN:1;
                vuint32_t TS_CAPT:1;
                vuint32_t:1;
                vuint32_t SMCL:1;
                vuint32_t:9;
                vuint32_t DRL:5;
                vuint32_t CRC_P:1;
            } B;
        } S5FCR;

        /* 18C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:13;
                vuint32_t SLOT_EN:1;
                vuint32_t TS_CAPT:1;
                vuint32_t:1;
                vuint32_t SMCL:1;
                vuint32_t:9;
                vuint32_t DRL:5;
                vuint32_t CRC_P:1;
            } B;
        } S6FCR;

        /* 190 */        
        union {
            vuint16_t R;
            struct {
                vuint16_t:1;
                vuint16_t SNSBT:15;
            } B;
        } S1SBR;

        /* 192 */        
        union {
            vuint16_t R;
            struct {
                vuint16_t:1;
                vuint16_t SNSBT:15;
            } B;
        } S2SBR;

        /* 194 */        
        union {
            vuint16_t R;
            struct {
                vuint16_t:1;
                vuint16_t SNSBT:15;
            } B;
        } S3SBR;

        /* 196 */        
        union {
            vuint16_t R;
            struct {
                vuint16_t:1;
                vuint16_t SNSBT:15;
            } B;
        } S4SBR;

        /* 198 */        
        union {
            vuint16_t R;
            struct {
                vuint16_t:1;
                vuint16_t SNSBT:15;
            } B;
        } S5SBR;

        /* 19A */        
        union {
            vuint16_t R;
            struct {
                vuint16_t:1;
                vuint16_t SNSBT:15;
            } B;
        } S6SBR;

        /* 19C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:13;
                vuint32_t SLOT_NO:3;
                vuint32_t:1;
                vuint32_t SNEBT:15;
            } B;
        } SNEBR;

        /* 1A0 */        
        union {
            vuint16_t R;
            struct {
                vuint16_t DATA_LENGTH:6;            
                vuint16_t DBR_RST:1;
                vuint16_t DSR_RST:1;
                vuint16_t CMD_TYPE:3;
                vuint16_t DEFAULT_SYNC:1;
                vuint16_t GTM_TRIG_SEL:1;
                vuint16_t SPULSE_SEL:1;
                vuint16_t OP_SEL:1;
                vuint16_t SW_READY:1;
            } B;
        } DOBCR;

        /* 1A2 */        
        union {
            vuint16_t R;
            struct {
                vuint16_t:9;
                vuint16_t MDDIS_OFF:7;
            } B;
        } MDDIS_OFF;

        /* 1A4 */        
        union {
            vuint16_t R;
            struct {
                vuint16_t:9;
                vuint16_t PULSE_WIDTH0:7;
            } B;
        } PW0D;

        /* 1A6 */        
        union {
            vuint16_t R;
            struct {
                vuint16_t:9;
                vuint16_t PULSE_WIDTH:7;
            } B;
        } PW1D;

        /* 1A8 */        
        union {
            vuint16_t R;
            struct {
                vuint16_t CTPR:16;
            } B;
        } CTPR;

        /* 1AA */        
        union {
            vuint16_t R;
            struct {
                vuint16_t CIPR:16;
            } B;
        } CIPR;

        /* 1AC */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:8;
                vuint32_t DPR23:1;                    
                vuint32_t DPR22:1;                    
                vuint32_t DPR21:1;                    
                vuint32_t DPR20:1;                    
                vuint32_t DPR19:1;                    
                vuint32_t DPR18:1;                    
                vuint32_t DPR17:1;                    
                vuint32_t DPR16:1;                    
                vuint32_t DPR15:1;                    
                vuint32_t DPR14:1;                    
                vuint32_t DPR13:1;                    
                vuint32_t DPR12:1;                    
                vuint32_t DPR11:1;                    
                vuint32_t DPR10:1;                    
                vuint32_t DPR9:1;                     
                vuint32_t DPR8:1;                     
                vuint32_t DPR7:1;                     
                vuint32_t DPR6:1;                     
                vuint32_t DPR5:1;                     
                vuint32_t DPR4:1;                     
                vuint32_t DPR3:1;                     
                vuint32_t DPR2:1;                     
                vuint32_t DPR1:1;                     
                vuint32_t DPR0:1;                     
            } B;
        } DPRL;

        /* 1B0 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t Reserved:32;
            } B;
        } DPRH;

        /* 1B4 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DBR31:1;                    
                vuint32_t DBR30:1;                    
                vuint32_t DBR29:1;                    
                vuint32_t DBR28:1;                    
                vuint32_t DBR27:1;                    
                vuint32_t DBR26:1;                    
                vuint32_t DBR25:1;                    
                vuint32_t DBR24:1;                    
                vuint32_t DBR23:1;                    
                vuint32_t DBR22:1;                    
                vuint32_t DBR21:1;                    
                vuint32_t DBR20:1;                    
                vuint32_t DBR19:1;                    
                vuint32_t DBR18:1;                    
                vuint32_t DBR17:1;                    
                vuint32_t DBR16:1;                    
                vuint32_t DBR15:1;                    
                vuint32_t DBR14:1;                    
                vuint32_t DBR13:1;                    
                vuint32_t DBR12:1;                    
                vuint32_t DBR11:1;                    
                vuint32_t DBR10:1;                    
                vuint32_t DBR9:1;                     
                vuint32_t DBR8:1;                     
                vuint32_t DBR7:1;                     
                vuint32_t DBR6:1;                     
                vuint32_t DBR5:1;                     
                vuint32_t DBR4:1;                     
                vuint32_t DBR3:1;                     
                vuint32_t DBR2:1;                     
                vuint32_t DBR1:1;                     
                vuint32_t DBR0:1;                     
            } B;
        } DBRL;

        /* 1B8 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DBR63:1;                    
                vuint32_t DBR62:1;                    
                vuint32_t DBR61:1;                    
                vuint32_t DBR60:1;                    
                vuint32_t DBR59:1;                    
                vuint32_t DBR58:1;                    
                vuint32_t DBR57:1;                    
                vuint32_t DBR56:1;                    
                vuint32_t DBR55:1;                    
                vuint32_t DBR54:1;                    
                vuint32_t DBR53:1;                    
                vuint32_t DBR52:1;                    
                vuint32_t DBR51:1;                    
                vuint32_t DBR50:1;                    
                vuint32_t DBR49:1;                    
                vuint32_t DBR48:1;                    
                vuint32_t DBR47:1;                    
                vuint32_t DBR46:1;                    
                vuint32_t DBR45:1;                    
                vuint32_t DBR44:1;                    
                vuint32_t DBR43:1;                    
                vuint32_t DBR42:1;                    
                vuint32_t DBR41:1;                    
                vuint32_t DBR40:1;                    
                vuint32_t DBR39:1;                    
                vuint32_t DBR38:1;                    
                vuint32_t DBR37:1;                    
                vuint32_t DBR36:1;                    
                vuint32_t DBR35:1;                    
                vuint32_t DBR34:1;                    
                vuint32_t DBR33:1;                    
                vuint32_t DBR32:1;                    
            } B;
        } DBRH;

        /* 1BC */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DSR31:1;                    
                vuint32_t DSR30:1;                    
                vuint32_t DSR29:1;                    
                vuint32_t DSR28:1;                    
                vuint32_t DSR27:1;                    
                vuint32_t DSR26:1;                    
                vuint32_t DSR25:1;                    
                vuint32_t DSR24:1;                    
                vuint32_t DSR23:1;                    
                vuint32_t DSR22:1;                    
                vuint32_t DSR21:1;                    
                vuint32_t DSR20:1;                    
                vuint32_t DSR19:1;                    
                vuint32_t DSR18:1;                    
                vuint32_t DSR17:1;                    
                vuint32_t DSR16:1;                    
                vuint32_t DSR15:1;                    
                vuint32_t DSR14:1;                    
                vuint32_t DSR13:1;                    
                vuint32_t DSR12:1;                    
                vuint32_t DSR11:1;                    
                vuint32_t DSR10:1;                    
                vuint32_t DSR9:1;                     
                vuint32_t DSR8:1;                     
                vuint32_t DSR7:1;                     
                vuint32_t DSR6:1;                     
                vuint32_t DSR5:1;                     
                vuint32_t DSR4:1;                     
                vuint32_t DSR3:1;                     
                vuint32_t DSR2:1;                     
                vuint32_t DSR1:1;                     
                vuint32_t DSR0:1;                     
            } B;
        } DSRL;

        /* 1C0 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t DSR63:1;                    
                vuint32_t DSR62:1;                    
                vuint32_t DSR61:1;                    
                vuint32_t DSR60:1;                    
                vuint32_t DSR59:1;                    
                vuint32_t DSR58:1;                    
                vuint32_t DSR57:1;                    
                vuint32_t DSR56:1;                    
                vuint32_t DSR55:1;                    
                vuint32_t DSR54:1;                    
                vuint32_t DSR53:1;                    
                vuint32_t DSR52:1;                    
                vuint32_t DSR51:1;                    
                vuint32_t DSR50:1;                    
                vuint32_t DSR49:1;                    
                vuint32_t DSR48:1;                    
                vuint32_t DSR47:1;                    
                vuint32_t DSR46:1;                    
                vuint32_t DSR45:1;                    
                vuint32_t DSR44:1;                    
                vuint32_t DSR43:1;                    
                vuint32_t DSR42:1;                    
                vuint32_t DSR41:1;                    
                vuint32_t DSR40:1;                    
                vuint32_t DSR39:1;                    
                vuint32_t DSR38:1;                    
                vuint32_t DSR37:1;                    
                vuint32_t DSR36:1;                    
                vuint32_t DSR35:1;                    
                vuint32_t DSR34:1;                    
                vuint32_t DSR33:1;                    
                vuint32_t DSR32:1;                    
            } B;
        } DSRH;
    } CH[2];                                          
};

/**************************************************************************/
/*                   Module: SARADC                                       */
/**************************************************************************/
struct SARADC_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t OWREN:1;
            vuint32_t WLSIDE:1;
            vuint32_t MODE:1;
            vuint32_t XSTRTEN:1;                     
            vuint32_t NSTART:1;
            vuint32_t NTRGEN:1;                      
            vuint32_t NEDGESEL:2;                    
            vuint32_t JSTART:1;
            vuint32_t JTRGEN:1;
            vuint32_t JEDGESEL:2;
            vuint32_t JTRGSEQ:1;
            vuint32_t:1;
            vuint32_t CTUEN:1;                       
            vuint32_t CTU_MODE:1;                    
            vuint32_t WTRIGOUT:1;                    
            vuint32_t:3;                             
            vuint32_t JTRGSEL:4;
            vuint32_t ABORTCHAIN:1;
            vuint32_t ABORT:1;
            vuint32_t:1;
            vuint32_t FRZ:1;
            vuint32_t:2;
            vuint32_t EDCSELF:1;                     
            vuint32_t PWDN:1;
        } B;
    } MCR;

    /* 004 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t NSTART:1;
            vuint32_t:3;
            vuint32_t JSTART:1;
            vuint32_t:4;
            vuint32_t JABORTCHAIN:1;                 
            vuint32_t:1;
            vuint32_t CTUSTART:1;                    
            vuint32_t CHADDR:8;
            vuint32_t:5;
            vuint32_t ADCSTATUS:3;
        } B;
    } MSR;

    /* 008 */    
    uint8_t SARADC_reserved1[8];

    /* 010 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;                            
            vuint32_t CTUTRGERR:1;                   
            vuint32_t EOCTU:1;                       
            vuint32_t JEOC:1;
            vuint32_t JECH:1;
            vuint32_t NEOC:1;
            vuint32_t NECH:1;
        } B;
    } ISR;

    /* 014 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t EOC_CH:32;
        } B;
    } SARADC_ICIPR[3];

    /* 020 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t MSKEOCTU:1;                    
            vuint32_t MSKJEOC:1;
            vuint32_t MSKJECH:1;
            vuint32_t MSKNEOC:1;
            vuint32_t MSKNECH:1;
        } B;
    } IMR;

    /* 024 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t IM_CH:32;
        } B;
    } SARADC_ICIMR[3];

    /* 030 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WDG15H:1;
            vuint32_t WDG15L:1;
            vuint32_t WDG14H:1;
            vuint32_t WDG14L:1;
            vuint32_t WDG13H:1;
            vuint32_t WDG13L:1;
            vuint32_t WDG12H:1;
            vuint32_t WDG12L:1;
            vuint32_t WDG11H:1;
            vuint32_t WDG11L:1;
            vuint32_t WDG10H:1;
            vuint32_t WDG10L:1;
            vuint32_t WDG9H:1;
            vuint32_t WDG9L:1;
            vuint32_t WDG8H:1;
            vuint32_t WDG8L:1;
            vuint32_t WDG7H:1;
            vuint32_t WDG7L:1;
            vuint32_t WDG6H:1;
            vuint32_t WDG6L:1;
            vuint32_t WDG5H:1;
            vuint32_t WDG5L:1;
            vuint32_t WDG4H:1;
            vuint32_t WDG4L:1;
            vuint32_t WDG3H:1;
            vuint32_t WDG3L:1;
            vuint32_t WDG2H:1;
            vuint32_t WDG2L:1;
            vuint32_t WDG1H:1;
            vuint32_t WDG1L:1;
            vuint32_t WDG0H:1;
            vuint32_t WDG0L:1;
        } B;
    } WTISR;

    /* 034 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MSKWDG15H:1;
            vuint32_t MSKWDG15L:1;
            vuint32_t MSKWDG14H:1;
            vuint32_t MSKWDG14L:1;
            vuint32_t MSKWDG13H:1;
            vuint32_t MSKWDG13L:1;
            vuint32_t MSKWDG12H:1;
            vuint32_t MSKWDG12L:1;
            vuint32_t MSKWDG11H:1;
            vuint32_t MSKWDG11L:1;
            vuint32_t MSKWDG10H:1;
            vuint32_t MSKWDG10L:1;
            vuint32_t MSKWDG9H:1;
            vuint32_t MSKWDG9L:1;
            vuint32_t MSKWDG8H:1;
            vuint32_t MSKWDG8L:1;
            vuint32_t MSKWDG7H:1;
            vuint32_t MSKWDG7L:1;
            vuint32_t MSKWDG6H:1;
            vuint32_t MSKWDG6L:1;
            vuint32_t MSKWDG5H:1;
            vuint32_t MSKWDG5L:1;
            vuint32_t MSKWDG4H:1;
            vuint32_t MSKWDG4L:1;
            vuint32_t MSKWDG3H:1;
            vuint32_t MSKWDG3L:1;
            vuint32_t MSKWDG2H:1;
            vuint32_t MSKWDG2L:1;
            vuint32_t MSKWDG1H:1;
            vuint32_t MSKWDG1L:1;
            vuint32_t MSKWDG0H:1;
            vuint32_t MSKWDG0L:1;
        } B;
    } WTIMR;

    /* 038 */    
    uint8_t SARADC_reserved2[8];

    /* 040 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:30;
            vuint32_t DCLR:1;
            vuint32_t DMAEN:1;
        } B;
    } DMAE;

    /* 044 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DS_CH:32;
        } B;
    } ICDSR[3];

    /* 050 */    
    uint8_t SARADC_reserved3[16];

    /* 060 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR[4];

    /* 070 */    
    uint8_t SARADC_reserved4[36];

    /* 094 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CRES:1;                    
            vuint32_t:19;                        
            vuint32_t PRECHG:4;
            vuint32_t INPSAMP:8;
        } B;
    } CTR[4];

    /* 0A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t NCE_CH:32;
        } B;
    } ICNCMR[3];

    /* 0B0 */    
    uint8_t SARADC_reserved5[4];

    /* 0B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t JCE_CH:32;
        } B;
    } ICJCMR[3];

    /* 0C0 */    
    uint8_t SARADC_reserved6[8];

    /* 0C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t PDED:8;
        } B;
    } PDEDR;

    /* 0CC */    
    uint8_t SARADC_reserved7[52];

    /* 100 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t CDATA:16;                
        } B;
    } ICDR[96];

    /* 280 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR4;

    /* 284 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR5;

    /* 288 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR6;

    /* 28C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR7;

    /* 290 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR8;

    /* 294 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR9;

    /* 298 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR10;

    /* 29C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR11;

    /* 2A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR12;

    /* 2A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR13;

    /* 2A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR14;

    /* 2AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:4;
            vuint32_t THRH:12;
            vuint32_t:4;
            vuint32_t THRL:12;
        } B;
    } WTHRHLR15;

    /* 2B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WSEL_CH7:4;
            vuint32_t WSEL_CH6:4;
            vuint32_t WSEL_CH5:4;
            vuint32_t WSEL_CH4:4;
            vuint32_t WSEL_CH3:4;
            vuint32_t WSEL_CH2:4;
            vuint32_t WSEL_CH1:4;
            vuint32_t WSEL_CH0:4;
        } B;
    } ICWSELR[12];

    /* 2E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WEN_CH:32;
        } B;
    } ICWENR[3];

    /* 2EC */    
    uint8_t SARADC_reserved8[4];

    /* 2F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t AWOR_CH:32;
        } B;
    } ICAWORR[3];

    /* 2FC */    
    uint8_t SARADC_reserved9[260];

    /* 400 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t EOC_CH:32;
        } B;
    } TCIPR;

    /* 404 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t IM_CH:32;
        } B;
    } TCIMR;

    /* 408 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DS_CH:32;
        } B;
    } TCDSR;

    /* 40C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t NCE_CH:32;
        } B;
    } TCNCMR;

    /* 410 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t JCE_CH:32;
        } B;
    } TCJCMR;

    /* 414 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WSEL_CH7:4;
            vuint32_t WSEL_CH6:4;
            vuint32_t WSEL_CH5:4;
            vuint32_t WSEL_CH4:4;
            vuint32_t WSEL_CH3:4;
            vuint32_t WSEL_CH2:4;
            vuint32_t WSEL_CH1:4;
            vuint32_t WSEL_CH0:4;
        } B;
    } TCWSELR[4];     /* TCWSELR0 : WSEL_CH[103] .. WSEL_CH[96],  */
    /* TCWSELR1 : WSEL_CH[111] .. WSEL_CH[104], */
    /* TCWSELR2 : WSEL_CH[119] .. WSEL_CH[112], */
    /* TCWSELR3 : WSEL_CH[127] .. WSEL_CH[120]  */

    /* 424 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WEN_CH:32;
        } B;
    } TCWENR;

    /* 428 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t AWOR_CH:32;
        } B;
    } TCAWORR;

    /* 42C */    
    uint8_t SARADC_reserved10[4];

    /* 430 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ESIC_TCH3:1;
            vuint32_t ICSEL_TCH3:7;
            vuint32_t ESIC_TCH2:1;
            vuint32_t ICSEL_TCH2:7;
            vuint32_t ESIC_TCH1:1;
            vuint32_t ICSEL_TCH1:7;
            vuint32_t ESIC_TCH0:1;
            vuint32_t ICSEL_TCH0:7;
        } B;
    } TCCAPR[8];

    /* 450 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR96;

    /* 454 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR97;

    /* 458 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR98;

    /* 45C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR99;

    /* 460 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR100;

    /* 464 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR101;

    /* 468 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR102;

    /* 46C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR103;

    /* 470 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR104;

    /* 474 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR105;

    /* 478 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR106;

    /* 47C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR107;

    /* 480 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR108;

    /* 484 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR109;

    /* 488 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR110;

    /* 48C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR111;

    /* 490 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR112;

    /* 494 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR113;

    /* 498 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR114;

    /* 49C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR115;

    /* 4A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR116;

    /* 4A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR117;

    /* 4A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR118;

    /* 4AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR119;

    /* 4B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR120;

    /* 4B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR121;

    /* 4B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR122;

    /* 4BC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR123;

    /* 4C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR124;

    /* 4C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR125;

    /* 4C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR126;

    /* 4CC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } TCDR127;

    /* 4D0 */    
    uint8_t SARADC_0_reserved11[48];

    /* 500 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;
            vuint32_t DSD:12;
        } B;
    } ECDSD;

    /* 504 */    
    uint8_t SARADC_reserved12[12];

    /* 510 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t EOC_CH:32;
        } B;
    } ECIPR[4];

    /* 520 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t IM_CH:32;
        } B;
    } ECIMR[4];

    /* 530 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t DS_CH:32;
        } B;
    } ECDSR[4];

    /* 540 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t NCE_CH:32;
        } B;
    } ECNCMR[4];

    /* 550 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t JCE_CH:32;
        } B;
    } ECJCMR[4];

    /* 560 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WSEL_CH7:4;
            vuint32_t WSEL_CH6:4;
            vuint32_t WSEL_CH5:4;
            vuint32_t WSEL_CH4:4;
            vuint32_t WSEL_CH3:4;
            vuint32_t WSEL_CH2:4;
            vuint32_t WSEL_CH1:4;
            vuint32_t WSEL_CH0:4;
        } B;
    } ECWSELR[16];

    /* 5A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WEN_CH:32;
        } B;
    } ECWENR[4];

    /* 5B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t AWOR_CH:32;
        } B;
    } ECAWORR[4];

    /* 5C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t ICSEL_ECH152_159:7;
            vuint32_t:1;
            vuint32_t ICSEL_ECH144_151:7;
            vuint32_t:1;
            vuint32_t ICSEL_ECH136_143:7;
            vuint32_t:1;
            vuint32_t ICSEL_ECH128_135:7;
        } B;
    } ECMICR[4];

    /* 5D0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR128;

    /* 5D4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR129;

    /* 5D8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR130;

    /* 5DC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR131;

    /* 5E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR132;

    /* 5E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR133;

    /* 5E8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR134;

    /* 5EC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR135;

    /* 5F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR136;

    /* 5F4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR137;

    /* 5F8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR138;

    /* 5FC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR139;

    /* 600 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR140;

    /* 604 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR141;

    /* 608 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR142;

    /* 60C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR143;

    /* 610 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR144;

    /* 614 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR145;

    /* 618 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR146;

    /* 61C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR147;

    /* 620 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR148;

    /* 624 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR149;

    /* 628 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR150;

    /* 62C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR151;

    /* 630 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR152;

    /* 634 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR153;

    /* 638 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR154;

    /* 63C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR155;

    /* 640 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR156;

    /* 644 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR157;

    /* 648 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR158;

    /* 64C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR159;

    /* 650 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR160;

    /* 654 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR161;

    /* 658 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR162;

    /* 65C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR163;

    /* 660 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR164;

    /* 664 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR165;

    /* 668 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR166;

    /* 66C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR167;

    /* 670 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR168;

    /* 674 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR169;

    /* 678 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR170;

    /* 67C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR171;

    /* 680 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR172;

    /* 684 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR173;

    /* 688 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR174;

    /* 68C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR175;

    /* 690 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR176;

    /* 694 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR177;

    /* 698 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR178;

    /* 69C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR179;

    /* 6A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR180;

    /* 6A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR181;

    /* 6A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR182;

    /* 6AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR183;

    /* 6B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR184;

    /* 6B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR185;

    /* 6B8 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR186;

    /* 6BC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR187;

    /* 6C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR188;

    /* 6C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR189;

    /* 6C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR190;

    /* 6CC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR191;

    /* 6D0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR192;

    /* 6D4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR193;

    /* 6D8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR194;

    /* 6DC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR195;

    /* 6E0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR196;

    /* 6E4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR197;

    /* 6E8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR198;

    /* 6EC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR199;

    /* 6F0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR200;

    /* 6F4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR201;

    /* 6F8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR202;

    /* 6FC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR203;

    /* 700 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR204;

    /* 704 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR205;

    /* 708 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR206;

    /* 70C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR207;

    /* 710 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR208;

    /* 714 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR209;

    /* 718 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR210;

    /* 71C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR211;

    /* 720 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR212;

    /* 724 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR213;

    /* 728 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR214;

    /* 72C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR215;

    /* 730 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR216;

    /* 734 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR217;

    /* 738 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR218;

    /* 73C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR219;

    /* 740 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR220;

    /* 744 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR221;

    /* 748 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR222;

    /* 74C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR223;

    /* 750 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR224;

    /* 754 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR225;

    /* 758 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR226;

    /* 75C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR227;

    /* 760 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR228;

    /* 764 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR229;

    /* 768 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR230;

    /* 76C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR231;

    /* 770 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR232;

    /* 774 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR233;

    /* 778 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR234;

    /* 77C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR235;

    /* 780 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR236;

    /* 784 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR237;

    /* 788 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR238;

    /* 78C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR239;

    /* 790 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR240;

    /* 794 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR241;

    /* 798 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR242;

    /* 79C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR243;

    /* 7A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR244;

    /* 7A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR245;

    /* 7A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR246;

    /* 7AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR247;

    /* 7B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR248;

    /* 7B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR249;

    /* 7B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR250;

    /* 7BC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR251;

    /* 7C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR252;

    /* 7C4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR253;

    /* 7C8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR254;

    /* 7CC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t REFSEL:1;
            vuint32_t:2;
            vuint32_t PCE:1;
            vuint32_t:1;
            vuint32_t CTSEL:2;
            vuint32_t:4;
            vuint32_t VALID:1;
            vuint32_t OVERW:1;
            vuint32_t RESULT:2;
            vuint32_t:4;
            vuint32_t CDATA:12;
        } B;
    } ECDR255;
};
/**************************************************************************/
/*                   Module: SDADC                                        */
/**************************************************************************/
struct SDADC_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:3;
            vuint32_t PDR:5;
            vuint32_t:1;
            vuint32_t PGAN:3;
            vuint32_t:1;                        
            vuint32_t:1;                        
            vuint32_t EMSEL:1;
            vuint32_t HPFEN:1;
            vuint32_t WDGEN:1;                  
            vuint32_t TRIGEDSEL:2;
            vuint32_t TRIGEN:1;
            vuint32_t TRIGSEL:4;
            vuint32_t FRZ:1;
            vuint32_t:2;
            vuint32_t VCOMSEL:1;
            vuint32_t WRMODE:1;                 
            vuint32_t GECEN:1;
            vuint32_t MODE:1;
            vuint32_t EN:1;
        } B;
    } MCR;

    /* 004 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:8;
            vuint32_t BIASEN:8;
            vuint32_t:5;                        
            vuint32_t ANCHSEL_WRAP:3;           
            vuint32_t:5;                        
            vuint32_t ANCHSEL:3;
        } B;
    } CSR;

    /* 008 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t RESET_KEY:16;
        } B;
    } RKR;

    /* 00C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:13;                       
            vuint32_t ANCHSEL_CNT:3;            
            vuint32_t:7;                        
            vuint32_t DFEF:1;
            vuint32_t:3;                        
            vuint32_t WTHH:1;                   
            vuint32_t WTHL:1;                   
            vuint32_t CDVF:1;
            vuint32_t DFORF:1;
            vuint32_t DFFF:1;
        } B;
    } SFR;

    /* 010 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:14;                        
            vuint32_t WTHDIRS:1;                 
            vuint32_t DFFDIRS:1;
            vuint32_t GDIGE:1;
            vuint32_t:11;                        
            vuint32_t WTHDIRE:1;                 
            vuint32_t CDVEE:1;
            vuint32_t DFORIE:1;
            vuint32_t DFFDIRE:1;
        } B;
    } RSER;

    /* 014 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t OSD:8;
        } B;
    } OSDR;

    /* 018 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t FRST:1;                    
            vuint32_t:4;                         
            vuint32_t FTHLD:4;
            vuint32_t:4;                         
            vuint32_t FOWEN:1;                   
            vuint32_t FSIZE:2;
            vuint32_t FE:1;
        } B;
    } FCR;

    /* 01C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t ST_KEY:16;
        } B;
    } STKR;

    /* 020 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t CDATA:16; /* ODA=0 */
            // vuint32_t CDATA:14;      /* ODA=1 */
            // vuint32_t:2;             /* ODA=1 */
        } B;
    } CDR;

    /* 024 */
    union {
        vuint32_t R;
        struct {
            vuint32_t THRH:16;
            vuint32_t THRL:16;
        } B;
    } WTHHLR;
};
/**************************************************************************/
/*                   Module: SEMA42                                       */
/**************************************************************************/
struct SEMA42_tag {
    union {
        vuint8_t R;
        struct {
            vuint8_t:4;
            vuint8_t GTFSM:4;
        } B;
    } GATE[64];

    /* 40 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t RSTGDP:8; /* Write access */
            vuint16_t RSTGTN:8;
        } B;
        struct {
            vuint16_t:2; /* different bitfield names documented for read and write accesses */
            vuint16_t RSTGSM:2;
            vuint16_t RSTGMS:4;
            vuint16_t RSTGTN:8;
        } B_read;
    } RSTGT;
};
/**************************************************************************/
/*                   Module: SIPI                                         */
/**************************************************************************/
struct SIPI_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t TC:1;
            vuint32_t:8;
            vuint32_t WL:2;
            vuint32_t CHEN:1;
            vuint32_t ST:1;
            vuint32_t IDT:1;
            vuint32_t RRT:1;
            vuint32_t WRT:1;
            vuint32_t DEN:1;
        } B;
    } CCR0;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t RAR:1;
            vuint32_t TID:3;
            vuint32_t ACKR:1;
            vuint32_t CB:1;
            vuint32_t:2;
        } B;
    } CSR0;

    /* 08 */    
    uint8_t SIPI_reserved1[4];

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t WAIE:1;
            vuint32_t RAIE:1;
            vuint32_t TCIE:1;
            vuint32_t TOIE:1;
            vuint32_t TIDIE:1;
            vuint32_t ACKIE:1;
        } B;
    } CIR0;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t TOR:8;
        } B;
    } CTOR0;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CRCI:16;
            vuint32_t CRCT:16;
        } B;
    } CCRC0;

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CAR:32;
        } B;
    } CAR0;

    /* 1C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CDR:32;
        } B;
    } CDR0;

    /* 20 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t TC:1;
            vuint32_t:8;
            vuint32_t WL:2;
            vuint32_t CHEN:1;
            vuint32_t ST:1;
            vuint32_t IDT:1;
            vuint32_t RRT:1;
            vuint32_t WRT:1;
            vuint32_t DEN:1;
        } B;
    } CCR1;

    /* 24 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t RAR:1;
            vuint32_t TID:3;
            vuint32_t ACKR:1;
            vuint32_t CB:1;
            vuint32_t:2;
        } B;
    } CSR1;

    /* 28 */    
    uint8_t SIPI_reserved2[4];

    /* 2C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t WAIE:1;
            vuint32_t RAIE:1;
            vuint32_t TCIE:1;
            vuint32_t TOIE:1;
            vuint32_t TIDIE:1;
            vuint32_t ACKIE:1;
        } B;
    } CIR1;

    /* 30 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t TOR:8;
        } B;
    } CTOR1;

    /* 34 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CRCI:16;
            vuint32_t CRCT:16;
        } B;
    } CCRC1;

    /* 38 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CAR:32;
        } B;
    } CAR1;

    /* 3C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CDR:32;
        } B;
    } CDR1;

    /* 40 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t TC:1;
            vuint32_t:8;
            vuint32_t WL:2;
            vuint32_t CHEN:1;
            vuint32_t ST:1;
            vuint32_t IDT:1;
            vuint32_t RRT:1;
            vuint32_t WRT:1;
            vuint32_t DEN:1;
        } B;
    } CCR2;

    /* 44 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t RAR:1;
            vuint32_t TID:3;
            vuint32_t ACKR:1;
            vuint32_t CB:1;
            vuint32_t:2;
        } B;
    } CSR2;

    /* 48 */    
    uint8_t SIPI_reserved3[4];

    /* 4C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t WAIE:1;
            vuint32_t RAIE:1;
            vuint32_t TCIE:1;
            vuint32_t TOIE:1;
            vuint32_t TIDIE:1;
            vuint32_t ACKIE:1;
        } B;
    } CIR2;

    /* 50 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t TOR:8;
        } B;
    } CTOR2;

    /* 54 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CRCI:16;
            vuint32_t CRCT:16;
        } B;
    } CCRC2;

    /* 58 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CAR:32;
        } B;
    } CAR2;

    /* 5C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CDR:32;                        
        } B;
    } CDR2[8];

    /* 7C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:15;
            vuint32_t TC:1;
            vuint32_t:8;
            vuint32_t WL:2;
            vuint32_t CHEN:1;
            vuint32_t ST:1;
            vuint32_t IDT:1;
            vuint32_t RRT:1;
            vuint32_t WRT:1;
            vuint32_t DEN:1;
        } B;
    } CCR3;

    /* 80 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t RAR:1;
            vuint32_t TID:3;
            vuint32_t ACKR:1;
            vuint32_t CB:1;
            vuint32_t:2;
        } B;
    } CSR3;

    /* 84 */    
    uint8_t SIPI_reserved4[4];

    /* 88 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:26;
            vuint32_t WAIE:1;
            vuint32_t RAIE:1;
            vuint32_t TCIE:1;
            vuint32_t TOIE:1;
            vuint32_t TIDIE:1;
            vuint32_t ACKIE:1;
        } B;
    } CIR3;

    /* 8C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t TOR:8;
        } B;
    } CTOR3;

    /* 90 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CRCI:16;
            vuint32_t CRCT:16;
        } B;
    } CCRC3;

    /* 94 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CAR:32;
        } B;
    } CAR3;

    /* 98 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CDR:32;                        
        } B;
    } CDR3;

    /* 9C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t FRZ:1;
            vuint32_t DOZE:1;                        
            vuint32_t HALT:1;
            vuint32_t:2;
            vuint32_t PRSCLR:11;
            vuint32_t AID:2;
            vuint32_t:3;
            vuint32_t CRCIE:1;
            vuint32_t MCRIE:1;
            vuint32_t:4;                             
            vuint32_t CHNSB:1;                       
            vuint32_t TEN:1;
            vuint32_t INIT:1;
            vuint32_t MOEN:1;
            vuint32_t SR:1;
        } B;
    } MCR;

    /* A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t FRZACK:1;
            vuint32_t LPMACK:1;
            vuint32_t:19;
            vuint32_t GCRCE:1;
            vuint32_t MCR:1;
            vuint32_t:1;
            vuint32_t TE:4;
            vuint32_t STATE:4;
        } B;
    } SR;

    /* A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MXCNT:30;
            vuint32_t:2;
        } B;
    } MAXCR;

    /* A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ADRLD:30;
            vuint32_t:2;
        } B;
    } ARR;

    /* AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ADCNT:30;
            vuint32_t:2;
        } B;
    } ACR;

    /* B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:5;
            vuint32_t TOE3:1;
            vuint32_t TIDE3:1;
            vuint32_t ACKE3:1;
            vuint32_t:5;
            vuint32_t TOE2:1;
            vuint32_t TIDE2:1;
            vuint32_t ACKE2:1;
            vuint32_t:5;
            vuint32_t TOE1:1;
            vuint32_t TIDE1:1;
            vuint32_t ACKE1:1;
            vuint32_t:5;
            vuint32_t TOE0:1;
            vuint32_t TIDE0:1;
            vuint32_t ACKE0:1;
        } B;
    } ERR;
};
/**************************************************************************/
/*                   Module: SIUL2                                        */
/**************************************************************************/
struct SIUL2_tag {
    uint8_t SIUL2_reserved0[4];

    /* 0004 */
    union {
        vuint32_t R;
        struct {
            vuint32_t PARTNUM:16;
            vuint32_t ED:1;
            vuint32_t PKG:5;
            vuint32_t:2;
            vuint32_t MAJOR_MASK:4;
            vuint32_t MINOR_MASK:4;
        } B;
    } MIDR1;

    /* 0008 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SF:1;
            vuint32_t FLASH_SIZE_1:4;
            vuint32_t FLASH_SIZE_2:4;
            vuint32_t:7;
            vuint32_t FAMILYNUM:8;
            vuint32_t:8;
        } B;
    } MIDR2;

    /* 000C */    
    uint8_t SIUL2_reserved1[4];

    /* 0010 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;                
            vuint32_t EIF11:1;           
            vuint32_t EIF10:1;           
            vuint32_t EIF9:1;            
            vuint32_t EIF8:1;            
            vuint32_t:2;                 
            vuint32_t EIF5:1;            
            vuint32_t EIF4:1;            
            vuint32_t EIF3:1;            
            vuint32_t EIF2:1;          
            vuint32_t EIF1:1;            
            vuint32_t EIF0:1;            
        } B;
    } DISR0;

    /* 0014 */        
    uint8_t SIUL2_PD_reserved2[4];

    /* 0018 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:23;                
            vuint32_t EIRE8:1;           
            vuint32_t:2;                 
            vuint32_t EIRE5:1;           
            vuint32_t EIRE4:1;           
            vuint32_t EIRE3:1;           
            vuint32_t EIRE2:1;           
            vuint32_t EIRE1:1;           
            vuint32_t EIRE0:1;           
        } B;
    } DIRER0;

    /* 001C */    
    uint8_t SIUL2_reserved3[4];

    /* 0020 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;                 
            vuint32_t DIRS11:1;           
            vuint32_t DIRS10:1;           
            vuint32_t DIRS9:1;            
            vuint32_t DIRS8:1;            
            vuint32_t:2;                  
            vuint32_t DIRS5:1;            
            vuint32_t DIRS4:1;            
            vuint32_t DIRS3:1;            
            vuint32_t DIRS2:1;            
            vuint32_t DIRS1:1;            
            vuint32_t DIRS0:1;            
        } B;
    } DIRSR0;

    /* 0024 */    
    uint8_t SIUL2_reserved4[4];

    /* 0028 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;                 
            vuint32_t IREE11:1;           
            vuint32_t IREE10:1;           
            vuint32_t IREE9:1;            
            vuint32_t IREE8:1;            
            vuint32_t:2;                  
            vuint32_t IREE5:1;            
            vuint32_t IREE4:1;            
            vuint32_t IREE3:1;            
            vuint32_t IREE2:1;            
            vuint32_t IREE1:1;            
            vuint32_t IREE0:1;            
        } B;
    } IREER0;

    /* 002C */        
    uint8_t SIUL2_reserved5[4];

    /* 0030 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;                  
            vuint32_t IFEE11:1;            
            vuint32_t IFEE10:1;            
            vuint32_t IFEE9:1;             
            vuint32_t IFEE8:1;             
            vuint32_t:2;                   
            vuint32_t IFEE5:1;             
            vuint32_t IFEE4:1;             
            vuint32_t IFEE3:1;             
            vuint32_t IFEE2:1;             
            vuint32_t IFEE1:1;             
            vuint32_t IFEE0:1;             
        } B;
    } IFEER0;

    /* 0034 */    
    uint8_t SIUL2_reserved6[4];

    /* 0038 */        
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;                  
            vuint32_t IFE11:1;             
            vuint32_t IFE10:1;             
            vuint32_t IFE9:1;              
            vuint32_t IFE8:1;              
            vuint32_t:2;                   
            vuint32_t IFE5:1;              
            vuint32_t IFE4:1;              
            vuint32_t IFE3:1;              
            vuint32_t IFE2:1;              
            vuint32_t IFE1:1;              
            vuint32_t IFE0:1;              
        } B;
    } IFER0;

    /* 003C */    
    uint8_t SIUL2_reserved7[4];

    /* 0040 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:28;
            vuint32_t MAXCNTx:4;
        } B;
    } IFMCR[32];

    /* 00C0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:28;
            vuint32_t IFCP:4;
        } B;
    } IFCPR;

    /* 00C4 */    
    uint8_t SIUL2_reserved8[60];

    /* 0100 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:8;                    
            vuint16_t ESR0_ASSERT:1;        
            vuint16_t:7;                    
        } B;
    } SCR0;

    /* 0102 */    
    uint8_t SIUL2_reserved10[318];

    /* 0240 */
    /*  I/O Pin Multiplexed Signal Configuration Registers SIUL2_MSCR_0-511 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;                    
            vuint32_t OERC:2;               
            vuint32_t:1;
            vuint32_t ODC:3;
            vuint32_t SMC:1;
            vuint32_t APC:1;
            vuint32_t ILS:2;
            vuint32_t IBE:1;
            vuint32_t HYS:1;
            vuint32_t WPDE:1;
            vuint32_t WPUE:1;
            vuint32_t INV:1;
            vuint32_t:7;
            vuint32_t SSS:8;
        } B;
    } MSCR_IO[512];
    
    /* Multiplexed Signal Configuration Registers for Multiplexed Input Selection SIUL2_MSCR_512-1023 */ 
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t INV:1;
            vuint32_t:7;
            vuint32_t SSS:8;
        } B;
    } MSCR_MUX[512];


    /* 1240 */    
    uint8_t SIUL2_reserved9[192];

    /* 1300 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t:7;
            vuint8_t PDO:1;
        } B;
    } GPDO[512];

    /* 1500 */    
    union {
        vuint8_t R;
        struct {
            vuint8_t:7;
            vuint8_t PDI:1;
        } B;
    } GPDI[512];

    /* 1700 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t PPDO:16;
        } B;
    } PGPDO[32];

    /* 1740 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t PPDI:16;
        } B;
    } PGPDI[32];

    /* 1780 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MASK:16;
            vuint32_t MPPDO:16;
        } B;
    } MPGPDO[32];
};
/**************************************************************************/
/*                   Module: SMPU                                         */
/**************************************************************************/
struct SMPU_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t MERR:16;
            vuint32_t:1;
            vuint32_t:11;
            vuint32_t HRL:3;
            vuint32_t GVLD:1;
        } B;
    } CESR0;

    /* 0004 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MEOVR:16;
            vuint32_t:1;
            vuint32_t:11;
            vuint32_t NRGD:4;
        } B;
    } CESR1;

    /* 0008 */    
    uint8_t SMPU_reserved1[248];

    /* 0100 */    
    struct {
        union {
            vuint32_t R;
            struct {
                vuint32_t EADDR:32;
            } B;
        } EAR;

        union {
            vuint32_t R;
            struct {
                vuint32_t EACD:24;
                vuint32_t:1;
                vuint32_t EATTR:2;
                vuint32_t ERW:1;
                vuint32_t EMN:4;
            } B;
        } EDR;
    } Channel[16];

    /* 0180 */    
    uint8_t SMPU_reserved2[640];

    /* 0400 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD0_WORD0;

    /* 0404 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD0_WORD1;

    /* 0408 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD0_WORD2;

    /* 040C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD0_WORD3;

    /* 0410 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD1_WORD0;

    /* 0414 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD1_WORD1;

    /* 0418 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD1_WORD2;

    /* 041C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD1_WORD3;

    /* 0420 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD2_WORD0;

    /* 0424 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD2_WORD1;

    /* 0428 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD2_WORD2;

    /* 042C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD2_WORD3;

    /* 0430 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD3_WORD0;

    /* 0434 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD3_WORD1;

    /* 0438 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD3_WORD2;

    /* 043C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD3_WORD3;

    /* 0440 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD4_WORD0;

    /* 0444 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD4_WORD1;

    /* 0448 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD4_WORD2;

    /* 044C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD4_WORD3;

    /* 0450 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD5_WORD0;

    /* 0454 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD5_WORD1;

    /* 0458 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD5_WORD2;

    /* 045C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD5_WORD3;

    /* 0460 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD6_WORD0;

    /* 0464 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD6_WORD1;

    /* 0468 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD6_WORD2;

    /* 046C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD6_WORD3;

    /* 0470 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD7_WORD0;

    /* 0474 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD7_WORD1;

    /* 0478 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD7_WORD2;

    /* 047C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD7_WORD3;

    /* 0480 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD8_WORD0;

    /* 0484 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD8_WORD1;

    /* 0488 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD8_WORD2;

    /* 048C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD8_WORD3;

    /* 0490 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD9_WORD0;

    /* 0494 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD9_WORD1;

    /* 0498 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD9_WORD2;

    /* 049C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD9_WORD3;

    /* 04A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD10_WORD0;

    /* 04A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD10_WORD1;

    /* 04A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD10_WORD2;

    /* 04AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD10_WORD3;

    /* 04B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SRTADDR:32;
        } B;
    } RGD11_WORD0;

    /* 04B4 */        
    union {
        vuint32_t R;
        struct {
            vuint32_t ENDADDR:32;
        } B;
    } RGD11_WORD1;

    /* 04B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t M0P:2;    /* FMT0 */
            vuint32_t M1P:2;
            vuint32_t M2P:2;
            vuint32_t M3P:2;
            vuint32_t M4P:2;
            vuint32_t M5P:2;
            vuint32_t M6P:2;
            vuint32_t M7P:2;
            vuint32_t M8P:2;
            vuint32_t M9P:2;
            vuint32_t M10P:2;
            vuint32_t M11P:2;
            vuint32_t M12P:2;
            vuint32_t M13P:2;
            vuint32_t M14P:2;
            vuint32_t M15P:2;
            // vuint32_t M0S:2;  /* FMT1 */
            // vuint32_t M1S:2;
            // vuint32_t M2S:2;
            // vuint32_t M3S:2;
            // vuint32_t M4S:2;
            // vuint32_t M5S:2;
            // vuint32_t M6S:2;
            // vuint32_t M7S:2;
            // vuint32_t M8S:2;
            // vuint32_t M9S:2;
            // vuint32_t M10S:2;
            // vuint32_t M11S:2;
            // vuint32_t M12S:2;
            // vuint32_t M13S:2;
            // vuint32_t M14S:2;
            // vuint32_t M15S:2;
        } B;
    } RGD11_WORD2;

    /* 04BC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;                        
            vuint32_t FMT:1;
            vuint32_t RO:1;
            vuint32_t:1;
            vuint32_t CI:1;
            vuint32_t VLD:1;
        } B;
    } RGD11_WORD3;
};
/**************************************************************************/
/*                   Module: SRX (SENT Receiver)                          */
/**************************************************************************/
struct SENT_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t TSPRSC:8;
            vuint32_t:8;                          
            vuint32_t NIB_LEN_VAR_LIMIT:1;        
            vuint32_t:5;                          
            vuint32_t FMDUIE:1;
            vuint32_t SMDUIE:1;
            vuint32_t:3;
            vuint32_t FAST_CLR:1;
            vuint32_t:1;
            vuint32_t DBG_FRZ:1;
            vuint32_t:1;
            vuint32_t SENT_EN:1;
        } B;
    } GBL_CTRL;

    /* 004 */
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t EN_CHn:16;
        } B;
    } CHNL_EN;

    /* 008 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:22;
            vuint32_t FDMU:1;
            vuint32_t SMDU:1;
            vuint32_t:8;
        } B;
    } GBL_STATUS;

    /* 00C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t F_RDYn:16;
        } B;
    } FMSG_RDY;

    /* 010 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t S_RDYn:16;
        } B;
    } SMSG_RDY;

    /* 014 */    
    uint8_t SRX_reserved1[4];

    /* 018 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t NIBBCH0:3;
            vuint32_t:1;
            vuint32_t NIBBCH1:3;
            vuint32_t:1;
            vuint32_t NIBBCH2:3;
            vuint32_t:1;
            vuint32_t NIBBCH3:3;
            vuint32_t:1;
            vuint32_t NICCH4:3;
            vuint32_t:1;
            vuint32_t NIBBCH5:3;
            vuint32_t:1;
            vuint32_t NIBBCH6:3;
            vuint32_t:1;
            vuint32_t NIBBCH7:3;
        } B;
    } DATA_CTRL1;

    /* 01C */
    uint8_t SRX_reserved2[12];

    /* 028 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t FDMA_EN7:1;
            vuint32_t FDMA_EN6:1;
            vuint32_t FDMA_EN5:1;
            vuint32_t FDMA_EN4:1;
            vuint32_t FDMA_EN3:1;
            vuint32_t FDMA_EN2:1;
            vuint32_t FDMA_EN1:1;
            vuint32_t FDMA_EN0:1;
        } B;
    } FDMA_CTRL;

    /* 02C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:24;
            vuint32_t SDMA_EN7:1;
            vuint32_t SDMA_EN6:1;
            vuint32_t SDMA_EN5:1;
            vuint32_t SDMA_EN4:1;
            vuint32_t SDMA_EN3:1;
            vuint32_t SDMA_EN2:1;
            vuint32_t SDMA_EN1:1;
            vuint32_t SDMA_EN0:1;
        } B;
    } SDMA_CTRL;

    /* 030 */    
    uint8_t SRX_reserved3[4];

    /* 034 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t FRDY_IEn:16;
        } B;
    } FRDY_IE;

    /* 038 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t SRDY_IEn:16;
        } B;
    } SRDY_IE;

    /* 03C */    
    uint8_t SRX_reserved4[4];

    /* 040 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CHNUM:4;
            vuint32_t SCNIB:4;
            vuint32_t DNIB1:4;
            vuint32_t DNIB2:4;
            vuint32_t DNIB3:4;
            vuint32_t DNIB4:4;
            vuint32_t DNIB5:4;
            vuint32_t DNIB6:4;
        } B;
    } DMA_FMSG_DATA;

    /* 044 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t CRC4b:4;
            vuint32_t:16;
        } B;
    } DMA_FMSG_CRC;

    /* 048 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TS:32;
        } B;
    } DMA_FMSG_TS;

    /* 04C */    
    uint8_t SRX_reserved5[4];

    /* 050 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CHNUM:4;
            vuint32_t TYPE:1;
            vuint32_t:16;
            vuint32_t CFG:1;
            vuint32_t ID:4;
            vuint32_t:1;
            vuint32_t IDorDATA:4;
            vuint32_t:1;
        } B;
    } DMA_SMSG3;

    /* 054 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:10;
            vuint32_t SMCRC:6;
            vuint32_t:4;
            vuint32_t DATA:12;
        } B;
    } DMA_SMSG2;

    /* 058 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TS:32;
        } B;
    } DMA_SMSG_TS;

    /* 05C */    
    uint8_t SRX_reserved6[4];

    /* 060 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t CMPRSC:15;
            vuint32_t COMP_EN:1;
            vuint32_t:1;
            vuint32_t PRSC:14;
        } B;
    } CH0_CLK_CTRL;

    /* 064 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t BUS_IDLE:1;            
            vuint32_t:3;                     
            vuint32_t CAL_RESYNC:1;
            vuint32_t CAL_20_25:1;
            vuint32_t SMSG_OFLW:1;
            vuint32_t FMSG_OFLW:1;
            vuint32_t:1;
            vuint32_t PP_DIAG_ERR:1;
            vuint32_t CAL_LEN_ERR:1;
            vuint32_t CAL_DIAG_ERR:1;
            vuint32_t NIB_VAL_ERR:1;
            vuint32_t SMSG_CRC_ERR:1;
            vuint32_t FMSG_CRC_ERR:1;
            vuint32_t NUM_EDGES_ERR:1;
            vuint32_t:16;
        } B;
    } CH0_STATUS;

    /* 068 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t BUS_IDLE_CNT:4;          
            vuint32_t IE_CAL_RESYNC:1;
            vuint32_t IE_CAL_20_25:1;
            vuint32_t IE_SMSG_OFLW:1;
            vuint32_t IE_FMSG_OFLW:1;
            vuint32_t FCRC_CHK_OFF:1;          
            vuint32_t IE_PP_DIAG_ERR:1;
            vuint32_t IE_CAL_LEN_ERR:1;
            vuint32_t IE_CAL_DIAG_ERR:1;
            vuint32_t IE_NIB_VAL_ERR:1;
            vuint32_t IE_SMSG_CRC_ERR:1;
            vuint32_t IE_FMSG_CRC_ERR:1;
            vuint32_t IE_NUM_EDGES_ERR:1;
            vuint32_t DCHNG_INT:1;
            vuint32_t CAL_RNG:1;
            vuint32_t PP_CHKSEL:1;
            vuint32_t FCRC_TYPE:1;
            vuint32_t FCRC_SC_EN:1;
            vuint32_t SCRC_TYPE:1;
            vuint32_t PAUSE_EN:1;
            vuint32_t SUCC_CAL_CHK:1;
            vuint32_t FIL_CNT:8;
        } B;
    } CH0_CONFIG;

    /*     06C */    
    uint8_t SRX_reserved7[4];

    /* 070 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t CMPRSC:15;
            vuint32_t COMP_EN:1;
            vuint32_t:1;
            vuint32_t PRSC:14;
        } B;
    } CH1_CLK_CTRL;

    /* 074 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t BUS_IDLE:1;            
            vuint32_t:3;                     
            vuint32_t CAL_RESYNC:1;
            vuint32_t CAL_20_25:1;
            vuint32_t SMSG_OFLW:1;
            vuint32_t FMSG_OFLW:1;
            vuint32_t:1;
            vuint32_t PP_DIAG_ERR:1;
            vuint32_t CAL_LEN_ERR:1;
            vuint32_t CAL_DIAG_ERR:1;
            vuint32_t NIB_VAL_ERR:1;
            vuint32_t SMSG_CRC_ERR:1;
            vuint32_t FMSG_CRC_ERR:1;
            vuint32_t NUM_EDGES_ERR:1;
            vuint32_t:16;
        } B;
    } CH1_STATUS;

    /* 078 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t BUS_IDLE_CNT:4;         
            vuint32_t IE_CAL_RESYNC:1;
            vuint32_t IE_CAL_20_25:1;
            vuint32_t IE_SMSG_OFLW:1;
            vuint32_t IE_FMSG_OFLW:1;
            vuint32_t FCRC_CHK_OFF:1;         
            vuint32_t IE_PP_DIAG_ERR:1;
            vuint32_t IE_CAL_LEN_ERR:1;
            vuint32_t IE_CAL_DIAG_ERR:1;
            vuint32_t IE_NIB_VAL_ERR:1;
            vuint32_t IE_SMSG_CRC_ERR:1;
            vuint32_t IE_FMSG_CRC_ERR:1;
            vuint32_t IE_NUM_EDGES_ERR:1;
            vuint32_t DCHNG_INT:1;
            vuint32_t CAL_RNG:1;
            vuint32_t PP_CHKSEL:1;
            vuint32_t FCRC_TYPE:1;
            vuint32_t FCRC_SC_EN:1;
            vuint32_t SCRC_TYPE:1;
            vuint32_t PAUSE_EN:1;
            vuint32_t SUCC_CAL_CHK:1;
            vuint32_t FIL_CNT:8;
        } B;
    } CH1_CONFIG;

    /* 07C */    
    uint8_t SRX_reserved8[4];

    /* 080 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t CMPRSC:15;
            vuint32_t COMP_EN:1;
            vuint32_t:1;
            vuint32_t PRSC:14;
        } B;
    } CH2_CLK_CTRL;

    /* 084 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t BUS_IDLE:1;            
            vuint32_t:3;                     
            vuint32_t CAL_RESYNC:1;
            vuint32_t CAL_20_25:1;
            vuint32_t SMSG_OFLW:1;
            vuint32_t FMSG_OFLW:1;
            vuint32_t:1;
            vuint32_t PP_DIAG_ERR:1;
            vuint32_t CAL_LEN_ERR:1;
            vuint32_t CAL_DIAG_ERR:1;
            vuint32_t NIB_VAL_ERR:1;
            vuint32_t SMSG_CRC_ERR:1;
            vuint32_t FMSG_CRC_ERR:1;
            vuint32_t NUM_EDGES_ERR:1;
            vuint32_t:16;
        } B;
    } CH2_STATUS;

    /* 088 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t BUS_IDLE_CNT:4;         
            vuint32_t IE_CAL_RESYNC:1;
            vuint32_t IE_CAL_20_25:1;
            vuint32_t IE_SMSG_OFLW:1;
            vuint32_t IE_FMSG_OFLW:1;
            vuint32_t FCRC_CHK_OFF:1;         
            vuint32_t IE_PP_DIAG_ERR:1;
            vuint32_t IE_CAL_LEN_ERR:1;
            vuint32_t IE_CAL_DIAG_ERR:1;
            vuint32_t IE_NIB_VAL_ERR:1;
            vuint32_t IE_SMSG_CRC_ERR:1;
            vuint32_t IE_FMSG_CRC_ERR:1;
            vuint32_t IE_NUM_EDGES_ERR:1;
            vuint32_t DCHNG_INT:1;
            vuint32_t CAL_RNG:1;
            vuint32_t PP_CHKSEL:1;
            vuint32_t FCRC_TYPE:1;
            vuint32_t FCRC_SC_EN:1;
            vuint32_t SCRC_TYPE:1;
            vuint32_t PAUSE_EN:1;
            vuint32_t SUCC_CAL_CHK:1;
            vuint32_t FIL_CNT:8;
        } B;
    } CH2_CONFIG;

    /* 08C */    
    uint8_t SRX_reserved9[4];

    /* 090 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t CMPRSC:15;
            vuint32_t COMP_EN:1;
            vuint32_t:1;
            vuint32_t PRSC:14;
        } B;
    } CH3_CLK_CTRL;

    /* 094 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t BUS_IDLE:1;            
            vuint32_t:3;                     
            vuint32_t CAL_RESYNC:1;
            vuint32_t CAL_20_25:1;
            vuint32_t SMSG_OFLW:1;
            vuint32_t FMSG_OFLW:1;
            vuint32_t:1;
            vuint32_t PP_DIAG_ERR:1;
            vuint32_t CAL_LEN_ERR:1;
            vuint32_t CAL_DIAG_ERR:1;
            vuint32_t NIB_VAL_ERR:1;
            vuint32_t SMSG_CRC_ERR:1;
            vuint32_t FMSG_CRC_ERR:1;
            vuint32_t NUM_EDGES_ERR:1;
            vuint32_t:16;
        } B;
    } CH3_STATUS;

    /* 098 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t BUS_IDLE_CNT:4;          
            vuint32_t IE_CAL_RESYNC:1;
            vuint32_t IE_CAL_20_25:1;
            vuint32_t IE_SMSG_OFLW:1;
            vuint32_t IE_FMSG_OFLW:1;
            vuint32_t FCRC_CHK_OFF:1;          
            vuint32_t IE_PP_DIAG_ERR:1;
            vuint32_t IE_CAL_LEN_ERR:1;
            vuint32_t IE_CAL_DIAG_ERR:1;
            vuint32_t IE_NIB_VAL_ERR:1;
            vuint32_t IE_SMSG_CRC_ERR:1;
            vuint32_t IE_FMSG_CRC_ERR:1;
            vuint32_t IE_NUM_EDGES_ERR:1;
            vuint32_t DCHNG_INT:1;
            vuint32_t CAL_RNG:1;
            vuint32_t PP_CHKSEL:1;
            vuint32_t FCRC_TYPE:1;
            vuint32_t FCRC_SC_EN:1;
            vuint32_t SCRC_TYPE:1;
            vuint32_t PAUSE_EN:1;
            vuint32_t SUCC_CAL_CHK:1;
            vuint32_t FIL_CNT:8;
        } B;
    } CH3_CONFIG;

    /* 09C */    
    uint8_t SRX_reserved10[196];                

    /* 160 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CHNUM:4;
            vuint32_t SCNIB:4;
            vuint32_t DNIB1:4;
            vuint32_t DNIB2:4;
            vuint32_t DNIB3:4;
            vuint32_t DNIB4:4;
            vuint32_t DNIB5:4;
            vuint32_t DNIB6:4;
        } B;
    } CH0_FMSG_DATA;

    /* 164 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t CRC4b:4;
            vuint32_t:16;
        } B;
    } CH0_FMSG_CRC;

    /* 168 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TS:32;
        } B;
    } CH0_FMSG_TS;

    /* 16C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CHNUM:4;
            vuint32_t TYPE:1;
            vuint32_t:16;
            vuint32_t CFG:1;
            vuint32_t ID:4;
            vuint32_t:1;
            vuint32_t IDorDATA:4;
            vuint32_t:1;
        } B;
    } CH0_SMSG3;

    /* 170 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:10;
            vuint32_t SMCRC:6;
            vuint32_t:4;
            vuint32_t DATA:12;
        } B;
    } CH0_SMSG2;

    /* 174 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TS:32;
        } B;
    } CH0_SMSG_TS;

    /* 178 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CHNUM:4;
            vuint32_t SCNIB:4;
            vuint32_t DNIB1:4;
            vuint32_t DNIB2:4;
            vuint32_t DNIB3:4;
            vuint32_t DNIB4:4;
            vuint32_t DNIB5:4;
            vuint32_t DNIB6:4;
        } B;
    } CH1_FMSG_DATA;

    /* 17C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t CRC4b:4;
            vuint32_t:16;
        } B;
    } CH1_FMSG_CRC;

    /* 180 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TS:32;
        } B;
    } CH1_FMSG_TS;

    /* 184 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CHNUM:4;
            vuint32_t TYPE:1;
            vuint32_t:16;
            vuint32_t CFG:1;
            vuint32_t ID:4;
            vuint32_t:1;
            vuint32_t IDorDATA:4;
            vuint32_t:1;
        } B;
    } CH1_SMSG3;

    /* 188 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:10;
            vuint32_t SMCRC:6;
            vuint32_t:4;
            vuint32_t DATA:12;
        } B;
    } CH1_SMSG2;

    /* 18C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TS:32;
        } B;
    } CH1_SMSG_TS;

    /* 190 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CHNUM:4;
            vuint32_t SCNIB:4;
            vuint32_t DNIB1:4;
            vuint32_t DNIB2:4;
            vuint32_t DNIB3:4;
            vuint32_t DNIB4:4;
            vuint32_t DNIB5:4;
            vuint32_t DNIB6:4;
        } B;
    } CH2_FMSG_DATA;

    /* 194 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t CRC4b:4;
            vuint32_t:16;
        } B;
    } CH2_FMSG_CRC;

    /* 198 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TS:32;
        } B;
    } CH2_FMSG_TS;

    /* 19C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CHNUM:4;
            vuint32_t TYPE:1;
            vuint32_t:16;
            vuint32_t CFG:1;
            vuint32_t ID:4;
            vuint32_t:1;
            vuint32_t IDorDATA:4;
            vuint32_t:1;
        } B;
    } CH2_SMSG3;

    /* 1A0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:10;
            vuint32_t SMCRC:6;
            vuint32_t:4;
            vuint32_t DATA:12;
        } B;
    } CH2_SMSG2;

    /* 1A4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TS:32;
        } B;
    } CH2_SMSG_TS;

    /* 1A8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CHNUM:4;
            vuint32_t SCNIB:4;
            vuint32_t DNIB1:4;
            vuint32_t DNIB2:4;
            vuint32_t DNIB3:4;
            vuint32_t DNIB4:4;
            vuint32_t DNIB5:4;
            vuint32_t DNIB6:4;
        } B;
    } CH3_FMSG_DATA;

    /* 1AC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:12;
            vuint32_t CRC4b:4;
            vuint32_t:16;
        } B;
    } CH3_FMSG_CRC;

    /* 1B0 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TS:32;
        } B;
    } CH3_FMSG_TS;

    /* 1B4 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CHNUM:4;
            vuint32_t TYPE:1;
            vuint32_t:16;
            vuint32_t CFG:1;
            vuint32_t ID:4;
            vuint32_t:1;
            vuint32_t IDorDATA:4;
            vuint32_t:1;
        } B;
    } CH3_SMSG3;

    /* 1B8 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:10;
            vuint32_t SMCRC:6;
            vuint32_t:4;
            vuint32_t DATA:12;
        } B;
    } CH3_SMSG2;

    /* 1BC */    
    union {
        vuint32_t R;
        struct {
            vuint32_t TS:32;
        } B;
    } CH3_SMSG_TS;
};
/**************************************************************************/
/*                   Module: SSCM                                         */
/**************************************************************************/
struct SSCM_tag {
    union {
        vuint16_t R;
        struct {
            vuint16_t:1;
            vuint16_t CER:1;
            vuint16_t:1;
            vuint16_t NXEN1:1;
            vuint16_t NXEN:1;
            vuint16_t:3;
            vuint16_t BMODE:3;
            vuint16_t VLE:1;
            vuint16_t:4;
        } B;
    } STATUS;

    /* 002 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t JPIN:10;
            vuint16_t:1;
            vuint16_t MREV:4;
            vuint16_t:1;
        } B;
    } MEMCONFIG;

    /* 004 */    
    uint8_t SSCM_reserved1[2];

    /* 006 */    
    union {
        vuint16_t R;
        struct {
            vuint16_t:14;
            vuint16_t PAE:1;
            vuint16_t RAE:1;
        } B;
    } ERROR;

    /* 008 */    
    uint8_t SSCM_reserved2[32];

    /* 028 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SADR:32;
        } B;
    } PSA;

    /* 02C */    
    uint8_t SSCM_reserved3[8];          

    /* 034 */    
    union {
        vuint32_t R;                    
        struct {                        
            vuint32_t:22;               
            vuint32_t TLC:2;            
            vuint32_t:5;                
            vuint32_t LC:3;             
        } B;
    } LCSTAT;
};
/**************************************************************************/
/*                   Module: STCU2                                        */
/**************************************************************************/
struct STCU2_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:21;
            vuint32_t BYP:1;
            vuint32_t MBPLLEN:1;
            vuint32_t LBPLLEN:1;
            vuint32_t:7;
            vuint32_t RUN:1;
        } B;
    } RUN;

    /* 004 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:20;
            vuint32_t MBIE:1;
            vuint32_t LBIE:1;
            vuint32_t MBSWPLLEN:1;
            vuint32_t LBSWPLLEN:1;
            vuint32_t:6;
            vuint32_t RUNSW_ABORT:1;
            vuint32_t RUNSW:1;
        } B;
    } RUNSW;

    /* 008 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t SKC:32;
        } B;
    } SKC;

    /* 00C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:1;
            vuint32_t PTR:7;
            vuint32_t LB_DELAY:8;
            vuint32_t:7;
            vuint32_t WRP:1;
            vuint32_t:2;
            vuint32_t CRCEN:1;
            vuint32_t PMOSEN:1;
            vuint32_t MBU :1;           
            vuint32_t CLK_CFG:3;
        } B;
    } CFG;

    /* 010 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:2;
            vuint32_t PLLODF:6;
            vuint32_t:5;
            vuint32_t PLLIDF:3;
            vuint32_t:9;
            vuint32_t PLLLDF:7;
        } B;
    } PLL_CFG;

    /* 014 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WDGEOC:32;
        } B;
    } WDG;

    /* 018 */        
    union {
        vuint32_t R;
        struct {
            vuint32_t:30;
            vuint32_t MBIFLG:1;
            vuint32_t LBIFLG:1;
        } B;
    } INT_FLG;

    /* 01C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CRCE:32;
        } B;
    } CRCE;

    /* 020 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CRCR:32;
        } B;
    } CRCR;

    /* 024 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:6;
            vuint32_t ABORTHW:1;
            vuint32_t ABORTSW:1;
            vuint32_t:3;
            vuint32_t LOCKESW:1;
            vuint32_t WDTOSW:1;
            vuint32_t CRCSSW:1;
            vuint32_t ENGESW:1;
            vuint32_t INVPSW:1;
            vuint32_t:6;
            vuint32_t UFSF:1;                        
            vuint32_t RFSF:1;                        
            vuint32_t:3;
            vuint32_t LOCKE:1;
            vuint32_t WDTO:1;
            vuint32_t CRCS:1;
            vuint32_t ENGE:1;
            vuint32_t INVP:1;
        } B;
    } ERR_STAT;

    /* 028 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:27;
            vuint32_t LOCKEUFM:1;                    
            vuint32_t WDTOUFM:1;                     
            vuint32_t CRCSUFM:1;                     
            vuint32_t ENGEUFM:1;                     
            vuint32_t INVPUFM:1;                     
        } B;
    } ERR_FM;

    /* 02C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t LBS15:1;
            vuint32_t LBS14:1;
            vuint32_t LBS13:1;
            vuint32_t LBS12:1;
            vuint32_t LBS11:1;
            vuint32_t LBS10:1;
            vuint32_t LBS9:1;
            vuint32_t LBS8:1;
            vuint32_t LBS7:1;
            vuint32_t LBS6:1;
            vuint32_t LBS5:1;
            vuint32_t LBS4:1;
            vuint32_t LBS3:1;
            vuint32_t LBS2:1;
            vuint32_t LBS1:1;
            vuint32_t LBS0:1;
        } B;
    } LBS;

    /* 030 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t LBE15:1;
            vuint32_t LBE14:1;
            vuint32_t LBE13:1;
            vuint32_t LBE12:1;
            vuint32_t LBE11:1;
            vuint32_t LBE10:1;
            vuint32_t LBE9:1;
            vuint32_t LBE8:1;
            vuint32_t LBE7:1;
            vuint32_t LBE6:1;
            vuint32_t LBE5:1;
            vuint32_t LBE4:1;
            vuint32_t LBE3:1;
            vuint32_t LBE2:1;
            vuint32_t LBE1:1;
            vuint32_t LBE0:1;
        } B;
    } LBE;

    /* 034 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t LBSSW15:1;
            vuint32_t LBSSW14:1;
            vuint32_t LBSSW13:1;
            vuint32_t LBSSW12:1;
            vuint32_t LBSSW11:1;
            vuint32_t LBSSW10:1;
            vuint32_t LBSSW9:1;
            vuint32_t LBSSW8:1;
            vuint32_t LBSSW7:1;
            vuint32_t LBSSW6:1;
            vuint32_t LBSSW5:1;
            vuint32_t LBSSW4:1;
            vuint32_t LBSSW3:1;
            vuint32_t LBSSW2:1;
            vuint32_t LBSSW1:1;
            vuint32_t LBSSW0:1;
        } B;
    } LBSSW;

    /* 038 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t LBESW15:1;
            vuint32_t LBESW14:1;
            vuint32_t LBESW13:1;
            vuint32_t LBESW12:1;
            vuint32_t LBESW11:1;
            vuint32_t LBESW10:1;
            vuint32_t LBESW9:1;
            vuint32_t LBESW8:1;
            vuint32_t LBESW7:1;
            vuint32_t LBESW6:1;
            vuint32_t LBESW5:1;
            vuint32_t LBESW4:1;
            vuint32_t LBESW3:1;
            vuint32_t LBESW2:1;
            vuint32_t LBESW1:1;
            vuint32_t LBESW0:1;
        } B;
    } LBESW;

    /* 03C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t LBRMSW15:1;
            vuint32_t LBRMSW14:1;
            vuint32_t LBRMSW13:1;
            vuint32_t LBRMSW12:1;
            vuint32_t LBRMSW11:1;
            vuint32_t LBRMSW10:1;
            vuint32_t LBRMSW9:1;
            vuint32_t LBRMSW8:1;
            vuint32_t LBRMSW7:1;
            vuint32_t LBRMSW6:1;
            vuint32_t LBRMSW5:1;
            vuint32_t LBRMSW4:1;
            vuint32_t LBRMSW3:1;
            vuint32_t LBRMSW2:1;
            vuint32_t LBRMSW1:1;
            vuint32_t LBRMSW0:1;
        } B;
    } LBRMSW;

    /* 040 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t LBUFM15:1;                    
            vuint32_t LBUFM14:1;                    
            vuint32_t LBUFM13:1;                    
            vuint32_t LBUFM12:1;                    
            vuint32_t LBUFM11:1;                    
            vuint32_t LBUFM10:1;                    
            vuint32_t LBUFM9:1;                     
            vuint32_t LBUFM8:1;                     
            vuint32_t LBUFM7:1;                     
            vuint32_t LBUFM6:1;                     
            vuint32_t LBUFM5:1;                     
            vuint32_t LBUFM4:1;                     
            vuint32_t LBUFM3:1;                     
            vuint32_t LBUFM2:1;                     
            vuint32_t LBUFM1:1;                     
            vuint32_t LBUFM0:1;                     
        } B;
    } LBUFM;                                        

    /* 044 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBS31:1;
            vuint32_t MBS30:1;
            vuint32_t MBS29:1;
            vuint32_t MBS28:1;
            vuint32_t MBS27:1;
            vuint32_t MBS26:1;
            vuint32_t MBS25:1;
            vuint32_t MBS24:1;
            vuint32_t MBS23:1;
            vuint32_t MBS22:1;
            vuint32_t MBS21:1;
            vuint32_t MBS20:1;
            vuint32_t MBS19:1;
            vuint32_t MBS18:1;
            vuint32_t MBS17:1;
            vuint32_t MBS16:1;
            vuint32_t MBS15:1;
            vuint32_t MBS14:1;
            vuint32_t MBS13:1;
            vuint32_t MBS12:1;
            vuint32_t MBS11:1;
            vuint32_t MBS10:1;
            vuint32_t MBS9:1;
            vuint32_t MBS8:1;
            vuint32_t MBS7:1;
            vuint32_t MBS6:1;
            vuint32_t MBS5:1;
            vuint32_t MBS4:1;
            vuint32_t MBS3:1;
            vuint32_t MBS2:1;
            vuint32_t MBS1:1;
            vuint32_t MBS0:1;
        } B;
    } MBSL;

    /* 048 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBS63:1;
            vuint32_t MBS62:1;
            vuint32_t MBS61:1;
            vuint32_t MBS60:1;
            vuint32_t MBS59:1;
            vuint32_t MBS58:1;
            vuint32_t MBS57:1;
            vuint32_t MBS56:1;
            vuint32_t MBS55:1;
            vuint32_t MBS54:1;
            vuint32_t MBS53:1;
            vuint32_t MBS52:1;
            vuint32_t MBS51:1;
            vuint32_t MBS50:1;
            vuint32_t MBS49:1;
            vuint32_t MBS48:1;
            vuint32_t MBS47:1;
            vuint32_t MBS46:1;
            vuint32_t MBS45:1;
            vuint32_t MBS44:1;
            vuint32_t MBS43:1;
            vuint32_t MBS42:1;
            vuint32_t MBS41:1;
            vuint32_t MBS40:1;
            vuint32_t MBS39:1;
            vuint32_t MBS38:1;
            vuint32_t MBS37:1;
            vuint32_t MBS36:1;
            vuint32_t MBS35:1;
            vuint32_t MBS34:1;
            vuint32_t MBS33:1;
            vuint32_t MBS32:1;
        } B;
    } MBSM;

    /* 04C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBS95:1;
            vuint32_t MBS94:1;
            vuint32_t MBS93:1;
            vuint32_t MBS92:1;
            vuint32_t MBS91:1;
            vuint32_t MBS90:1;
            vuint32_t MBS89:1;
            vuint32_t MBS88:1;
            vuint32_t MBS87:1;
            vuint32_t MBS86:1;
            vuint32_t MBS85:1;
            vuint32_t MBS84:1;
            vuint32_t MBS83:1;
            vuint32_t MBS82:1;
            vuint32_t MBS81:1;
            vuint32_t MBS80:1;
            vuint32_t MBS79:1;
            vuint32_t MBS78:1;
            vuint32_t MBS77:1;
            vuint32_t MBS76:1;
            vuint32_t MBS75:1;
            vuint32_t MBS74:1;
            vuint32_t MBS73:1;
            vuint32_t MBS72:1;
            vuint32_t MBS71:1;
            vuint32_t MBS70:1;
            vuint32_t MBS69:1;
            vuint32_t MBS68:1;
            vuint32_t MBS67:1;
            vuint32_t MBS66:1;
            vuint32_t MBS65:1;
            vuint32_t MBS64:1;
        } B;
    } MBSH;

    /* 050 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBE31:1;
            vuint32_t MBE30:1;
            vuint32_t MBE29:1;
            vuint32_t MBE28:1;
            vuint32_t MBE27:1;
            vuint32_t MBE26:1;
            vuint32_t MBE25:1;
            vuint32_t MBE24:1;
            vuint32_t MBE23:1;
            vuint32_t MBE22:1;
            vuint32_t MBE21:1;
            vuint32_t MBE20:1;
            vuint32_t MBE19:1;
            vuint32_t MBE18:1;
            vuint32_t MBE17:1;
            vuint32_t MBE16:1;
            vuint32_t MBE15:1;
            vuint32_t MBE14:1;
            vuint32_t MBE13:1;
            vuint32_t MBE12:1;
            vuint32_t MBE11:1;
            vuint32_t MBE10:1;
            vuint32_t MBE9:1;
            vuint32_t MBE8:1;
            vuint32_t MBE7:1;
            vuint32_t MBE6:1;
            vuint32_t MBE5:1;
            vuint32_t MBE4:1;
            vuint32_t MBE3:1;
            vuint32_t MBE2:1;
            vuint32_t MBE1:1;
            vuint32_t MBE0:1;
        } B;
    } MBEL;

    /* 054 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBE63:1;
            vuint32_t MBE62:1;
            vuint32_t MBE61:1;
            vuint32_t MBE60:1;
            vuint32_t MBE59:1;
            vuint32_t MBE58:1;
            vuint32_t MBE57:1;
            vuint32_t MBE56:1;
            vuint32_t MBE55:1;
            vuint32_t MBE54:1;
            vuint32_t MBE53:1;
            vuint32_t MBE52:1;
            vuint32_t MBE51:1;
            vuint32_t MBE50:1;
            vuint32_t MBE49:1;
            vuint32_t MBE48:1;
            vuint32_t MBE47:1;
            vuint32_t MBE46:1;
            vuint32_t MBE45:1;
            vuint32_t MBE44:1;
            vuint32_t MBE43:1;
            vuint32_t MBE42:1;
            vuint32_t MBE41:1;
            vuint32_t MBE40:1;
            vuint32_t MBE39:1;
            vuint32_t MBE38:1;
            vuint32_t MBE37:1;
            vuint32_t MBE36:1;
            vuint32_t MBE35:1;
            vuint32_t MBE34:1;
            vuint32_t MBE33:1;
            vuint32_t MBE32:1;
        } B;
    } MBEM;

    /* 058 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBE95:1;
            vuint32_t MBE94:1;
            vuint32_t MBE93:1;
            vuint32_t MBE92:1;
            vuint32_t MBE91:1;
            vuint32_t MBE90:1;
            vuint32_t MBE89:1;
            vuint32_t MBE88:1;
            vuint32_t MBE87:1;
            vuint32_t MBE86:1;
            vuint32_t MBE85:1;
            vuint32_t MBE84:1;
            vuint32_t MBE83:1;
            vuint32_t MBE82:1;
            vuint32_t MBE81:1;
            vuint32_t MBE80:1;
            vuint32_t MBE79:1;
            vuint32_t MBE78:1;
            vuint32_t MBE77:1;
            vuint32_t MBE76:1;
            vuint32_t MBE75:1;
            vuint32_t MBE74:1;
            vuint32_t MBE73:1;
            vuint32_t MBE72:1;
            vuint32_t MBE71:1;
            vuint32_t MBE70:1;
            vuint32_t MBE69:1;
            vuint32_t MBE68:1;
            vuint32_t MBE67:1;
            vuint32_t MBE66:1;
            vuint32_t MBE65:1;
            vuint32_t MBE64:1;
        } B;
    } MBEH;

    /* 05C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBSSW31:1;
            vuint32_t MBSSW30:1;
            vuint32_t MBSSW29:1;
            vuint32_t MBSSW28:1;
            vuint32_t MBSSW27:1;
            vuint32_t MBSSW26:1;
            vuint32_t MBSSW25:1;
            vuint32_t MBSSW24:1;
            vuint32_t MBSSW23:1;
            vuint32_t MBSSW22:1;
            vuint32_t MBSSW21:1;
            vuint32_t MBSSW20:1;
            vuint32_t MBSSW19:1;
            vuint32_t MBSSW18:1;
            vuint32_t MBSSW17:1;
            vuint32_t MBSSW16:1;
            vuint32_t MBSSW15:1;
            vuint32_t MBSSW14:1;
            vuint32_t MBSSW13:1;
            vuint32_t MBSSW12:1;
            vuint32_t MBSSW11:1;
            vuint32_t MBSSW10:1;
            vuint32_t MBSSW9:1;
            vuint32_t MBSSW8:1;
            vuint32_t MBSSW7:1;
            vuint32_t MBSSW6:1;
            vuint32_t MBSSW5:1;
            vuint32_t MBSSW4:1;
            vuint32_t MBSSW3:1;
            vuint32_t MBSSW2:1;
            vuint32_t MBSSW1:1;
            vuint32_t MBSSW0:1;
        } B;
    } MBSLSW;

    /* 060 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBSSW63:1;
            vuint32_t MBSSW62:1;
            vuint32_t MBSSW61:1;
            vuint32_t MBSSW60:1;
            vuint32_t MBSSW59:1;
            vuint32_t MBSSW58:1;
            vuint32_t MBSSW57:1;
            vuint32_t MBSSW56:1;
            vuint32_t MBSSW55:1;
            vuint32_t MBSSW54:1;
            vuint32_t MBSSW53:1;
            vuint32_t MBSSW52:1;
            vuint32_t MBSSW51:1;
            vuint32_t MBSSW50:1;
            vuint32_t MBSSW49:1;
            vuint32_t MBSSW48:1;
            vuint32_t MBSSW47:1;
            vuint32_t MBSSW46:1;
            vuint32_t MBSSW45:1;
            vuint32_t MBSSW44:1;
            vuint32_t MBSSW43:1;
            vuint32_t MBSSW42:1;
            vuint32_t MBSSW41:1;
            vuint32_t MBSSW40:1;
            vuint32_t MBSSW39:1;
            vuint32_t MBSSW38:1;
            vuint32_t MBSSW37:1;
            vuint32_t MBSSW36:1;
            vuint32_t MBSSW35:1;
            vuint32_t MBSSW34:1;
            vuint32_t MBSSW33:1;
            vuint32_t MBSSW32:1;
        } B;
    } MBSMSW;

    /* 064 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBSSW95:1;
            vuint32_t MBSSW94:1;
            vuint32_t MBSSW93:1;
            vuint32_t MBSSW92:1;
            vuint32_t MBSSW91:1;
            vuint32_t MBSSW90:1;
            vuint32_t MBSSW89:1;
            vuint32_t MBSSW88:1;
            vuint32_t MBSSW87:1;
            vuint32_t MBSSW86:1;
            vuint32_t MBSSW85:1;
            vuint32_t MBSSW84:1;
            vuint32_t MBSSW83:1;
            vuint32_t MBSSW82:1;
            vuint32_t MBSSW81:1;
            vuint32_t MBSSW80:1;
            vuint32_t MBSSW79:1;
            vuint32_t MBSSW78:1;
            vuint32_t MBSSW77:1;
            vuint32_t MBSSW76:1;
            vuint32_t MBSSW75:1;
            vuint32_t MBSSW74:1;
            vuint32_t MBSSW73:1;
            vuint32_t MBSSW72:1;
            vuint32_t MBSSW71:1;
            vuint32_t MBSSW70:1;
            vuint32_t MBSSW69:1;
            vuint32_t MBSSW68:1;
            vuint32_t MBSSW67:1;
            vuint32_t MBSSW66:1;
            vuint32_t MBSSW65:1;
            vuint32_t MBSSW64:1;
        } B;
    } MBSHSW;

    /* 068 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBESW31:1;
            vuint32_t MBESW30:1;
            vuint32_t MBESW29:1;
            vuint32_t MBESW28:1;
            vuint32_t MBESW27:1;
            vuint32_t MBESW26:1;
            vuint32_t MBESW25:1;
            vuint32_t MBESW24:1;
            vuint32_t MBESW23:1;
            vuint32_t MBESW22:1;
            vuint32_t MBESW21:1;
            vuint32_t MBESW20:1;
            vuint32_t MBESW19:1;
            vuint32_t MBESW18:1;
            vuint32_t MBESW17:1;
            vuint32_t MBESW16:1;
            vuint32_t MBESW15:1;
            vuint32_t MBESW14:1;
            vuint32_t MBESW13:1;
            vuint32_t MBESW12:1;
            vuint32_t MBESW11:1;
            vuint32_t MBESW10:1;
            vuint32_t MBESW9:1;
            vuint32_t MBESW8:1;
            vuint32_t MBESW7:1;
            vuint32_t MBESW6:1;
            vuint32_t MBESW5:1;
            vuint32_t MBESW4:1;
            vuint32_t MBESW3:1;
            vuint32_t MBESW2:1;
            vuint32_t MBESW1:1;
            vuint32_t MBESW0:1;
        } B;
    } MBELSW;

    /* 06C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBESW63:1;
            vuint32_t MBESW62:1;
            vuint32_t MBESW61:1;
            vuint32_t MBESW60:1;
            vuint32_t MBESW59:1;
            vuint32_t MBESW58:1;
            vuint32_t MBESW57:1;
            vuint32_t MBESW56:1;
            vuint32_t MBESW55:1;
            vuint32_t MBESW54:1;
            vuint32_t MBESW53:1;
            vuint32_t MBESW52:1;
            vuint32_t MBESW51:1;
            vuint32_t MBESW50:1;
            vuint32_t MBESW49:1;
            vuint32_t MBESW48:1;
            vuint32_t MBESW47:1;
            vuint32_t MBESW46:1;
            vuint32_t MBESW45:1;
            vuint32_t MBESW44:1;
            vuint32_t MBESW43:1;
            vuint32_t MBESW42:1;
            vuint32_t MBESW41:1;
            vuint32_t MBESW40:1;
            vuint32_t MBESW39:1;
            vuint32_t MBESW38:1;
            vuint32_t MBESW37:1;
            vuint32_t MBESW36:1;
            vuint32_t MBESW35:1;
            vuint32_t MBESW34:1;
            vuint32_t MBESW33:1;
            vuint32_t MBESW32:1;
        } B;
    } MBEMSW;

    /* 070 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBESW95:1;
            vuint32_t MBESW94:1;
            vuint32_t MBESW93:1;
            vuint32_t MBESW92:1;
            vuint32_t MBESW91:1;
            vuint32_t MBESW90:1;
            vuint32_t MBESW89:1;
            vuint32_t MBESW88:1;
            vuint32_t MBESW87:1;
            vuint32_t MBESW86:1;
            vuint32_t MBESW85:1;
            vuint32_t MBESW84:1;
            vuint32_t MBESW83:1;
            vuint32_t MBESW82:1;
            vuint32_t MBESW81:1;
            vuint32_t MBESW80:1;
            vuint32_t MBESW79:1;
            vuint32_t MBESW78:1;
            vuint32_t MBESW77:1;
            vuint32_t MBESW76:1;
            vuint32_t MBESW75:1;
            vuint32_t MBESW74:1;
            vuint32_t MBESW73:1;
            vuint32_t MBESW72:1;
            vuint32_t MBESW71:1;
            vuint32_t MBESW70:1;
            vuint32_t MBESW69:1;
            vuint32_t MBESW68:1;
            vuint32_t MBESW67:1;
            vuint32_t MBESW66:1;
            vuint32_t MBESW65:1;
            vuint32_t MBESW64:1;
        } B;
    } MBEHSW;

    /* 074 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBUFM31:1;                    
            vuint32_t MBUFM30:1;                    
            vuint32_t MBUFM29:1;                    
            vuint32_t MBUFM28:1;                    
            vuint32_t MBUFM27:1;                    
            vuint32_t MBUFM26:1;                    
            vuint32_t MBUFM25:1;                    
            vuint32_t MBUFM24:1;                    
            vuint32_t MBUFM23:1;                    
            vuint32_t MBUFM22:1;                    
            vuint32_t MBUFM21:1;                    
            vuint32_t MBUFM20:1;                    
            vuint32_t MBUFM19:1;                    
            vuint32_t MBUFM18:1;                    
            vuint32_t MBUFM17:1;                    
            vuint32_t MBUFM16:1;                    
            vuint32_t MBUFM15:1;                    
            vuint32_t MBUFM14:1;                    
            vuint32_t MBUFM13:1;                    
            vuint32_t MBUFM12:1;                    
            vuint32_t MBUFM11:1;                    
            vuint32_t MBUFM10:1;                    
            vuint32_t MBUFM9:1;                     
            vuint32_t MBUFM8:1;                     
            vuint32_t MBUFM7:1;                     
            vuint32_t MBUFM6:1;                     
            vuint32_t MBUFM5:1;                     
            vuint32_t MBUFM4:1;                     
            vuint32_t MBUFM3:1;                     
            vuint32_t MBUFM2:1;                     
            vuint32_t MBUFM1:1;                     
            vuint32_t MBUFM0:1;                     
        } B;
    } MBUFML;                                       

    /* 078 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBUFM63:1;                    
            vuint32_t MBUFM62:1;                    
            vuint32_t MBUFM61:1;                    
            vuint32_t MBUFM60:1;                    
            vuint32_t MBUFM59:1;                    
            vuint32_t MBUFM58:1;                    
            vuint32_t MBUFM57:1;                    
            vuint32_t MBUFM56:1;                    
            vuint32_t MBUFM55:1;                    
            vuint32_t MBUFM54:1;                    
            vuint32_t MBUFM53:1;                    
            vuint32_t MBUFM52:1;                    
            vuint32_t MBUFM51:1;                    
            vuint32_t MBUFM50:1;                    
            vuint32_t MBUFM49:1;                    
            vuint32_t MBUFM48:1;                    
            vuint32_t MBUFM47:1;                    
            vuint32_t MBUFM46:1;                    
            vuint32_t MBUFM45:1;                    
            vuint32_t MBUFM44:1;                    
            vuint32_t MBUFM43:1;                    
            vuint32_t MBUFM42:1;                    
            vuint32_t MBUFM41:1;                    
            vuint32_t MBUFM40:1;                    
            vuint32_t MBUFM39:1;                    
            vuint32_t MBUFM38:1;                    
            vuint32_t MBUFM37:1;                    
            vuint32_t MBUFM36:1;                    
            vuint32_t MBUFM35:1;                    
            vuint32_t MBUFM34:1;                    
            vuint32_t MBUFM33:1;                    
            vuint32_t MBUFM32:1;                    
        } B;
    } MBUFMM;                                       

    /* 07C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t MBUFM95:1;                    
            vuint32_t MBUFM94:1;                    
            vuint32_t MBUFM93:1;                    
            vuint32_t MBUFM92:1;                    
            vuint32_t MBUFM91:1;                    
            vuint32_t MBUFM90:1;                    
            vuint32_t MBUFM89:1;                    
            vuint32_t MBUFM88:1;                    
            vuint32_t MBUFM87:1;                    
            vuint32_t MBUFM86:1;                    
            vuint32_t MBUFM85:1;                    
            vuint32_t MBUFM84:1;                    
            vuint32_t MBUFM83:1;                    
            vuint32_t MBUFM82:1;                    
            vuint32_t MBUFM81:1;                    
            vuint32_t MBUFM80:1;                    
            vuint32_t MBUFM79:1;                    
            vuint32_t MBUFM78:1;                    
            vuint32_t MBUFM77:1;                    
            vuint32_t MBUFM76:1;                    
            vuint32_t MBUFM75:1;                    
            vuint32_t MBUFM74:1;                    
            vuint32_t MBUFM73:1;                    
            vuint32_t MBUFM72:1;                    
            vuint32_t MBUFM71:1;                    
            vuint32_t MBUFM70:1;                    
            vuint32_t MBUFM69:1;                    
            vuint32_t MBUFM68:1;                    
            vuint32_t MBUFM67:1;                    
            vuint32_t MBUFM66:1;                    
            vuint32_t MBUFM65:1;                    
            vuint32_t MBUFM64:1;                    
        } B;
    } MBUFMH;                                       

    /* 080 */    
    uint8_t STCU2_reserved1[128];      

    /* 100 */    
    struct {
        union {
            vuint32_t R;
            struct {
                vuint32_t CSM:1;
                vuint32_t PTR:7;
                vuint32_t:4;
                vuint32_t PRPGEN:1;
                vuint32_t SHS:3;
                vuint32_t SCEN_OFF:4;
                vuint32_t SCEN_ON:4;
                vuint32_t:4;
                vuint32_t PFT:1;
                vuint32_t CWS:3;
            } B;
        } LB_CTRL;

        /* 104 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t:6;
                vuint32_t PCS:26;
            } B;
        } LB_PCS;

        /* 108 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t PRPG31:1;
                vuint32_t PRPG30:1;
                vuint32_t PRPG29:1;
                vuint32_t PRPG28:1;
                vuint32_t PRPG27:1;
                vuint32_t PRPG26:1;
                vuint32_t PRPG25:1;
                vuint32_t PRPG24:1;
                vuint32_t PRPG23:1;
                vuint32_t PRPG22:1;
                vuint32_t PRPG21:1;
                vuint32_t PRPG20:1;
                vuint32_t PRPG19:1;
                vuint32_t PRPG18:1;
                vuint32_t PRPG17:1;
                vuint32_t PRPG16:1;
                vuint32_t PRPG15:1;
                vuint32_t PRPG14:1;
                vuint32_t PRPG13:1;
                vuint32_t PRPG12:1;
                vuint32_t PRPG11:1;
                vuint32_t PRPG10:1;
                vuint32_t PRPG9:1;
                vuint32_t PRPG8:1;
                vuint32_t PRPG7:1;
                vuint32_t PRPG6:1;
                vuint32_t PRPG5:1;
                vuint32_t PRPG4:1;
                vuint32_t PRPG3:1;
                vuint32_t PRPG2:1;
                vuint32_t PRPG1:1;
                vuint32_t PRPG0:1;
            } B;
        } LB_PRPGL;

        /* 10C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t PRPG63:1;
                vuint32_t PRPG62:1;
                vuint32_t PRPG61:1;
                vuint32_t PRPG60:1;
                vuint32_t PRPG59:1;
                vuint32_t PRPG58:1;
                vuint32_t PRPG57:1;
                vuint32_t PRPG56:1;
                vuint32_t PRPG55:1;
                vuint32_t PRPG54:1;
                vuint32_t PRPG53:1;
                vuint32_t PRPG52:1;
                vuint32_t PRPG51:1;
                vuint32_t PRPG50:1;
                vuint32_t PRPG49:1;
                vuint32_t PRPG48:1;
                vuint32_t PRPG47:1;
                vuint32_t PRPG46:1;
                vuint32_t PRPG45:1;
                vuint32_t PRPG44:1;
                vuint32_t PRPG43:1;
                vuint32_t PRPG42:1;
                vuint32_t PRPG41:1;
                vuint32_t PRPG40:1;
                vuint32_t PRPG39:1;
                vuint32_t PRPG38:1;
                vuint32_t PRPG37:1;
                vuint32_t PRPG36:1;
                vuint32_t PRPG35:1;
                vuint32_t PRPG34:1;
                vuint32_t PRPG33:1;
                vuint32_t PRPG32:1;
            } B;
        } LB_PRPGH;

        /* 110 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t MISREx:32;
            } B;
        } LB_MISREL;

        /* 114 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t MISREx:32;
            } B;
        } LB_MISREH;

        /* 118 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t MISRR31:1;
                vuint32_t MISRR30:1;
                vuint32_t MISRR29:1;
                vuint32_t MISRR28:1;
                vuint32_t MISRR27:1;
                vuint32_t MISRR26:1;
                vuint32_t MISRR25:1;
                vuint32_t MISRR24:1;
                vuint32_t MISRR23:1;
                vuint32_t MISRR22:1;
                vuint32_t MISRR21:1;
                vuint32_t MISRR20:1;
                vuint32_t MISRR19:1;
                vuint32_t MISRR18:1;
                vuint32_t MISRR17:1;
                vuint32_t MISRR16:1;
                vuint32_t MISRR15:1;
                vuint32_t MISRR14:1;
                vuint32_t MISRR13:1;
                vuint32_t MISRR12:1;
                vuint32_t MISRR11:1;
                vuint32_t MISRR10:1;
                vuint32_t MISRR9:1;
                vuint32_t MISRR8:1;
                vuint32_t MISRR7:1;
                vuint32_t MISRR6:1;
                vuint32_t MISRR5:1;
                vuint32_t MISRR4:1;
                vuint32_t MISRR3:1;
                vuint32_t MISRR2:1;
                vuint32_t MISRR1:1;
                vuint32_t MISRR0:1;
            } B;
        } LB_MISRRL;

        /* 11C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t MISRR63:1;
                vuint32_t MISRR62:1;
                vuint32_t MISRR61:1;
                vuint32_t MISRR60:1;
                vuint32_t MISRR59:1;
                vuint32_t MISRR58:1;
                vuint32_t MISRR57:1;
                vuint32_t MISRR56:1;
                vuint32_t MISRR55:1;
                vuint32_t MISRR54:1;
                vuint32_t MISRR53:1;
                vuint32_t MISRR52:1;
                vuint32_t MISRR51:1;
                vuint32_t MISRR50:1;
                vuint32_t MISRR49:1;
                vuint32_t MISRR48:1;
                vuint32_t MISRR47:1;
                vuint32_t MISRR46:1;
                vuint32_t MISRR45:1;
                vuint32_t MISRR44:1;
                vuint32_t MISRR43:1;
                vuint32_t MISRR42:1;
                vuint32_t MISRR41:1;
                vuint32_t MISRR40:1;
                vuint32_t MISRR39:1;
                vuint32_t MISRR38:1;
                vuint32_t MISRR37:1;
                vuint32_t MISRR36:1;
                vuint32_t MISRR35:1;
                vuint32_t MISRR34:1;
                vuint32_t MISRR33:1;
                vuint32_t MISRR32:1;
            } B;
        } LB_MISRRH;

        /* 120 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t MISRESW31:1;
                vuint32_t MISRESW30:1;
                vuint32_t MISRESW29:1;
                vuint32_t MISRESW28:1;
                vuint32_t MISRESW27:1;
                vuint32_t MISRESW26:1;
                vuint32_t MISRESW25:1;
                vuint32_t MISRESW24:1;
                vuint32_t MISRESW23:1;
                vuint32_t MISRESW22:1;
                vuint32_t MISRESW21:1;
                vuint32_t MISRESW20:1;
                vuint32_t MISRESW19:1;
                vuint32_t MISRESW18:1;
                vuint32_t MISRESW17:1;
                vuint32_t MISRESW16:1;
                vuint32_t MISRESW15:1;
                vuint32_t MISRESW14:1;
                vuint32_t MISRESW13:1;
                vuint32_t MISRESW12:1;
                vuint32_t MISRESW11:1;
                vuint32_t MISRESW10:1;
                vuint32_t MISRESW9:1;
                vuint32_t MISRESW8:1;
                vuint32_t MISRESW7:1;
                vuint32_t MISRESW6:1;
                vuint32_t MISRESW5:1;
                vuint32_t MISRESW4:1;
                vuint32_t MISRESW3:1;
                vuint32_t MISRESW2:1;
                vuint32_t MISRESW1:1;
                vuint32_t MISRESW0:1;
            } B;
        } LB_MISRELSW;

        /* 124 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t MISRESW63:1;
                vuint32_t MISRESW62:1;
                vuint32_t MISRESW61:1;
                vuint32_t MISRESW60:1;
                vuint32_t MISRESW59:1;
                vuint32_t MISRESW58:1;
                vuint32_t MISRESW57:1;
                vuint32_t MISRESW56:1;
                vuint32_t MISRESW55:1;
                vuint32_t MISRESW54:1;
                vuint32_t MISRESW53:1;
                vuint32_t MISRESW52:1;
                vuint32_t MISRESW51:1;
                vuint32_t MISRESW50:1;
                vuint32_t MISRESW49:1;
                vuint32_t MISRESW48:1;
                vuint32_t MISRESW47:1;
                vuint32_t MISRESW46:1;
                vuint32_t MISRESW45:1;
                vuint32_t MISRESW44:1;
                vuint32_t MISRESW43:1;
                vuint32_t MISRESW42:1;
                vuint32_t MISRESW41:1;
                vuint32_t MISRESW40:1;
                vuint32_t MISRESW39:1;
                vuint32_t MISRESW38:1;
                vuint32_t MISRESW37:1;
                vuint32_t MISRESW36:1;
                vuint32_t MISRESW35:1;
                vuint32_t MISRESW34:1;
                vuint32_t MISRESW33:1;
                vuint32_t MISRESW32:1;
            } B;
        } LB_MISREHSW;

        /* 128 */        
        union {
            vuint32_t R;
            struct {
                vuint32_t MISRRSW31:1;
                vuint32_t MISRRSW30:1;
                vuint32_t MISRRSW29:1;
                vuint32_t MISRRSW28:1;
                vuint32_t MISRRSW27:1;
                vuint32_t MISRRSW26:1;
                vuint32_t MISRRSW25:1;
                vuint32_t MISRRSW24:1;
                vuint32_t MISRRSW23:1;
                vuint32_t MISRRSW22:1;
                vuint32_t MISRRSW21:1;
                vuint32_t MISRRSW20:1;
                vuint32_t MISRRSW19:1;
                vuint32_t MISRRSW18:1;
                vuint32_t MISRRSW17:1;
                vuint32_t MISRRSW16:1;
                vuint32_t MISRRSW15:1;
                vuint32_t MISRRSW14:1;
                vuint32_t MISRRSW13:1;
                vuint32_t MISRRSW12:1;
                vuint32_t MISRRSW11:1;
                vuint32_t MISRRSW10:1;
                vuint32_t MISRRSW9:1;
                vuint32_t MISRRSW8:1;
                vuint32_t MISRRSW7:1;
                vuint32_t MISRRSW6:1;
                vuint32_t MISRRSW5:1;
                vuint32_t MISRRSW4:1;
                vuint32_t MISRRSW3:1;
                vuint32_t MISRRSW2:1;
                vuint32_t MISRRSW1:1;
                vuint32_t MISRRSW0:1;
            } B;
        } LB_MISRRLSW;

        /* 12C */        
        union {
            vuint32_t R;
            struct {
                vuint32_t MISRRSW63:1;
                vuint32_t MISRRSW62:1;
                vuint32_t MISRRSW61:1;
                vuint32_t MISRRSW60:1;
                vuint32_t MISRRSW59:1;
                vuint32_t MISRRSW58:1;
                vuint32_t MISRRSW57:1;
                vuint32_t MISRRSW56:1;
                vuint32_t MISRRSW55:1;
                vuint32_t MISRRSW54:1;
                vuint32_t MISRRSW53:1;
                vuint32_t MISRRSW52:1;
                vuint32_t MISRRSW51:1;
                vuint32_t MISRRSW50:1;
                vuint32_t MISRRSW49:1;
                vuint32_t MISRRSW48:1;
                vuint32_t MISRRSW47:1;
                vuint32_t MISRRSW46:1;
                vuint32_t MISRRSW45:1;
                vuint32_t MISRRSW44:1;
                vuint32_t MISRRSW43:1;
                vuint32_t MISRRSW42:1;
                vuint32_t MISRRSW41:1;                
                vuint32_t MISRRSW40:1;                
                vuint32_t MISRRSW39:1;                
                vuint32_t MISRRSW38:1;                
                vuint32_t MISRRSW37:1;                
                vuint32_t MISRRSW36:1;                
                vuint32_t MISRRSW35:1;                
                vuint32_t MISRRSW34:1;                
                vuint32_t MISRRSW33:1;                
                vuint32_t MISRRSW32:1;                
            } B;
        } LB_MISRRHSW;

        /* 130 */        
        uint8_t STCU2_reserved2[16];
        /* 140 */        
    } LB[16];

    /* 500 */    
    uint8_t STCU2_reserved3[256];

    /* 600 */    
    struct {
        union {
            vuint32_t R;
            struct {
                vuint32_t CSM:1;
                vuint32_t PTR:7;
                vuint32_t:24;
            } B;
        } MB_CTRL;
    } MB[96];
};
/**************************************************************************/
/*                   Module: STM                                          */
/**************************************************************************/
struct STM_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t CPS:8;
            vuint32_t:6;
            vuint32_t FRZ:1;
            vuint32_t TEN:1;
        } B;
    } CR;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CNT:32;
        } B;
    } CNT;

    /* 08 */    
    uint8_t STM_reserved1[8];

    /* 10 */    
    struct {
        union {
            vuint32_t R;
            struct {
                vuint32_t:31;
                vuint32_t CEN:1;
            } B;
        } CCR;

        /* 14 */
        union {
            vuint32_t R;
            struct {
                vuint32_t:31;
                vuint32_t CIF:1;
            } B;
        } CIR;

        /* 18 */
        union {
            vuint32_t R;
            struct {
                vuint32_t CMP:32;
            } B;
        } CMP;

        /* 1C */
        uint8_t Channel_reserved[4];

        /* 20 */
    } Channel[4];
};
/**************************************************************************/
/*                   Module: SWT                                          */
/**************************************************************************/
struct SWT_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t MAP0:1;
            vuint32_t MAP1:1;
            vuint32_t MAP2:1;
            vuint32_t MAP3:1;
            vuint32_t MAP4:1;
            vuint32_t MAP5:1;
            vuint32_t MAP6:1;
            vuint32_t MAP7:1;
            vuint32_t:13;
            vuint32_t SMD:2;
            vuint32_t RIA:1;
            vuint32_t WND:1;
            vuint32_t ITR:1;
            vuint32_t HLK:1;
            vuint32_t SLK:1;
            vuint32_t:1;                            
            vuint32_t STP:1;
            vuint32_t FRZ:1;
            vuint32_t WEN:1;
        } B;
    } CR;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:31;
            vuint32_t TIF:1;
        } B;
    } IR;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WTO:32;
        } B;
    } TO;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t WST:32;
        } B;
    } WN;

    /* 10 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t WSC:16;
        } B;
    } SR;

    /* 14 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t CNT:32;
        } B;
    } CO;

    /* 18 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t:16;
            vuint32_t SK:16;
        } B;
    } SK;
};
/**************************************************************************/    
/*                   Module: TDM (Tamper Detection Module)                */    
/**************************************************************************/    
struct TDM_tag {                                                                
    union {                                                                     
        vuint32_t R;                                                            
        struct {                                                                
            vuint32_t:24;                                                       
            vuint32_t TDRSR5:1;                                                 
            vuint32_t TDRSR4:1;                                                 
            vuint32_t TDRSR3:1;                                                 
            vuint32_t TDRSR2:1;                                                 
            vuint32_t TDRSR1:1;                                                 
            vuint32_t TDRSR0:1;                                                 
        } B;                                                                    
    } TDRSR;                                                                    

    /* 04 */    
    union {                                                                     
        vuint32_t R;                                                            
        struct {                                                                
            vuint32_t:8;                                                        
            vuint32_t LFPAR:24;                                                 
        } B;                                                                    
    } LFPAR;                                                                    

    /* 08 */
    union {                                                                     
        vuint32_t R;                                                            
        struct {                                                                
            vuint32_t DBA:32;                                                   
        } B;                                                                    
    } DBA;                                                                      

    /* 0C */
    uint8_t TDM_reserved1[4];                                                   

    /* 10 */
    union {                                                                     
        vuint32_t R;                                                            
        struct {                                                                
            vuint32_t STO_KEY:32;                                               
        } B;                                                                    
    } STO_KEY[6];                                                               

    /* 28 */                                                                    
};                                                                              

/**************************************************************************/
/*                   Module: WKPU (Wakeup Unit)                           */
/**************************************************************************/
struct WKPU_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t NIF0:1;
            vuint32_t NOVF0:1;
            vuint32_t:6;
            vuint32_t NIF1:1;
            vuint32_t NOVF1:1;
            vuint32_t:6;
            vuint32_t NIF2:1;
            vuint32_t NOVF2:1;
            vuint32_t:6;
            vuint32_t RIF:1;
            vuint32_t ROVF:1;
            vuint32_t:6;
        } B;
    } NSR;

    /* 04 */    
    uint8_t WKPU_reserved1[4];

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t NLOCK0:1;
            vuint32_t NDSS0:2;
            vuint32_t NWRE0:1;
            vuint32_t:1;
            vuint32_t NREE0:1;
            vuint32_t NFEE0:1;
            vuint32_t NFE0:1;
            vuint32_t NLOCK1:1;
            vuint32_t NDSS1:2;
            vuint32_t NWRE1:1;
            vuint32_t:1;
            vuint32_t NREE1:1;
            vuint32_t NFEE1:1;
            vuint32_t:1;
            vuint32_t NLOCK2:1;
            vuint32_t NDSS2:2;
            vuint32_t NWRE2:1;
            vuint32_t:1;
            vuint32_t NREE2:1;
            vuint32_t NFEE2:1;
            vuint32_t:1;
            vuint32_t RLOCK:1;
            vuint32_t RDSS:2;
            vuint32_t RWRE:1;
            vuint32_t:1;
            vuint32_t RREE:1;
            vuint32_t RFEE:1;
            vuint32_t:1;
        } B;
    } NCR;

    /* 0C */    
    uint8_t WKPU_reserved2[8];             

    /* 14 */
    union {                                
        vuint32_t R;                       
        struct {                           
            vuint32_t:12;                  
            vuint32_t EIRE19:1;            
            vuint32_t EIRE18:1;            
            vuint32_t EIRE17:1;            
            vuint32_t EIRE16:1;            
            vuint32_t:1;                   
            vuint32_t EIF:11;              
            vuint32_t:4;                   
        } B;                               
    } WISR;                                

    /* 18 */
    union {                                
        vuint32_t R;                       
        struct {                           
            vuint32_t:12;                  
            vuint32_t EIRE19:1;            
            vuint32_t EIRE18:1;            
            vuint32_t EIRE17:1;            
            vuint32_t EIRE16:1;            
            vuint32_t:1;                   
            vuint32_t EIRE:11;             
            vuint32_t:4;                   
        } B;                               
    } IRER;                                

    /* 1C */
    union {                                
        vuint32_t R;                       
        struct {                           
            vuint32_t:12;                  
            vuint32_t WRE:20;              
        } B;                               
    } WRER;                                

    /* 20 */
    uint8_t WKPU_reserved3[8];             

    /* 28 */
    union {                                
        vuint32_t R;                       
        struct {                           
            vuint32_t:12;                  
            vuint32_t IREE19:1;            
            vuint32_t IREE18:1;            
            vuint32_t IREE17:1;            
            vuint32_t IREE16:1;            
            vuint32_t:1;                   
            vuint32_t IREE:11;             
            vuint32_t:4;                   
        } B;                               
    } WIREER;                              

    /* 2C */
    union {                                
        vuint32_t R;                       
        struct {                           
            vuint32_t:12;                  
            vuint32_t IFEE19:1;            
            vuint32_t IFEE18:1;            
            vuint32_t IFEE17:1;            
            vuint32_t IFEE16:1;            
            vuint32_t:1;                   
            vuint32_t IFEE:11;             
        } B;                               
    } WIFEER;                              

    /* 30 */
    union {                                
        vuint32_t R;                       
        struct {                           
            vuint32_t:31;                  
            vuint32_t IFE:1;               
        } B;                               
    } WIFER;                               

    /* 34 */
    union {                                
        vuint32_t R;                       
        struct {                           
            vuint32_t:12;                  
            vuint32_t IPUE:20;             
        } B;                               
    } WIPUER;                              
};
/**************************************************************************/
/*                   Module: XBAR                                         */
/**************************************************************************/
struct XBAR_tag {
    struct {
        union {
            vuint32_t R;
            struct {
                vuint32_t:1;
                vuint32_t M7:3;
                vuint32_t:1;
                vuint32_t M6:3;
                vuint32_t:1;
                vuint32_t M5:3;
                vuint32_t:1;
                vuint32_t M4:3;
                vuint32_t:1;
                vuint32_t M3:3;
                vuint32_t:1;
                vuint32_t M2:3;
                vuint32_t:1;
                vuint32_t M1:3;
                vuint32_t:1;
                vuint32_t M0:3;
            } B;
        } PRS;

        /* 04 */
        uint8_t Channel_reserved1[12];

        /* 10 */
        union {
            vuint32_t R;
            struct {
                vuint32_t RO:1;
                vuint32_t HRP:1;            
                vuint32_t:6;                
                vuint32_t HPE:1;            
                vuint32_t:6;
                vuint32_t ARB:2;
                vuint32_t:2;
                vuint32_t PCTL:2;
                vuint32_t:1;
                vuint32_t PARK:3;
            } B;
        } CRS;

        /* 14 */
        uint8_t Channel_reserved2[236];
        /* 100 */
    } CHANNEL[8];
}
/**************************************************************************/
/*                   Module: XBIC                                         */
/**************************************************************************/
struct XBIC_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t SE0:1;
            vuint32_t SE1:1;
            vuint32_t SE2:1;
            vuint32_t SE3:1;
            vuint32_t SE4:1;
            vuint32_t SE5:1;
            vuint32_t SE6:1;
            vuint32_t SE7:1;
            vuint32_t ME0:1;                
            vuint32_t ME1:1;                
            vuint32_t ME2:1;                
            vuint32_t ME3:1;                
            vuint32_t ME4:1;                
            vuint32_t ME5:1;                
            vuint32_t ME6:1;                
            vuint32_t ME7:1;                
            vuint32_t:16;                   
        } B;
    } MCR;

    /* 04 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t EIE:1;
            vuint32_t:16;
            vuint32_t SLV:3;
            vuint32_t MST:4;
            vuint32_t SYN:8;
        } B;
    } EIR;

    /* 08 */    
    union {
        vuint32_t R;
        struct {
            vuint32_t VLD:1;
            vuint32_t DPSE0:1;                
            vuint32_t DPSE1:1;                
            vuint32_t DPSE2:1;                
            vuint32_t DPSE3:1;                
            vuint32_t DPSE4:1;                
            vuint32_t DPSE5:1;                
            vuint32_t DPSE6:1;                
            vuint32_t DPSE7:1;                
            vuint32_t DPME0:1;                
            vuint32_t DPME1:1;                
            vuint32_t DPME2:1;                
            vuint32_t DPME3:1;                
            vuint32_t DPME4:1;                
            vuint32_t DPME5:1;                
            vuint32_t DPME6:1;                
            vuint32_t DPME7:1;                
            vuint32_t SLV:3;
            vuint32_t MST:4;
            vuint32_t SYN:8;
        } B;
    } ESR;

    /* 0C */    
    union {
        vuint32_t R;
        struct {
            vuint32_t ADDR:16;
            vuint32_t:16;
        } B;
    } EAR;
};
/**************************************************************************/
/*                   Module: XOSC                                         */
/**************************************************************************/
struct XOSC_tag {
    union {
        vuint32_t R;
        struct {
            vuint32_t OSCBYP:1;
            vuint32_t:7;
            vuint32_t EOCV:8;
            vuint32_t M_OSC:1;
            vuint32_t:7;
            vuint32_t I_OSC:1;
            vuint32_t:7;
        } B;
    } XOSC_CTL;
};

/* Define memories */ 
#define SRAM0_START   0x40000000UL
#define SRAM0_SIZE      0x200000UL
#define SRAM0_END     0x401FFFFFUL

#define FLASH_START          0x0UL
#define FLASH_SIZE    0x10000000UL
#define FLASH_END     0x0FFFFFFFUL

/* PCTL handlers for bacward compatibility */
#define PCTL9    PCTL[9]                   
#define PCTL11   PCTL[11]
#define PCTL15   PCTL[15]
#define PCTL30   PCTL[30]
#define PCTL31   PCTL[31] 
#define PCTL36   PCTL[36]
#define PCTL38   PCTL[38]
#define PCTL59   PCTL[59]
#define PCTL60   PCTL[60]
#define PCTL62   PCTL[62]
#define PCTL69   PCTL[69]
#define PCTL70   PCTL[70]
#define PCTL72   PCTL[72]
#define PCTL74   PCTL[74]
#define PCTL85   PCTL[85]
#define PCTL91   PCTL[91]
#define PCTL92   PCTL[92]
#define PCTL97   PCTL[97]
#define PCTL98   PCTL[98]
#define PCTL99   PCTL[99]
#define PCTL101  PCTL[101]
#define PCTL104  PCTL[104]
#define PCTL107  PCTL[107]
#define PCTL111  PCTL[111]
#define PCTL112  PCTL[112]
#define PCTL123  PCTL[123]
#define PCTL127  PCTL[127]
#define PCTL128  PCTL[128]
#define PCTL166  PCTL[166]
#define PCTL187  PCTL[187]
#define PCTL213  PCTL[213]
#define PCTL220  PCTL[220]
#define PCTL225  PCTL[225]
#define PCTL227  PCTL[227]
#define PCTL232  PCTL[232]
#define PCTL239  PCTL[239]
#define PCTL249  PCTL[249]
#define PCTL253  PCTL[253]

/* Define instances of modules PBRIDGE_B */ 
#define PBRIDGE_B     (*(volatile struct PBRIDGE_tag *)                           0xF8000000UL)
#define SARADC_2      (*(volatile struct SARADC_tag *)                            0xFBE08000UL)
#define SARADC_6      (*(volatile struct SARADC_tag *)                            0xFBE18000UL)
#define PSI5_1        (*(volatile struct PSI5_tag *)                              0xFBE40000UL)
#define SENT_1        (*(volatile struct SENT_tag *)                              0xFBE5C000UL) /* SENT*/
#define DSPI_2        (*(volatile struct DSPI_tag *)                              0xFBE70000UL)
#define DSPI_5        (*(volatile struct DSPI_tag *)                              0xFBE78000UL)
#define LINFlexD_2    (*(volatile struct LINFlexD_tag *)                          0xFBE8C000UL)
#define LINFlexD_15   (*(volatile struct LINFlexD_tag *)                          0xFBEA8000UL)
#define SDADC_3       (*(volatile struct SDADC_tag *)                             0xFBF10000UL)
#define FCCU          (*(volatile struct FCCU_tag *)                              0xFBF58000UL)
#define CRC_1         (*(volatile struct CRC_tag *)                               0xFBF64000UL)
#define CMU_CORE      (*(volatile struct CMU_tag *)                               0xFBFB0200UL) /* CMU_1 */
#define CMU_SXBAR     (*(volatile struct CMU_tag *)                               0xFBFB0240UL) /* CMU_2 */
#define CMU_PBRIDGE   (*(volatile struct CMU_tag *)                               0xFBFB0280UL) /* CMU_3 */
#define CMU_PER       (*(volatile struct CMU_tag *)                               0xFBFB02C0UL) /* CMU_4 */
#define CMU_ADCSD     (*(volatile struct CMU_tag *)                               0xFBFB0300UL) /* CMU_5 */
#define CMU_ADCSAR    (*(volatile struct CMU_tag *)                               0xFBFB0340UL) /* CMU_6 */
#define CMU_SENT      (*(volatile struct CMU_tag *)                               0xFBFB0380UL) /* CMU_7 */
#define CMU_PSI5_F189 (*(volatile struct CMU_tag *)                               0xFBFB03C0UL) /* CMU_8 */
#define CMU_PSI5_F125 (*(volatile struct CMU_tag *)                               0xFBFB0400UL) /* CMU_9 */
#define CMU_PSI5_1us  (*(volatile struct CMU_tag *)                               0xFBFB0440UL) /* CMU_10 */

/* Define instances of modules PBRIDGE_A */ 
#define PBRIDGE_A     (*(volatile struct PBRIDGE_tag *)                           0xFC000000UL)
#define XBAR_0        (*(volatile struct XBAR_tag *)                              0xFC004000UL)
#define XBAR_1        (*(volatile struct XBAR_tag *)                              0xFC008000UL)
#define SMPU_0        (*(volatile struct SMPU_tag *)                              0xFC010000UL)
#define SMPU_1        (*(volatile struct SMPU_tag *)                              0xFC014000UL)
#define XBIC_0        (*(volatile struct XBIC_tag *)                              0xFC018000UL) 
#define XBIC_1        (*(volatile struct XBIC_tag *)                              0xFC01C000UL) 
#define PRAM          (*(volatile struct PRAM_tag *)                              0xFC020000UL)
#define PCM           (*(volatile struct PCM_tag *)                               0xFC028000UL)
#define PFLASH        (*(volatile struct PFLASH_tag *)                            0xFC030000UL)
#define SEMA42        (*(volatile struct SEMA42_tag *)                            0xFC03C000UL)
#define INTC          (*(volatile struct INTC_tag *)                              0xFC040000UL)
#define SWT_0         (*(volatile struct SWT_tag *)                               0xFC050000UL)
#define SWT_2         (*(volatile struct SWT_tag *)                               0xFC058000UL)
#define SWT_3         (*(volatile struct SWT_tag *)                               0xFC05C000UL)
#define STM_0         (*(volatile struct STM_tag *)                               0xFC068000UL)
#define STM_2         (*(volatile struct STM_tag *)                               0xFC070000UL)
#define DMA_0         (*(volatile struct DMA_tag *)                               0xFC0A0000UL)
#define FEC           (*(volatile struct FEC_tag *)                               0xFC0B0000UL)
#define TDM_1         (*(volatile struct TDM_tag *)                               0xFC0B4000UL) /* Tamper Detection Module */ 
#define TDM_2         (*(volatile struct TDM_tag *)                               0xFC0B8000UL) /* Tamper Detection Module */ 
#define GTMINT        (*(volatile struct GTMINT_tag *)                            0xFFD00000UL)
#define SARADC_0      (*(volatile struct SARADC_tag *)                            0xFFE00000UL)
#define SARADC_4      (*(volatile struct SARADC_tag *)                            0xFFE10000UL)
#define SARADC_B      (*(volatile struct SARADC_tag *)                            0xFFE3C000UL)
#define PSI5_0        (*(volatile struct PSI5_tag *)                              0xFFE40000UL)
#define FR_0          (*(volatile struct FR_tag *)                                0xFFE50000UL) /* FlexRay */  
#define SENT_0        (*(volatile struct SENT_tag *)                              0xFFE5C000UL) /* SENT*/
#define I2C_0         (*(volatile struct I2C_tag *)                               0xFFE68000UL)
#define DSPI_0        (*(volatile struct DSPI_tag *)                              0xFFE70000UL)
#define DSPI_1        (*(volatile struct DSPI_tag *)                              0xFFE74000UL)
#define DSPI_4        (*(volatile struct DSPI_tag *)                              0xFFE78000UL)
#define LINFlexD_0    (*(volatile struct LINFlexD_with_IFCR_registers_tag *)      0xFFE8C000UL) 
#define LINFlexD_1    (*(volatile struct LINFlexD_tag *)                          0xFFE90000UL)
#define LINFlexD_14   (*(volatile struct LINFlexD_tag *)                          0xFFEA8000UL)
#define M_TTCAN_0     (*(volatile struct M_TTCAN_tag *)                           0xFFEDC000UL)
#define MCAN_1        (*(volatile struct MCAN_tag *)                              0xFFEE4000UL) /* Cut 2.4 only */
#define MCAN_2        (*(volatile struct MCAN_tag *)                              0xFFEE8000UL) /* Cut 2.4 only */
#define CCCU          (*(volatile struct CCCU_tag *)                              0xFFF04000UL) 
#define SDADC_0       (*(volatile struct SDADC_tag *)                             0xFFF0C000UL)
#define DTS           (*(volatile struct DTS_tag *)                               0xFFF38000UL)
#define JDC           (*(volatile struct JDC_tag *)                               0xFFF3C000UL)
#define STCU2         (*(volatile struct STCU2_tag *)                             0xFFF44000UL)
#define JTAGM         (*(volatile struct JTAGM_tag *)                             0xFFF48000UL)
#define JTAGM_ED      (*(volatile struct JTAGM_tag *)                             0x0C808000UL) 
#define MEMU          (*(volatile struct MEMU_tag *)                              0xFFF50000UL)
#define IMA           (*(volatile struct IMA_tag *)                               0xFFF54000UL)
#define CRC_0         (*(volatile struct CRC_tag *)                               0xFFF64000UL)
#define DMACHMUX_0    (*(volatile struct DMACHMUX_tag *)                          0xFFF6C000UL)
#define DMACHMUX_1    (*(volatile struct DMACHMUX_tag *)                          0xFFF6C200UL)
#define DMACHMUX_2    (*(volatile struct DMACHMUX_tag *)                          0xFFF6C400UL)
#define DMACHMUX_3    (*(volatile struct DMACHMUX_tag *)                          0xFFF6C600UL)
#define PIT_1         (*(volatile struct PIT_tag *)                               0xFFF80000UL)
#define PIT_0         (*(volatile struct PIT_tag *)                               0xFFF84000UL)
#define WKPU          (*(volatile struct WKPU_tag *)                              0xFFF98000UL)
#define MC_PCU        (*(volatile struct MC_PCU_tag *)                            0xFFFA0000UL)
#define PMCDIG        (*(volatile struct PMCDIG_tag *)                            0xFFFA0400UL)  
#define MC_RGM        (*(volatile struct MC_RGM_tag *)                            0xFFFA8000UL)
#define IRCOSC        (*(volatile struct IRCOSC_tag *)                            0xFFFB0000UL)
#define XOSC          (*(volatile struct XOSC_tag *)                              0xFFFB0080UL)
#define PLLDIG        (*(volatile struct PLLDIG_tag *)                            0xFFFB0100UL)
#define CMU_IOP       (*(volatile struct CMU_tag *)                               0xFFFB0200UL) /* CMU_0 */
#define MC_CGM        (*(volatile struct MC_CGM_tag *)                            0xFFFB0700UL)
#define MC_ME         (*(volatile struct MC_ME_tag *)                             0xFFFB8000UL)
#define SIUL2         (*(volatile struct SIUL2_tag *)                             0xFFFC0000UL)
#define SIPI_0        (*(volatile struct SIPI_tag *)                              0xFFFD0000UL)
#define LFAST_0       (*(volatile struct LFAST_tag *)                             0xFFFD8000UL)
#define LFAST_1       (*(volatile struct LFAST_tag *)                             0xFFFDC000UL)
#define FLASH         (*(volatile struct FLASH_tag *)                             0xFFFE0000UL) 
#define PASS          (*(volatile struct PASS_tag *)                              0xFFFF4000UL)
#define SSCM          (*(volatile struct SSCM_tag *)                              0xFFFF8000UL)

#ifdef __MWERKS__
#pragma pop
#endif  /* 
 */

#ifdef  __cplusplus
} 
#endif  /* 
 */

#endif /* ifdef _MPC5744K_H */
